/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ChangeDetailsAsResponse {
    /**
     * The name of the field changed.
     */
    field?: string;
    /**
     * The type of the field changed.
     */
    fieldtype?: string;
    /**
     * The ID of the field changed.
     */
    fieldId?: string;
    /**
     * The details of the original value.
     */
    from?: string | null;
    /**
     * The details of the original value as a string.
     */
    fromString?: string | null;
    /**
     * The details of the new value.
     */
    to?: string | null;
    /**
     * The details of the new value as a string.
     */
    toString?: string;
    /**
     * The Account ID it was moved from.
     */
    tmpFromAccountId?: string | null;
    /**
     * The Account ID it was moved to.
     */
    tmpToAccountId?: string | null;
}
//# sourceMappingURL=ChangeDetailsAsResponse.d.ts.map