/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserDetailsAsResponse } from "../definitions/UserDetailsAsResponse";
import { HistoryMetadataAsResponse } from "../definitions/HistoryMetadataAsResponse";
import { ChangeDetailsAsResponse } from "../definitions/ChangeDetailsAsResponse";
export interface ChangelogAsResponse {
    /**
     * The user who made the change.
     */
    author?: UserDetailsAsResponse;
    /**
     * The date on which the change took place.
     */
    created?: string;
    /**
     * The history metadata associated with the changed.
     */
    historyMetadata?: HistoryMetadataAsResponse;
    /**
     * The ID of the changelog.
     */
    id?: string;
    /**
     * The list of items changed.
     */
    items?: Array<ChangeDetailsAsResponse>;
}
//# sourceMappingURL=ChangelogAsResponse.d.ts.map