/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserFilterAsResponse } from "../definitions/UserFilterAsResponse";
export declare type CustomFieldContextDefaultValueAsResponse = {
    /**
     * The ID of the context.
     */
    contextId?: string;
    /**
     * The ID of the default option.
     */
    optionId?: string;
    /**
     * The ID of the default cascading option.
     */
    cascadingOptionId?: string;
    /**
     * The ID of the default user.
     */
    accountId?: string;
    /**
     * The IDs of the default users.
     */
    accountIds?: Array<string>;
    /**
     * The ID of the the default group.
     */
    groupId?: string;
    /**
     * The IDs of the default groups.
     */
    groupIds?: Array<string>;
    /**
     * The default date in ISO format. Ignored if `useCurrent` is true.
     */
    date?: string;
    /**
     * The default date-time in ISO format. Ignored if `useCurrent` is true.
     */
    dateTime?: string;
    /**
     * Whether to use the current date.
     */
    useCurrent?: boolean;
    /**
     * The default URL.
     */
    url?: string;
    /**
     * The ID of the default project.
     */
    projectId?: string;
    /**
     * The default floating-point number.
     */
    number?: number;
    /**
     * The default labels value.
     */
    labels?: Array<string>;
    /**
     * The default text.
     */
    text?: string;
    /**
     * The ID of the default version.
     */
    versionId?: string;
    /**
     * The IDs of the default versions.
     */
    versionIds?: Array<string>;
    /**
     * The order the pickable versions are displayed in. If not provided, the released-first order is used. Available version orders are `"releasedFirst"` and `"unreleasedFirst"`.
     */
    versionOrder?: string;
    userFilter?: UserFilterAsResponse;
    optionIds?: Array<string>;
    /**
     * List of string values. The maximum length for a value is 254 characters.
     */
    values?: Array<string>;
    /**
     * The default JSON object.
     */
    object?: any;
    type: string;
};
//# sourceMappingURL=CustomFieldContextDefaultValueAsResponse.d.ts.map