/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SharePermissionAsResponse } from "../definitions/SharePermissionAsResponse";
import { UserBeanAsResponse } from "../definitions/UserBeanAsResponse";
export interface DashboardAsResponse {
    /**
     * The automatic refresh interval for the dashboard in milliseconds.
     */
    automaticRefreshMs?: number;
    description?: string;
    /**
     * The details of any edit share permissions for the dashboard.
     */
    editPermissions?: Array<SharePermissionAsResponse>;
    /**
     * The ID of the dashboard.
     */
    id?: string;
    /**
     * Whether the dashboard is selected as a favorite by the user.
     */
    isFavourite?: boolean;
    /**
     * Whether the current user has permission to edit the dashboard.
     */
    isWritable?: boolean;
    /**
     * The name of the dashboard.
     */
    name?: string;
    /**
     * The owner of the dashboard.
     */
    owner?: UserBeanAsResponse;
    /**
     * The number of users who have this dashboard as a favorite.
     */
    popularity?: number;
    /**
     * The rank of this dashboard.
     */
    rank?: number;
    /**
     * The URL of these dashboard details.
     */
    self?: string;
    /**
     * The details of any view share permissions for the dashboard.
     */
    sharePermissions?: Array<SharePermissionAsResponse>;
    /**
     * Whether the current dashboard is system dashboard.
     */
    systemDashboard?: boolean;
    /**
     * The URL of the dashboard.
     */
    view?: string;
}
//# sourceMappingURL=DashboardAsResponse.d.ts.map