/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { FieldDetailsAsResponse } from "../definitions/FieldDetailsAsResponse";
import { GroupNameAsResponse } from "../definitions/GroupNameAsResponse";
import { ProjectRoleAsResponse } from "../definitions/ProjectRoleAsResponse";
import { UserDetailsAsResponse } from "../definitions/UserDetailsAsResponse";
export interface EventNotificationAsResponse {
    /**
     * The email address.
     */
    emailAddress?: string;
    /**
     * Expand options that include additional event notification details in the response.
     */
    expand?: string;
    /**
     * The custom user or group field.
     */
    field?: FieldDetailsAsResponse;
    /**
     * The specified group.
     */
    group?: GroupNameAsResponse;
    /**
     * The ID of the notification.
     */
    id?: number;
    /**
     * Identifies the recipients of the notification.
     */
    notificationType?: "CurrentAssignee" | "Reporter" | "CurrentUser" | "ProjectLead" | "ComponentLead" | "User" | "Group" | "ProjectRole" | "EmailAddress" | "AllWatchers" | "UserCustomField" | "GroupCustomField";
    /**
  * As a group's name can change, use of `recipient` is recommended. The identifier associated with the `notificationType` value that defines the receiver of the notification, where the receiver isn't implied by `notificationType` value. So, when `notificationType` is:
  
   *  `User` The `parameter` is the user account ID.
   *  `Group` The `parameter` is the group name.
   *  `ProjectRole` The `parameter` is the project role ID.
   *  `UserCustomField` The `parameter` is the ID of the custom field.
   *  `GroupCustomField` The `parameter` is the ID of the custom field.
  */
    parameter?: string;
    /**
     * The specified project role.
     */
    projectRole?: ProjectRoleAsResponse;
    /**
  * The identifier associated with the `notificationType` value that defines the receiver of the notification, where the receiver isn't implied by the `notificationType` value. So, when `notificationType` is:
  
   *  `User`, `recipient` is the user account ID.
   *  `Group`, `recipient` is the group ID.
   *  `ProjectRole`, `recipient` is the project role ID.
   *  `UserCustomField`, `recipient` is the ID of the custom field.
   *  `GroupCustomField`, `recipient` is the ID of the custom field.
  */
    recipient?: string;
    /**
     * The specified user.
     */
    user?: UserDetailsAsResponse;
}
//# sourceMappingURL=EventNotificationAsResponse.d.ts.map