/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { JsonTypeBeanAsResponse } from "../definitions/JsonTypeBeanAsResponse";
export interface FieldMetadataAsResponse {
    /**
     * The list of values allowed in the field.
     */
    allowedValues?: Array<any>;
    /**
     * The URL that can be used to automatically complete the field.
     */
    autoCompleteUrl?: string;
    /**
     * The configuration properties.
     */
    configuration?: {
        [x: string]: any;
    };
    /**
     * The default value of the field.
     */
    defaultValue?: any;
    /**
     * Whether the field has a default value.
     */
    hasDefaultValue?: boolean;
    /**
     * The key of the field.
     */
    key: string;
    /**
     * The name of the field.
     */
    name: string;
    /**
     * The list of operations that can be performed on the field.
     */
    operations: Array<string>;
    /**
     * Whether the field is required.
     */
    required: boolean;
    /**
     * The data type of the field.
     */
    schema: JsonTypeBeanAsResponse;
}
//# sourceMappingURL=FieldMetadataAsResponse.d.ts.map