/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GroupLabelAsResponse } from "../definitions/GroupLabelAsResponse";
export interface FoundGroupAsResponse {
    /**
     * The ID of the group, which uniquely identifies the group across all Atlassian products. For example, *952d12c3-5b5b-4d04-bb32-44d383afc4b2*.
     */
    groupId?: string;
    /**
     * The group name with the matched query string highlighted with the HTML bold tag.
     */
    html?: string;
    labels?: Array<GroupLabelAsResponse>;
    /**
     * The name of the group. The name of a group is mutable, to reliably identify a group use ``groupId`.`
     */
    name?: string;
}
//# sourceMappingURL=FoundGroupAsResponse.d.ts.map