/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { AtlassianDocumentFormat } from "@sr-connect/jira-cloud/types/adf";
interface IdProperty {
    id: string;
}
interface AccountIdProperty {
    accountId: string;
}
interface NameProperty {
    name: string;
}
interface KeyProperty {
    key: string;
}
interface IssueCommonFields {
    components?: (IdProperty | NameProperty)[];
    description?: AtlassianDocumentFormat | null;
    assignee?: {
        accountId: string | null;
    } | null;
    fixVersions?: (IdProperty | NameProperty)[];
    priority?: IdProperty | NameProperty;
    labels?: string[];
    versions?: (IdProperty | NameProperty)[];
    duedate?: string | null;
    security?: IdProperty;
    environment?: AtlassianDocumentFormat | null;
    reporter?: AccountIdProperty;
    parent?: {
        id?: string;
        key?: string;
    } | null;
    [x: string]: any;
}
export interface IssueFieldsCreate extends IssueCommonFields {
    project: IdProperty | KeyProperty;
    issuetype: IdProperty | NameProperty;
    summary: string;
    resolution?: IdProperty | NameProperty;
}
export interface IssueFieldsUpdate extends IssueCommonFields {
    project?: IdProperty | KeyProperty;
    issuetype?: IdProperty | NameProperty;
    summary?: string;
}
export {};
//# sourceMappingURL=IssueFields.d.ts.map