/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { FieldMetadataAsResponse } from "../definitions/FieldMetadataAsResponse";
import { StatusDetailsAsResponse } from "../definitions/StatusDetailsAsResponse";
export interface IssueTransitionAsResponse {
    /**
     * Expand options that include additional transition details in the response.
     */
    expand?: string;
    /**
     * Details of the fields associated with the issue transition screen. Use this information to populate `fields` and `update` in a transition request.
     */
    fields?: {
        [x: string]: FieldMetadataAsResponse;
    };
    /**
     * Whether there is a screen associated with the issue transition.
     */
    hasScreen?: boolean;
    /**
     * The ID of the issue transition. Required when specifying a transition to undertake.
     */
    id?: string;
    /**
     * Whether the transition is available to be performed.
     */
    isAvailable?: boolean;
    /**
     * Whether the issue has to meet criteria before the issue transition is applied.
     */
    isConditional?: boolean;
    /**
     * Whether the issue transition is global, that is, the transition is applied to issues regardless of their status.
     */
    isGlobal?: boolean;
    /**
     * Whether this is the initial issue transition for the workflow.
     */
    isInitial?: boolean;
    looped?: boolean;
    /**
     * The name of the issue transition.
     */
    name?: string;
    /**
     * Details of the issue status after the transition.
     */
    to?: StatusDetailsAsResponse;
    [x: string]: any;
}
//# sourceMappingURL=IssueTransitionAsResponse.d.ts.map