/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HistoryMetadata } from "../definitions/HistoryMetadata";
import { EntityProperty } from "../definitions/EntityProperty";
import { IssueTransition } from "../definitions/IssueTransition";
import { FieldUpdateOperation } from "../definitions/FieldUpdateOperation";
export interface IssueUpdateDetails {
    /**
     * List of issue screen fields to update, specifying the sub-field to update and its value for each field. This field provides a straightforward option when setting a sub-field. When multiple sub-fields or other operations are required, use `update`. Fields included in here cannot be included in `update`.
     */
    fields?: {
        [x: string]: any;
    };
    /**
     * Additional issue history details.
     */
    historyMetadata?: HistoryMetadata;
    /**
     * Details of issue properties to be add or update.
     */
    properties?: Array<EntityProperty>;
    /**
     * Details of a transition. Required when performing a transition, optional when creating or editing an issue.
     */
    transition?: IssueTransition;
    /**
     * A Map containing the field field name and a list of operations to perform on the issue screen field. Note that fields included in here cannot be included in `fields`.
     */
    update?: {
        [x: string]: Array<FieldUpdateOperation>;
    };
    [x: string]: any;
}
//# sourceMappingURL=IssueUpdateDetails.d.ts.map