/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface NotificationEventAsResponse {
    /**
     * The description of the event.
     */
    description?: string;
    /**
     * The ID of the event. The event can be a [Jira system event](https://confluence.atlassian.com/x/8YdKLg#Creatinganotificationscheme-eventsEvents) or a [custom event](https://confluence.atlassian.com/x/AIlKLg).
     */
    id?: number;
    /**
     * The name of the event.
     */
    name?: string;
    /**
     * The template of the event. Only custom events configured by Jira administrators have template.
     */
    templateEvent?: NotificationEventAsResponse;
}
//# sourceMappingURL=NotificationEventAsResponse.d.ts.map