/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GroupName } from "../definitions/GroupName";
import { UserDetails } from "../definitions/UserDetails";
export interface NotificationRecipients {
    /**
     * Whether the notification should be sent to the issue's assignees.
     */
    assignee?: boolean;
    /**
     * List of groupIds to receive the notification.
     */
    groupIds?: Array<string>;
    /**
     * List of groups to receive the notification.
     */
    groups?: Array<GroupName>;
    /**
     * Whether the notification should be sent to the issue's reporter.
     */
    reporter?: boolean;
    /**
     * List of users to receive the notification.
     */
    users?: Array<UserDetails>;
    /**
     * Whether the notification should be sent to the issue's voters.
     */
    voters?: boolean;
    /**
     * Whether the notification should be sent to the issue's watchers.
     */
    watchers?: boolean;
    [x: string]: any;
}
//# sourceMappingURL=NotificationRecipients.d.ts.map