/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { NotificationSchemeEventAsResponse } from "../definitions/NotificationSchemeEventAsResponse";
import { ScopeAsResponse } from "../definitions/ScopeAsResponse";
export interface NotificationSchemeAsResponse {
    /**
     * The description of the notification scheme.
     */
    description?: string;
    /**
     * Expand options that include additional notification scheme details in the response.
     */
    expand?: string;
    /**
     * The ID of the notification scheme.
     */
    id?: number;
    /**
     * The name of the notification scheme.
     */
    name?: string;
    /**
     * The notification events and associated recipients.
     */
    notificationSchemeEvents?: Array<NotificationSchemeEventAsResponse>;
    /**
     * The list of project IDs associated with the notification scheme.
     */
    projects?: Array<number>;
    /**
     * The scope of the notification scheme.
     */
    scope?: ScopeAsResponse;
    self?: string;
}
//# sourceMappingURL=NotificationSchemeAsResponse.d.ts.map