/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserDetails } from "../definitions/UserDetails";
export interface PermissionHolder {
    /**
     * The type of permission holder.
     */
    type: string;
    /**
     * As a group's name can change, use of `value` is recommended. The identifier associated withthe `type` value that defines the holder of the permission.
     */
    parameter?: string;
    /**
     * The identifier associated with the `type` value that defines the holder of the permission.
     */
    value?: string;
    group?: {
        name?: string;
        groupId?: string;
        self?: string;
    };
    user?: UserDetails;
    projectRole?: {
        name?: string;
        id?: number;
        self?: string;
        description?: string;
        scope?: {
            type?: string;
            project?: {
                id?: string;
            };
        };
    };
}
//# sourceMappingURL=PermissionHolder.d.ts.map