/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PermissionGrantAsResponse } from "../definitions/PermissionGrantAsResponse";
import { ScopeAsResponse } from "../definitions/ScopeAsResponse";
export interface PermissionSchemeAsResponse {
    /**
     * A description for the permission scheme.
     */
    description?: string;
    /**
     * The expand options available for the permission scheme.
     */
    expand?: string;
    /**
     * The ID of the permission scheme.
     */
    id?: number;
    /**
     * The name of the permission scheme. Must be unique.
     */
    name: string;
    /**
     * The permission scheme to create or update. See [About permission schemes and grants](../api-group-permission-schemes/#about-permission-schemes-and-grants) for more information.
     */
    permissions?: Array<PermissionGrantAsResponse>;
    /**
     * The scope of the permission scheme.
     */
    scope?: ScopeAsResponse;
    /**
     * The URL of the permission scheme.
     */
    self?: string;
    [x: string]: any;
}
//# sourceMappingURL=PermissionSchemeAsResponse.d.ts.map