/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ExpandPrioritySchemePageAsResponse } from "../definitions/ExpandPrioritySchemePageAsResponse";
export interface PriorityAsResponse {
    /**
     * The avatarId of the avatar for the issue priority. This parameter is nullable and when set, this avatar references the universal avatar APIs.
     */
    avatarId?: number;
    /**
     * The description of the issue priority.
     */
    description?: string;
    /**
     * The URL of the icon for the issue priority.
     */
    iconUrl?: string;
    /**
     * The ID of the issue priority.
     */
    id?: string;
    /**
     * Whether this priority is the default.
     */
    isDefault?: boolean;
    /**
     * The name of the issue priority.
     */
    name?: string;
    /**
     * Priority schemes associated with the issue priority.
     */
    schemes?: ExpandPrioritySchemePageAsResponse;
    /**
     * The URL of the issue priority.
     */
    self?: string;
    /**
     * The color used to indicate the issue priority.
     */
    statusColor?: string;
    [x: string]: any;
}
//# sourceMappingURL=PriorityAsResponse.d.ts.map