/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { AvatarUrlsBeanAsResponse } from "../definitions/AvatarUrlsBeanAsResponse";
import { UpdatedProjectCategoryAsResponse } from "../definitions/UpdatedProjectCategoryAsResponse";
export interface ProjectDetailsAsResponse {
    /**
     * The URLs of the project's avatars.
     */
    avatarUrls?: AvatarUrlsBeanAsResponse;
    /**
     * The ID of the project.
     */
    id?: string;
    /**
     * The key of the project.
     */
    key?: string;
    /**
     * The name of the project.
     */
    name?: string;
    /**
     * The category the project belongs to.
     */
    projectCategory?: UpdatedProjectCategoryAsResponse;
    /**
     * The [project type](https://confluence.atlassian.com/x/GwiiLQ#Jiraapplicationsoverview-Productfeaturesandprojecttypes) of the project.
     */
    projectTypeKey?: "software" | "service_desk" | "business";
    /**
     * The URL of the project details.
     */
    self?: string;
    /**
     * Whether or not the project is simplified.
     */
    simplified?: boolean;
}
//# sourceMappingURL=ProjectDetailsAsResponse.d.ts.map