/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { AvatarUrlsBeanAsResponse } from "../definitions/AvatarUrlsBeanAsResponse";
import { IssueTypeIssueCreateMetadataAsResponse } from "../definitions/IssueTypeIssueCreateMetadataAsResponse";
export interface ProjectIssueCreateMetadataAsResponse {
    /**
     * List of the project's avatars, returning the avatar size and associated URL.
     */
    avatarUrls?: AvatarUrlsBeanAsResponse;
    /**
     * Expand options that include additional project issue create metadata details in the response.
     */
    expand?: string;
    /**
     * The ID of the project.
     */
    id?: string;
    /**
     * List of the issue types supported by the project.
     */
    issuetypes?: Array<IssueTypeIssueCreateMetadataAsResponse>;
    /**
     * The key of the project.
     */
    key?: string;
    /**
     * The name of the project.
     */
    name?: string;
    /**
     * The URL of the project.
     */
    self?: string;
}
//# sourceMappingURL=ProjectIssueCreateMetadataAsResponse.d.ts.map