/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ScopeAsResponse } from "../definitions/ScopeAsResponse";
export interface ProjectRoleDetailsAsResponse {
    /**
     * Whether this role is the admin role for the project.
     */
    admin?: boolean;
    /**
     * Whether this role is the default role for the project.
     */
    default?: boolean;
    /**
     * The description of the project role.
     */
    description?: string;
    /**
     * The ID of the project role.
     */
    id?: number;
    /**
     * The name of the project role.
     */
    name?: string;
    /**
     * Whether the roles are configurable for this project.
     */
    roleConfigurable?: boolean;
    /**
     * The scope of the role. Indicated for roles associated with [next-gen projects](https://confluence.atlassian.com/x/loMyO).
     */
    scope?: ScopeAsResponse;
    /**
     * The URL the project role details.
     */
    self?: string;
    /**
     * The translated name of the project role.
     */
    translatedName?: string;
}
//# sourceMappingURL=ProjectRoleDetailsAsResponse.d.ts.map