/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { Icon } from "../definitions/Icon";
import { Status } from "../definitions/Status";
export interface RemoteObject {
    /**
     * Details of the icon for the item. If no icon is defined, the default link icon is used in Jira.
     */
    icon?: Icon;
    /**
     * The status of the item.
     */
    status?: Status;
    /**
     * The summary details of the item.
     */
    summary?: string;
    /**
     * The title of the item.
     */
    title: string;
    /**
     * The URL of the item.
     */
    url: string;
    [x: string]: any;
}
//# sourceMappingURL=RemoteObject.d.ts.map