/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { IssueBeanAsResponse } from "../definitions/IssueBeanAsResponse";
import { JsonTypeBeanAsResponse } from "../definitions/JsonTypeBeanAsResponse";
export interface SearchAndReconcileResultsAsResponse {
    /**
     * The list of issues found by the search or reconsiliation.
     */
    issues?: Array<IssueBeanAsResponse>;
    /**
     * The ID and name of each field in the search results.
     */
    names?: {
        [x: string]: string;
    };
    /**
     * Continuation token to fetch the next page. If this result represents the last or the only page this token will be null. This token will expire in 7 days.
     */
    nextPageToken?: string;
    /**
     * The schema describing the field types in the search results.
     */
    schema?: {
        [x: string]: JsonTypeBeanAsResponse;
    };
}
//# sourceMappingURL=SearchAndReconcileResultsAsResponse.d.ts.map