/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { IssueBeanAsResponse } from "../definitions/IssueBeanAsResponse";
import { JsonTypeBeanAsResponse } from "../definitions/JsonTypeBeanAsResponse";
export interface SearchResultsAsResponse {
    /**
     * Expand options that include additional search result details in the response.
     */
    expand?: string;
    /**
     * The list of issues found by the search.
     */
    issues?: Array<IssueBeanAsResponse>;
    /**
     * The maximum number of results that could be on the page.
     */
    maxResults?: number;
    /**
     * The ID and name of each field in the search results.
     */
    names?: {
        [x: string]: string;
    };
    /**
     * The schema describing the field types in the search results.
     */
    schema?: {
        [x: string]: JsonTypeBeanAsResponse;
    };
    /**
     * The index of the first item returned on the page.
     */
    startAt?: number;
    /**
     * The number of results on the page.
     */
    total?: number;
    /**
     * Any warnings related to the JQL query.
     */
    warningMessages?: Array<string>;
}
//# sourceMappingURL=SearchResultsAsResponse.d.ts.map