/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { WorkflowRulesAsResponse } from "../definitions/WorkflowRulesAsResponse";
import { TransitionScreenDetailsAsResponse } from "../definitions/TransitionScreenDetailsAsResponse";
export interface TransitionAsResponse {
    /**
     * The description of the transition.
     */
    description: string;
    /**
     * The statuses the transition can start from.
     */
    from: Array<string>;
    /**
     * The ID of the transition.
     */
    id: string;
    /**
     * The name of the transition.
     */
    name: string;
    /**
     * The properties of the transition.
     */
    properties?: {
        [x: string]: any;
    };
    rules?: WorkflowRulesAsResponse;
    screen?: TransitionScreenDetailsAsResponse;
    /**
     * The status the transition goes to.
     */
    to: string;
    /**
     * The type of the transition.
     */
    type: "global" | "initial" | "directed";
}
//# sourceMappingURL=TransitionAsResponse.d.ts.map