/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { VersionUsageInCustomFieldAsResponse } from "../definitions/VersionUsageInCustomFieldAsResponse";
export interface VersionIssueCountsAsResponse {
    /**
     * List of custom fields using the version.
     */
    customFieldUsage?: Array<VersionUsageInCustomFieldAsResponse>;
    /**
     * Count of issues where a version custom field is set to the version.
     */
    issueCountWithCustomFieldsShowingVersion?: number;
    /**
     * Count of issues where the `affectedVersion` is set to the version.
     */
    issuesAffectedCount?: number;
    /**
     * Count of issues where the `fixVersion` is set to the version.
     */
    issuesFixedCount?: number;
    /**
     * The URL of these count details.
     */
    self?: string;
}
//# sourceMappingURL=VersionIssueCountsAsResponse.d.ts.map