/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserAsResponse } from "../definitions/UserAsResponse";
export interface VotesAsResponse {
    /**
     * Whether the user making this request has voted on the issue.
     */
    hasVoted?: boolean;
    /**
     * The URL of these issue vote details.
     */
    self?: string;
    /**
     * List of the users who have voted on this issue. An empty list is returned when the calling user doesn't have the *View voters and watchers* project permission.
     */
    voters?: Array<UserAsResponse>;
    /**
     * The number of votes on the issue.
     */
    votes?: number;
}
//# sourceMappingURL=VotesAsResponse.d.ts.map