/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PropertyKeysAsResponse } from "../../definitions/PropertyKeysAsResponse";
import { ErrorCollectionAsResponse } from "../../definitions/ErrorCollectionAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { EntityPropertyAsResponse } from "../../definitions/EntityPropertyAsResponse";
export interface GetDashboardItemPropertyKeysRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the dashboard.
     */
    dashboardId: string;
    /**
     * The ID of the dashboard item.
     */
    itemId: string;
}
declare type GetDashboardItemPropertyKeysResponseOKType = PropertyKeysAsResponse;
export interface GetDashboardItemPropertyKeysResponseOK extends GetDashboardItemPropertyKeysResponseOKType {
}
declare type GetDashboardItemPropertyKeysResponseErrorType = ErrorCollectionAsResponse & ErrorCollectionAsResponse;
export interface GetDashboardItemPropertyKeysResponseError extends GetDashboardItemPropertyKeysResponseErrorType {
}
export interface GetDashboardItemPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the dashboard.
     */
    dashboardId: string;
    /**
     * The ID of the dashboard item.
     */
    itemId: string;
    /**
     * The key of the dashboard item property.
     */
    propertyKey: string;
}
declare type GetDashboardItemPropertyResponseOKType = EntityPropertyAsResponse;
export interface GetDashboardItemPropertyResponseOK extends GetDashboardItemPropertyResponseOKType {
}
declare type GetDashboardItemPropertyResponseErrorType = ErrorCollectionAsResponse & ErrorCollectionAsResponse;
export interface GetDashboardItemPropertyResponseError extends GetDashboardItemPropertyResponseErrorType {
}
export interface SetDashboardItemPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the dashboard.
     */
    dashboardId: string;
    /**
     * The ID of the dashboard item.
     */
    itemId: string;
    /**
     * The key of the dashboard item property. The maximum length is 255 characters. For dashboard items with a spec URI and no complete module key, if the provided propertyKey is equal to "config", the request body's JSON must be an object with all keys and values as strings.
     */
    propertyKey: string;
    body: any;
}
export declare type SetDashboardItemPropertyResponseOK = any | any;
declare type SetDashboardItemPropertyResponseErrorType = ErrorCollectionAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse;
export interface SetDashboardItemPropertyResponseError extends SetDashboardItemPropertyResponseErrorType {
}
export interface DeleteDashboardItemPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the dashboard.
     */
    dashboardId: string;
    /**
     * The ID of the dashboard item.
     */
    itemId: string;
    /**
     * The key of the dashboard item property.
     */
    propertyKey: string;
}
export declare type DeleteDashboardItemPropertyResponseOK = any;
declare type DeleteDashboardItemPropertyResponseErrorType = ErrorCollectionAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse;
export interface DeleteDashboardItemPropertyResponseError extends DeleteDashboardItemPropertyResponseErrorType {
}
export {};
//# sourceMappingURL=property.d.ts.map