/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ColumnItemAsResponse } from "../../definitions/ColumnItemAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetFilterColumnsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the filter.
     */
    id: number;
}
declare type GetFilterColumnsResponseOKType = Array<ColumnItemAsResponse>;
export interface GetFilterColumnsResponseOK extends GetFilterColumnsResponseOKType {
}
export declare type GetFilterColumnsResponseError = undefined;
export interface SetFilterColumnsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the filter.
     */
    id: number;
    body: {
        /**
         * The field IDs.
         */
        columns: Array<string>;
    };
}
export declare type SetFilterColumnsResponseOK = any;
export declare type SetFilterColumnsResponseError = undefined;
export interface ResetFilterColumnsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the filter.
     */
    id: number;
}
export declare type ResetFilterColumnsResponseOK = undefined;
export declare type ResetFilterColumnsResponseError = undefined;
export {};
//# sourceMappingURL=column.d.ts.map