/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { FilterAsResponse } from "../../definitions/FilterAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetFavouriteFiltersRequest extends HeadersOption, ErrorStrategyOption {
    /**
  * Use [expand](#expansion) to include additional information about filter in the response. This parameter accepts a comma-separated list. Expand options include:
  
   *  `sharedUsers` Returns the users that the filter is shared with. This includes users that can browse projects that the filter is shared with. If you don't specify `sharedUsers`, then the `sharedUsers` object is returned but it doesn't list any users. The list of users returned is limited to 1000, to access additional users append `[start-index:end-index]` to the expand request. For example, to access the next 1000 users, use `?expand=sharedUsers[1001:2000]`.
   *  `subscriptions` Returns the users that are subscribed to the filter. If you don't specify `subscriptions`, the `subscriptions` object is returned but it doesn't list any subscriptions. The list of subscriptions returned is limited to 1000, to access additional subscriptions append `[start-index:end-index]` to the expand request. For example, to access the next 1000 subscriptions, use `?expand=subscriptions[1001:2000]`.
  */
    expand?: string;
}
declare type GetFavouriteFiltersResponseOKType = Array<FilterAsResponse>;
export interface GetFavouriteFiltersResponseOK extends GetFavouriteFiltersResponseOKType {
}
export declare type GetFavouriteFiltersResponseError = undefined;
export interface AddFilterAsFavouriteRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the filter.
     */
    id: number;
    /**
  * Use [expand](#expansion) to include additional information about filter in the response. This parameter accepts a comma-separated list. Expand options include:
  
   *  `sharedUsers` Returns the users that the filter is shared with. This includes users that can browse projects that the filter is shared with. If you don't specify `sharedUsers`, then the `sharedUsers` object is returned but it doesn't list any users. The list of users returned is limited to 1000, to access additional users append `[start-index:end-index]` to the expand request. For example, to access the next 1000 users, use `?expand=sharedUsers[1001:2000]`.
   *  `subscriptions` Returns the users that are subscribed to the filter. If you don't specify `subscriptions`, the `subscriptions` object is returned but it doesn't list any subscriptions. The list of subscriptions returned is limited to 1000, to access additional subscriptions append `[start-index:end-index]` to the expand request. For example, to access the next 1000 subscriptions, use `?expand=subscriptions[1001:2000]`.
  */
    expand?: string;
}
declare type AddFilterAsFavouriteResponseOKType = FilterAsResponse;
export interface AddFilterAsFavouriteResponseOK extends AddFilterAsFavouriteResponseOKType {
}
export declare type AddFilterAsFavouriteResponseError = undefined;
export interface RemoveFilterAsFavouriteRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the filter.
     */
    id: number;
    /**
  * Use [expand](#expansion) to include additional information about filter in the response. This parameter accepts a comma-separated list. Expand options include:
  
   *  `sharedUsers` Returns the users that the filter is shared with. This includes users that can browse projects that the filter is shared with. If you don't specify `sharedUsers`, then the `sharedUsers` object is returned but it doesn't list any users. The list of users returned is limited to 1000, to access additional users append `[start-index:end-index]` to the expand request. For example, to access the next 1000 users, use `?expand=sharedUsers[1001:2000]`.
   *  `subscriptions` Returns the users that are subscribed to the filter. If you don't specify `subscriptions`, the `subscriptions` object is returned but it doesn't list any subscriptions. The list of subscriptions returned is limited to 1000, to access additional subscriptions append `[start-index:end-index]` to the expand request. For example, to access the next 1000 subscriptions, use `?expand=subscriptions[1001:2000]`.
  */
    expand?: string;
}
declare type RemoveFilterAsFavouriteResponseOKType = FilterAsResponse;
export interface RemoveFilterAsFavouriteResponseOK extends RemoveFilterAsFavouriteResponseOKType {
}
export declare type RemoveFilterAsFavouriteResponseError = undefined;
export {};
//# sourceMappingURL=favourite.d.ts.map