/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SharePermissionAsResponse } from "../../../definitions/SharePermissionAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { SharePermissionInputBean } from "../../../definitions/SharePermissionInputBean";
export interface GetFiltersSharePermissionsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the filter.
     */
    id: number;
}
declare type GetFiltersSharePermissionsResponseOKType = Array<SharePermissionAsResponse>;
export interface GetFiltersSharePermissionsResponseOK extends GetFiltersSharePermissionsResponseOKType {
}
export declare type GetFiltersSharePermissionsResponseError = undefined;
export interface AddFiltersSharePermissionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the filter.
     */
    id: number;
    body: SharePermissionInputBean;
}
declare type AddFiltersSharePermissionResponseOKType = Array<SharePermissionAsResponse>;
export interface AddFiltersSharePermissionResponseOK extends AddFiltersSharePermissionResponseOKType {
}
export declare type AddFiltersSharePermissionResponseError = undefined;
export interface GetFiltersSharePermissionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the filter.
     */
    id: number;
    /**
     * The ID of the share permission.
     */
    permissionId: number;
}
declare type GetFiltersSharePermissionResponseOKType = SharePermissionAsResponse;
export interface GetFiltersSharePermissionResponseOK extends GetFiltersSharePermissionResponseOKType {
}
export declare type GetFiltersSharePermissionResponseError = undefined;
export interface DeleteFiltersSharePermissionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the filter.
     */
    id: number;
    /**
     * The ID of the share permission.
     */
    permissionId: number;
}
export declare type DeleteFiltersSharePermissionResponseOK = undefined;
export declare type DeleteFiltersSharePermissionResponseError = undefined;
export {};
//# sourceMappingURL=permission.d.ts.map