/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimpleApplicationPropertyBean } from "../definitions/SimpleApplicationPropertyBean";
import { ApplicationPropertyAsResponse } from "../definitions/ApplicationPropertyAsResponse";
import { ErrorCollectionAsResponse } from "../definitions/ErrorCollectionAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { AttachmentSettingsAsResponse } from "../definitions/AttachmentSettingsAsResponse";
import { ConfigurationAsResponse } from "../definitions/ConfigurationAsResponse";
import { ServerInformationAsResponse } from "../definitions/ServerInformationAsResponse";
import { LicenseAsResponse } from "../definitions/LicenseAsResponse";
export interface SetApplicationPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the application property to update.
     */
    id: string;
    body: SimpleApplicationPropertyBean;
}
declare type SetApplicationPropertyResponseOKType = ApplicationPropertyAsResponse;
export interface SetApplicationPropertyResponseOK extends SetApplicationPropertyResponseOKType {
}
declare type SetApplicationPropertyResponseErrorType = ErrorCollectionAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse;
export interface SetApplicationPropertyResponseError extends SetApplicationPropertyResponseErrorType {
}
export interface GetApplicationPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the application property.
     */
    key?: string;
    /**
     * The permission level of all items being returned in the list.
     */
    permissionLevel?: string;
    /**
     * When a `key` isn't provided, this filters the list of results by the application property `key` using a regular expression. For example, using `jira.lf.*` will return all application properties with keys that start with *jira.lf.*.
     */
    keyFilter?: string;
}
declare type GetApplicationPropertyResponseOKType = Array<ApplicationPropertyAsResponse>;
export interface GetApplicationPropertyResponseOK extends GetApplicationPropertyResponseOKType {
}
declare type GetApplicationPropertyResponseErrorType = ErrorCollectionAsResponse & ErrorCollectionAsResponse;
export interface GetApplicationPropertyResponseError extends GetApplicationPropertyResponseErrorType {
}
export interface GetAdvancedSettingsRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetAdvancedSettingsResponseOKType = Array<ApplicationPropertyAsResponse>;
export interface GetAdvancedSettingsResponseOK extends GetAdvancedSettingsResponseOKType {
}
export declare type GetAdvancedSettingsResponseError = undefined;
export interface GetJiraAttachmentSettingsRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetJiraAttachmentSettingsResponseOKType = AttachmentSettingsAsResponse;
export interface GetJiraAttachmentSettingsResponseOK extends GetJiraAttachmentSettingsResponseOKType {
}
export declare type GetJiraAttachmentSettingsResponseError = undefined;
export interface GetGlobalSettingsRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetGlobalSettingsResponseOKType = ConfigurationAsResponse;
export interface GetGlobalSettingsResponseOK extends GetGlobalSettingsResponseOKType {
}
export declare type GetGlobalSettingsResponseError = undefined;
export interface GetJiraInstanceInfoRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetJiraInstanceInfoResponseOKType = ServerInformationAsResponse;
export interface GetJiraInstanceInfoResponseOK extends GetJiraInstanceInfoResponseOKType {
}
export declare type GetJiraInstanceInfoResponseError = undefined;
export interface GetLicenseRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetLicenseResponseOKType = LicenseAsResponse;
export interface GetLicenseResponseOK extends GetLicenseResponseOKType {
}
export declare type GetLicenseResponseError = undefined;
export {};
//# sourceMappingURL=instance.d.ts.map