/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { AttachmentAsResponse } from "../../definitions/AttachmentAsResponse";
export interface DeleteIssueAttachmentRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the attachment.
     */
    id: string;
}
export declare type DeleteIssueAttachmentResponseOK = undefined;
export declare type DeleteIssueAttachmentResponseError = undefined;
export interface AddIssueAttachmentsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue that attachments are added to.
     */
    issueIdOrKey: string | number;
    body: {
        /**
         * Name of the file.
         */
        fileName: string;
        /**
         * Content of the file.
         */
        content: string | ArrayBuffer;
    }[];
}
export interface AddIssueAttachmentsResponseOK extends Array<AttachmentAsResponse> {
}
export declare type AddIssueAttachmentsResponseError = undefined;
export interface GetIssueAttachmentContentRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the attachment.
     */
    id: string;
    /**
     * Whether a redirect is provided for the attachment download. Clients that do not automatically follow redirects can set this to `false` to avoid making multiple requests to download the attachment.
     */
    redirect?: boolean;
}
export declare type GetIssueAttachmentContentResponseOK = string | ArrayBuffer;
export declare type GetIssueAttachmentContentResponseError = undefined;
//# sourceMappingURL=attachment.d.ts.map