/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PropertyKeysAsResponse } from "../../../definitions/PropertyKeysAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { EntityPropertyAsResponse } from "../../../definitions/EntityPropertyAsResponse";
export interface GetIssueCommentPropertyKeysRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the comment.
     */
    commentId: string;
}
declare type GetIssueCommentPropertyKeysResponseOKType = PropertyKeysAsResponse;
export interface GetIssueCommentPropertyKeysResponseOK extends GetIssueCommentPropertyKeysResponseOKType {
}
export declare type GetIssueCommentPropertyKeysResponseError = undefined;
export interface GetIssueCommentPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the comment.
     */
    commentId: string;
    /**
     * The key of the property.
     */
    propertyKey: string;
}
declare type GetIssueCommentPropertyResponseOKType = EntityPropertyAsResponse;
export interface GetIssueCommentPropertyResponseOK extends GetIssueCommentPropertyResponseOKType {
}
export declare type GetIssueCommentPropertyResponseError = undefined;
export interface SetIssueCommentPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the comment.
     */
    commentId: string;
    /**
     * The key of the property. The maximum length is 255 characters.
     */
    propertyKey: string;
    body: any;
}
export declare type SetIssueCommentPropertyResponseOK = any | any;
export declare type SetIssueCommentPropertyResponseError = undefined;
export interface DeleteIssueCommentPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the comment.
     */
    commentId: string;
    /**
     * The key of the property.
     */
    propertyKey: string;
}
export declare type DeleteIssueCommentPropertyResponseOK = undefined;
export declare type DeleteIssueCommentPropertyResponseError = undefined;
export {};
//# sourceMappingURL=property.d.ts.map