/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { FieldConfigurationDetails } from "../../../definitions/FieldConfigurationDetails";
import { FieldConfigurationAsResponse } from "../../../definitions/FieldConfigurationAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { PageBeanFieldConfigurationDetailsAsResponse } from "../../../definitions/PageBeanFieldConfigurationDetailsAsResponse";
import { PageBeanFieldConfigurationItemAsResponse } from "../../../definitions/PageBeanFieldConfigurationItemAsResponse";
import { PageBeanFieldConfigurationIssueTypeItemAsResponse } from "../../../definitions/PageBeanFieldConfigurationIssueTypeItemAsResponse";
import { PageBeanFieldConfigurationSchemeAsResponse } from "../../../definitions/PageBeanFieldConfigurationSchemeAsResponse";
export interface CreateIssueFieldConfigurationRequest extends HeadersOption, ErrorStrategyOption {
    body: FieldConfigurationDetails;
}
declare type CreateIssueFieldConfigurationResponseOKType = FieldConfigurationAsResponse;
export interface CreateIssueFieldConfigurationResponseOK extends CreateIssueFieldConfigurationResponseOKType {
}
export declare type CreateIssueFieldConfigurationResponseError = undefined;
export interface GetIssueFieldConfigurationsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The index of the first item to return in a page of results (page offset).
     */
    startAt?: number;
    /**
     * The maximum number of items to return per page.
     */
    maxResults?: number;
    /**
     * The list of field configuration IDs. To include multiple IDs, provide an ampersand-separated list. For example, `id=10000&id=10001`.
     */
    id?: Array<number>;
    /**
     * If *true* returns default field configurations only.
     */
    isDefault?: boolean;
    /**
     * The query string used to match against field configuration names and descriptions.
     */
    query?: string;
}
declare type GetIssueFieldConfigurationsResponseOKType = PageBeanFieldConfigurationDetailsAsResponse;
export interface GetIssueFieldConfigurationsResponseOK extends GetIssueFieldConfigurationsResponseOKType {
}
export declare type GetIssueFieldConfigurationsResponseError = undefined;
export interface UpdateIssueFieldConfigurationRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the field configuration.
     */
    id: number;
    body: FieldConfigurationDetails;
}
export declare type UpdateIssueFieldConfigurationResponseOK = any;
export declare type UpdateIssueFieldConfigurationResponseError = undefined;
export interface DeleteIssueFieldConfigurationRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the field configuration.
     */
    id: number;
}
export declare type DeleteIssueFieldConfigurationResponseOK = any;
export declare type DeleteIssueFieldConfigurationResponseError = undefined;
export interface GetIssueFieldConfigurationItemsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the field configuration.
     */
    id: number;
    /**
     * The index of the first item to return in a page of results (page offset).
     */
    startAt?: number;
    /**
     * The maximum number of items to return per page.
     */
    maxResults?: number;
}
declare type GetIssueFieldConfigurationItemsResponseOKType = PageBeanFieldConfigurationItemAsResponse;
export interface GetIssueFieldConfigurationItemsResponseOK extends GetIssueFieldConfigurationItemsResponseOKType {
}
export declare type GetIssueFieldConfigurationItemsResponseError = undefined;
export interface GetIssueFieldConfigurationIssueTypeItemsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The index of the first item to return in a page of results (page offset).
     */
    startAt?: number;
    /**
     * The maximum number of items to return per page.
     */
    maxResults?: number;
    /**
     * The list of field configuration scheme IDs. To include multiple field configuration schemes separate IDs with ampersand: `fieldConfigurationSchemeId=10000&fieldConfigurationSchemeId=10001`.
     */
    fieldConfigurationSchemeId?: Array<number>;
}
declare type GetIssueFieldConfigurationIssueTypeItemsResponseOKType = PageBeanFieldConfigurationIssueTypeItemAsResponse;
export interface GetIssueFieldConfigurationIssueTypeItemsResponseOK extends GetIssueFieldConfigurationIssueTypeItemsResponseOKType {
}
export declare type GetIssueFieldConfigurationIssueTypeItemsResponseError = undefined;
export interface GetIssueFieldConfigurationSchemesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The index of the first item to return in a page of results (page offset).
     */
    startAt?: number;
    /**
     * The maximum number of items to return per page.
     */
    maxResults?: number;
    /**
     * The list of field configuration scheme IDs. To include multiple IDs, provide an ampersand-separated list. For example, `id=10000&id=10001`.
     */
    id?: Array<number>;
}
declare type GetIssueFieldConfigurationSchemesResponseOKType = PageBeanFieldConfigurationSchemeAsResponse;
export interface GetIssueFieldConfigurationSchemesResponseOK extends GetIssueFieldConfigurationSchemesResponseOKType {
}
export declare type GetIssueFieldConfigurationSchemesResponseError = undefined;
export {};
//# sourceMappingURL=configuration.d.ts.map