/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PageBeanFieldConfigurationSchemeProjectsAsResponse } from "../../../../definitions/PageBeanFieldConfigurationSchemeProjectsAsResponse";
import { ErrorStrategyOption } from "../../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { FieldConfigurationSchemeProjectAssociation } from "../../../../definitions/FieldConfigurationSchemeProjectAssociation";
export interface GetIssueFieldConfigurationSchemesForProjectsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The index of the first item to return in a page of results (page offset).
     */
    startAt?: number;
    /**
     * The maximum number of items to return per page.
     */
    maxResults?: number;
    /**
     * The list of project IDs. To include multiple projects, separate IDs with ampersand: `projectId=10000&projectId=10001`.
     */
    projectId: Array<number>;
}
declare type GetIssueFieldConfigurationSchemesForProjectsResponseOKType = PageBeanFieldConfigurationSchemeProjectsAsResponse;
export interface GetIssueFieldConfigurationSchemesForProjectsResponseOK extends GetIssueFieldConfigurationSchemesForProjectsResponseOKType {
}
export declare type GetIssueFieldConfigurationSchemesForProjectsResponseError = undefined;
export interface AssignIssueFieldConfigurationSchemeToProjectRequest extends HeadersOption, ErrorStrategyOption {
    body: FieldConfigurationSchemeProjectAssociation;
}
export declare type AssignIssueFieldConfigurationSchemeToProjectResponseOK = any;
export declare type AssignIssueFieldConfigurationSchemeToProjectResponseError = undefined;
export {};
//# sourceMappingURL=scheme.d.ts.map