/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { CustomFieldDefinitionJsonBean } from "../../../definitions/CustomFieldDefinitionJsonBean";
import { FieldDetailsAsResponse } from "../../../definitions/FieldDetailsAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { TaskProgressBeanObjectAsResponse } from "../../../definitions/TaskProgressBeanObjectAsResponse";
import { ErrorCollectionAsResponse } from "../../../definitions/ErrorCollectionAsResponse";
import { UpdateCustomFieldDetails } from "../../../definitions/UpdateCustomFieldDetails";
export interface CreateIssueCustomFieldRequest extends HeadersOption, ErrorStrategyOption {
    body: CustomFieldDefinitionJsonBean;
}
declare type CreateIssueCustomFieldResponseOKType = FieldDetailsAsResponse;
export interface CreateIssueCustomFieldResponseOK extends CreateIssueCustomFieldResponseOKType {
}
export declare type CreateIssueCustomFieldResponseError = undefined;
export interface DeleteIssueCustomFieldRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of a custom field.
     */
    id: string;
}
export declare type DeleteIssueCustomFieldResponseOK = undefined;
declare type DeleteIssueCustomFieldResponseErrorType = TaskProgressBeanObjectAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse;
export interface DeleteIssueCustomFieldResponseError extends DeleteIssueCustomFieldResponseErrorType {
}
export interface RestoreIssueCustomFieldRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of a custom field.
     */
    id: string;
}
export declare type RestoreIssueCustomFieldResponseOK = any;
declare type RestoreIssueCustomFieldResponseErrorType = ErrorCollectionAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse;
export interface RestoreIssueCustomFieldResponseError extends RestoreIssueCustomFieldResponseErrorType {
}
export interface MoveIssueCustomFieldToTrashRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of a custom field.
     */
    id: string;
}
export declare type MoveIssueCustomFieldToTrashResponseOK = any;
declare type MoveIssueCustomFieldToTrashResponseErrorType = ErrorCollectionAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse;
export interface MoveIssueCustomFieldToTrashResponseError extends MoveIssueCustomFieldToTrashResponseErrorType {
}
export interface UpdateIssueCustomFieldRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the custom field.
     */
    fieldId: string;
    body: UpdateCustomFieldDetails;
}
export declare type UpdateIssueCustomFieldResponseOK = any;
export declare type UpdateIssueCustomFieldResponseError = undefined;
export {};
//# sourceMappingURL=custom.d.ts.map