/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PageBeanCustomFieldContextOptionAsResponse } from "../../../../../definitions/PageBeanCustomFieldContextOptionAsResponse";
import { ErrorStrategyOption } from "../../../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { BulkCustomFieldOptionCreateRequest } from "../../../../../definitions/BulkCustomFieldOptionCreateRequest";
import { CustomFieldCreatedContextOptionsListAsResponse } from "../../../../../definitions/CustomFieldCreatedContextOptionsListAsResponse";
import { BulkCustomFieldOptionUpdateRequest } from "../../../../../definitions/BulkCustomFieldOptionUpdateRequest";
import { CustomFieldUpdatedContextOptionsListAsResponse } from "../../../../../definitions/CustomFieldUpdatedContextOptionsListAsResponse";
import { OrderOfCustomFieldOptions } from "../../../../../definitions/OrderOfCustomFieldOptions";
export interface GetIssueCustomFieldContextOptionsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the custom field.
     */
    fieldId: string;
    /**
     * The ID of the context.
     */
    contextId: number;
    /**
     * The ID of the option.
     */
    optionId?: number;
    /**
     * Whether only options are returned.
     */
    onlyOptions?: boolean;
    /**
     * The index of the first item to return in a page of results (page offset).
     */
    startAt?: number;
    /**
     * The maximum number of items to return per page.
     */
    maxResults?: number;
}
declare type GetIssueCustomFieldContextOptionsResponseOKType = PageBeanCustomFieldContextOptionAsResponse;
export interface GetIssueCustomFieldContextOptionsResponseOK extends GetIssueCustomFieldContextOptionsResponseOKType {
}
export declare type GetIssueCustomFieldContextOptionsResponseError = undefined;
export interface CreateIssueCustomFieldContextOptionsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the custom field.
     */
    fieldId: string;
    /**
     * The ID of the context.
     */
    contextId: number;
    body: BulkCustomFieldOptionCreateRequest;
}
declare type CreateIssueCustomFieldContextOptionsResponseOKType = CustomFieldCreatedContextOptionsListAsResponse;
export interface CreateIssueCustomFieldContextOptionsResponseOK extends CreateIssueCustomFieldContextOptionsResponseOKType {
}
export declare type CreateIssueCustomFieldContextOptionsResponseError = undefined;
export interface UpdateIssueCustomFieldContextOptionsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the custom field.
     */
    fieldId: string;
    /**
     * The ID of the context.
     */
    contextId: number;
    body: BulkCustomFieldOptionUpdateRequest;
}
declare type UpdateIssueCustomFieldContextOptionsResponseOKType = CustomFieldUpdatedContextOptionsListAsResponse;
export interface UpdateIssueCustomFieldContextOptionsResponseOK extends UpdateIssueCustomFieldContextOptionsResponseOKType {
}
export declare type UpdateIssueCustomFieldContextOptionsResponseError = undefined;
export interface ReorderIssueCustomFieldContextOptionsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the custom field.
     */
    fieldId: string;
    /**
     * The ID of the context.
     */
    contextId: number;
    body: OrderOfCustomFieldOptions;
}
export declare type ReorderIssueCustomFieldContextOptionsResponseOK = any;
export declare type ReorderIssueCustomFieldContextOptionsResponseError = undefined;
export interface DeleteIssueCustomFieldContextOptionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the custom field.
     */
    fieldId: string;
    /**
     * The ID of the context from which an option should be deleted.
     */
    contextId: number;
    /**
     * The ID of the option to delete.
     */
    optionId: number;
}
export declare type DeleteIssueCustomFieldContextOptionResponseOK = undefined;
export declare type DeleteIssueCustomFieldContextOptionResponseError = undefined;
export {};
//# sourceMappingURL=option.d.ts.map