/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { LinkIssueRequestJsonBean } from "../../definitions/LinkIssueRequestJsonBean";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { IssueLinkAsResponse } from "../../definitions/IssueLinkAsResponse";
export interface CreateIssueLinkRequest extends HeadersOption, ErrorStrategyOption {
    body: LinkIssueRequestJsonBean;
}
export declare type CreateIssueLinkResponseOK = any;
export declare type CreateIssueLinkResponseError = undefined;
export interface GetIssueLinkRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue link.
     */
    linkId: string;
}
declare type GetIssueLinkResponseOKType = IssueLinkAsResponse;
export interface GetIssueLinkResponseOK extends GetIssueLinkResponseOKType {
}
export declare type GetIssueLinkResponseError = undefined;
export interface DeleteIssueLinkRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue link.
     */
    linkId: string;
}
export declare type DeleteIssueLinkResponseOK = undefined;
export declare type DeleteIssueLinkResponseError = undefined;
export {};
//# sourceMappingURL=link.d.ts.map