/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { RemoteIssueLinkAsResponse } from "../../../definitions/RemoteIssueLinkAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { RemoteIssueLinkRequest } from "../../../definitions/RemoteIssueLinkRequest";
import { RemoteIssueLinkIdentifiesAsResponse } from "../../../definitions/RemoteIssueLinkIdentifiesAsResponse";
export interface GetRemoteIssueLinksRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
    /**
     * The global ID of the remote issue link.
     */
    globalId?: string;
}
declare type GetRemoteIssueLinksResponseOKType = RemoteIssueLinkAsResponse;
export interface GetRemoteIssueLinksResponseOK extends GetRemoteIssueLinksResponseOKType {
}
export declare type GetRemoteIssueLinksResponseError = undefined;
export interface CreateOrUpdateRemoteIssueLinkRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
    body: RemoteIssueLinkRequest;
}
declare type CreateOrUpdateRemoteIssueLinkResponseOKType = RemoteIssueLinkIdentifiesAsResponse & RemoteIssueLinkIdentifiesAsResponse;
export interface CreateOrUpdateRemoteIssueLinkResponseOK extends CreateOrUpdateRemoteIssueLinkResponseOKType {
}
export declare type CreateOrUpdateRemoteIssueLinkResponseError = undefined;
export interface DeleteRemoteIssueLinkByGlobalIdRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
    /**
     * The global ID of a remote issue link.
     */
    globalId: string;
}
export declare type DeleteRemoteIssueLinkByGlobalIdResponseOK = undefined;
export declare type DeleteRemoteIssueLinkByGlobalIdResponseError = undefined;
export interface GetRemoteIssueLinkRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
    /**
     * The ID of the remote issue link.
     */
    linkId: string;
}
declare type GetRemoteIssueLinkResponseOKType = RemoteIssueLinkAsResponse;
export interface GetRemoteIssueLinkResponseOK extends GetRemoteIssueLinkResponseOKType {
}
export declare type GetRemoteIssueLinkResponseError = undefined;
export interface UpdateRemoteIssueLinkRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
    /**
     * The ID of the remote issue link.
     */
    linkId: string;
    body: RemoteIssueLinkRequest;
}
export declare type UpdateRemoteIssueLinkResponseOK = any;
export declare type UpdateRemoteIssueLinkResponseError = undefined;
export interface DeleteRemoteIssueLinkRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
    /**
     * The ID of a remote issue link.
     */
    linkId: string;
}
export declare type DeleteRemoteIssueLinkResponseOK = undefined;
export declare type DeleteRemoteIssueLinkResponseError = undefined;
export {};
//# sourceMappingURL=remote.d.ts.map