/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { IssueLinkTypesAsResponse } from "../../../definitions/IssueLinkTypesAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { IssueLinkTypeAsResponse } from "../../../definitions/IssueLinkTypeAsResponse";
import { IssueLinkType } from "../../../definitions/IssueLinkType";
export interface GetIssueLinkTypesRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetIssueLinkTypesResponseOKType = IssueLinkTypesAsResponse;
export interface GetIssueLinkTypesResponseOK extends GetIssueLinkTypesResponseOKType {
}
export declare type GetIssueLinkTypesResponseError = undefined;
export interface CreateIssueLinkTypeRequest extends HeadersOption, ErrorStrategyOption {
    body: {
        /**
    * The ID of the issue link type and is used as follows:
    
     *  In the [ issueLink](#api-rest-api-3-issueLink-post) resource it is the type of issue link. Required on create when `name` isn't provided. Otherwise, read only.
     *  In the [ issueLinkType](#api-rest-api-3-issueLinkType-post) resource it is read only.
    */
        id?: string;
        /**
    * The description of the issue link type inward link and is used as follows:
    
     *  In the [ issueLink](#api-rest-api-3-issueLink-post) resource it is read only.
     *  In the [ issueLinkType](#api-rest-api-3-issueLinkType-post) resource it is required on create and optional on update. Otherwise, read only.
    */
        inward: string;
        /**
    * The name of the issue link type and is used as follows:
    
     *  In the [ issueLink](#api-rest-api-3-issueLink-post) resource it is the type of issue link. Required on create when `id` isn't provided. Otherwise, read only.
     *  In the [ issueLinkType](#api-rest-api-3-issueLinkType-post) resource it is required on create and optional on update. Otherwise, read only.
    */
        name: string;
        /**
    * The description of the issue link type outward link and is used as follows:
    
     *  In the [ issueLink](#api-rest-api-3-issueLink-post) resource it is read only.
     *  In the [ issueLinkType](#api-rest-api-3-issueLinkType-post) resource it is required on create and optional on update. Otherwise, read only.
    */
        outward: string;
    };
}
declare type CreateIssueLinkTypeResponseOKType = IssueLinkTypeAsResponse;
export interface CreateIssueLinkTypeResponseOK extends CreateIssueLinkTypeResponseOKType {
}
export declare type CreateIssueLinkTypeResponseError = undefined;
export interface GetIssueLinkTypeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue link type.
     */
    issueLinkTypeId: string;
}
declare type GetIssueLinkTypeResponseOKType = IssueLinkTypeAsResponse;
export interface GetIssueLinkTypeResponseOK extends GetIssueLinkTypeResponseOKType {
}
export declare type GetIssueLinkTypeResponseError = undefined;
export interface UpdateIssueLinkTypeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue link type.
     */
    issueLinkTypeId: string;
    body: IssueLinkType;
}
declare type UpdateIssueLinkTypeResponseOKType = IssueLinkTypeAsResponse;
export interface UpdateIssueLinkTypeResponseOK extends UpdateIssueLinkTypeResponseOKType {
}
export declare type UpdateIssueLinkTypeResponseError = undefined;
export interface DeleteIssueLinkTypeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue link type.
     */
    issueLinkTypeId: string;
}
export declare type DeleteIssueLinkTypeResponseOK = undefined;
export declare type DeleteIssueLinkTypeResponseError = undefined;
export {};
//# sourceMappingURL=type.d.ts.map