/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PageBeanNotificationSchemeAsResponse } from "../../../definitions/PageBeanNotificationSchemeAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { NotificationSchemeAsResponse } from "../../../definitions/NotificationSchemeAsResponse";
export interface GetIssueNotificationSchemesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The index of the first item to return in a page of results (page offset).
     */
    startAt?: string;
    /**
     * The maximum number of items to return per page.
     */
    maxResults?: string;
    /**
     * The list of notification schemes IDs to be filtered by
     */
    id?: Array<string>;
    /**
     * The list of projects IDs to be filtered by
     */
    projectId?: Array<string>;
    /**
     * When set to true, returns only the default notification scheme. If you provide project IDs not associated with the default, returns an empty page. The default value is false.
     */
    onlyDefault?: boolean;
    /**
  * Use [expand](#expansion) to include additional information in the response. This parameter accepts a comma-separated list. Expand options include:
  
   *  `all` Returns all expandable information
   *  `field` Returns information about any custom fields assigned to receive an event
   *  `group` Returns information about any groups assigned to receive an event
   *  `notificationSchemeEvents` Returns a list of event associations. This list is returned for all expandable information
   *  `projectRole` Returns information about any project roles assigned to receive an event
   *  `user` Returns information about any users assigned to receive an event
  */
    expand?: string;
}
declare type GetIssueNotificationSchemesResponseOKType = PageBeanNotificationSchemeAsResponse;
export interface GetIssueNotificationSchemesResponseOK extends GetIssueNotificationSchemesResponseOKType {
}
export declare type GetIssueNotificationSchemesResponseError = undefined;
export interface GetIssueNotificationSchemeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the notification scheme. Use [Get notification schemes paginated](#api-rest-api-3-notificationscheme-get) to get a list of notification scheme IDs.
     */
    id: number;
    /**
  * Use [expand](#expansion) to include additional information in the response. This parameter accepts a comma-separated list. Expand options include:
  
   *  `all` Returns all expandable information
   *  `field` Returns information about any custom fields assigned to receive an event
   *  `group` Returns information about any groups assigned to receive an event
   *  `notificationSchemeEvents` Returns a list of event associations. This list is returned for all expandable information
   *  `projectRole` Returns information about any project roles assigned to receive an event
   *  `user` Returns information about any users assigned to receive an event
  */
    expand?: string;
}
declare type GetIssueNotificationSchemeResponseOKType = NotificationSchemeAsResponse;
export interface GetIssueNotificationSchemeResponseOK extends GetIssueNotificationSchemeResponseOKType {
}
export declare type GetIssueNotificationSchemeResponseError = undefined;
export {};
//# sourceMappingURL=scheme.d.ts.map