/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PageBeanPriorityAsResponse } from "../../definitions/PageBeanPriorityAsResponse";
import { ErrorCollectionAsResponse } from "../../definitions/ErrorCollectionAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { PriorityAsResponse } from "../../definitions/PriorityAsResponse";
export interface SearchIssuePrioritiesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The index of the first item to return in a page of results (page offset).
     */
    startAt?: string;
    /**
     * The maximum number of items to return per page.
     */
    maxResults?: string;
    /**
     * The list of priority IDs. To include multiple IDs, provide an ampersand-separated list. For example, `id=2&id=3`.
     */
    id?: Array<string>;
    /**
     * The list of projects IDs. To include multiple IDs, provide an ampersand-separated list. For example, `projectId=10010&projectId=10111`.
     */
    projectId?: Array<string>;
    /**
     * The name of priority to search for.
     */
    priorityName?: string;
    /**
     * Whether only the default priority is returned.
     */
    onlyDefault?: boolean;
    /**
     * Use `schemes` to return the associated priority schemes for each priority. Limited to returning first 15 priority schemes per priority.
     */
    expand?: string;
}
declare type SearchIssuePrioritiesResponseOKType = PageBeanPriorityAsResponse;
export interface SearchIssuePrioritiesResponseOK extends SearchIssuePrioritiesResponseOKType {
}
declare type SearchIssuePrioritiesResponseErrorType = ErrorCollectionAsResponse;
export interface SearchIssuePrioritiesResponseError extends SearchIssuePrioritiesResponseErrorType {
}
export interface GetIssuePrioritiesRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetIssuePrioritiesResponseOKType = Array<PriorityAsResponse>;
export interface GetIssuePrioritiesResponseOK extends GetIssuePrioritiesResponseOKType {
}
export declare type GetIssuePrioritiesResponseError = undefined;
export interface GetIssuePriorityRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue priority.
     */
    id: string;
}
declare type GetIssuePriorityResponseOKType = PriorityAsResponse;
export interface GetIssuePriorityResponseOK extends GetIssuePriorityResponseOKType {
}
export declare type GetIssuePriorityResponseError = undefined;
export {};
//# sourceMappingURL=priority.d.ts.map