/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PropertyKeysAsResponse } from "../../definitions/PropertyKeysAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { EntityPropertyAsResponse } from "../../definitions/EntityPropertyAsResponse";
export interface GetIssuePropertyKeysRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key or ID of the issue.
     */
    issueIdOrKey: string;
}
declare type GetIssuePropertyKeysResponseOKType = PropertyKeysAsResponse;
export interface GetIssuePropertyKeysResponseOK extends GetIssuePropertyKeysResponseOKType {
}
export declare type GetIssuePropertyKeysResponseError = undefined;
export interface GetIssuePropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key or ID of the issue.
     */
    issueIdOrKey: string;
    /**
     * The key of the property.
     */
    propertyKey: string;
}
declare type GetIssuePropertyResponseOKType = EntityPropertyAsResponse;
export interface GetIssuePropertyResponseOK extends GetIssuePropertyResponseOKType {
}
export declare type GetIssuePropertyResponseError = undefined;
export interface SetIssuePropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
    /**
     * The key of the issue property. The maximum length is 255 characters.
     */
    propertyKey: string;
    body: any;
}
export declare type SetIssuePropertyResponseOK = any | any;
export declare type SetIssuePropertyResponseError = undefined;
export interface DeleteIssuePropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key or ID of the issue.
     */
    issueIdOrKey: string;
    /**
     * The key of the property.
     */
    propertyKey: string;
}
export declare type DeleteIssuePropertyResponseOK = undefined;
export declare type DeleteIssuePropertyResponseError = undefined;
export {};
//# sourceMappingURL=property.d.ts.map