/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { IssueTypeDetailsAsResponse } from "../../definitions/IssueTypeDetailsAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { IssueTypeCreateBean } from "../../definitions/IssueTypeCreateBean";
import { IssueTypeUpdateBean } from "../../definitions/IssueTypeUpdateBean";
import { AvatarAsResponse } from "../../definitions/AvatarAsResponse";
export interface GetIssueTypesForUserRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetIssueTypesForUserResponseOKType = Array<IssueTypeDetailsAsResponse>;
export interface GetIssueTypesForUserResponseOK extends GetIssueTypesForUserResponseOKType {
}
export declare type GetIssueTypesForUserResponseError = undefined;
export interface CreateIssueTypeRequest extends HeadersOption, ErrorStrategyOption {
    body: IssueTypeCreateBean;
}
declare type CreateIssueTypeResponseOKType = IssueTypeDetailsAsResponse;
export interface CreateIssueTypeResponseOK extends CreateIssueTypeResponseOKType {
}
export declare type CreateIssueTypeResponseError = undefined;
export interface GetIssueTypesForProjectRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the project.
     */
    projectId: number;
    /**
  * The level of the issue type to filter by. Use:
  
   *  `-1` for Subtask.
   *  `0` for Base.
   *  `1` for Epic.
  */
    level?: number;
}
declare type GetIssueTypesForProjectResponseOKType = Array<IssueTypeDetailsAsResponse>;
export interface GetIssueTypesForProjectResponseOK extends GetIssueTypesForProjectResponseOKType {
}
export declare type GetIssueTypesForProjectResponseError = undefined;
export interface GetIssueTypeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue type.
     */
    id: string;
}
declare type GetIssueTypeResponseOKType = IssueTypeDetailsAsResponse;
export interface GetIssueTypeResponseOK extends GetIssueTypeResponseOKType {
}
export declare type GetIssueTypeResponseError = undefined;
export interface UpdateIssueTypeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue type.
     */
    id: string;
    body: IssueTypeUpdateBean;
}
declare type UpdateIssueTypeResponseOKType = IssueTypeDetailsAsResponse;
export interface UpdateIssueTypeResponseOK extends UpdateIssueTypeResponseOKType {
}
export declare type UpdateIssueTypeResponseError = undefined;
export interface DeleteIssueTypeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue type.
     */
    id: string;
    /**
     * The ID of the replacement issue type.
     */
    alternativeIssueTypeId?: string;
}
export declare type DeleteIssueTypeResponseOK = undefined;
export declare type DeleteIssueTypeResponseError = undefined;
export interface GetAlternativeIssueTypesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue type.
     */
    id: string;
}
declare type GetAlternativeIssueTypesResponseOKType = Array<IssueTypeDetailsAsResponse>;
export interface GetAlternativeIssueTypesResponseOK extends GetAlternativeIssueTypesResponseOKType {
}
export declare type GetAlternativeIssueTypesResponseError = undefined;
export interface LoadIssueTypeAvatarRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue type.
     */
    id: string;
    /**
     * The X coordinate of the top-left corner of the crop region.
     */
    x?: number;
    /**
     * The Y coordinate of the top-left corner of the crop region.
     */
    y?: number;
    /**
     * The length of each side of the crop region.
     */
    size: number;
    body: {
        /**
         * Valid image types are JPEG, GIF, or PNG.
         */
        filetype: string;
        /**
         * File's content.
         */
        content: ArrayBuffer;
    };
}
export interface LoadIssueTypeAvatarResponseOK extends AvatarAsResponse {
}
export declare type LoadIssueTypeAvatarResponseError = undefined;
export {};
//# sourceMappingURL=type.d.ts.map