/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PropertyKeysAsResponse } from "../../../definitions/PropertyKeysAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { EntityPropertyAsResponse } from "../../../definitions/EntityPropertyAsResponse";
export interface GetIssueTypePropertyKeysRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue type.
     */
    issueTypeId: string;
}
declare type GetIssueTypePropertyKeysResponseOKType = PropertyKeysAsResponse;
export interface GetIssueTypePropertyKeysResponseOK extends GetIssueTypePropertyKeysResponseOKType {
}
export declare type GetIssueTypePropertyKeysResponseError = undefined;
export interface GetIssueTypePropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue type.
     */
    issueTypeId: string;
    /**
     * The key of the property. Use [Get issue type property keys](#api-rest-api-3-issuetype-issueTypeId-properties-get) to get a list of all issue type property keys.
     */
    propertyKey: string;
}
declare type GetIssueTypePropertyResponseOKType = EntityPropertyAsResponse;
export interface GetIssueTypePropertyResponseOK extends GetIssueTypePropertyResponseOKType {
}
export declare type GetIssueTypePropertyResponseError = undefined;
export interface SetIssueTypePropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue type.
     */
    issueTypeId: string;
    /**
     * The key of the issue type property. The maximum length is 255 characters.
     */
    propertyKey: string;
    body: any;
}
export declare type SetIssueTypePropertyResponseOK = any | any;
export declare type SetIssueTypePropertyResponseError = undefined;
export interface DeleteIssueTypePropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue type.
     */
    issueTypeId: string;
    /**
     * The key of the property. Use [Get issue type property keys](#api-rest-api-3-issuetype-issueTypeId-properties-get) to get a list of all issue type property keys.
     */
    propertyKey: string;
}
export declare type DeleteIssueTypePropertyResponseOK = undefined;
export declare type DeleteIssueTypePropertyResponseError = undefined;
export {};
//# sourceMappingURL=property.d.ts.map