/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { WatchersAsResponse } from "../../definitions/WatchersAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetIssueWatchersRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
}
declare type GetIssueWatchersResponseOKType = WatchersAsResponse;
export interface GetIssueWatchersResponseOK extends GetIssueWatchersResponseOKType {
}
export declare type GetIssueWatchersResponseError = undefined;
export interface AddIssueWatcherRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
    body: string;
}
export declare type AddIssueWatcherResponseOK = any;
export declare type AddIssueWatcherResponseError = undefined;
export interface DeleteIssueWatcherRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
    /**
     * The account ID of the user, which uniquely identifies the user across all Atlassian products. For example, *5b10ac8d82e05b22cc7d4ef5*. Required.
     */
    accountId: string;
}
export declare type DeleteIssueWatcherResponseOK = undefined;
export declare type DeleteIssueWatcherResponseError = undefined;
export {};
//# sourceMappingURL=watcher.d.ts.map