/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PropertyKeysAsResponse } from "../../../definitions/PropertyKeysAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { EntityPropertyAsResponse } from "../../../definitions/EntityPropertyAsResponse";
export interface GetWorklogPropertyKeysRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
    /**
     * The ID of the worklog.
     */
    worklogId: string;
}
declare type GetWorklogPropertyKeysResponseOKType = PropertyKeysAsResponse;
export interface GetWorklogPropertyKeysResponseOK extends GetWorklogPropertyKeysResponseOKType {
}
export declare type GetWorklogPropertyKeysResponseError = undefined;
export interface GetWorklogPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
    /**
     * The ID of the worklog.
     */
    worklogId: string;
    /**
     * The key of the property.
     */
    propertyKey: string;
}
declare type GetWorklogPropertyResponseOKType = EntityPropertyAsResponse;
export interface GetWorklogPropertyResponseOK extends GetWorklogPropertyResponseOKType {
}
export declare type GetWorklogPropertyResponseError = undefined;
export interface SetWorklogPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
    /**
     * The ID of the worklog.
     */
    worklogId: string;
    /**
     * The key of the issue property. The maximum length is 255 characters.
     */
    propertyKey: string;
    body: any;
}
export declare type SetWorklogPropertyResponseOK = any | any;
export declare type SetWorklogPropertyResponseError = undefined;
export interface DeleteWorklogPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
    /**
     * The ID of the worklog.
     */
    worklogId: string;
    /**
     * The key of the property.
     */
    propertyKey: string;
}
export declare type DeleteWorklogPropertyResponseOK = undefined;
export declare type DeleteWorklogPropertyResponseError = undefined;
export {};
//# sourceMappingURL=property.d.ts.map