/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { JqlQueriesToParse } from "../definitions/JqlQueriesToParse";
import { ParsedJqlQueriesAsResponse } from "../definitions/ParsedJqlQueriesAsResponse";
import { ErrorCollectionAsResponse } from "../definitions/ErrorCollectionAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { JQLPersonalDataMigrationRequest } from "../definitions/JQLPersonalDataMigrationRequest";
import { ConvertedJQLQueriesAsResponse } from "../definitions/ConvertedJQLQueriesAsResponse";
import { JQLReferenceDataAsResponse } from "../definitions/JQLReferenceDataAsResponse";
export interface ParseJqlQueryRequest extends HeadersOption, ErrorStrategyOption {
    /**
  * How to validate the JQL query and treat the validation results. Validation options include:
  
   *  `strict` Returns all errors. If validation fails, the query structure is not returned.
   *  `warn` Returns all errors. If validation fails but the JQL query is correctly formed, the query structure is returned.
   *  `none` No validation is performed. If JQL query is correctly formed, the query structure is returned.
  */
    validation: "strict" | "warn" | "none";
    body: JqlQueriesToParse;
}
declare type ParseJqlQueryResponseOKType = ParsedJqlQueriesAsResponse;
export interface ParseJqlQueryResponseOK extends ParseJqlQueryResponseOKType {
}
declare type ParseJqlQueryResponseErrorType = ErrorCollectionAsResponse;
export interface ParseJqlQueryResponseError extends ParseJqlQueryResponseErrorType {
}
export interface ConvertUserIdentifiersToAccountIdsInJqlQueriesRequest extends HeadersOption, ErrorStrategyOption {
    body: JQLPersonalDataMigrationRequest;
}
declare type ConvertUserIdentifiersToAccountIdsInJqlQueriesResponseOKType = ConvertedJQLQueriesAsResponse;
export interface ConvertUserIdentifiersToAccountIdsInJqlQueriesResponseOK extends ConvertUserIdentifiersToAccountIdsInJqlQueriesResponseOKType {
}
export declare type ConvertUserIdentifiersToAccountIdsInJqlQueriesResponseError = string | string;
export interface GetReferenceDataForJqlRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetReferenceDataForJqlResponseOKType = JQLReferenceDataAsResponse;
export interface GetReferenceDataForJqlResponseOK extends GetReferenceDataForJqlResponseOKType {
}
export declare type GetReferenceDataForJqlResponseError = undefined;
export {};
//# sourceMappingURL=jql.d.ts.map