/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { LocaleAsResponse } from "../definitions/LocaleAsResponse";
import { UserAsResponse } from "../definitions/UserAsResponse";
export interface GetMyPreferenceRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the preference.
     */
    key: string;
}
export declare type GetMyPreferenceResponseOK = string;
export declare type GetMyPreferenceResponseError = undefined;
export interface SetMyPreferenceRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the preference. The maximum length is 255 characters.
     */
    key: string;
    body: string;
}
export declare type SetMyPreferenceResponseOK = any;
export declare type SetMyPreferenceResponseError = undefined;
export interface DeleteMyPreferenceRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the preference.
     */
    key: string;
}
export declare type DeleteMyPreferenceResponseOK = undefined;
export declare type DeleteMyPreferenceResponseError = undefined;
export interface GetMyLocaleRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetMyLocaleResponseOKType = LocaleAsResponse;
export interface GetMyLocaleResponseOK extends GetMyLocaleResponseOKType {
}
export declare type GetMyLocaleResponseError = undefined;
export interface GetCurrentUserRequest extends HeadersOption, ErrorStrategyOption {
    /**
  * Use [expand](#expansion) to include additional information about user in the response. This parameter accepts a comma-separated list. Expand options include:
  
   *  `groups` Returns all groups, including nested groups, the user belongs to.
   *  `applicationRoles` Returns the application roles the user is assigned to.
  */
    expand?: string;
}
declare type GetCurrentUserResponseOKType = UserAsResponse;
export interface GetCurrentUserResponseOK extends GetCurrentUserResponseOKType {
}
export declare type GetCurrentUserResponseError = undefined;
export {};
//# sourceMappingURL=myself.d.ts.map