/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PermissionsAsResponse } from "../definitions/PermissionsAsResponse";
import { ErrorCollectionAsResponse } from "../definitions/ErrorCollectionAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { BulkPermissionsRequestBean } from "../definitions/BulkPermissionsRequestBean";
import { BulkPermissionGrantsAsResponse } from "../definitions/BulkPermissionGrantsAsResponse";
import { PermissionsKeysBean } from "../definitions/PermissionsKeysBean";
import { PermittedProjectsAsResponse } from "../definitions/PermittedProjectsAsResponse";
export interface GetMyPermissionsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of project. Ignored if `projectId` is provided.
     */
    projectKey?: string;
    /**
     * The ID of project.
     */
    projectId?: string;
    /**
     * The key of the issue. Ignored if `issueId` is provided.
     */
    issueKey?: string;
    /**
     * The ID of the issue.
     */
    issueId?: string;
    /**
     * A list of permission keys. (Required) This parameter accepts a comma-separated list. To get the list of available permissions, use [Get all permissions](#api-rest-api-3-permissions-get).
     */
    permissions: string;
    projectUuid?: string;
    projectConfigurationUuid?: string;
    /**
     * The ID of the comment.
     */
    commentId?: string;
}
declare type GetMyPermissionsResponseOKType = PermissionsAsResponse;
export interface GetMyPermissionsResponseOK extends GetMyPermissionsResponseOKType {
}
declare type GetMyPermissionsResponseErrorType = ErrorCollectionAsResponse & ErrorCollectionAsResponse & ErrorCollectionAsResponse;
export interface GetMyPermissionsResponseError extends GetMyPermissionsResponseErrorType {
}
export interface GetPermissionsRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetPermissionsResponseOKType = PermissionsAsResponse;
export interface GetPermissionsResponseOK extends GetPermissionsResponseOKType {
}
export declare type GetPermissionsResponseError = undefined;
export interface GetBulkPermissionsRequest extends HeadersOption, ErrorStrategyOption {
    body: BulkPermissionsRequestBean;
}
declare type GetBulkPermissionsResponseOKType = BulkPermissionGrantsAsResponse;
export interface GetBulkPermissionsResponseOK extends GetBulkPermissionsResponseOKType {
}
declare type GetBulkPermissionsResponseErrorType = ErrorCollectionAsResponse & ErrorCollectionAsResponse;
export interface GetBulkPermissionsResponseError extends GetBulkPermissionsResponseErrorType {
}
export interface GetPermittedProjectsRequest extends HeadersOption, ErrorStrategyOption {
    body: PermissionsKeysBean;
}
declare type GetPermittedProjectsResponseOKType = PermittedProjectsAsResponse;
export interface GetPermittedProjectsResponseOK extends GetPermittedProjectsResponseOKType {
}
export declare type GetPermittedProjectsResponseError = undefined;
export {};
//# sourceMappingURL=permission.d.ts.map