/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { Avatar } from "../../definitions/Avatar";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { AvatarAsResponse } from "../../definitions/AvatarAsResponse";
import { ProjectAvatarsAsResponse } from "../../definitions/ProjectAvatarsAsResponse";
export interface SetProjectAvatarRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or (case-sensitive) key of the project.
     */
    projectIdOrKey: string;
    body: Avatar;
}
export declare type SetProjectAvatarResponseOK = any;
export declare type SetProjectAvatarResponseError = undefined;
export interface DeleteProjectAvatarRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project ID or (case-sensitive) key.
     */
    projectIdOrKey: string;
    /**
     * The ID of the avatar.
     */
    id: number;
}
export declare type DeleteProjectAvatarResponseOK = undefined;
export declare type DeleteProjectAvatarResponseError = undefined;
export interface LoadProjectAvatarRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or (case-sensitive) key of the project.
     */
    projectIdOrKey: string;
    /**
     * The X coordinate of the top-left corner of the crop region.
     */
    x?: number;
    /**
     * The Y coordinate of the top-left corner of the crop region.
     */
    y?: number;
    /**
     * The length of each side of the crop region.
     */
    size?: number;
    body: {
        /**
         * Valid image types are JPEG, GIF, or PNG.
         */
        filetype: "JPEG" | "GIF" | "PNG";
        /**
         * File's content.
         */
        content: ArrayBuffer;
    };
}
export interface LoadProjectAvatarResponseOK extends AvatarAsResponse {
}
export declare type LoadProjectAvatarResponseError = undefined;
export interface GetProjectAvatarsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or (case-sensitive) key of the project.
     */
    projectIdOrKey: string;
}
declare type GetProjectAvatarsResponseOKType = ProjectAvatarsAsResponse;
export interface GetProjectAvatarsResponseOK extends GetProjectAvatarsResponseOKType {
}
export declare type GetProjectAvatarsResponseError = undefined;
export {};
//# sourceMappingURL=avatar.d.ts.map