/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ProjectCategoryAsResponse } from "../../definitions/ProjectCategoryAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ProjectCategory } from "../../definitions/ProjectCategory";
import { UpdatedProjectCategoryAsResponse } from "../../definitions/UpdatedProjectCategoryAsResponse";
export interface GetProjectCategoriesRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetProjectCategoriesResponseOKType = Array<ProjectCategoryAsResponse>;
export interface GetProjectCategoriesResponseOK extends GetProjectCategoriesResponseOKType {
}
export declare type GetProjectCategoriesResponseError = undefined;
export interface CreateProjectCategoryRequest extends HeadersOption, ErrorStrategyOption {
    body: {
        /**
         * The description of the project category.
         */
        description: string;
        /**
         * The name of the project category. Required on create, optional on update.
         */
        name: string;
    };
}
declare type CreateProjectCategoryResponseOKType = ProjectCategoryAsResponse;
export interface CreateProjectCategoryResponseOK extends CreateProjectCategoryResponseOKType {
}
export declare type CreateProjectCategoryResponseError = undefined;
export interface GetProjectCategoryRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the project category.
     */
    id: number;
}
declare type GetProjectCategoryResponseOKType = ProjectCategoryAsResponse;
export interface GetProjectCategoryResponseOK extends GetProjectCategoryResponseOKType {
}
export declare type GetProjectCategoryResponseError = undefined;
export interface UpdateProjectCategoryRequest extends HeadersOption, ErrorStrategyOption {
    id: number;
    body: ProjectCategory;
}
declare type UpdateProjectCategoryResponseOKType = UpdatedProjectCategoryAsResponse;
export interface UpdateProjectCategoryResponseOK extends UpdateProjectCategoryResponseOKType {
}
export declare type UpdateProjectCategoryResponseError = undefined;
export interface DeleteProjectCategoryRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * ID of the project category to delete.
     */
    id: number;
}
export declare type DeleteProjectCategoryResponseOK = undefined;
export declare type DeleteProjectCategoryResponseError = undefined;
export {};
//# sourceMappingURL=category.d.ts.map