/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { IdBean } from "../../../definitions/IdBean";
import { PermissionSchemeAsResponse } from "../../../definitions/PermissionSchemeAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ProjectIssueSecurityLevelsAsResponse } from "../../../definitions/ProjectIssueSecurityLevelsAsResponse";
export interface AssignProjectPermissionSchemeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project ID or project key (case sensitive).
     */
    projectKeyOrId: string;
    /**
  * Use [expand](#expansion) to include additional information in the response. This parameter accepts a comma-separated list. Note that permissions are included when you specify any value. Expand options include:
  
   *  `all` Returns all expandable information.
   *  `field` Returns information about the custom field granted the permission.
   *  `group` Returns information about the group that is granted the permission.
   *  `permissions` Returns all permission grants for each permission scheme.
   *  `projectRole` Returns information about the project role granted the permission.
   *  `user` Returns information about the user who is granted the permission.
  */
    expand?: string;
    body: IdBean;
}
declare type AssignProjectPermissionSchemeResponseOKType = PermissionSchemeAsResponse;
export interface AssignProjectPermissionSchemeResponseOK extends AssignProjectPermissionSchemeResponseOKType {
}
export declare type AssignProjectPermissionSchemeResponseError = undefined;
export interface GetProjectPermissionSchemeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project ID or project key (case sensitive).
     */
    projectKeyOrId: string;
    /**
  * Use [expand](#expansion) to include additional information in the response. This parameter accepts a comma-separated list. Note that permissions are included when you specify any value. Expand options include:
  
   *  `all` Returns all expandable information.
   *  `field` Returns information about the custom field granted the permission.
   *  `group` Returns information about the group that is granted the permission.
   *  `permissions` Returns all permission grants for each permission scheme.
   *  `projectRole` Returns information about the project role granted the permission.
   *  `user` Returns information about the user who is granted the permission.
  */
    expand?: string;
}
declare type GetProjectPermissionSchemeResponseOKType = PermissionSchemeAsResponse;
export interface GetProjectPermissionSchemeResponseOK extends GetProjectPermissionSchemeResponseOKType {
}
export declare type GetProjectPermissionSchemeResponseError = undefined;
export interface GetProjectIssueSecurityLevelsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project ID or project key (case sensitive).
     */
    projectKeyOrId: string;
}
declare type GetProjectIssueSecurityLevelsResponseOKType = ProjectIssueSecurityLevelsAsResponse;
export interface GetProjectIssueSecurityLevelsResponseOK extends GetProjectIssueSecurityLevelsResponseOKType {
}
export declare type GetProjectIssueSecurityLevelsResponseError = undefined;
export {};
//# sourceMappingURL=scheme.d.ts.map