/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PropertyKeysAsResponse } from "../../definitions/PropertyKeysAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { EntityPropertyAsResponse } from "../../definitions/EntityPropertyAsResponse";
export interface GetProjectPropertyKeysRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project ID or project key (case sensitive).
     */
    projectIdOrKey: string;
}
declare type GetProjectPropertyKeysResponseOKType = PropertyKeysAsResponse;
export interface GetProjectPropertyKeysResponseOK extends GetProjectPropertyKeysResponseOKType {
}
export declare type GetProjectPropertyKeysResponseError = undefined;
export interface GetProjectPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project ID or project key (case sensitive).
     */
    projectIdOrKey: string;
    /**
     * The project property key. Use [Get project property keys](#api-rest-api-3-project-projectIdOrKey-properties-get) to get a list of all project property keys.
     */
    propertyKey: string;
}
declare type GetProjectPropertyResponseOKType = EntityPropertyAsResponse;
export interface GetProjectPropertyResponseOK extends GetProjectPropertyResponseOKType {
}
export declare type GetProjectPropertyResponseError = undefined;
export interface SetProjectPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project ID or project key (case sensitive).
     */
    projectIdOrKey: string;
    /**
     * The key of the project property. The maximum length is 255 characters.
     */
    propertyKey: string;
    body: any;
}
export declare type SetProjectPropertyResponseOK = any | any;
export declare type SetProjectPropertyResponseError = undefined;
export interface DeleteProjectPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project ID or project key (case sensitive).
     */
    projectIdOrKey: string;
    /**
     * The project property key. Use [Get project property keys](#api-rest-api-3-project-projectIdOrKey-properties-get) to get a list of all project property keys.
     */
    propertyKey: string;
}
export declare type DeleteProjectPropertyResponseOK = undefined;
export declare type DeleteProjectPropertyResponseError = undefined;
export {};
//# sourceMappingURL=property.d.ts.map