/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ProjectRoleActorsUpdateBean } from "../../../definitions/ProjectRoleActorsUpdateBean";
import { ProjectRoleAsResponse } from "../../../definitions/ProjectRoleAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ActorsMap } from "../../../definitions/ActorsMap";
export interface SetActorsForProjectRoleRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project ID or project key (case sensitive).
     */
    projectIdOrKey: string;
    /**
     * The ID of the project role. Use [Get all project roles](#api-rest-api-3-role-get) to get a list of project role IDs.
     */
    id: number;
    body: ProjectRoleActorsUpdateBean;
}
declare type SetActorsForProjectRoleResponseOKType = ProjectRoleAsResponse;
export interface SetActorsForProjectRoleResponseOK extends SetActorsForProjectRoleResponseOKType {
}
export declare type SetActorsForProjectRoleResponseError = undefined;
export interface AddActorsToProjectRoleRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project ID or project key (case sensitive).
     */
    projectIdOrKey: string;
    /**
     * The ID of the project role. Use [Get all project roles](#api-rest-api-3-role-get) to get a list of project role IDs.
     */
    id: number;
    body: ActorsMap;
}
declare type AddActorsToProjectRoleResponseOKType = ProjectRoleAsResponse;
export interface AddActorsToProjectRoleResponseOK extends AddActorsToProjectRoleResponseOKType {
}
export declare type AddActorsToProjectRoleResponseError = undefined;
export interface DeleteActorsFromProjectRoleRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project ID or project key (case sensitive).
     */
    projectIdOrKey: string;
    /**
     * The ID of the project role. Use [Get all project roles](#api-rest-api-3-role-get) to get a list of project role IDs.
     */
    id: number;
    /**
     * The user account ID of the user to remove from the project role.
     */
    user?: string;
    /**
     * The name of the group to remove from the project role. This parameter cannot be used with the `groupId` parameter. As a group's name can change, use of `groupId` is recommended.
     */
    group?: string;
    /**
     * The ID of the group to remove from the project role. This parameter cannot be used with the `group` parameter.
     */
    groupId?: string;
}
export declare type DeleteActorsFromProjectRoleResponseOK = undefined;
export declare type DeleteActorsFromProjectRoleResponseError = undefined;
export {};
//# sourceMappingURL=actor.d.ts.map