/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ProjectRoleAsResponse } from "../../../../definitions/ProjectRoleAsResponse";
import { ErrorStrategyOption } from "../../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ActorInputBean } from "../../../../definitions/ActorInputBean";
export interface GetDefaultActorsForProjectRoleRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the project role. Use [Get all project roles](#api-rest-api-3-role-get) to get a list of project role IDs.
     */
    id: number;
}
declare type GetDefaultActorsForProjectRoleResponseOKType = ProjectRoleAsResponse;
export interface GetDefaultActorsForProjectRoleResponseOK extends GetDefaultActorsForProjectRoleResponseOKType {
}
export declare type GetDefaultActorsForProjectRoleResponseError = undefined;
export interface AddDefaultActorsToProjectRoleRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the project role. Use [Get all project roles](#api-rest-api-3-role-get) to get a list of project role IDs.
     */
    id: number;
    body: ActorInputBean;
}
declare type AddDefaultActorsToProjectRoleResponseOKType = ProjectRoleAsResponse;
export interface AddDefaultActorsToProjectRoleResponseOK extends AddDefaultActorsToProjectRoleResponseOKType {
}
export declare type AddDefaultActorsToProjectRoleResponseError = undefined;
export interface DeleteDefaultActorsFromProjectRoleRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the project role. Use [Get all project roles](#api-rest-api-3-role-get) to get a list of project role IDs.
     */
    id: number;
    /**
     * The user account ID of the user to remove as a default actor.
     */
    user?: string;
    /**
     * The group ID of the group to be removed as a default actor. This parameter cannot be used with the `group` parameter.
     */
    groupId?: string;
    /**
     * The group name of the group to be removed as a default actor.This parameter cannot be used with the `groupId` parameter. As a group's name can change, use of `groupId` is recommended.
     */
    group?: string;
}
declare type DeleteDefaultActorsFromProjectRoleResponseOKType = ProjectRoleAsResponse;
export interface DeleteDefaultActorsFromProjectRoleResponseOK extends DeleteDefaultActorsFromProjectRoleResponseOKType {
}
export declare type DeleteDefaultActorsFromProjectRoleResponseError = undefined;
export {};
//# sourceMappingURL=default.d.ts.map