/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ProjectTypeAsResponse } from "../../definitions/ProjectTypeAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetProjectTypesRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetProjectTypesResponseOKType = Array<ProjectTypeAsResponse>;
export interface GetProjectTypesResponseOK extends GetProjectTypesResponseOKType {
}
export declare type GetProjectTypesResponseError = undefined;
export interface GetLicensedProjectTypesRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetLicensedProjectTypesResponseOKType = Array<ProjectTypeAsResponse>;
export interface GetLicensedProjectTypesResponseOK extends GetLicensedProjectTypesResponseOKType {
}
export declare type GetLicensedProjectTypesResponseError = undefined;
export interface GetProjectTypeByKeyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the project type.
     */
    projectTypeKey: "software" | "service_desk" | "business" | "product_discovery";
}
declare type GetProjectTypeByKeyResponseOKType = ProjectTypeAsResponse;
export interface GetProjectTypeByKeyResponseOK extends GetProjectTypeByKeyResponseOKType {
}
export declare type GetProjectTypeByKeyResponseError = undefined;
export interface GetAccessibleProjectTypeByKeyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the project type.
     */
    projectTypeKey: "software" | "service_desk" | "business" | "product_discovery";
}
declare type GetAccessibleProjectTypeByKeyResponseOKType = ProjectTypeAsResponse;
export interface GetAccessibleProjectTypeByKeyResponseOK extends GetAccessibleProjectTypeByKeyResponseOKType {
}
export declare type GetAccessibleProjectTypeByKeyResponseError = undefined;
export {};
//# sourceMappingURL=type.d.ts.map