/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ScreenableTabAsResponse } from "../../definitions/ScreenableTabAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ScreenableTab } from "../../definitions/ScreenableTab";
export interface GetScreenTabsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the screen.
     */
    screenId: number;
    /**
     * The key of the project.
     */
    projectKey?: string;
}
declare type GetScreenTabsResponseOKType = Array<ScreenableTabAsResponse>;
export interface GetScreenTabsResponseOK extends GetScreenTabsResponseOKType {
}
export declare type GetScreenTabsResponseError = undefined;
export interface CreateScreenTabRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the screen.
     */
    screenId: number;
    body: ScreenableTab;
}
declare type CreateScreenTabResponseOKType = ScreenableTabAsResponse;
export interface CreateScreenTabResponseOK extends CreateScreenTabResponseOKType {
}
export declare type CreateScreenTabResponseError = undefined;
export interface UpdateScreenTabRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the screen.
     */
    screenId: number;
    /**
     * The ID of the screen tab.
     */
    tabId: number;
    body: ScreenableTab;
}
declare type UpdateScreenTabResponseOKType = ScreenableTabAsResponse;
export interface UpdateScreenTabResponseOK extends UpdateScreenTabResponseOKType {
}
export declare type UpdateScreenTabResponseError = undefined;
export interface DeleteScreenTabRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the screen.
     */
    screenId: number;
    /**
     * The ID of the screen tab.
     */
    tabId: number;
}
export declare type DeleteScreenTabResponseOK = undefined;
export declare type DeleteScreenTabResponseError = undefined;
export interface MoveScreenTabRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the screen.
     */
    screenId: number;
    /**
     * The ID of the screen tab.
     */
    tabId: number;
    /**
     * The position of tab. The base index is 0.
     */
    pos: number;
}
export declare type MoveScreenTabResponseOK = any;
export declare type MoveScreenTabResponseError = undefined;
export {};
//# sourceMappingURL=tab.d.ts.map