/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ScreenableFieldAsResponse } from "../../../definitions/ScreenableFieldAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { AddFieldBean } from "../../../definitions/AddFieldBean";
import { MoveFieldBean } from "../../../definitions/MoveFieldBean";
export interface GetScreenTabFieldsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the screen.
     */
    screenId: number;
    /**
     * The ID of the screen tab.
     */
    tabId: number;
    /**
     * The key of the project.
     */
    projectKey?: string;
}
declare type GetScreenTabFieldsResponseOKType = Array<ScreenableFieldAsResponse>;
export interface GetScreenTabFieldsResponseOK extends GetScreenTabFieldsResponseOKType {
}
export declare type GetScreenTabFieldsResponseError = undefined;
export interface AddScreenTabFieldRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the screen.
     */
    screenId: number;
    /**
     * The ID of the screen tab.
     */
    tabId: number;
    body: AddFieldBean;
}
declare type AddScreenTabFieldResponseOKType = ScreenableFieldAsResponse;
export interface AddScreenTabFieldResponseOK extends AddScreenTabFieldResponseOKType {
}
export declare type AddScreenTabFieldResponseError = undefined;
export interface RemoveScreenTabFieldRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the screen.
     */
    screenId: number;
    /**
     * The ID of the screen tab.
     */
    tabId: number;
    /**
     * The ID of the field.
     */
    id: string;
}
export declare type RemoveScreenTabFieldResponseOK = undefined;
export declare type RemoveScreenTabFieldResponseError = undefined;
export interface MoveScreenTabFieldRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the screen.
     */
    screenId: number;
    /**
     * The ID of the screen tab.
     */
    tabId: number;
    /**
     * The ID of the field.
     */
    id: string;
    body: MoveFieldBean;
}
export declare type MoveScreenTabFieldResponseOK = any;
export declare type MoveScreenTabFieldResponseError = undefined;
export {};
//# sourceMappingURL=field.d.ts.map