/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PropertyKeysAsResponse } from "../../definitions/PropertyKeysAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { EntityPropertyAsResponse } from "../../definitions/EntityPropertyAsResponse";
export interface GetUserPropertyKeysRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The account ID of the user, which uniquely identifies the user across all Atlassian products. For example, *5b10ac8d82e05b22cc7d4ef5*.
     */
    accountId: string;
}
declare type GetUserPropertyKeysResponseOKType = PropertyKeysAsResponse;
export interface GetUserPropertyKeysResponseOK extends GetUserPropertyKeysResponseOKType {
}
export declare type GetUserPropertyKeysResponseError = undefined;
export interface GetUserPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the user's property.
     */
    propertyKey: string;
    /**
     * The account ID of the user, which uniquely identifies the user across all Atlassian products. For example, *5b10ac8d82e05b22cc7d4ef5*.
     */
    accountId: string;
}
declare type GetUserPropertyResponseOKType = EntityPropertyAsResponse;
export interface GetUserPropertyResponseOK extends GetUserPropertyResponseOKType {
}
export declare type GetUserPropertyResponseError = undefined;
export interface SetUserPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the user's property. The maximum length is 255 characters. If no such property exists, it will be created
     */
    propertyKey: string;
    /**
     * The account ID of the user, which uniquely identifies the user across all Atlassian products. For example, *5b10ac8d82e05b22cc7d4ef5*.
     */
    accountId: string;
    body: any;
}
export declare type SetUserPropertyResponseOK = any | any;
export declare type SetUserPropertyResponseError = undefined;
export interface DeleteUserPropertyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the user's property.
     */
    propertyKey: string;
    /**
     * The account ID of the user, which uniquely identifies the user across all Atlassian products. For example, *5b10ac8d82e05b22cc7d4ef5*.
     */
    accountId: string;
}
export declare type DeleteUserPropertyResponseOK = undefined;
export declare type DeleteUserPropertyResponseError = undefined;
export {};
//# sourceMappingURL=property.d.ts.map