/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SearchIssuePrioritiesRequest, SearchIssuePrioritiesResponseOK } from "./types/issue/priority";
import { GetIssuePrioritiesRequest, GetIssuePrioritiesResponseOK } from "./types/issue/priority";
import { GetIssuePriorityRequest, GetIssuePriorityResponseOK } from "./types/issue/priority";
import { GetIssueCustomFieldContextOptionsRequest, GetIssueCustomFieldContextOptionsResponseOK } from "./types/issue/field/custom/context/option";
import { CreateIssueCustomFieldContextOptionsRequest, CreateIssueCustomFieldContextOptionsResponseOK } from "./types/issue/field/custom/context/option";
import { UpdateIssueCustomFieldContextOptionsRequest, UpdateIssueCustomFieldContextOptionsResponseOK } from "./types/issue/field/custom/context/option";
import { ReorderIssueCustomFieldContextOptionsRequest, ReorderIssueCustomFieldContextOptionsResponseOK } from "./types/issue/field/custom/context/option";
import { DeleteIssueCustomFieldContextOptionRequest, DeleteIssueCustomFieldContextOptionResponseOK } from "./types/issue/field/custom/context/option";
import { GetIssueCustomFieldContextsForProjectsAndIssueTypeRequest, GetIssueCustomFieldContextsForProjectsAndIssueTypeResponseOK } from "./types/issue/field/custom/context";
import { DeleteIssueCustomFieldContextRequest, DeleteIssueCustomFieldContextResponseOK } from "./types/issue/field/custom/context";
import { UpdateIssueCustomFieldContextRequest, UpdateIssueCustomFieldContextResponseOK } from "./types/issue/field/custom/context";
import { GetIssueCustomFieldContextsRequest, GetIssueCustomFieldContextsResponseOK } from "./types/issue/field/custom/context";
import { CreateIssueCustomFieldContextRequest, CreateIssueCustomFieldContextResponseOK } from "./types/issue/field/custom/context";
import { GetIssueCustomFieldDefaultContextsRequest, GetIssueCustomFieldDefaultContextsResponseOK } from "./types/issue/field/custom/context";
import { SetIssueCustomFieldDefaultContextsRequest, SetIssueCustomFieldDefaultContextsResponseOK } from "./types/issue/field/custom/context";
import { GetIssueCustomFieldIssueTypesForContextRequest, GetIssueCustomFieldIssueTypesForContextResponseOK } from "./types/issue/field/custom/context";
import { GetIssueCustomFieldContextToProjectMappingsRequest, GetIssueCustomFieldContextToProjectMappingsResponseOK } from "./types/issue/field/custom/context";
import { AddIssueTypesToIssueCustomFieldContextRequest, AddIssueTypesToIssueCustomFieldContextResponseOK } from "./types/issue/field/custom/context";
import { RemoveIssueTypesFromIssueCustomFieldContextRequest, RemoveIssueTypesFromIssueCustomFieldContextResponseOK } from "./types/issue/field/custom/context";
import { AssignIssueCustomFieldContextToProjectsRequest, AssignIssueCustomFieldContextToProjectsResponseOK } from "./types/issue/field/custom/context";
import { RemoveIssueCustomFieldContextFromProjectsRequest, RemoveIssueCustomFieldContextFromProjectsResponseOK } from "./types/issue/field/custom/context";
import { GetIssueCustomFieldOptionRequest, GetIssueCustomFieldOptionResponseOK } from "./types/issue/field/custom/option";
import { CreateIssueCustomFieldRequest, CreateIssueCustomFieldResponseOK } from "./types/issue/field/custom";
import { DeleteIssueCustomFieldRequest, DeleteIssueCustomFieldResponseOK } from "./types/issue/field/custom";
import { RestoreIssueCustomFieldRequest, RestoreIssueCustomFieldResponseOK } from "./types/issue/field/custom";
import { MoveIssueCustomFieldToTrashRequest, MoveIssueCustomFieldToTrashResponseOK } from "./types/issue/field/custom";
import { UpdateIssueCustomFieldRequest, UpdateIssueCustomFieldResponseOK } from "./types/issue/field/custom";
import { GetIssueFieldConfigurationSchemesForProjectsRequest, GetIssueFieldConfigurationSchemesForProjectsResponseOK } from "./types/issue/field/configuration/scheme";
import { AssignIssueFieldConfigurationSchemeToProjectRequest, AssignIssueFieldConfigurationSchemeToProjectResponseOK } from "./types/issue/field/configuration/scheme";
import { CreateIssueFieldConfigurationRequest, CreateIssueFieldConfigurationResponseOK } from "./types/issue/field/configuration";
import { GetIssueFieldConfigurationsRequest, GetIssueFieldConfigurationsResponseOK } from "./types/issue/field/configuration";
import { UpdateIssueFieldConfigurationRequest, UpdateIssueFieldConfigurationResponseOK } from "./types/issue/field/configuration";
import { DeleteIssueFieldConfigurationRequest, DeleteIssueFieldConfigurationResponseOK } from "./types/issue/field/configuration";
import { GetIssueFieldConfigurationItemsRequest, GetIssueFieldConfigurationItemsResponseOK } from "./types/issue/field/configuration";
import { GetIssueFieldConfigurationIssueTypeItemsRequest, GetIssueFieldConfigurationIssueTypeItemsResponseOK } from "./types/issue/field/configuration";
import { GetIssueFieldConfigurationSchemesRequest, GetIssueFieldConfigurationSchemesResponseOK } from "./types/issue/field/configuration";
import { GetIssueFieldsRequest, GetIssueFieldsResponseOK } from "./types/issue/field";
import { GetFieldsPaginatedRequest, GetFieldsPaginatedResponseOK } from "./types/issue/field";
import { GetFieldContextsRequest, GetFieldContextsResponseOK } from "./types/issue/field";
import { GetIssueTypeScreenSchemeProjectsRequest, GetIssueTypeScreenSchemeProjectsResponseOK } from "./types/issue/type/screen/scheme";
import { GetIssueTypeScreenSchemesRequest, GetIssueTypeScreenSchemesResponseOK } from "./types/issue/type/screen/scheme";
import { CreateIssueTypeScreenSchemeRequest, CreateIssueTypeScreenSchemeResponseOK } from "./types/issue/type/screen/scheme";
import { GetIssueTypeScreenSchemeItemsRequest, GetIssueTypeScreenSchemeItemsResponseOK } from "./types/issue/type/screen/scheme";
import { GetIssueTypeScreenSchemesForProjectsRequest, GetIssueTypeScreenSchemesForProjectsResponseOK } from "./types/issue/type/screen/scheme";
import { AssignIssueTypeScreenSchemeToProjectRequest, AssignIssueTypeScreenSchemeToProjectResponseOK } from "./types/issue/type/screen/scheme";
import { UpdateIssueTypeScreenSchemeRequest, UpdateIssueTypeScreenSchemeResponseOK } from "./types/issue/type/screen/scheme";
import { DeleteIssueTypeScreenSchemeRequest, DeleteIssueTypeScreenSchemeResponseOK } from "./types/issue/type/screen/scheme";
import { AppendMappingsToIssueTypeScreenSchemeRequest, AppendMappingsToIssueTypeScreenSchemeResponseOK } from "./types/issue/type/screen/scheme";
import { UpdateDefaultIssueTypeScreenSchemeRequest, UpdateDefaultIssueTypeScreenSchemeResponseOK } from "./types/issue/type/screen/scheme";
import { RemoveMappingsFromIssueTypeScreenSchemeRequest, RemoveMappingsFromIssueTypeScreenSchemeResponseOK } from "./types/issue/type/screen/scheme";
import { GetIssueTypePropertyKeysRequest, GetIssueTypePropertyKeysResponseOK } from "./types/issue/type/property";
import { GetIssueTypePropertyRequest, GetIssueTypePropertyResponseOK } from "./types/issue/type/property";
import { SetIssueTypePropertyRequest, SetIssueTypePropertyResponseOK } from "./types/issue/type/property";
import { DeleteIssueTypePropertyRequest, DeleteIssueTypePropertyResponseOK } from "./types/issue/type/property";
import { GetIssueTypeSchemesRequest, GetIssueTypeSchemesResponseOK } from "./types/issue/type/scheme";
import { CreateIssueTypeSchemeRequest, CreateIssueTypeSchemeResponseOK } from "./types/issue/type/scheme";
import { GetIssueTypeSchemeItemsRequest, GetIssueTypeSchemeItemsResponseOK } from "./types/issue/type/scheme";
import { GetIssueTypeSchemesForProjectsRequest, GetIssueTypeSchemesForProjectsResponseOK } from "./types/issue/type/scheme";
import { AssignIssueTypeSchemeToProjectRequest, AssignIssueTypeSchemeToProjectResponseOK } from "./types/issue/type/scheme";
import { AddIssueTypesToIssueTypeSchemeRequest, AddIssueTypesToIssueTypeSchemeResponseOK } from "./types/issue/type/scheme";
import { UpdateIssueTypeSchemeRequest, UpdateIssueTypeSchemeResponseOK } from "./types/issue/type/scheme";
import { DeleteIssueTypeSchemeRequest, DeleteIssueTypeSchemeResponseOK } from "./types/issue/type/scheme";
import { ChangeIssueTypeSchemeIssueTypesOrderRequest, ChangeIssueTypeSchemeIssueTypesOrderResponseOK } from "./types/issue/type/scheme";
import { RemoveIssueTypesFromIssueTypeSchemeRequest, RemoveIssueTypesFromIssueTypeSchemeResponseOK } from "./types/issue/type/scheme";
import { GetIssueTypesForUserRequest, GetIssueTypesForUserResponseOK } from "./types/issue/type";
import { CreateIssueTypeRequest, CreateIssueTypeResponseOK } from "./types/issue/type";
import { GetIssueTypesForProjectRequest, GetIssueTypesForProjectResponseOK } from "./types/issue/type";
import { GetIssueTypeRequest, GetIssueTypeResponseOK } from "./types/issue/type";
import { UpdateIssueTypeRequest, UpdateIssueTypeResponseOK } from "./types/issue/type";
import { DeleteIssueTypeRequest, DeleteIssueTypeResponseOK } from "./types/issue/type";
import { GetAlternativeIssueTypesRequest, GetAlternativeIssueTypesResponseOK } from "./types/issue/type";
import { LoadIssueTypeAvatarRequest, LoadIssueTypeAvatarResponseOK } from "./types/issue/type";
import { GetWorklogPropertyKeysRequest, GetWorklogPropertyKeysResponseOK } from "./types/issue/worklog/property";
import { GetWorklogPropertyRequest, GetWorklogPropertyResponseOK } from "./types/issue/worklog/property";
import { SetWorklogPropertyRequest, SetWorklogPropertyResponseOK } from "./types/issue/worklog/property";
import { DeleteWorklogPropertyRequest, DeleteWorklogPropertyResponseOK } from "./types/issue/worklog/property";
import { GetIssueWorklogsRequest, GetIssueWorklogsResponseOK } from "./types/issue/worklog";
import { AddIssueWorklogRequest, AddIssueWorklogResponseOK } from "./types/issue/worklog";
import { GetIssueWorklogRequest, GetIssueWorklogResponseOK } from "./types/issue/worklog";
import { UpdateIssueWorklogRequest, UpdateIssueWorklogResponseOK } from "./types/issue/worklog";
import { DeleteIssueWorklogRequest, DeleteIssueWorklogResponseOK } from "./types/issue/worklog";
import { GetDeletedIssueWorklogIdsRequest, GetDeletedIssueWorklogIdsResponseOK } from "./types/issue/worklog";
import { GetIssueWorklogsFromIdsRequest, GetIssueWorklogsFromIdsResponseOK } from "./types/issue/worklog";
import { GetUpdatedIssueWorklogIdsRequest, GetUpdatedIssueWorklogIdsResponseOK } from "./types/issue/worklog";
import { GetIssueAttachmentMetadataRequest, GetIssueAttachmentMetadataResponseOK } from "./types/issue/attachment/metadata";
import { GetMetadataForExpandedIssueAttachmentRequest, GetMetadataForExpandedIssueAttachmentResponseOK } from "./types/issue/attachment/metadata";
import { GetContentsMetadataForExpandedIssueAttachmentRequest, GetContentsMetadataForExpandedIssueAttachmentResponseOK } from "./types/issue/attachment/metadata";
import { DeleteIssueAttachmentRequest, DeleteIssueAttachmentResponseOK } from "./types/issue/attachment";
import { AddIssueAttachmentsRequest, AddIssueAttachmentsResponseOK } from "./types/issue/attachment";
import { GetIssueAttachmentContentRequest, GetIssueAttachmentContentResponseOK } from "./types/issue/attachment";
import { GetIssueCommentPropertyKeysRequest, GetIssueCommentPropertyKeysResponseOK } from "./types/issue/comment/property";
import { GetIssueCommentPropertyRequest, GetIssueCommentPropertyResponseOK } from "./types/issue/comment/property";
import { SetIssueCommentPropertyRequest, SetIssueCommentPropertyResponseOK } from "./types/issue/comment/property";
import { DeleteIssueCommentPropertyRequest, DeleteIssueCommentPropertyResponseOK } from "./types/issue/comment/property";
import { GetIssueCommentsByIdsRequest, GetIssueCommentsByIdsResponseOK } from "./types/issue/comment";
import { GetIssueCommentsRequest, GetIssueCommentsResponseOK } from "./types/issue/comment";
import { AddIssueCommentRequest, AddIssueCommentResponseOK } from "./types/issue/comment";
import { GetIssueCommentRequest, GetIssueCommentResponseOK } from "./types/issue/comment";
import { UpdateIssueCommentRequest, UpdateIssueCommentResponseOK } from "./types/issue/comment";
import { DeleteIssueCommentRequest, DeleteIssueCommentResponseOK } from "./types/issue/comment";
import { GetCreateIssueMetadataRequest, GetCreateIssueMetadataResponseOK } from "./types/issue/metadata";
import { GetEditIssueMetadataRequest, GetEditIssueMetadataResponseOK } from "./types/issue/metadata";
import { GetIssuePropertyKeysRequest, GetIssuePropertyKeysResponseOK } from "./types/issue/property";
import { GetIssuePropertyRequest, GetIssuePropertyResponseOK } from "./types/issue/property";
import { SetIssuePropertyRequest, SetIssuePropertyResponseOK } from "./types/issue/property";
import { DeleteIssuePropertyRequest, DeleteIssuePropertyResponseOK } from "./types/issue/property";
import { GetRemoteIssueLinksRequest, GetRemoteIssueLinksResponseOK } from "./types/issue/link/remote";
import { CreateOrUpdateRemoteIssueLinkRequest, CreateOrUpdateRemoteIssueLinkResponseOK } from "./types/issue/link/remote";
import { DeleteRemoteIssueLinkByGlobalIdRequest, DeleteRemoteIssueLinkByGlobalIdResponseOK } from "./types/issue/link/remote";
import { GetRemoteIssueLinkRequest, GetRemoteIssueLinkResponseOK } from "./types/issue/link/remote";
import { UpdateRemoteIssueLinkRequest, UpdateRemoteIssueLinkResponseOK } from "./types/issue/link/remote";
import { DeleteRemoteIssueLinkRequest, DeleteRemoteIssueLinkResponseOK } from "./types/issue/link/remote";
import { GetIssueLinkTypesRequest, GetIssueLinkTypesResponseOK } from "./types/issue/link/type";
import { CreateIssueLinkTypeRequest, CreateIssueLinkTypeResponseOK } from "./types/issue/link/type";
import { GetIssueLinkTypeRequest, GetIssueLinkTypeResponseOK } from "./types/issue/link/type";
import { UpdateIssueLinkTypeRequest, UpdateIssueLinkTypeResponseOK } from "./types/issue/link/type";
import { DeleteIssueLinkTypeRequest, DeleteIssueLinkTypeResponseOK } from "./types/issue/link/type";
import { CreateIssueLinkRequest, CreateIssueLinkResponseOK } from "./types/issue/link";
import { GetIssueLinkRequest, GetIssueLinkResponseOK } from "./types/issue/link";
import { DeleteIssueLinkRequest, DeleteIssueLinkResponseOK } from "./types/issue/link";
import { GetIssueTransitionsRequest, GetIssueTransitionsResponseOK } from "./types/issue/transition";
import { PerformIssueTransitionRequest, PerformIssueTransitionResponseOK } from "./types/issue/transition";
import { GetIssueVotesRequest, GetIssueVotesResponseOK } from "./types/issue/vote";
import { AddIssueVoteRequest, AddIssueVoteResponseOK } from "./types/issue/vote";
import { DeleteIssueVoteRequest, DeleteIssueVoteResponseOK } from "./types/issue/vote";
import { GetIssueWatchersRequest, GetIssueWatchersResponseOK } from "./types/issue/watcher";
import { AddIssueWatcherRequest, AddIssueWatcherResponseOK } from "./types/issue/watcher";
import { DeleteIssueWatcherRequest, DeleteIssueWatcherResponseOK } from "./types/issue/watcher";
import { CheckIssuesAgainstJqlRequest, CheckIssuesAgainstJqlResponseOK } from "./types/issue/search";
import { SearchIssuesByJqlRequest, SearchIssuesByJqlResponseOK } from "./types/issue/search";
import { SearchIssuesByJqlEnhancedSearchRequest, SearchIssuesByJqlEnhancedSearchResponseOK } from "./types/issue/search";
import { GetIssueResolutionsRequest, GetIssueResolutionsResponseOK } from "./types/issue/resolution";
import { GetIssueResolutionRequest, GetIssueResolutionResponseOK } from "./types/issue/resolution";
import { GetIssueSecuritySchemesRequest, GetIssueSecuritySchemesResponseOK } from "./types/issue/security/scheme";
import { GetIssueSecuritySchemeRequest, GetIssueSecuritySchemeResponseOK } from "./types/issue/security/scheme";
import { GetIssueSecurityMembersRequest, GetIssueSecurityMembersResponseOK } from "./types/issue/security";
import { GetIssueSecurityLevelRequest, GetIssueSecurityLevelResponseOK } from "./types/issue/security";
import { GetIssueNotificationSchemesRequest, GetIssueNotificationSchemesResponseOK } from "./types/issue/notification/scheme";
import { GetIssueNotificationSchemeRequest, GetIssueNotificationSchemeResponseOK } from "./types/issue/notification/scheme";
import { GetIssueNavigatorDefaultColumnsRequest, GetIssueNavigatorDefaultColumnsResponseOK } from "./types/issue/navigator";
import { SetIssueNavigatorDefaultColumnsRequest, SetIssueNavigatorDefaultColumnsResponseOK } from "./types/issue/navigator";
import { CreateIssueRequest, CreateIssueResponseOK } from "./types/issue";
import { CreateIssuesRequest, CreateIssuesResponseOK } from "./types/issue";
import { GetIssueRequest, GetIssueResponseOK } from "./types/issue";
import { EditIssueRequest, EditIssueResponseOK } from "./types/issue";
import { DeleteIssueRequest, DeleteIssueResponseOK } from "./types/issue";
import { AssignIssueRequest, AssignIssueResponseOK } from "./types/issue";
import { GetIssueChangeLogsRequest, GetIssueChangeLogsResponseOK } from "./types/issue";
import { GetIssueChangeLogsByIdRequest, GetIssueChangeLogsByIdResponseOK } from "./types/issue";
import { SendNotificationForIssueRequest, SendNotificationForIssueResponseOK } from "./types/issue";
import { GetAvatarImageByTypeRequest, GetAvatarImageByTypeResponseOK } from "./types/avatar";
import { GetAvatarImageByIdRequest, GetAvatarImageByIdResponseOK } from "./types/avatar";
import { GetAvatarImageByOwnerRequest, GetAvatarImageByOwnerResponseOK } from "./types/avatar";
import { GetAvatarsRequest, GetAvatarsResponseOK } from "./types/avatar";
import { LoadAvatarRequest, LoadAvatarResponseOK } from "./types/avatar";
import { DeleteAvatarRequest, DeleteAvatarResponseOK } from "./types/avatar";
import { SetProjectAvatarRequest, SetProjectAvatarResponseOK } from "./types/project/avatar";
import { DeleteProjectAvatarRequest, DeleteProjectAvatarResponseOK } from "./types/project/avatar";
import { LoadProjectAvatarRequest, LoadProjectAvatarResponseOK } from "./types/project/avatar";
import { GetProjectAvatarsRequest, GetProjectAvatarsResponseOK } from "./types/project/avatar";
import { CreateProjectComponentRequest, CreateProjectComponentResponseOK } from "./types/project/component";
import { GetProjectComponentRequest, GetProjectComponentResponseOK } from "./types/project/component";
import { UpdateProjectComponentRequest, UpdateProjectComponentResponseOK } from "./types/project/component";
import { DeleteProjectComponentRequest, DeleteProjectComponentResponseOK } from "./types/project/component";
import { GetProjectComponentIssueCountRequest, GetProjectComponentIssueCountResponseOK } from "./types/project/component";
import { GetProjectComponentsPaginatedRequest, GetProjectComponentsPaginatedResponseOK } from "./types/project/component";
import { GetProjectComponentsRequest, GetProjectComponentsResponseOK } from "./types/project/component";
import { GetDefaultActorsForProjectRoleRequest, GetDefaultActorsForProjectRoleResponseOK } from "./types/project/role/actor/default";
import { AddDefaultActorsToProjectRoleRequest, AddDefaultActorsToProjectRoleResponseOK } from "./types/project/role/actor/default";
import { DeleteDefaultActorsFromProjectRoleRequest, DeleteDefaultActorsFromProjectRoleResponseOK } from "./types/project/role/actor/default";
import { SetActorsForProjectRoleRequest, SetActorsForProjectRoleResponseOK } from "./types/project/role/actor";
import { AddActorsToProjectRoleRequest, AddActorsToProjectRoleResponseOK } from "./types/project/role/actor";
import { DeleteActorsFromProjectRoleRequest, DeleteActorsFromProjectRoleResponseOK } from "./types/project/role/actor";
import { GetProjectRolesForProjectRequest, GetProjectRolesForProjectResponseOK } from "./types/project/role";
import { GetProjectRoleForProjectRequest, GetProjectRoleForProjectResponseOK } from "./types/project/role";
import { GetProjectRoleDetailsRequest, GetProjectRoleDetailsResponseOK } from "./types/project/role";
import { GetProjectRolesRequest, GetProjectRolesResponseOK } from "./types/project/role";
import { CreateProjectRoleRequest, CreateProjectRoleResponseOK } from "./types/project/role";
import { GetProjectRoleRequest, GetProjectRoleResponseOK } from "./types/project/role";
import { FullyUpdateProjectRoleRequest, FullyUpdateProjectRoleResponseOK } from "./types/project/role";
import { PartiallyUpdateProjectRoleRequest, PartiallyUpdateProjectRoleResponseOK } from "./types/project/role";
import { DeleteProjectRoleRequest, DeleteProjectRoleResponseOK } from "./types/project/role";
import { GetProjectVersionRelatedIssueCountRequest, GetProjectVersionRelatedIssueCountResponseOK } from "./types/project/version/count";
import { GetProjectVersionUnresolvedIssueCountRequest, GetProjectVersionUnresolvedIssueCountResponseOK } from "./types/project/version/count";
import { GetProjectVersionsPaginatedRequest, GetProjectVersionsPaginatedResponseOK } from "./types/project/version";
import { GetProjectVersionsRequest, GetProjectVersionsResponseOK } from "./types/project/version";
import { CreateProjectVersionRequest, CreateProjectVersionResponseOK } from "./types/project/version";
import { GetProjectVersionRequest, GetProjectVersionResponseOK } from "./types/project/version";
import { UpdateProjectVersionRequest, UpdateProjectVersionResponseOK } from "./types/project/version";
import { MergeProjectVersionsRequest, MergeProjectVersionsResponseOK } from "./types/project/version";
import { MoveProjectVersionRequest, MoveProjectVersionResponseOK } from "./types/project/version";
import { DeleteAndReplaceProjectVersionRequest, DeleteAndReplaceProjectVersionResponseOK } from "./types/project/version";
import { GetProjectIssueTypeHierarchyRequest, GetProjectIssueTypeHierarchyResponseOK } from "./types/project/issueType";
import { ValidateProjectKeyRequest, ValidateProjectKeyResponseOK } from "./types/project/validation";
import { GetValidProjectKeyRequest, GetValidProjectKeyResponseOK } from "./types/project/validation";
import { GetValidProjectNameRequest, GetValidProjectNameResponseOK } from "./types/project/validation";
import { GetProjectTypesRequest, GetProjectTypesResponseOK } from "./types/project/type";
import { GetLicensedProjectTypesRequest, GetLicensedProjectTypesResponseOK } from "./types/project/type";
import { GetProjectTypeByKeyRequest, GetProjectTypeByKeyResponseOK } from "./types/project/type";
import { GetAccessibleProjectTypeByKeyRequest, GetAccessibleProjectTypeByKeyResponseOK } from "./types/project/type";
import { GetProjectCategoriesRequest, GetProjectCategoriesResponseOK } from "./types/project/category";
import { CreateProjectCategoryRequest, CreateProjectCategoryResponseOK } from "./types/project/category";
import { GetProjectCategoryRequest, GetProjectCategoryResponseOK } from "./types/project/category";
import { UpdateProjectCategoryRequest, UpdateProjectCategoryResponseOK } from "./types/project/category";
import { DeleteProjectCategoryRequest, DeleteProjectCategoryResponseOK } from "./types/project/category";
import { GetProjectNotificationSchemeRequest, GetProjectNotificationSchemeResponseOK } from "./types/project/notification/scheme";
import { AssignProjectPermissionSchemeRequest, AssignProjectPermissionSchemeResponseOK } from "./types/project/permission/scheme";
import { GetProjectPermissionSchemeRequest, GetProjectPermissionSchemeResponseOK } from "./types/project/permission/scheme";
import { GetProjectIssueSecurityLevelsRequest, GetProjectIssueSecurityLevelsResponseOK } from "./types/project/permission/scheme";
import { GetProjectIssueSecuritySchemeRequest, GetProjectIssueSecuritySchemeResponseOK } from "./types/project/security/scheme";
import { GetProjectPropertyKeysRequest, GetProjectPropertyKeysResponseOK } from "./types/project/property";
import { GetProjectPropertyRequest, GetProjectPropertyResponseOK } from "./types/project/property";
import { SetProjectPropertyRequest, SetProjectPropertyResponseOK } from "./types/project/property";
import { DeleteProjectPropertyRequest, DeleteProjectPropertyResponseOK } from "./types/project/property";
import { DeleteProjectAsyncRequest, DeleteProjectAsyncResponseOK } from "./types/project";
import { RestoreDeletedProjectRequest, RestoreDeletedProjectResponseOK } from "./types/project";
import { CreateProjectRequest, CreateProjectResponseOK } from "./types/project";
import { GetProjectsRequest, GetProjectsResponseOK } from "./types/project";
import { GetProjectRequest, GetProjectResponseOK } from "./types/project";
import { UpdateProjectRequest, UpdateProjectResponseOK } from "./types/project";
import { DeleteProjectRequest, DeleteProjectResponseOK } from "./types/project";
import { GetStatusesForProjectRequest, GetStatusesForProjectResponseOK } from "./types/project";
import { FindUsersAssignableToProjectsRequest, FindUsersAssignableToProjectsResponseOK } from "./types/user/search";
import { FindUsersAssignableToIssuesRequest, FindUsersAssignableToIssuesResponseOK } from "./types/user/search";
import { FindUsersWithPermissionsRequest, FindUsersWithPermissionsResponseOK } from "./types/user/search";
import { FindUsersForPickerRequest, FindUsersForPickerResponseOK } from "./types/user/search";
import { FindUsersRequest, FindUsersResponseOK } from "./types/user/search";
import { FindUsersByQueryRequest, FindUsersByQueryResponseOK } from "./types/user/search";
import { FindUserKeysByQueryRequest, FindUserKeysByQueryResponseOK } from "./types/user/search";
import { FindUsersWithBrowsePermissionRequest, FindUsersWithBrowsePermissionResponseOK } from "./types/user/search";
import { GetUserPropertyKeysRequest, GetUserPropertyKeysResponseOK } from "./types/user/property";
import { GetUserPropertyRequest, GetUserPropertyResponseOK } from "./types/user/property";
import { SetUserPropertyRequest, SetUserPropertyResponseOK } from "./types/user/property";
import { DeleteUserPropertyRequest, DeleteUserPropertyResponseOK } from "./types/user/property";
import { GetUsersDefaultRequest, GetUsersDefaultResponseOK } from "./types/user";
import { GetUserDefaultColumnsRequest, GetUserDefaultColumnsResponseOK } from "./types/user";
import { SetUserDefaultColumnsRequest, SetUserDefaultColumnsResponseOK } from "./types/user";
import { ResetUserDefaultColumnsRequest, ResetUserDefaultColumnsResponseOK } from "./types/user";
import { GetUserRequest, GetUserResponseOK } from "./types/user";
import { CreateUserRequest, CreateUserResponseOK } from "./types/user";
import { DeleteUserRequest, DeleteUserResponseOK } from "./types/user";
import { GetAccountIdsForUsersRequest, GetAccountIdsForUsersResponseOK } from "./types/user";
import { GetUserEmailRequest, GetUserEmailResponseOK } from "./types/user";
import { GetUserGroupsRequest, GetUserGroupsResponseOK } from "./types/user";
import { GetUsersRequest, GetUsersResponseOK } from "./types/user";
import { GetWorkflowTransitionPropertiesRequest, GetWorkflowTransitionPropertiesResponseOK } from "./types/workflow/transition/property";
import { UpdateWorkflowTransitionPropertyRequest, UpdateWorkflowTransitionPropertyResponseOK } from "./types/workflow/transition/property";
import { CreateWorkflowTransitionPropertyRequest, CreateWorkflowTransitionPropertyResponseOK } from "./types/workflow/transition/property";
import { DeleteWorkflowTransitionPropertyRequest, DeleteWorkflowTransitionPropertyResponseOK } from "./types/workflow/transition/property";
import { GetWorkflowStatusCategoriesRequest, GetWorkflowStatusCategoriesResponseOK } from "./types/workflow/status/category";
import { GetWorkflowStatusCategoryRequest, GetWorkflowStatusCategoryResponseOK } from "./types/workflow/status/category";
import { GetWorkflowStatusesRequest, GetWorkflowStatusesResponseOK } from "./types/workflow/status";
import { GetWorkflowStatusRequest, GetWorkflowStatusResponseOK } from "./types/workflow/status";
import { GetWorkflowSchemeProjectAssociationsRequest, GetWorkflowSchemeProjectAssociationsResponseOK } from "./types/workflow/scheme/project";
import { AssignWorkflowSchemeToProjectRequest, AssignWorkflowSchemeToProjectResponseOK } from "./types/workflow/scheme/project";
import { GetWorkflowSchemesRequest, GetWorkflowSchemesResponseOK } from "./types/workflow/scheme";
import { CreateWorkflowSchemeRequest, CreateWorkflowSchemeResponseOK } from "./types/workflow/scheme";
import { GetWorkflowSchemeRequest, GetWorkflowSchemeResponseOK } from "./types/workflow/scheme";
import { UpdateWorkflowSchemeRequest, UpdateWorkflowSchemeResponseOK } from "./types/workflow/scheme";
import { DeleteWorkflowSchemeRequest, DeleteWorkflowSchemeResponseOK } from "./types/workflow/scheme";
import { GetWorkflowForIssueTypeInWorkflowSchemeRequest, GetWorkflowForIssueTypeInWorkflowSchemeResponseOK } from "./types/workflow/scheme";
import { SetWorkflowForIssueTypeInWorkflowSchemeRequest, SetWorkflowForIssueTypeInWorkflowSchemeResponseOK } from "./types/workflow/scheme";
import { DeleteWorkflowForIssueTypeInWorkflowSchemeRequest, DeleteWorkflowForIssueTypeInWorkflowSchemeResponseOK } from "./types/workflow/scheme";
import { GetIssueTypesForWorkflowInWorkflowSchemeRequest, GetIssueTypesForWorkflowInWorkflowSchemeResponseOK } from "./types/workflow/scheme";
import { SetIssueTypesForWorkflowInWorkflowSchemeRequest, SetIssueTypesForWorkflowInWorkflowSchemeResponseOK } from "./types/workflow/scheme";
import { DeleteIssueTypesForWorkflowInWorkflowSchemeRequest, DeleteIssueTypesForWorkflowInWorkflowSchemeResponseOK } from "./types/workflow/scheme";
import { GetDefaultWorkflowForWorkflowSchemeRequest, GetDefaultWorkflowForWorkflowSchemeResponseOK } from "./types/workflow/scheme";
import { UpdateDefaultWorkflowForWorkflowSchemeRequest, UpdateDefaultWorkflowForWorkflowSchemeResponseOK } from "./types/workflow/scheme";
import { DeleteDefaultWorkflowForWorkflowSchemeRequest, DeleteDefaultWorkflowForWorkflowSchemeResponseOK } from "./types/workflow/scheme";
import { CreateWorkflowRequest, CreateWorkflowResponseOK } from "./types/workflow";
import { DeleteWorkflowRequest, DeleteWorkflowResponseOK } from "./types/workflow";
import { GetWorkflowsRequest, GetWorkflowsResponseOK } from "./types/workflow";
import { GetDashboardItemPropertyKeysRequest, GetDashboardItemPropertyKeysResponseOK } from "./types/dashboard/property";
import { GetDashboardItemPropertyRequest, GetDashboardItemPropertyResponseOK } from "./types/dashboard/property";
import { SetDashboardItemPropertyRequest, SetDashboardItemPropertyResponseOK } from "./types/dashboard/property";
import { DeleteDashboardItemPropertyRequest, DeleteDashboardItemPropertyResponseOK } from "./types/dashboard/property";
import { GetDashboardsRequest, GetDashboardsResponseOK } from "./types/dashboard";
import { CreateDashboardRequest, CreateDashboardResponseOK } from "./types/dashboard";
import { SearchDashboardsRequest, SearchDashboardsResponseOK } from "./types/dashboard";
import { GetDashboardRequest, GetDashboardResponseOK } from "./types/dashboard";
import { UpdateDashboardRequest, UpdateDashboardResponseOK } from "./types/dashboard";
import { DeleteDashboardRequest, DeleteDashboardResponseOK } from "./types/dashboard";
import { CopyDashboardRequest, CopyDashboardResponseOK } from "./types/dashboard";
import { GetApplicationRolesRequest, GetApplicationRolesResponseOK } from "./types/application/role";
import { GetApplicationRoleRequest, GetApplicationRoleResponseOK } from "./types/application/role";
import { SetApplicationPropertyRequest, SetApplicationPropertyResponseOK } from "./types/instance";
import { GetApplicationPropertyRequest, GetApplicationPropertyResponseOK } from "./types/instance";
import { GetAdvancedSettingsRequest, GetAdvancedSettingsResponseOK } from "./types/instance";
import { GetJiraAttachmentSettingsRequest, GetJiraAttachmentSettingsResponseOK } from "./types/instance";
import { GetGlobalSettingsRequest, GetGlobalSettingsResponseOK } from "./types/instance";
import { GetJiraInstanceInfoRequest, GetJiraInstanceInfoResponseOK } from "./types/instance";
import { GetLicenseRequest, GetLicenseResponseOK } from "./types/instance";
import { GetFavouriteFiltersRequest, GetFavouriteFiltersResponseOK } from "./types/filter/favourite";
import { AddFilterAsFavouriteRequest, AddFilterAsFavouriteResponseOK } from "./types/filter/favourite";
import { RemoveFilterAsFavouriteRequest, RemoveFilterAsFavouriteResponseOK } from "./types/filter/favourite";
import { GetFilterColumnsRequest, GetFilterColumnsResponseOK } from "./types/filter/column";
import { SetFilterColumnsRequest, SetFilterColumnsResponseOK } from "./types/filter/column";
import { ResetFilterColumnsRequest, ResetFilterColumnsResponseOK } from "./types/filter/column";
import { GetFiltersSharePermissionsRequest, GetFiltersSharePermissionsResponseOK } from "./types/filter/share/permission";
import { AddFiltersSharePermissionRequest, AddFiltersSharePermissionResponseOK } from "./types/filter/share/permission";
import { GetFiltersSharePermissionRequest, GetFiltersSharePermissionResponseOK } from "./types/filter/share/permission";
import { DeleteFiltersSharePermissionRequest, DeleteFiltersSharePermissionResponseOK } from "./types/filter/share/permission";
import { GetFiltersDefaultShareScopeRequest, GetFiltersDefaultShareScopeResponseOK } from "./types/filter/share";
import { SetFiltersDefaultShareScopeRequest, SetFiltersDefaultShareScopeResponseOK } from "./types/filter/share";
import { CreateFilterRequest, CreateFilterResponseOK } from "./types/filter";
import { GetMyFiltersRequest, GetMyFiltersResponseOK } from "./types/filter";
import { SearchFiltersRequest, SearchFiltersResponseOK } from "./types/filter";
import { GetFilterRequest, GetFilterResponseOK } from "./types/filter";
import { UpdateFilterRequest, UpdateFilterResponseOK } from "./types/filter";
import { DeleteFilterRequest, DeleteFilterResponseOK } from "./types/filter";
import { GetUsersFromGroupRequest, GetUsersFromGroupResponseOK } from "./types/group/user";
import { AddUserToGroupRequest, AddUserToGroupResponseOK } from "./types/group/user";
import { RemoveUserFromGroupRequest, RemoveUserFromGroupResponseOK } from "./types/group/user";
import { CreateGroupRequest, CreateGroupResponseOK } from "./types/group";
import { RemoveGroupRequest, RemoveGroupResponseOK } from "./types/group";
import { FindGroupsRequest, FindGroupsResponseOK } from "./types/group";
import { FindUsersAndGroupsForPickerRequest, FindUsersAndGroupsForPickerResponseOK } from "./types/groupAndUserPicker";
import { ParseJqlQueryRequest, ParseJqlQueryResponseOK } from "./types/jql";
import { ConvertUserIdentifiersToAccountIdsInJqlQueriesRequest, ConvertUserIdentifiersToAccountIdsInJqlQueriesResponseOK } from "./types/jql";
import { GetReferenceDataForJqlRequest, GetReferenceDataForJqlResponseOK } from "./types/jql";
import { GetLabelsRequest, GetLabelsResponseOK } from "./types/label";
import { GetPermissionSchemeGrantsRequest, GetPermissionSchemeGrantsResponseOK } from "./types/permission/scheme/grant";
import { CreatePermissionSchemeGrantRequest, CreatePermissionSchemeGrantResponseOK } from "./types/permission/scheme/grant";
import { GetPermissionSchemeGrantRequest, GetPermissionSchemeGrantResponseOK } from "./types/permission/scheme/grant";
import { DeletePermissionSchemeGrantRequest, DeletePermissionSchemeGrantResponseOK } from "./types/permission/scheme/grant";
import { GetPermissionSchemesRequest, GetPermissionSchemesResponseOK } from "./types/permission/scheme";
import { CreatePermissionSchemeRequest, CreatePermissionSchemeResponseOK } from "./types/permission/scheme";
import { GetPermissionSchemeRequest, GetPermissionSchemeResponseOK } from "./types/permission/scheme";
import { UpdatePermissionSchemeRequest, UpdatePermissionSchemeResponseOK } from "./types/permission/scheme";
import { DeletePermissionSchemeRequest, DeletePermissionSchemeResponseOK } from "./types/permission/scheme";
import { GetMyPermissionsRequest, GetMyPermissionsResponseOK } from "./types/permission";
import { GetPermissionsRequest, GetPermissionsResponseOK } from "./types/permission";
import { GetBulkPermissionsRequest, GetBulkPermissionsResponseOK } from "./types/permission";
import { GetPermittedProjectsRequest, GetPermittedProjectsResponseOK } from "./types/permission";
import { GetMyPreferenceRequest, GetMyPreferenceResponseOK } from "./types/myself";
import { SetMyPreferenceRequest, SetMyPreferenceResponseOK } from "./types/myself";
import { DeleteMyPreferenceRequest, DeleteMyPreferenceResponseOK } from "./types/myself";
import { GetMyLocaleRequest, GetMyLocaleResponseOK } from "./types/myself";
import { GetCurrentUserRequest, GetCurrentUserResponseOK } from "./types/myself";
import { GetScreenSchemesRequest, GetScreenSchemesResponseOK } from "./types/screen/scheme";
import { CreateScreenSchemeRequest, CreateScreenSchemeResponseOK } from "./types/screen/scheme";
import { UpdateScreenSchemeRequest, UpdateScreenSchemeResponseOK } from "./types/screen/scheme";
import { DeleteScreenSchemeRequest, DeleteScreenSchemeResponseOK } from "./types/screen/scheme";
import { GetScreenTabFieldsRequest, GetScreenTabFieldsResponseOK } from "./types/screen/tab/field";
import { AddScreenTabFieldRequest, AddScreenTabFieldResponseOK } from "./types/screen/tab/field";
import { RemoveScreenTabFieldRequest, RemoveScreenTabFieldResponseOK } from "./types/screen/tab/field";
import { MoveScreenTabFieldRequest, MoveScreenTabFieldResponseOK } from "./types/screen/tab/field";
import { GetScreenTabsRequest, GetScreenTabsResponseOK } from "./types/screen/tab";
import { CreateScreenTabRequest, CreateScreenTabResponseOK } from "./types/screen/tab";
import { UpdateScreenTabRequest, UpdateScreenTabResponseOK } from "./types/screen/tab";
import { DeleteScreenTabRequest, DeleteScreenTabResponseOK } from "./types/screen/tab";
import { MoveScreenTabRequest, MoveScreenTabResponseOK } from "./types/screen/tab";
import { GetScreensForFieldRequest, GetScreensForFieldResponseOK } from "./types/screen";
import { GetScreensRequest, GetScreensResponseOK } from "./types/screen";
import { CreateScreenRequest, CreateScreenResponseOK } from "./types/screen";
import { AddFieldToDefaultScreenRequest, AddFieldToDefaultScreenResponseOK } from "./types/screen";
import { GetAvailableScreenFieldsRequest, GetAvailableScreenFieldsResponseOK } from "./types/screen";
import { UpdateScreenRequest, UpdateScreenResponseOK } from "./types/screen";
import { DeleteScreenRequest, DeleteScreenResponseOK } from "./types/screen";
import { BaseApiCore, Headers, Response, ErrorStrategyOptionType, PlatformImplementation } from "@managed-api/commons-core";
import { CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyOption } from "./errorStrategy";
import { ErrorStrategyBuilder } from "./builders/errorStrategy";
export interface JiraCloudApiCoreOptions extends ErrorStrategyOption {
}
declare type GetGlobalErrorStrategy = () => ErrorStrategyOptionType<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder> | undefined;
export declare abstract class JiraCloudApiCore extends BaseApiCore {
    private options?;
    Issue: IssueGroup;
    Avatar: AvatarGroup;
    Project: ProjectGroup;
    User: UserGroup;
    Workflow: WorkflowGroup;
    Dashboard: DashboardGroup;
    Application: ApplicationGroup;
    Instance: InstanceGroup;
    Filter: FilterGroup;
    Group: GroupGroup;
    GroupAndUserPicker: GroupAndUserPickerGroup;
    Jql: JqlGroup;
    Label: LabelGroup;
    Permission: PermissionGroup;
    Myself: MyselfGroup;
    Screen: ScreenGroup;
    All: AllGroup;
    constructor(options?: JiraCloudApiCoreOptions | undefined);
    setGlobalErrorStrategy(errorStrategy: ErrorStrategyOptionType<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder>): void;
    protected buildResponse(url: string, status: number, statusText: string, headers: Headers, body?: string | ArrayBuffer): Response<any>;
    private getGlobalErrorStrategy;
}
declare class AllGroup {
    private Issue;
    private Avatar;
    private Project;
    private User;
    private Workflow;
    private Dashboard;
    private Application;
    private Instance;
    private Filter;
    private Group;
    private GroupAndUserPicker;
    private Jql;
    private Label;
    private Permission;
    private Myself;
    private Screen;
    constructor(Issue: IssueGroup, Avatar: AvatarGroup, Project: ProjectGroup, User: UserGroup, Workflow: WorkflowGroup, Dashboard: DashboardGroup, Application: ApplicationGroup, Instance: InstanceGroup, Filter: FilterGroup, Group: GroupGroup, GroupAndUserPicker: GroupAndUserPickerGroup, Jql: JqlGroup, Label: LabelGroup, Permission: PermissionGroup, Myself: MyselfGroup, Screen: ScreenGroup);
    /**
  * Creates an issue or, where the option to create subtasks is enabled in Jira, a subtask. A transition may be applied, to move the issue or subtask to a workflow step other than the default start step, and issue properties set.
  
  The content of the issue or subtask is defined using `update` and `fields`. The fields that can be set in the issue or subtask are determined using the [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get). These are the same fields that appear on the issue's create screen. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
  
  Creating a subtask differs from creating an issue as follows:
  
   *  `issueType` must be set to a subtask issue type (use [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get) to find subtask issue types).
   *  `parent` must contain the ID or key of the parent issue.
  
  In a next-gen project any issue may be made a child providing that the parent and child are members of the same project.
  
  **[Permissions](#permissions) required:** *Browse projects* and *Create issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project in which the issue or subtask is created.
  * Alternative usage: Issue.createIssue
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-post
  * @param options Request options.
  */
    createIssue<T = CreateIssueResponseOK>(options: CreateIssueRequest): Promise<CreateIssueResponseOK | T>;
    /**
  * Creates upto **50** issues and, where the option to create subtasks is enabled in Jira, subtasks. Transitions may be applied, to move the issues or subtasks to a workflow step other than the default start step, and issue properties set.
  
  The content of each issue or subtask is defined using `update` and `fields`. The fields that can be set in the issue or subtask are determined using the [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get). These are the same fields that appear on the issues' create screens. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
  
  Creating a subtask differs from creating an issue as follows:
  
   *  `issueType` must be set to a subtask issue type (use [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get) to find subtask issue types).
   *  `parent` the must contain the ID or key of the parent issue.
  
  **[Permissions](#permissions) required:** *Browse projects* and *Create issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project in which each issue or subtask is created.
  * Alternative usage: Issue.createIssues
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-bulk-post
  * @param options Request options.
  */
    createIssues<T = CreateIssuesResponseOK>(options: CreateIssuesRequest): Promise<CreateIssuesResponseOK | T>;
    /**
  * Returns the details for an issue.
  
  The issue is identified by its ID or key, however, if the identifier doesn't match an issue, a case-insensitive search and check for moved issues is performed. If a matching issue is found its details are returned, a 302 or other redirect is **not** returned. The issue key returned in the response is the key of the issue found.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.getIssue
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-get
  * @param options Request options.
  */
    getIssue<T = GetIssueResponseOK>(options: GetIssueRequest): Promise<GetIssueResponseOK | T>;
    /**
  * Edits an issue. Issue properties may be updated as part of the edit. Please note that issue transition is not supported and is ignored here. To transition an issue, please use [Transition issue](#api-rest-api-3-issue-issueIdOrKey-transitions-post).
  
  The edits to the issue's fields are defined using `update` and `fields`. The fields that can be edited are determined using [ Get edit issue metadata](#api-rest-api-3-issue-issueIdOrKey-editmeta-get).
  
  The parent field may be set by key or ID. For standard issue types, the parent may be removed by setting `update.parent.set.none` to *true*. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
  
  Connect apps having an app user with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), and Forge apps acting on behalf of users with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), can override the screen security configuration using `overrideScreenSecurity` and `overrideEditableFlag`.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Edit issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.editIssue
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-put
  * @param options Request options.
  */
    editIssue<T = EditIssueResponseOK>(options: EditIssueRequest): Promise<EditIssueResponseOK | T>;
    /**
  * Deletes an issue.
  
  An issue cannot be deleted if it has one or more subtasks. To delete an issue with subtasks, set `deleteSubtasks`. This causes the issue's subtasks to be deleted with the issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Delete issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.deleteIssue
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-delete
  * @param options Request options.
  */
    deleteIssue<T = DeleteIssueResponseOK>(options: DeleteIssueRequest): Promise<DeleteIssueResponseOK | T>;
    /**
  * Assigns an issue to a user. Use this operation when the calling user does not have the *Edit Issues* permission but has the *Assign issue* permission for the project that the issue is in.
  
  If `name` or `accountId` is set to:
  
   *  `"-1"`, the issue is assigned to the default assignee for the project.
   *  `null`, the issue is set to unassigned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse Projects* and *Assign Issues* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.assignIssue
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-assignee-put
  * @param options Request options.
  */
    assignIssue<T = AssignIssueResponseOK>(options: AssignIssueRequest): Promise<AssignIssueResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of all changelogs for an issue sorted by date, starting from the oldest.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.getChangeLogs
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-changelog-get
  * @param options Request options.
  */
    getIssueChangeLogs<T = GetIssueChangeLogsResponseOK>(options: GetIssueChangeLogsRequest): Promise<GetIssueChangeLogsResponseOK | T>;
    /**
  * Returns changelogs for an issue specified by a list of changelog IDs.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.getChangeLogsById
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-changelog-list-post
  * @param options Request options.
  */
    getIssueChangeLogsById<T = GetIssueChangeLogsByIdResponseOK>(options: GetIssueChangeLogsByIdRequest): Promise<GetIssueChangeLogsByIdResponseOK | T>;
    /**
  * Creates an email notification for an issue and adds it to the mail queue.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.sendNotification
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-notify-post
  * @param options Request options.
  */
    sendNotificationForIssue<T = SendNotificationForIssueResponseOK>(options: SendNotificationForIssueRequest): Promise<SendNotificationForIssueResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of priorities. The list can contain all priorities or a subset determined by any combination of these criteria:
  
   *  a list of priority IDs. Any invalid priority IDs are ignored.
   *  a list of project IDs. Only priorities that are available in these projects will be returned. Any invalid project IDs are ignored.
   *  whether the field configuration is a default. This returns priorities from company-managed (classic) projects only, as there is no concept of default priorities in team-managed projects.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Issue.Priority.searchPriorities
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-priorities/#api-rest-api-3-priority-search-get
  * @param options Request options.
  */
    searchIssuePriorities<T = SearchIssuePrioritiesResponseOK>(options?: SearchIssuePrioritiesRequest): Promise<SearchIssuePrioritiesResponseOK | T>;
    /**
  * Returns the list of all issue priorities.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Issue.Priority.getPriorities
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-priorities/#api-rest-api-3-priority-get
  * @param options Request options.
  * @deprecated
  */
    getIssuePriorities<T = GetIssuePrioritiesResponseOK>(options?: GetIssuePrioritiesRequest): Promise<GetIssuePrioritiesResponseOK | T>;
    /**
  * Returns an issue priority.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Issue.Priority.getPriority
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-priorities/#api-rest-api-3-priority-id-get
  * @param options Request options.
  */
    getIssuePriority<T = GetIssuePriorityResponseOK>(options: GetIssuePriorityRequest): Promise<GetIssuePriorityResponseOK | T>;
    /**
  * Returns system and custom issue fields according to the following rules:
  
   *  Fields that cannot be added to the issue navigator are always returned.
   *  Fields that cannot be placed on an issue screen are always returned.
   *  Fields that depend on global Jira settings are only returned if the setting is enabled. That is, timetracking fields, subtasks, votes, and watches.
   *  For all other fields, this operation only returns the fields that the user has permission to view (that is, the field is used in at least one project that the user has *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.)
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Issue.Field.getFields
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-get
  * @param options Request options.
  */
    getIssueFields<T = GetIssueFieldsResponseOK>(options?: GetIssueFieldsRequest): Promise<GetIssueFieldsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of fields for Classic Jira projects. The list can include:
  
   *  all fields
   *  specific fields, by defining `id`
   *  fields that contain a string in the field name or description, by defining `query`
   *  specific fields that contain a string in the field name or description, by defining `id` and `query`
  
  Use `type` must be set to `custom` to show custom fields only.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.getFieldsPaginated
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-search-get
  * @param options Request options.
  */
    getFieldsPaginated<T = GetFieldsPaginatedResponseOK>(options?: GetFieldsPaginatedRequest): Promise<GetFieldsPaginatedResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of the contexts a field is used in. Deprecated, use [ Get custom field contexts](#api-rest-api-3-field-fieldId-context-get).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.getContexts
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-fieldid-contexts-get
  * @param options Request options.
  * @deprecated
  */
    getFieldContexts<T = GetFieldContextsResponseOK>(options: GetFieldContextsRequest): Promise<GetFieldContextsResponseOK | T>;
    /**
  * Creates a custom field.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.createField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-post
  * @param options Request options.
  */
    createIssueCustomField<T = CreateIssueCustomFieldResponseOK>(options: CreateIssueCustomFieldRequest): Promise<CreateIssueCustomFieldResponseOK | T>;
    /**
  * Deletes a custom field. The custom field is deleted whether it is in the trash or not. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
  
  This operation is [asynchronous](#async). Follow the `location` link in the response to determine the status of the task and use [Get task](#api-rest-api-3-task-taskId-get) to obtain subsequent updates.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.deleteField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-delete
  * @param options Request options.
  */
    deleteIssueCustomField<T = DeleteIssueCustomFieldResponseOK>(options: DeleteIssueCustomFieldRequest): Promise<DeleteIssueCustomFieldResponseOK | T>;
    /**
  * Restores a custom field from trash. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.restoreField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-restore-post
  * @param options Request options.
  */
    restoreIssueCustomField<T = RestoreIssueCustomFieldResponseOK>(options: RestoreIssueCustomFieldRequest): Promise<RestoreIssueCustomFieldResponseOK | T>;
    /**
  * Moves a custom field to trash. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.moveToTrash
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-trash-post
  * @param options Request options.
  */
    moveIssueCustomFieldToTrash<T = MoveIssueCustomFieldToTrashResponseOK>(options: MoveIssueCustomFieldToTrashRequest): Promise<MoveIssueCustomFieldToTrashResponseOK | T>;
    /**
  * Updates a custom field.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.updateField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-fieldid-put
  * @param options Request options.
  */
    updateIssueCustomField<T = UpdateIssueCustomFieldResponseOK>(options: UpdateIssueCustomFieldRequest): Promise<UpdateIssueCustomFieldResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of project and issue type mappings and, for each mapping, the ID of a [custom field context](https://confluence.atlassian.com/x/k44fOw) that applies to the project and issue type.
  
  If there is no custom field context assigned to the project then, if present, the custom field context that applies to all projects is returned if it also applies to the issue type or all issue types. If a custom field context is not found, the returned custom field context ID is `null`.
  
  Duplicate project and issue type mappings cannot be provided in the request.
  
  The order of the returned values is the same as provided in the request.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.getForProjectsAndIssueType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-mapping-post
  * @param options Request options.
  */
    getIssueCustomFieldContextsForProjectsAndIssueType<T = GetIssueCustomFieldContextsForProjectsAndIssueTypeResponseOK>(options: GetIssueCustomFieldContextsForProjectsAndIssueTypeRequest): Promise<GetIssueCustomFieldContextsForProjectsAndIssueTypeResponseOK | T>;
    /**
  * Deletes a [ custom field context](https://confluence.atlassian.com/adminjiracloud/what-are-custom-field-contexts-991923859.html).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.deleteContext
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-delete
  * @param options Request options.
  */
    deleteIssueCustomFieldContext<T = DeleteIssueCustomFieldContextResponseOK>(options: DeleteIssueCustomFieldContextRequest): Promise<DeleteIssueCustomFieldContextResponseOK | T>;
    /**
  * Updates a [ custom field context](https://confluence.atlassian.com/adminjiracloud/what-are-custom-field-contexts-991923859.html).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.updateContext
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-put
  * @param options Request options.
  */
    updateIssueCustomFieldContext<T = UpdateIssueCustomFieldContextResponseOK>(options: UpdateIssueCustomFieldContextRequest): Promise<UpdateIssueCustomFieldContextResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of [ contexts](https://confluence.atlassian.com/adminjiracloud/what-are-custom-field-contexts-991923859.html) for a custom field. Contexts can be returned as follows:
  
   *  With no other parameters set, all contexts.
   *  By defining `id` only, all contexts from the list of IDs.
   *  By defining `isAnyIssueType`, limit the list of contexts returned to either those that apply to all issue types (true) or those that apply to only a subset of issue types (false)
   *  By defining `isGlobalContext`, limit the list of contexts return to either those that apply to all projects (global contexts) (true) or those that apply to only a subset of projects (false).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.getContexts
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-get
  * @param options Request options.
  */
    getIssueCustomFieldContexts<T = GetIssueCustomFieldContextsResponseOK>(options: GetIssueCustomFieldContextsRequest): Promise<GetIssueCustomFieldContextsResponseOK | T>;
    /**
  * Creates a custom field context.
  
  If `projectIds` is empty, a global context is created. A global context is one that applies to all project. If `issueTypeIds` is empty, the context applies to all issue types.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.createContext
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-post
  * @param options Request options.
  */
    createIssueCustomFieldContext<T = CreateIssueCustomFieldContextResponseOK>(options: CreateIssueCustomFieldContextRequest): Promise<CreateIssueCustomFieldContextResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of defaults for a custom field. The results can be filtered by `contextId`, otherwise all values are returned. If no defaults are set for a context, nothing is returned.
  The returned object depends on type of the custom field:
  
   *  `CustomFieldContextDefaultValueDate` (type `datepicker`) for date fields.
   *  `CustomFieldContextDefaultValueDateTime` (type `datetimepicker`) for date-time fields.
   *  `CustomFieldContextDefaultValueSingleOption` (type `option.single`) for single choice select lists and radio buttons.
   *  `CustomFieldContextDefaultValueMultipleOption` (type `option.multiple`) for multiple choice select lists and checkboxes.
   *  `CustomFieldContextDefaultValueCascadingOption` (type `option.cascading`) for cascading select lists.
   *  `CustomFieldContextSingleUserPickerDefaults` (type `single.user.select`) for single users.
   *  `CustomFieldContextDefaultValueMultiUserPicker` (type `multi.user.select`) for user lists.
   *  `CustomFieldContextDefaultValueSingleGroupPicker` (type `grouppicker.single`) for single choice group pickers.
   *  `CustomFieldContextDefaultValueMultipleGroupPicker` (type `grouppicker.multiple`) for multiple choice group pickers.
   *  `CustomFieldContextDefaultValueURL` (type `url`) for URLs.
   *  `CustomFieldContextDefaultValueProject` (type `project`) for project pickers.
   *  `CustomFieldContextDefaultValueFloat` (type `float`) for floats (floating-point numbers).
   *  `CustomFieldContextDefaultValueLabels` (type `labels`) for labels.
   *  `CustomFieldContextDefaultValueTextField` (type `textfield`) for text fields.
   *  `CustomFieldContextDefaultValueTextArea` (type `textarea`) for text area fields.
   *  `CustomFieldContextDefaultValueReadOnly` (type `readonly`) for read only (text) fields.
   *  `CustomFieldContextDefaultValueMultipleVersion` (type `version.multiple`) for single choice version pickers.
   *  `CustomFieldContextDefaultValueSingleVersion` (type `version.single`) for multiple choice version pickers.
  
  Forge custom fields [types](https://developer.atlassian.com/platform/forge/manifest-reference/modules/jira-custom-field-type/#data-types) are also supported, returning:
  
   *  `CustomFieldContextDefaultValueForgeStringFieldBean` (type `forge.string`) for Forge string fields.
   *  `CustomFieldContextDefaultValueForgeMultiStringFieldBean` (type `forge.string.list`) for Forge string collection fields.
   *  `CustomFieldContextDefaultValueForgeObjectFieldBean` (type `forge.object`) for Forge object fields.
   *  `CustomFieldContextDefaultValueForgeDateTimeFieldBean` (type `forge.datetime`) for Forge date-time fields.
   *  `CustomFieldContextDefaultValueForgeGroupFieldBean` (type `forge.group`) for Forge group fields.
   *  `CustomFieldContextDefaultValueForgeMultiGroupFieldBean` (type `forge.group.list`) for Forge group collection fields.
   *  `CustomFieldContextDefaultValueForgeNumberFieldBean` (type `forge.number`) for Forge number fields.
   *  `CustomFieldContextDefaultValueForgeUserFieldBean` (type `forge.user`) for Forge user fields.
   *  `CustomFieldContextDefaultValueForgeMultiUserFieldBean` (type `forge.user.list`) for Forge user collection fields.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.getDefaultContexts
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-defaultvalue-get
  * @param options Request options.
  */
    getIssueCustomFieldDefaultContexts<T = GetIssueCustomFieldDefaultContextsResponseOK>(options: GetIssueCustomFieldDefaultContextsRequest): Promise<GetIssueCustomFieldDefaultContextsResponseOK | T>;
    /**
  * Sets default for contexts of a custom field. Default are defined using these objects:
  
   *  `CustomFieldContextDefaultValueDate` (type `datepicker`) for date fields.
   *  `CustomFieldContextDefaultValueDateTime` (type `datetimepicker`) for date-time fields.
   *  `CustomFieldContextDefaultValueSingleOption` (type `option.single`) for single choice select lists and radio buttons.
   *  `CustomFieldContextDefaultValueMultipleOption` (type `option.multiple`) for multiple choice select lists and checkboxes.
   *  `CustomFieldContextDefaultValueCascadingOption` (type `option.cascading`) for cascading select lists.
   *  `CustomFieldContextSingleUserPickerDefaults` (type `single.user.select`) for single users.
   *  `CustomFieldContextDefaultValueMultiUserPicker` (type `multi.user.select`) for user lists.
   *  `CustomFieldContextDefaultValueSingleGroupPicker` (type `grouppicker.single`) for single choice group pickers.
   *  `CustomFieldContextDefaultValueMultipleGroupPicker` (type `grouppicker.multiple`) for multiple choice group pickers.
   *  `CustomFieldContextDefaultValueURL` (type `url`) for URLs.
   *  `CustomFieldContextDefaultValueProject` (type `project`) for project pickers.
   *  `CustomFieldContextDefaultValueFloat` (type `float`) for floats (floating-point numbers).
   *  `CustomFieldContextDefaultValueLabels` (type `labels`) for labels.
   *  `CustomFieldContextDefaultValueTextField` (type `textfield`) for text fields.
   *  `CustomFieldContextDefaultValueTextArea` (type `textarea`) for text area fields.
   *  `CustomFieldContextDefaultValueReadOnly` (type `readonly`) for read only (text) fields.
   *  `CustomFieldContextDefaultValueMultipleVersion` (type `version.multiple`) for single choice version pickers.
   *  `CustomFieldContextDefaultValueSingleVersion` (type `version.single`) for multiple choice version pickers.
  
  Forge custom fields [types](https://developer.atlassian.com/platform/forge/manifest-reference/modules/jira-custom-field-type/#data-types) are also supported, returning:
  
   *  `CustomFieldContextDefaultValueForgeStringFieldBean` (type `forge.string`) for Forge string fields.
   *  `CustomFieldContextDefaultValueForgeMultiStringFieldBean` (type `forge.string.list`) for Forge string collection fields.
   *  `CustomFieldContextDefaultValueForgeObjectFieldBean` (type `forge.object`) for Forge object fields.
   *  `CustomFieldContextDefaultValueForgeDateTimeFieldBean` (type `forge.datetime`) for Forge date-time fields.
   *  `CustomFieldContextDefaultValueForgeGroupFieldBean` (type `forge.group`) for Forge group fields.
   *  `CustomFieldContextDefaultValueForgeMultiGroupFieldBean` (type `forge.group.list`) for Forge group collection fields.
   *  `CustomFieldContextDefaultValueForgeNumberFieldBean` (type `forge.number`) for Forge number fields.
   *  `CustomFieldContextDefaultValueForgeUserFieldBean` (type `forge.user`) for Forge user fields.
   *  `CustomFieldContextDefaultValueForgeMultiUserFieldBean` (type `forge.user.list`) for Forge user collection fields.
  
  Only one type of default object can be included in a request. To remove a default for a context, set the default parameter to `null`.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.setDefaultContexts
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-defaultvalue-put
  * @param options Request options.
  */
    setIssueCustomFieldDefaultContexts<T = SetIssueCustomFieldDefaultContextsResponseOK>(options: SetIssueCustomFieldDefaultContextsRequest): Promise<SetIssueCustomFieldDefaultContextsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of context to issue type mappings for a custom field. Mappings are returned for all contexts or a list of contexts. Mappings are ordered first by context ID and then by issue type ID.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.getIssueTypes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-issuetypemapping-get
  * @param options Request options.
  */
    getIssueCustomFieldIssueTypesForContext<T = GetIssueCustomFieldIssueTypesForContextResponseOK>(options: GetIssueCustomFieldIssueTypesForContextRequest): Promise<GetIssueCustomFieldIssueTypesForContextResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of context to project mappings for a custom field. The result can be filtered by `contextId`. Otherwise, all mappings are returned. Invalid IDs are ignored.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.getProjectMappings
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-projectmapping-get
  * @param options Request options.
  */
    getIssueCustomFieldContextToProjectMappings<T = GetIssueCustomFieldContextToProjectMappingsResponseOK>(options: GetIssueCustomFieldContextToProjectMappingsRequest): Promise<GetIssueCustomFieldContextToProjectMappingsResponseOK | T>;
    /**
  * Adds issue types to a custom field context, appending the issue types to the issue types list.
  
  A custom field context without any issue types applies to all issue types. Adding issue types to such a custom field context would result in it applying to only the listed issue types.
  
  If any of the issue types exists in the custom field context, the operation fails and no issue types are added.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.addIssueTypes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-issuetype-put
  * @param options Request options.
  */
    addIssueTypesToIssueCustomFieldContext<T = AddIssueTypesToIssueCustomFieldContextResponseOK>(options: AddIssueTypesToIssueCustomFieldContextRequest): Promise<AddIssueTypesToIssueCustomFieldContextResponseOK | T>;
    /**
  * Removes issue types from a custom field context.
  
  A custom field context without any issue types applies to all issue types.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.removeIssueTypes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-issuetype-remove-post
  * @param options Request options.
  */
    removeIssueTypesFromIssueCustomFieldContext<T = RemoveIssueTypesFromIssueCustomFieldContextResponseOK>(options: RemoveIssueTypesFromIssueCustomFieldContextRequest): Promise<RemoveIssueTypesFromIssueCustomFieldContextResponseOK | T>;
    /**
  * Assigns a custom field context to projects.
  
  If any project in the request is assigned to any context of the custom field, the operation fails.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.assignToProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-project-put
  * @param options Request options.
  */
    assignIssueCustomFieldContextToProjects<T = AssignIssueCustomFieldContextToProjectsResponseOK>(options: AssignIssueCustomFieldContextToProjectsRequest): Promise<AssignIssueCustomFieldContextToProjectsResponseOK | T>;
    /**
  * Removes a custom field context from projects.
  
  A custom field context without any projects applies to all projects. Removing all projects from a custom field context would result in it applying to all projects.
  
  If any project in the request is not assigned to the context, or the operation would result in two global contexts for the field, the operation fails.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.removeFromProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-project-remove-post
  * @param options Request options.
  */
    removeIssueCustomFieldContextFromProjects<T = RemoveIssueCustomFieldContextFromProjectsResponseOK>(options: RemoveIssueCustomFieldContextFromProjectsRequest): Promise<RemoveIssueCustomFieldContextFromProjectsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of all custom field option for a context. Options are returned first then cascading options, in the order they display in Jira.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.Option.getOptions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-get
  * @param options Request options.
  */
    getIssueCustomFieldContextOptions<T = GetIssueCustomFieldContextOptionsResponseOK>(options: GetIssueCustomFieldContextOptionsRequest): Promise<GetIssueCustomFieldContextOptionsResponseOK | T>;
    /**
  * Creates options and, where the custom select field is of the type Select List (cascading), cascading options for a custom select field. The options are added to a context of the field.
  
  The maximum number of options that can be created per request is 1000 and each field can have a maximum of 10000 options.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.Option.createOptions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-post
  * @param options Request options.
  */
    createIssueCustomFieldContextOptions<T = CreateIssueCustomFieldContextOptionsResponseOK>(options: CreateIssueCustomFieldContextOptionsRequest): Promise<CreateIssueCustomFieldContextOptionsResponseOK | T>;
    /**
  * Updates the options of a custom field.
  
  If any of the options are not found, no options are updated. Options where the values in the request match the current values aren't updated and aren't reported in the response.
  
  Note that this operation **only works for issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource**, it cannot be used with issue field select list options created by Connect apps.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.Option.updateOptions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-put
  * @param options Request options.
  */
    updateIssueCustomFieldContextOptions<T = UpdateIssueCustomFieldContextOptionsResponseOK>(options: UpdateIssueCustomFieldContextOptionsRequest): Promise<UpdateIssueCustomFieldContextOptionsResponseOK | T>;
    /**
  * Changes the order of custom field options or cascading options in a context.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.Option.reorderOptions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-move-put
  * @param options Request options.
  */
    reorderIssueCustomFieldContextOptions<T = ReorderIssueCustomFieldContextOptionsResponseOK>(options: ReorderIssueCustomFieldContextOptionsRequest): Promise<ReorderIssueCustomFieldContextOptionsResponseOK | T>;
    /**
  * Deletes a custom field option.
  
  Options with cascading options cannot be deleted without deleting the cascading options first.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Custom.Context.Option.deleteOption
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-optionid-delete
  * @param options Request options.
  */
    deleteIssueCustomFieldContextOption<T = DeleteIssueCustomFieldContextOptionResponseOK>(options: DeleteIssueCustomFieldContextOptionRequest): Promise<DeleteIssueCustomFieldContextOptionResponseOK | T>;
    /**
  * Returns a custom field option. For example, an option in a select list.
  
  Note that this operation **only works for issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource**, it cannot be used with issue field select list options created by Connect apps.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The custom field option is returned as follows:
  
   *  if the user has the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  if the user has the *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the custom field is used in, and the field is visible in at least one layout the user has permission to view.
  * Alternative usage: Issue.Field.Custom.Option.getOption
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-customfieldoption-id-get
  * @param options Request options.
  */
    getIssueCustomFieldOption<T = GetIssueCustomFieldOptionResponseOK>(options: GetIssueCustomFieldOptionRequest): Promise<GetIssueCustomFieldOptionResponseOK | T>;
    /**
  * Creates a field configuration. The field configuration is created with the same field properties as the default configuration, with all the fields being optional.
  
  This operation can only create configurations for use in company-managed (classic) projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Configuration.createConfiguration
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-post
  * @param options Request options.
  */
    createIssueFieldConfiguration<T = CreateIssueFieldConfigurationResponseOK>(options: CreateIssueFieldConfigurationRequest): Promise<CreateIssueFieldConfigurationResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of field configurations. The list can be for all field configurations or a subset determined by any combination of these criteria:
  
   *  a list of field configuration item IDs.
   *  whether the field configuration is a default.
   *  whether the field configuration name or description contains a query string.
  
  Only field configurations used in company-managed (classic) projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Configuration.getConfigurations
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-get
  * @param options Request options.
  */
    getIssueFieldConfigurations<T = GetIssueFieldConfigurationsResponseOK>(options?: GetIssueFieldConfigurationsRequest): Promise<GetIssueFieldConfigurationsResponseOK | T>;
    /**
  * Updates a field configuration. The name and the description provided in the request override the existing values.
  
  This operation can only update configurations used in company-managed (classic) projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Configuration.updateConfiguration
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-id-put
  * @param options Request options.
  */
    updateIssueFieldConfiguration<T = UpdateIssueFieldConfigurationResponseOK>(options: UpdateIssueFieldConfigurationRequest): Promise<UpdateIssueFieldConfigurationResponseOK | T>;
    /**
  * Deletes a field configuration.
  
  This operation can only delete configurations used in company-managed (classic) projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Configuration.deleteConfiguration
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-id-delete
  * @param options Request options.
  */
    deleteIssueFieldConfiguration<T = DeleteIssueFieldConfigurationResponseOK>(options: DeleteIssueFieldConfigurationRequest): Promise<DeleteIssueFieldConfigurationResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of all fields for a configuration.
  
  Only the fields from configurations used in company-managed (classic) projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Configuration.getConfigurationItems
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-id-fields-get
  * @param options Request options.
  */
    getIssueFieldConfigurationItems<T = GetIssueFieldConfigurationItemsResponseOK>(options: GetIssueFieldConfigurationItemsRequest): Promise<GetIssueFieldConfigurationItemsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of field configuration issue type items.
  
  Only items used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Configuration.getConfigurationIssueTypeItems
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfigurationscheme-mapping-get
  * @param options Request options.
  */
    getIssueFieldConfigurationIssueTypeItems<T = GetIssueFieldConfigurationIssueTypeItemsResponseOK>(options?: GetIssueFieldConfigurationIssueTypeItemsRequest): Promise<GetIssueFieldConfigurationIssueTypeItemsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of field configuration schemes.
  
  Only field configuration schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Configuration.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfigurationscheme-get
  * @param options Request options.
  */
    getIssueFieldConfigurationSchemes<T = GetIssueFieldConfigurationSchemesResponseOK>(options?: GetIssueFieldConfigurationSchemesRequest): Promise<GetIssueFieldConfigurationSchemesResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of field configuration schemes and, for each scheme, a list of the projects that use it.
  
  The list is sorted by field configuration scheme ID. The first item contains the list of project IDs assigned to the default field configuration scheme.
  
  Only field configuration schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Configuration.Scheme.getSchemesForProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfigurationscheme-project-get
  * @param options Request options.
  */
    getIssueFieldConfigurationSchemesForProjects<T = GetIssueFieldConfigurationSchemesForProjectsResponseOK>(options: GetIssueFieldConfigurationSchemesForProjectsRequest): Promise<GetIssueFieldConfigurationSchemesForProjectsResponseOK | T>;
    /**
  * Assigns a field configuration scheme to a project. If the field configuration scheme ID is `null`, the operation assigns the default field configuration scheme.
  
  Field configuration schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Field.Configuration.Scheme.assignSchemeToProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfigurationscheme-project-put
  * @param options Request options.
  */
    assignIssueFieldConfigurationSchemeToProject<T = AssignIssueFieldConfigurationSchemeToProjectResponseOK>(options: AssignIssueFieldConfigurationSchemeToProjectRequest): Promise<AssignIssueFieldConfigurationSchemeToProjectResponseOK | T>;
    /**
  * Returns all issue types.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Issue types are only returned as follows:
  
   *  if the user has the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), all issue types are returned.
   *  if the user has the *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for one or more projects, the issue types associated with the projects the user has permission to browse are returned.
  * Alternative usage: Issue.Type.getTypesForUser
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-get
  * @param options Request options.
  */
    getIssueTypesForUser<T = GetIssueTypesForUserResponseOK>(options?: GetIssueTypesForUserRequest): Promise<GetIssueTypesForUserResponseOK | T>;
    /**
  * Creates an issue type and adds it to the default issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.createType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-post
  * @param options Request options.
  */
    createIssueType<T = CreateIssueTypeResponseOK>(options: CreateIssueTypeRequest): Promise<CreateIssueTypeResponseOK | T>;
    /**
  * Returns issue types for a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) in the relevant project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.getTypesForProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-project-get
  * @param options Request options.
  */
    getIssueTypesForProject<T = GetIssueTypesForProjectResponseOK>(options: GetIssueTypesForProjectRequest): Promise<GetIssueTypesForProjectResponseOK | T>;
    /**
  * Returns an issue type.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) in a project the issue type is associated with or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.getType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-id-get
  * @param options Request options.
  */
    getIssueType<T = GetIssueTypeResponseOK>(options: GetIssueTypeRequest): Promise<GetIssueTypeResponseOK | T>;
    /**
  * Updates the issue type.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.updateType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-id-put
  * @param options Request options.
  */
    updateIssueType<T = UpdateIssueTypeResponseOK>(options: UpdateIssueTypeRequest): Promise<UpdateIssueTypeResponseOK | T>;
    /**
  * Deletes the issue type. If the issue type is in use, all uses are updated with the alternative issue type (`alternativeIssueTypeId`). A list of alternative issue types are obtained from the [Get alternative issue types](#api-rest-api-3-issuetype-id-alternatives-get) resource.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.deleteType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-id-delete
  * @param options Request options.
  */
    deleteIssueType<T = DeleteIssueTypeResponseOK>(options: DeleteIssueTypeRequest): Promise<DeleteIssueTypeResponseOK | T>;
    /**
  * Returns a list of issue types that can be used to replace the issue type. The alternative issue types are those assigned to the same workflow scheme, field configuration scheme, and screen scheme.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Issue.Type.getAlternativeTypes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-id-alternatives-get
  * @param options Request options.
  */
    getAlternativeIssueTypes<T = GetAlternativeIssueTypesResponseOK>(options: GetAlternativeIssueTypesRequest): Promise<GetAlternativeIssueTypesResponseOK | T>;
    /**
  * Loads an avatar for the issue type.
  
  Specify the avatar's local file location in the body of the request. Also, include the following headers:
  
   *  `X-Atlassian-Token: no-check` To prevent XSRF protection blocking the request, for more information see [Special Headers](#special-request-headers).
   *  `Content-Type: image/image type` Valid image types are JPEG, GIF, or PNG.
  
  For example:
  `curl --request POST \ --user email@example.com:<api_token> \ --header 'X-Atlassian-Token: no-check' \ --header 'Content-Type: image/< image_type>' \ --data-binary "<@/path/to/file/with/your/avatar>" \ --url 'https://your-domain.atlassian.net/rest/api/3/issuetype/{issueTypeId}'This`
  
  The avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
  
  The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
  
  After creating the avatar, use [ Update issue type](#api-rest-api-3-issuetype-id-put) to set it as the issue type's displayed avatar.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.loadTypeAvatar
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-id-avatar2-post
  * @param options Request options.
  */
    loadIssueTypeAvatar<T = LoadIssueTypeAvatarResponseOK>(options: LoadIssueTypeAvatarRequest): Promise<LoadIssueTypeAvatarResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of projects associated with an issue type screen scheme.
  
  Only company-managed projects associated with an issue type screen scheme are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Screen.Scheme.getProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-project-get
  * @param options Request options.
  */
    getIssueTypeScreenSchemeProjects<T = GetIssueTypeScreenSchemeProjectsResponseOK>(options: GetIssueTypeScreenSchemeProjectsRequest): Promise<GetIssueTypeScreenSchemeProjectsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of issue type screen schemes.
  
  Only issue type screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Screen.Scheme.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-get
  * @param options Request options.
  */
    getIssueTypeScreenSchemes<T = GetIssueTypeScreenSchemesResponseOK>(options?: GetIssueTypeScreenSchemesRequest): Promise<GetIssueTypeScreenSchemesResponseOK | T>;
    /**
  * Creates an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Screen.Scheme.createScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-post
  * @param options Request options.
  */
    createIssueTypeScreenScheme<T = CreateIssueTypeScreenSchemeResponseOK>(options: CreateIssueTypeScreenSchemeRequest): Promise<CreateIssueTypeScreenSchemeResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of issue type screen scheme items.
  
  Only issue type screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Screen.Scheme.getSchemeItems
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-mapping-get
  * @param options Request options.
  */
    getIssueTypeScreenSchemeItems<T = GetIssueTypeScreenSchemeItemsResponseOK>(options?: GetIssueTypeScreenSchemeItemsRequest): Promise<GetIssueTypeScreenSchemeItemsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of issue type screen schemes and, for each issue type screen scheme, a list of the projects that use it.
  
  Only issue type screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Screen.Scheme.getSchemesForProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-project-get
  * @param options Request options.
  */
    getIssueTypeScreenSchemesForProjects<T = GetIssueTypeScreenSchemesForProjectsResponseOK>(options: GetIssueTypeScreenSchemesForProjectsRequest): Promise<GetIssueTypeScreenSchemesForProjectsResponseOK | T>;
    /**
  * Assigns an issue type screen scheme to a project.
  
  Issue type screen schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Screen.Scheme.assignSchemeToProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-project-put
  * @param options Request options.
  */
    assignIssueTypeScreenSchemeToProject<T = AssignIssueTypeScreenSchemeToProjectResponseOK>(options: AssignIssueTypeScreenSchemeToProjectRequest): Promise<AssignIssueTypeScreenSchemeToProjectResponseOK | T>;
    /**
  * Updates an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Screen.Scheme.updateScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-put
  * @param options Request options.
  */
    updateIssueTypeScreenScheme<T = UpdateIssueTypeScreenSchemeResponseOK>(options: UpdateIssueTypeScreenSchemeRequest): Promise<UpdateIssueTypeScreenSchemeResponseOK | T>;
    /**
  * Deletes an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Screen.Scheme.deleteScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-delete
  * @param options Request options.
  */
    deleteIssueTypeScreenScheme<T = DeleteIssueTypeScreenSchemeResponseOK>(options: DeleteIssueTypeScreenSchemeRequest): Promise<DeleteIssueTypeScreenSchemeResponseOK | T>;
    /**
  * Appends issue type to screen scheme mappings to an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Screen.Scheme.appendMappings
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-mapping-put
  * @param options Request options.
  */
    appendMappingsToIssueTypeScreenScheme<T = AppendMappingsToIssueTypeScreenSchemeResponseOK>(options: AppendMappingsToIssueTypeScreenSchemeRequest): Promise<AppendMappingsToIssueTypeScreenSchemeResponseOK | T>;
    /**
  * Updates the default screen scheme of an issue type screen scheme. The default screen scheme is used for all unmapped issue types.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Screen.Scheme.updateDefaultScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-mapping-default-put
  * @param options Request options.
  */
    updateDefaultIssueTypeScreenScheme<T = UpdateDefaultIssueTypeScreenSchemeResponseOK>(options: UpdateDefaultIssueTypeScreenSchemeRequest): Promise<UpdateDefaultIssueTypeScreenSchemeResponseOK | T>;
    /**
  * Removes issue type to screen scheme mappings from an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Screen.Scheme.removeMappings
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-mapping-remove-post
  * @param options Request options.
  */
    removeMappingsFromIssueTypeScreenScheme<T = RemoveMappingsFromIssueTypeScreenSchemeResponseOK>(options: RemoveMappingsFromIssueTypeScreenSchemeRequest): Promise<RemoveMappingsFromIssueTypeScreenSchemeResponseOK | T>;
    /**
  * Returns all the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) keys of the issue type.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to get the property keys of any issue type.
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) to get the property keys of any issue types associated with the projects the user has permission to browse.
  * Alternative usage: Issue.Type.Property.getPropertyKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-get
  * @param options Request options.
  */
    getIssueTypePropertyKeys<T = GetIssueTypePropertyKeysResponseOK>(options: GetIssueTypePropertyKeysRequest): Promise<GetIssueTypePropertyKeysResponseOK | T>;
    /**
  * Returns the key and value of the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to get the details of any issue type.
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) to get the details of any issue types associated with the projects the user has permission to browse.
  * Alternative usage: Issue.Type.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-get
  * @param options Request options.
  */
    getIssueTypeProperty<T = GetIssueTypePropertyResponseOK>(options: GetIssueTypePropertyRequest): Promise<GetIssueTypePropertyResponseOK | T>;
    /**
  * Creates or updates the value of the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties). Use this resource to store and update data against an issue type.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-put
  * @param options Request options.
  */
    setIssueTypeProperty<T = SetIssueTypePropertyResponseOK>(options: SetIssueTypePropertyRequest): Promise<SetIssueTypePropertyResponseOK | T>;
    /**
  * Deletes the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-delete
  * @param options Request options.
  */
    deleteIssueTypeProperty<T = DeleteIssueTypePropertyResponseOK>(options: DeleteIssueTypePropertyRequest): Promise<DeleteIssueTypePropertyResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of issue type schemes.
  
  Only issue type schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Scheme.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-get
  * @param options Request options.
  */
    getIssueTypeSchemes<T = GetIssueTypeSchemesResponseOK>(options?: GetIssueTypeSchemesRequest): Promise<GetIssueTypeSchemesResponseOK | T>;
    /**
  * Creates an issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Scheme.createScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-post
  * @param options Request options.
  */
    createIssueTypeScheme<T = CreateIssueTypeSchemeResponseOK>(options: CreateIssueTypeSchemeRequest): Promise<CreateIssueTypeSchemeResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of issue type scheme items.
  
  Only issue type scheme items used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Scheme.getSchemeItems
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-mapping-get
  * @param options Request options.
  */
    getIssueTypeSchemeItems<T = GetIssueTypeSchemeItemsResponseOK>(options?: GetIssueTypeSchemeItemsRequest): Promise<GetIssueTypeSchemeItemsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of issue type schemes and, for each issue type scheme, a list of the projects that use it.
  
  Only issue type schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Scheme.getSchemesForProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-project-get
  * @param options Request options.
  */
    getIssueTypeSchemesForProjects<T = GetIssueTypeSchemesForProjectsResponseOK>(options: GetIssueTypeSchemesForProjectsRequest): Promise<GetIssueTypeSchemesForProjectsResponseOK | T>;
    /**
  * Assigns an issue type scheme to a project.
  
  If any issues in the project are assigned issue types not present in the new scheme, the operation will fail. To complete the assignment those issues must be updated to use issue types in the new scheme.
  
  Issue type schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Scheme.assignToProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-project-put
  * @param options Request options.
  */
    assignIssueTypeSchemeToProject<T = AssignIssueTypeSchemeToProjectResponseOK>(options: AssignIssueTypeSchemeToProjectRequest): Promise<AssignIssueTypeSchemeToProjectResponseOK | T>;
    /**
  * Adds issue types to an issue type scheme.
  
  The added issue types are appended to the issue types list.
  
  If any of the issue types exist in the issue type scheme, the operation fails and no issue types are added.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Scheme.addIssueTypesToScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-issuetype-put
  * @param options Request options.
  */
    addIssueTypesToIssueTypeScheme<T = AddIssueTypesToIssueTypeSchemeResponseOK>(options: AddIssueTypesToIssueTypeSchemeRequest): Promise<AddIssueTypesToIssueTypeSchemeResponseOK | T>;
    /**
  * Updates an issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Scheme.updateScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-put
  * @param options Request options.
  */
    updateIssueTypeScheme<T = UpdateIssueTypeSchemeResponseOK>(options: UpdateIssueTypeSchemeRequest): Promise<UpdateIssueTypeSchemeResponseOK | T>;
    /**
  * Deletes an issue type scheme.
  
  Only issue type schemes used in classic projects can be deleted.
  
  Any projects assigned to the scheme are reassigned to the default issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Scheme.deleteScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-delete
  * @param options Request options.
  */
    deleteIssueTypeScheme<T = DeleteIssueTypeSchemeResponseOK>(options: DeleteIssueTypeSchemeRequest): Promise<DeleteIssueTypeSchemeResponseOK | T>;
    /**
  * Changes the order of issue types in an issue type scheme.
  
  The request body parameters must meet the following requirements:
  
   *  all of the issue types must belong to the issue type scheme.
   *  either `after` or `position` must be provided.
   *  the issue type in `after` must not be in the issue type list.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Scheme.changeIssueTypesOrder
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-issuetype-move-put
  * @param options Request options.
  */
    changeIssueTypeSchemeIssueTypesOrder<T = ChangeIssueTypeSchemeIssueTypesOrderResponseOK>(options: ChangeIssueTypeSchemeIssueTypesOrderRequest): Promise<ChangeIssueTypeSchemeIssueTypesOrderResponseOK | T>;
    /**
  * Removes an issue type from an issue type scheme.
  
  This operation cannot remove:
  
   *  any issue type used by issues.
   *  any issue types from the default issue type scheme.
   *  the last standard issue type from an issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Type.Scheme.removeIssueTypesFromScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-issuetype-issuetypeid-delete
  * @param options Request options.
  */
    removeIssueTypesFromIssueTypeScheme<T = RemoveIssueTypesFromIssueTypeSchemeResponseOK>(options: RemoveIssueTypesFromIssueTypeSchemeRequest): Promise<RemoveIssueTypesFromIssueTypeSchemeResponseOK | T>;
    /**
  * Returns worklogs for an issue (ordered by created time), starting from the oldest worklog or from the worklog started on or after a date and time.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Workloads are only returned where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Worklog.getWorklogs
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-issue-issueidorkey-worklog-get
  * @param options Request options.
  */
    getIssueWorklogs<T = GetIssueWorklogsResponseOK>(options: GetIssueWorklogsRequest): Promise<GetIssueWorklogsResponseOK | T>;
    /**
  * Adds a worklog to an issue.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Work on issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Worklog.addWorklog
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-issue-issueidorkey-worklog-post
  * @param options Request options.
  */
    addIssueWorklog<T = AddIssueWorklogResponseOK>(options: AddIssueWorklogRequest): Promise<AddIssueWorklogResponseOK | T>;
    /**
  * Returns a worklog.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Worklog.getWorklog
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-issue-issueidorkey-worklog-id-get
  * @param options Request options.
  */
    getIssueWorklog<T = GetIssueWorklogResponseOK>(options: GetIssueWorklogRequest): Promise<GetIssueWorklogResponseOK | T>;
    /**
  * Updates a worklog.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Edit all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any worklog or *Edit own worklogs* to update worklogs created by the user.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Worklog.updateWorklog
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-issue-issueidorkey-worklog-id-put
  * @param options Request options.
  */
    updateIssueWorklog<T = UpdateIssueWorklogResponseOK>(options: UpdateIssueWorklogRequest): Promise<UpdateIssueWorklogResponseOK | T>;
    /**
  * Deletes a worklog from an issue.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Delete all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to delete any worklog or *Delete own worklogs* to delete worklogs created by the user,
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Worklog.deleteWorklog
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-issue-issueidorkey-worklog-id-delete
  * @param options Request options.
  */
    deleteIssueWorklog<T = DeleteIssueWorklogResponseOK>(options: DeleteIssueWorklogRequest): Promise<DeleteIssueWorklogResponseOK | T>;
    /**
  * Returns a list of IDs and delete timestamps for worklogs deleted after a date and time.
  
  This resource is paginated, with a limit of 1000 worklogs per page. Each page lists worklogs from oldest to youngest. If the number of items in the date range exceeds 1000, `until` indicates the timestamp of the youngest item on the page. Also, `nextPage` provides the URL for the next page of worklogs. The `lastPage` parameter is set to true on the last page of worklogs.
  
  This resource does not return worklogs deleted during the minute preceding the request.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Issue.Worklog.getDeletedIds
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-worklog-deleted-get
  * @param options Request options.
  */
    getDeletedIssueWorklogIds<T = GetDeletedIssueWorklogIdsResponseOK>(options?: GetDeletedIssueWorklogIdsRequest): Promise<GetDeletedIssueWorklogIdsResponseOK | T>;
    /**
  * Returns worklog details for a list of worklog IDs.
  
  The returned list of worklogs is limited to 1000 items.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, worklogs are only returned where either of the following is true:
  
   *  the worklog is set as *Viewable by All Users*.
   *  the user is a member of a project role or group with permission to view the worklog.
  * Alternative usage: Issue.Worklog.getFromIds
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-worklog-list-post
  * @param options Request options.
  */
    getIssueWorklogsFromIds<T = GetIssueWorklogsFromIdsResponseOK>(options: GetIssueWorklogsFromIdsRequest): Promise<GetIssueWorklogsFromIdsResponseOK | T>;
    /**
  * Returns a list of IDs and update timestamps for worklogs updated after a date and time.
  
  This resource is paginated, with a limit of 1000 worklogs per page. Each page lists worklogs from oldest to youngest. If the number of items in the date range exceeds 1000, `until` indicates the timestamp of the youngest item on the page. Also, `nextPage` provides the URL for the next page of worklogs. The `lastPage` parameter is set to true on the last page of worklogs.
  
  This resource does not return worklogs updated during the minute preceding the request.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, worklogs are only returned where either of the following is true:
  
   *  the worklog is set as *Viewable by All Users*.
   *  the user is a member of a project role or group with permission to view the worklog.
  * Alternative usage: Issue.Worklog.getUpdatedIds
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-worklog-updated-get
  * @param options Request options.
  */
    getUpdatedIssueWorklogIds<T = GetUpdatedIssueWorklogIdsResponseOK>(options?: GetUpdatedIssueWorklogIdsRequest): Promise<GetUpdatedIssueWorklogIdsResponseOK | T>;
    /**
  * Returns the keys of all properties for a worklog.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Worklog.Property.getKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-get
  * @param options Request options.
  */
    getWorklogPropertyKeys<T = GetWorklogPropertyKeysResponseOK>(options: GetWorklogPropertyKeysRequest): Promise<GetWorklogPropertyKeysResponseOK | T>;
    /**
  * Returns the value of a worklog property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Worklog.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-get
  * @param options Request options.
  */
    getWorklogProperty<T = GetWorklogPropertyResponseOK>(options: GetWorklogPropertyRequest): Promise<GetWorklogPropertyResponseOK | T>;
    /**
  * Sets the value of a worklog property. Use this operation to store custom data against the worklog.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Edit all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any worklog or *Edit own worklogs* to update worklogs created by the user.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Worklog.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-put
  * @param options Request options.
  */
    setWorklogProperty<T = SetWorklogPropertyResponseOK>(options: SetWorklogPropertyRequest): Promise<SetWorklogPropertyResponseOK | T>;
    /**
  * Deletes a worklog property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Worklog.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-delete
  * @param options Request options.
  */
    deleteWorklogProperty<T = DeleteWorklogPropertyResponseOK>(options: DeleteWorklogPropertyRequest): Promise<DeleteWorklogPropertyResponseOK | T>;
    /**
  * Deletes an attachment from an issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** For the project holding the issue containing the attachment:
  
   *  *Delete own attachments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete an attachment created by the calling user.
   *  *Delete all attachments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete an attachment created by any user.
  * Alternative usage: Issue.Attachment.deleteAttachment
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-attachments/#api-rest-api-3-attachment-id-delete
  * @param options Request options.
  */
    deleteIssueAttachment<T = DeleteIssueAttachmentResponseOK>(options: DeleteIssueAttachmentRequest): Promise<DeleteIssueAttachmentResponseOK | T>;
    /**
  * Adds one or more attachments to an issue. Attachments are posted as multipart/form-data ([RFC 1867](https://www.ietf.org/rfc/rfc1867.txt)).
  
  Note that:
  
   *  The request must have a `X-Atlassian-Token: no-check` header, if not it is blocked. See [Special headers](#special-request-headers) for more information.
   *  The name of the multipart/form-data parameter that contains the attachments must be `file`.
  
  The following examples upload a file called *myfile.txt* to the issue *TEST-123*:
  
  #### curl ####
  
      curl --location --request POST 'https://your-domain.atlassian.net/rest/api/3/issue/TEST-123/attachments'
       -u 'email@example.com:<api_token>'
       -H 'X-Atlassian-Token: no-check'
       --form 'file=@"myfile.txt"'
  
  #### Node.js ####
  
      // This code sample uses the 'node-fetch' and 'form-data' libraries:
       // https://www.npmjs.com/package/node-fetch
       // https://www.npmjs.com/package/form-data
       const fetch = require('node-fetch');
       const FormData = require('form-data');
       const fs = require('fs');
      
       const filePath = 'myfile.txt';
       const form = new FormData();
       const stats = fs.statSync(filePath);
       const fileSizeInBytes = stats.size;
       const fileStream = fs.createReadStream(filePath);
      
       form.append('file', fileStream, {knownLength: fileSizeInBytes});
      
       fetch('https://your-domain.atlassian.net/rest/api/3/issue/TEST-123/attachments', {
           method: 'POST',
           body: form,
           headers: {
               'Authorization': `Basic ${Buffer.from(
                   'email@example.com:'
               ).toString('base64')}`,
               'Accept': 'application/json',
               'X-Atlassian-Token': 'no-check'
           }
       })
           .then(response => {
               console.log(
                   `Response: ${response.status} ${response.statusText}`
               );
               return response.text();
           })
           .then(text => console.log(text))
           .catch(err => console.error(err));
  
  #### Java ####
  
      // This code sample uses the  'Unirest' library:
       // http://unirest.io/java.html
       HttpResponse response = Unirest.post("https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments")
               .basicAuth("email@example.com", "")
               .header("Accept", "application/json")
               .header("X-Atlassian-Token", "no-check")
               .field("file", new File("myfile.txt"))
               .asJson();
      
               System.out.println(response.getBody());
  
  #### Python ####
  
      # This code sample uses the 'requests' library:
       # http://docs.python-requests.org
       import requests
       from requests.auth import HTTPBasicAuth
       import json
      
       url = "https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments"
      
       auth = HTTPBasicAuth("email@example.com", "")
      
       headers = {
          "Accept": "application/json",
          "X-Atlassian-Token": "no-check"
       }
      
       response = requests.request(
          "POST",
          url,
          headers = headers,
          auth = auth,
          files = {
               "file": ("myfile.txt", open("myfile.txt","rb"), "application-type")
          }
       )
      
       print(json.dumps(json.loads(response.text), sort_keys=True, indent=4, separators=(",", ": ")))
  
  #### PHP ####
  
      // This code sample uses the 'Unirest' library:
       // http://unirest.io/php.html
       Unirest\Request::auth('email@example.com', '');
      
       $headers = array(
         'Accept' => 'application/json',
         'X-Atlassian-Token' => 'no-check'
       );
      
       $parameters = array(
         'file' => File::add('myfile.txt')
       );
      
       $response = Unirest\Request::post(
         'https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments',
         $headers,
         $parameters
       );
      
       var_dump($response)
  
  #### Forge ####
  
      // This sample uses Atlassian Forge and the `form-data` library.
       // https://developer.atlassian.com/platform/forge/
       // https://www.npmjs.com/package/form-data
       import api from "@forge/api";
       import FormData from "form-data";
      
       const form = new FormData();
       form.append('file', fileStream, {knownLength: fileSizeInBytes});
      
       const response = await api.asApp().requestJira('/rest/api/2/issue/{issueIdOrKey}/attachments', {
           method: 'POST',
           body: form,
           headers: {
               'Accept': 'application/json',
               'X-Atlassian-Token': 'no-check'
           }
       });
      
       console.log(`Response: ${response.status} ${response.statusText}`);
       console.log(await response.json());
  
  Tip: Use a client library. Many client libraries have classes for handling multipart POST operations. For example, in Java, the Apache HTTP Components library provides a [MultiPartEntity](http://hc.apache.org/httpcomponents-client-ga/httpmime/apidocs/org/apache/http/entity/mime/MultipartEntity.html) class for multipart POST operations.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse Projects* and *Create attachments* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-attachments-post
  * @param options Request options.
  */
    addIssueAttachments<T = AddIssueAttachmentsResponseOK>(options: AddIssueAttachmentsRequest): Promise<AddIssueAttachmentsResponseOK | T>;
    /**
  * Returns the contents of an attachment. A `Range` header can be set to define a range of bytes within the attachment to download. See the [HTTP Range header standard](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Range) for details.
  
  To return a thumbnail of the attachment, use [Get attachment thumbnail](#api-rest-api-3-attachment-thumbnail-id-get).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** For the issue containing the attachment:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If attachments are added in private comments, the comment-level restriction will be applied.
  * Alternative usage: Issue.Attachment.getAttachmentContent
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-attachments/#api-rest-api-3-attachment-content-id-get
  * @param options Request options.
  */
    getIssueAttachmentContent<T = GetIssueAttachmentContentResponseOK>(options: GetIssueAttachmentContentRequest): Promise<GetIssueAttachmentContentResponseOK | T>;
    /**
  * Returns the metadata for an attachment. Note that the attachment itself is not returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If attachments are added in private comments, the comment-level restriction will be applied.
  * Alternative usage: Issue.Attachment.Metadata.getMetadata
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-attachments/#api-rest-api-3-attachment-id-get
  * @param options Request options.
  */
    getIssueAttachmentMetadata<T = GetIssueAttachmentMetadataResponseOK>(options: GetIssueAttachmentMetadataRequest): Promise<GetIssueAttachmentMetadataResponseOK | T>;
    /**
  * Returns the metadata for the contents of an attachment, if it is an archive, and metadata for the attachment itself. For example, if the attachment is a ZIP archive, then information about the files in the archive is returned and metadata for the ZIP archive. Currently, only the ZIP archive format is supported.
  
  Use this operation to retrieve data that is presented to the user, as this operation returns the metadata for the attachment itself, such as the attachment's ID and name. Otherwise, use [ Get contents metadata for an expanded attachment](#api-rest-api-3-attachment-id-expand-raw-get), which only returns the metadata for the attachment's contents.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** For the issue containing the attachment:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If attachments are added in private comments, the comment-level restriction will be applied.
  * Alternative usage: Issue.Attachment.Metadata.getMetadataForExpandedAttachment
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-attachments/#api-rest-api-3-attachment-id-expand-human-get
  * @param options Request options.
  */
    getMetadataForExpandedIssueAttachment<T = GetMetadataForExpandedIssueAttachmentResponseOK>(options: GetMetadataForExpandedIssueAttachmentRequest): Promise<GetMetadataForExpandedIssueAttachmentResponseOK | T>;
    /**
  * Returns the metadata for the contents of an attachment, if it is an archive. For example, if the attachment is a ZIP archive, then information about the files in the archive is returned. Currently, only the ZIP archive format is supported.
  
  Use this operation if you are processing the data without presenting it to the user, as this operation only returns the metadata for the contents of the attachment. Otherwise, to retrieve data to present to the user, use [ Get all metadata for an expanded attachment](#api-rest-api-3-attachment-id-expand-human-get) which also returns the metadata for the attachment itself, such as the attachment's ID and name.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** For the issue containing the attachment:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If attachments are added in private comments, the comment-level restriction will be applied.
  * Alternative usage: Issue.Attachment.Metadata.getContentsMetadataForExpandedAttachment
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-attachments/#api-rest-api-3-attachment-id-expand-raw-get
  * @param options Request options.
  */
    getContentsMetadataForExpandedIssueAttachment<T = GetContentsMetadataForExpandedIssueAttachmentResponseOK>(options: GetContentsMetadataForExpandedIssueAttachmentRequest): Promise<GetContentsMetadataForExpandedIssueAttachmentResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of comments specified by a list of comment IDs.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Comments are returned where the user:
  
   *  has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Comment.getCommentsByIds
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comments/#api-rest-api-3-comment-list-post
  * @param options Request options.
  */
    getIssueCommentsByIds<T = GetIssueCommentsByIdsResponseOK>(options: GetIssueCommentsByIdsRequest): Promise<GetIssueCommentsByIdsResponseOK | T>;
    /**
  * Returns all comments for an issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Comments are included in the response where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is role visibility is restricted to.
  * Alternative usage: Issue.Comment.getComments
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comments/#api-rest-api-3-issue-issueidorkey-comment-get
  * @param options Request options.
  */
    getIssueComments<T = GetIssueCommentsResponseOK>(options: GetIssueCommentsRequest): Promise<GetIssueCommentsResponseOK | T>;
    /**
  * Adds a comment to an issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Add comments* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Comment.addComment
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comments/#api-rest-api-3-issue-issueidorkey-comment-post
  * @param options Request options.
  */
    addIssueComment<T = AddIssueCommentResponseOK>(options: AddIssueCommentRequest): Promise<AddIssueCommentResponseOK | T>;
    /**
  * Returns a comment.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Comment.getComment
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comments/#api-rest-api-3-issue-issueidorkey-comment-id-get
  * @param options Request options.
  */
    getIssueComment<T = GetIssueCommentResponseOK>(options: GetIssueCommentRequest): Promise<GetIssueCommentResponseOK | T>;
    /**
  * Updates a comment.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Edit all comments*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any comment or *Edit own comments* to update comment created by the user.
   *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Comment.updateComment
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comments/#api-rest-api-3-issue-issueidorkey-comment-id-put
  * @param options Request options.
  */
    updateIssueComment<T = UpdateIssueCommentResponseOK>(options: UpdateIssueCommentRequest): Promise<UpdateIssueCommentResponseOK | T>;
    /**
  * Deletes a comment.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Delete all comments*[ project permission](https://confluence.atlassian.com/x/yodKLg) to delete any comment or *Delete own comments* to delete comment created by the user,
   *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Comment.deleteComment
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comments/#api-rest-api-3-issue-issueidorkey-comment-id-delete
  * @param options Request options.
  */
    deleteIssueComment<T = DeleteIssueCommentResponseOK>(options: DeleteIssueCommentRequest): Promise<DeleteIssueCommentResponseOK | T>;
    /**
  * Returns the keys of all the properties of a comment.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Comment.Property.getKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comment-properties/#api-rest-api-3-comment-commentid-properties-get
  * @param options Request options.
  */
    getIssueCommentPropertyKeys<T = GetIssueCommentPropertyKeysResponseOK>(options: GetIssueCommentPropertyKeysRequest): Promise<GetIssueCommentPropertyKeysResponseOK | T>;
    /**
  * Returns the value of a comment property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Comment.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comment-properties/#api-rest-api-3-comment-commentid-properties-propertykey-get
  * @param options Request options.
  */
    getIssueCommentProperty<T = GetIssueCommentPropertyResponseOK>(options: GetIssueCommentPropertyRequest): Promise<GetIssueCommentPropertyResponseOK | T>;
    /**
  * Creates or updates the value of a property for a comment. Use this resource to store custom data against a comment.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  **[Permissions](#permissions) required:** either of:
  
   *  *Edit All Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to create or update the value of a property on any comment.
   *  *Edit Own Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to create or update the value of a property on a comment created by the user.
  
  Also, when the visibility of a comment is restricted to a role or group the user must be a member of that role or group.
  * Alternative usage: Issue.Comment.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comment-properties/#api-rest-api-3-comment-commentid-properties-propertykey-put
  * @param options Request options.
  */
    setIssueCommentProperty<T = SetIssueCommentPropertyResponseOK>(options: SetIssueCommentPropertyRequest): Promise<SetIssueCommentPropertyResponseOK | T>;
    /**
  * Deletes a comment property.
  
  **[Permissions](#permissions) required:** either of:
  
   *  *Edit All Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete a property from any comment.
   *  *Edit Own Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete a property from a comment created by the user.
  
  Also, when the visibility of a comment is restricted to a role or group the user must be a member of that role or group.
  * Alternative usage: Issue.Comment.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comment-properties/#api-rest-api-3-comment-commentid-properties-propertykey-delete
  * @param options Request options.
  */
    deleteIssueCommentProperty<T = DeleteIssueCommentPropertyResponseOK>(options: DeleteIssueCommentPropertyRequest): Promise<DeleteIssueCommentPropertyResponseOK | T>;
    /**
  * Returns details of projects, issue types within projects, and, when requested, the create screen fields for each issue type for the user. Use the information to populate the requests in [ Create issue](#api-rest-api-3-issue-post) and [Create issues](#api-rest-api-3-issue-bulk-post).
  
  Deprecated, see [Create Issue Meta Endpoint Deprecation Notice](https://developer.atlassian.com/cloud/jira/platform/changelog/#CHANGE-1304).
  
  The request can be restricted to specific projects or issue types using the query parameters. The response will contain information for the valid projects, issue types, or project and issue type combinations requested. Note that invalid project, issue type, or project and issue type combinations do not generate errors.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Create issues* [project permission](https://confluence.atlassian.com/x/yodKLg) in the requested projects.
  * Alternative usage: Issue.Metadata.getCreateMetadata
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-createmeta-get
  * @param options Request options.
  */
    getCreateIssueMetadata<T = GetCreateIssueMetadataResponseOK>(options?: GetCreateIssueMetadataRequest): Promise<GetCreateIssueMetadataResponseOK | T>;
    /**
  * Returns the edit screen fields for an issue that are visible to and editable by the user. Use the information to populate the requests in [Edit issue](#api-rest-api-3-issue-issueIdOrKey-put).
  
  This endpoint will check for these conditions:
  
  1.  Field is available on a field screen - through screen, screen scheme, issue type screen scheme, and issue type scheme configuration. `overrideScreenSecurity=true` skips this condition.
  2.  Field is visible in the [field configuration](https://support.atlassian.com/jira-cloud-administration/docs/change-a-field-configuration/). `overrideScreenSecurity=true` skips this condition.
  3.  Field is shown on the issue: each field has different conditions here. For example: Attachment field only shows if attachments are enabled. Assignee only shows if user has permissions to assign the issue.
  4.  If a field is custom then it must have valid custom field context, applicable for its project and issue type. All system fields are assumed to have context in all projects and all issue types.
  5.  Issue has a project, issue type, and status defined.
  6.  Issue is assigned to a valid workflow, and the current status has assigned a workflow step. `overrideEditableFlag=true` skips this condition.
  7.  The current workflow step is editable. This is true by default, but [can be disabled by setting](https://support.atlassian.com/jira-cloud-administration/docs/use-workflow-properties/) the `jira.issue.editable` property to `false`. `overrideEditableFlag=true` skips this condition.
  8.  User has [Edit issues permission](https://support.atlassian.com/jira-cloud-administration/docs/permissions-for-company-managed-projects/).
  9.  Workflow permissions allow editing a field. This is true by default but [can be modified](https://support.atlassian.com/jira-cloud-administration/docs/use-workflow-properties/) using `jira.permission.*` workflow properties.
  
  Fields hidden using [Issue layout settings page](https://support.atlassian.com/jira-software-cloud/docs/configure-field-layout-in-the-issue-view/) remain editable.
  
  Connect apps having an app user with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), and Forge apps acting on behalf of users with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), can return additional details using:
  
   *  `overrideScreenSecurity` When this flag is `true`, then this endpoint skips checking if fields are available through screens, and field configuration (conditions 1. and 2. from the list above).
   *  `overrideEditableFlag` When this flag is `true`, then this endpoint skips checking if workflow is present and if the current step is editable (conditions 6. and 7. from the list above).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  
  Note: For any fields to be editable the user must have the *Edit issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the issue.
  * Alternative usage: Issue.Metadata.getEditMetadata
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-editmeta-get
  * @param options Request options.
  */
    getEditIssueMetadata<T = GetEditIssueMetadataResponseOK>(options: GetEditIssueMetadataRequest): Promise<GetEditIssueMetadataResponseOK | T>;
    /**
  * Returns the URLs and keys of an issue's properties.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Property details are only returned where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Property.getKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-properties/#api-rest-api-3-issue-issueidorkey-properties-get
  * @param options Request options.
  */
    getIssuePropertyKeys<T = GetIssuePropertyKeysResponseOK>(options: GetIssuePropertyKeysRequest): Promise<GetIssuePropertyKeysResponseOK | T>;
    /**
  * Returns the key and value of an issue's property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-properties/#api-rest-api-3-issue-issueidorkey-properties-propertykey-get
  * @param options Request options.
  */
    getIssueProperty<T = GetIssuePropertyResponseOK>(options: GetIssuePropertyRequest): Promise<GetIssuePropertyResponseOK | T>;
    /**
  * Sets the value of an issue's property. Use this resource to store custom data against an issue.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Edit issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-properties/#api-rest-api-3-issue-issueidorkey-properties-propertykey-put
  * @param options Request options.
  */
    setIssueProperty<T = SetIssuePropertyResponseOK>(options: SetIssuePropertyRequest): Promise<SetIssuePropertyResponseOK | T>;
    /**
  * Deletes an issue's property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Edit issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-properties/#api-rest-api-3-issue-issueidorkey-properties-propertykey-delete
  * @param options Request options.
  */
    deleteIssueProperty<T = DeleteIssuePropertyResponseOK>(options: DeleteIssuePropertyRequest): Promise<DeleteIssuePropertyResponseOK | T>;
    /**
  * Creates a link between two issues. Use this operation to indicate a relationship between two issues and optionally add a comment to the from (outward) issue. To use this resource the site must have [Issue Linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  This resource returns nothing on the creation of an issue link. To obtain the ID of the issue link, use `https://your-domain.atlassian.net/rest/api/3/issue/[linked issue key]?fields=issuelinks`.
  
  If the link request duplicates a link, the response indicates that the issue link was created. If the request included a comment, the comment is added.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse project* [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the issues to be linked,
   *  *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) on the project containing the from (outward) issue,
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Alternative usage: Issue.Link.createLink
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-links/#api-rest-api-3-issuelink-post
  * @param options Request options.
  */
    createIssueLink<T = CreateIssueLinkResponseOK>(options: CreateIssueLinkRequest): Promise<CreateIssueLinkResponseOK | T>;
    /**
  * Returns an issue link.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse project* [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the linked issues.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, permission to view both of the issues.
  * Alternative usage: Issue.Link.getLink
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-links/#api-rest-api-3-issuelink-linkid-get
  * @param options Request options.
  */
    getIssueLink<T = GetIssueLinkResponseOK>(options: GetIssueLinkRequest): Promise<GetIssueLinkResponseOK | T>;
    /**
  * Deletes an issue link.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  Browse project [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the issues in the link.
   *  *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one of the projects containing issues in the link.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, permission to view both of the issues.
  * Alternative usage: Issue.Link.deleteLink
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-links/#api-rest-api-3-issuelink-linkid-delete
  * @param options Request options.
  */
    deleteIssueLink<T = DeleteIssueLinkResponseOK>(options: DeleteIssueLinkRequest): Promise<DeleteIssueLinkResponseOK | T>;
    /**
  * Returns the remote issue links for an issue. When a remote issue link global ID is provided the record with that global ID is returned, otherwise all remote issue links are returned. Where a global ID includes reserved URL characters these must be escaped in the request. For example, pass `system=http://www.mycompany.com/support&id=1` as `system%3Dhttp%3A%2F%2Fwww.mycompany.com%2Fsupport%26id%3D1`.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Link.Remote.getLinks
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-remote-links/#api-rest-api-3-issue-issueidorkey-remotelink-get
  * @param options Request options.
  */
    getRemoteIssueLinks<T = GetRemoteIssueLinksResponseOK>(options: GetRemoteIssueLinksRequest): Promise<GetRemoteIssueLinksResponseOK | T>;
    /**
  * Creates or updates a remote issue link for an issue.
  
  If a `globalId` is provided and a remote issue link with that global ID is found it is updated. Any fields without values in the request are set to null. Otherwise, the remote issue link is created.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Link.Remote.createOrUpdateLink
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-remote-links/#api-rest-api-3-issue-issueidorkey-remotelink-post
  * @param options Request options.
  */
    createOrUpdateRemoteIssueLink<T = CreateOrUpdateRemoteIssueLinkResponseOK>(options: CreateOrUpdateRemoteIssueLinkRequest): Promise<CreateOrUpdateRemoteIssueLinkResponseOK | T>;
    /**
  * Deletes the remote issue link from the issue using the link's global ID. Where the global ID includes reserved URL characters these must be escaped in the request. For example, pass `system=http://www.mycompany.com/support&id=1` as `system%3Dhttp%3A%2F%2Fwww.mycompany.com%2Fsupport%26id%3D1`.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is implemented, issue-level security permission to view the issue.
  * Alternative usage: Issue.Link.Remote.deleteLinkByGlobalId
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-remote-links/#api-rest-api-3-issue-issueidorkey-remotelink-delete
  * @param options Request options.
  */
    deleteRemoteIssueLinkByGlobalId<T = DeleteRemoteIssueLinkByGlobalIdResponseOK>(options: DeleteRemoteIssueLinkByGlobalIdRequest): Promise<DeleteRemoteIssueLinkByGlobalIdResponseOK | T>;
    /**
  * Returns a remote issue link for an issue.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Link.Remote.getLink
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-remote-links/#api-rest-api-3-issue-issueidorkey-remotelink-linkid-get
  * @param options Request options.
  */
    getRemoteIssueLink<T = GetRemoteIssueLinkResponseOK>(options: GetRemoteIssueLinkRequest): Promise<GetRemoteIssueLinkResponseOK | T>;
    /**
  * Updates a remote issue link for an issue.
  
  Note: Fields without values in the request are set to null.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Link.Remote.updateLink
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-remote-links/#api-rest-api-3-issue-issueidorkey-remotelink-linkid-put
  * @param options Request options.
  */
    updateRemoteIssueLink<T = UpdateRemoteIssueLinkResponseOK>(options: UpdateRemoteIssueLinkRequest): Promise<UpdateRemoteIssueLinkResponseOK | T>;
    /**
  * Deletes a remote issue link from an issue.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects*, *Edit issues*, and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Link.Remote.deleteLink
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-remote-links/#api-rest-api-3-issue-issueidorkey-remotelink-linkid-delete
  * @param options Request options.
  */
    deleteRemoteIssueLink<T = DeleteRemoteIssueLinkResponseOK>(options: DeleteRemoteIssueLinkRequest): Promise<DeleteRemoteIssueLinkResponseOK | T>;
    /**
  * Returns a list of all issue link types.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project in the site.
  * Alternative usage: Issue.Link.Type.getTypes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-link-types/#api-rest-api-3-issuelinktype-get
  * @param options Request options.
  */
    getIssueLinkTypes<T = GetIssueLinkTypesResponseOK>(options?: GetIssueLinkTypesRequest): Promise<GetIssueLinkTypesResponseOK | T>;
    /**
  * Creates an issue link type. Use this operation to create descriptions of the reasons why issues are linked. The issue link type consists of a name and descriptions for a link's inward and outward relationships.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Link.Type.createType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-link-types/#api-rest-api-3-issuelinktype-post
  * @param options Request options.
  */
    createIssueLinkType<T = CreateIssueLinkTypeResponseOK>(options: CreateIssueLinkTypeRequest): Promise<CreateIssueLinkTypeResponseOK | T>;
    /**
  * Returns an issue link type.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project in the site.
  * Alternative usage: Issue.Link.Type.getType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-link-types/#api-rest-api-3-issuelinktype-issuelinktypeid-get
  * @param options Request options.
  */
    getIssueLinkType<T = GetIssueLinkTypeResponseOK>(options: GetIssueLinkTypeRequest): Promise<GetIssueLinkTypeResponseOK | T>;
    /**
  * Updates an issue link type.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Link.Type.updateType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-link-types/#api-rest-api-3-issuelinktype-issuelinktypeid-put
  * @param options Request options.
  */
    updateIssueLinkType<T = UpdateIssueLinkTypeResponseOK>(options: UpdateIssueLinkTypeRequest): Promise<UpdateIssueLinkTypeResponseOK | T>;
    /**
  * Deletes an issue link type.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Link.Type.deleteType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-link-types/#api-rest-api-3-issuelinktype-issuelinktypeid-delete
  * @param options Request options.
  */
    deleteIssueLinkType<T = DeleteIssueLinkTypeResponseOK>(options: DeleteIssueLinkTypeRequest): Promise<DeleteIssueLinkTypeResponseOK | T>;
    /**
  * Returns either all transitions or a transition that can be performed by the user on an issue, based on the issue's status.
  
  Note, if a request is made for a transition that does not exist or cannot be performed on the issue, given its status, the response will return any empty transitions list.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required: A list or transition is returned only when the user has:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  
  However, if the user does not have the *Transition issues* [ project permission](https://confluence.atlassian.com/x/yodKLg) the response will not list any transitions.
  * Alternative usage: Issue.Transition.getTransitions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-transitions-get
  * @param options Request options.
  */
    getIssueTransitions<T = GetIssueTransitionsResponseOK>(options: GetIssueTransitionsRequest): Promise<GetIssueTransitionsResponseOK | T>;
    /**
  * Performs an issue transition and, if the transition has a screen, updates the fields from the transition screen.
  
  sortByCategory To update the fields on the transition screen, specify the fields in the `fields` or `update` parameters in the request body. Get details about the fields using [ Get transitions](#api-rest-api-3-issue-issueIdOrKey-transitions-get) with the `transitions.fields` expand.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Transition issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Transition.performTransition
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-transitions-post
  * @param options Request options.
  */
    performIssueTransition<T = PerformIssueTransitionResponseOK>(options: PerformIssueTransitionRequest): Promise<PerformIssueTransitionResponseOK | T>;
    /**
  * Returns details about the votes on an issue.
  
  This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is ini
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  
  Note that users with the necessary permissions for this operation but without the *View voters and watchers* project permissions are not returned details in the `voters` field.
  * Alternative usage: Issue.Vote.getVotes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-votes/#api-rest-api-3-issue-issueidorkey-votes-get
  * @param options Request options.
  */
    getIssueVotes<T = GetIssueVotesResponseOK>(options: GetIssueVotesRequest): Promise<GetIssueVotesResponseOK | T>;
    /**
  * Adds the user's vote to an issue. This is the equivalent of the user clicking *Vote* on an issue in Jira.
  
  This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Vote.addVote
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-votes/#api-rest-api-3-issue-issueidorkey-votes-post
  * @param options Request options.
  */
    addIssueVote<T = AddIssueVoteResponseOK>(options: AddIssueVoteRequest): Promise<AddIssueVoteResponseOK | T>;
    /**
  * Deletes a user's vote from an issue. This is the equivalent of the user clicking *Unvote* on an issue in Jira.
  
  This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Vote.deleteVote
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-votes/#api-rest-api-3-issue-issueidorkey-votes-delete
  * @param options Request options.
  */
    deleteIssueVote<T = DeleteIssueVoteResponseOK>(options: DeleteIssueVoteRequest): Promise<DeleteIssueVoteResponseOK | T>;
    /**
  * Returns the watchers for an issue.
  
  This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is ini
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  To see details of users on the watchlist other than themselves, *View voters and watchers* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
  * Alternative usage: Issue.Watcher.getWatchers
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-watchers/#api-rest-api-3-issue-issueidorkey-watchers-get
  * @param options Request options.
  */
    getIssueWatchers<T = GetIssueWatchersResponseOK>(options: GetIssueWatchersRequest): Promise<GetIssueWatchersResponseOK | T>;
    /**
  * Adds a user as a watcher of an issue by passing the account ID of the user. For example, `"5b10ac8d82e05b22cc7d4ef5"`. If no user is specified the calling user is added.
  
  This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  To add users other than themselves to the watchlist, *Manage watcher list* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
  * Alternative usage: Issue.Watcher.addWatcher
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-watchers/#api-rest-api-3-issue-issueidorkey-watchers-post
  * @param options Request options.
  */
    addIssueWatcher<T = AddIssueWatcherResponseOK>(options: AddIssueWatcherRequest): Promise<AddIssueWatcherResponseOK | T>;
    /**
  * Deletes a user as a watcher of an issue.
  
  This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  To remove users other than themselves from the watchlist, *Manage watcher list* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
  * Alternative usage: Issue.Watcher.deleteWatcher
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-watchers/#api-rest-api-3-issue-issueidorkey-watchers-delete
  * @param options Request options.
  */
    deleteIssueWatcher<T = DeleteIssueWatcherResponseOK>(options: DeleteIssueWatcherRequest): Promise<DeleteIssueWatcherResponseOK | T>;
    /**
  * Checks whether one or more issues would be returned by one or more JQL queries.
  
  **[Permissions](#permissions) required:** None, however, issues are only matched against JQL queries where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Search.checkAgainstJql
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-search/#api-rest-api-3-jql-match-post
  * @param options Request options.
  */
    checkIssuesAgainstJql<T = CheckIssuesAgainstJqlResponseOK>(options: CheckIssuesAgainstJqlRequest): Promise<CheckIssuesAgainstJqlResponseOK | T>;
    /**
  * Searches for issues using [JQL](https://confluence.atlassian.com/x/egORLQ).
  
  There is a [GET](#api-rest-api-3-search-get) version of this resource that can be used for smaller JQL query expressions.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Issues are included in the response where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Search.searchByJql
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-search/#api-rest-api-3-search-get
  * @param options Request options.
  * @deprecated
  */
    searchIssuesByJql<T = SearchIssuesByJqlResponseOK>(options: SearchIssuesByJqlRequest): Promise<SearchIssuesByJqlResponseOK | T>;
    /**
  * Searches for issues using [JQL](https://confluence.atlassian.com/x/egORLQ). Recent updates might not be immediately visible in the returned search results. If you need [read-after-write](https://developer.atlassian.com/cloud/jira/platform/search-and-reconcile/) consistency, you can utilize the `reconcileIssues` parameter to ensure stronger consistency assurances. This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Issues are included in the response where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Alternative usage: Issue.Search.searchByJqlEnhancedSearch
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-search/#api-rest-api-3-search-jql-post
  * @param options Request options.
  */
    searchIssuesByJqlEnhancedSearch<T = SearchIssuesByJqlEnhancedSearchResponseOK>(options: SearchIssuesByJqlEnhancedSearchRequest): Promise<SearchIssuesByJqlEnhancedSearchResponseOK | T>;
    /**
  * Returns a list of all issue resolution values.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Issue.Resolution.getResolutions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-resolutions/#api-rest-api-3-resolution-get
  * @param options Request options.
  * @deprecated
  */
    getIssueResolutions<T = GetIssueResolutionsResponseOK>(options?: GetIssueResolutionsRequest): Promise<GetIssueResolutionsResponseOK | T>;
    /**
  * Returns an issue resolution value.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Issue.Resolution.getResolution
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-resolutions/#api-rest-api-3-resolution-id-get
  * @param options Request options.
  */
    getIssueResolution<T = GetIssueResolutionResponseOK>(options: GetIssueResolutionRequest): Promise<GetIssueResolutionResponseOK | T>;
    /**
  * Returns issue security level members.
  
  Only issue security level members in context of classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Security.getMembers
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-level/#api-rest-api-3-issuesecurityschemes-issuesecurityschemeid-members-get
  * @param options Request options.
  */
    getIssueSecurityMembers<T = GetIssueSecurityMembersResponseOK>(options: GetIssueSecurityMembersRequest): Promise<GetIssueSecurityMembersResponseOK | T>;
    /**
  * Returns details of an issue security level.
  
  Use [Get issue security scheme](#api-rest-api-3-issuesecurityschemes-id-get) to obtain the IDs of issue security levels associated with the issue security scheme.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Issue.Security.getLevel
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-level/#api-rest-api-3-securitylevel-id-get
  * @param options Request options.
  */
    getIssueSecurityLevel<T = GetIssueSecurityLevelResponseOK>(options: GetIssueSecurityLevelRequest): Promise<GetIssueSecurityLevelResponseOK | T>;
    /**
  * Returns all [issue security schemes](https://confluence.atlassian.com/x/J4lKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Security.Scheme.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-schemes/#api-rest-api-3-issuesecurityschemes-get
  * @param options Request options.
  */
    getIssueSecuritySchemes<T = GetIssueSecuritySchemesResponseOK>(options?: GetIssueSecuritySchemesRequest): Promise<GetIssueSecuritySchemesResponseOK | T>;
    /**
  * Returns an issue security scheme along with its security levels.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project that uses the requested issue security scheme.
  * Alternative usage: Issue.Security.Scheme.getScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-schemes/#api-rest-api-3-issuesecurityschemes-id-get
  * @param options Request options.
  */
    getIssueSecurityScheme<T = GetIssueSecuritySchemeResponseOK>(options: GetIssueSecuritySchemeRequest): Promise<GetIssueSecuritySchemeResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of [notification schemes](https://confluence.atlassian.com/x/8YdKLg) ordered by the display name.
  
  *Note that you should allow for events without recipients to appear in responses.*
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, the user must have permission to administer at least one project associated with a notification scheme for it to be returned.
  * Alternative usage: Issue.Notification.Scheme.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-notification-schemes/#api-rest-api-3-notificationscheme-get
  * @param options Request options.
  */
    getIssueNotificationSchemes<T = GetIssueNotificationSchemesResponseOK>(options?: GetIssueNotificationSchemesRequest): Promise<GetIssueNotificationSchemesResponseOK | T>;
    /**
  * Returns a [notification scheme](https://confluence.atlassian.com/x/8YdKLg), including the list of events and the recipients who will receive notifications for those events.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, the user must have permission to administer at least one project associated with the notification scheme.
  * Alternative usage: Issue.Notification.Scheme.getScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-notification-schemes/#api-rest-api-3-notificationscheme-id-get
  * @param options Request options.
  */
    getIssueNotificationScheme<T = GetIssueNotificationSchemeResponseOK>(options: GetIssueNotificationSchemeRequest): Promise<GetIssueNotificationSchemeResponseOK | T>;
    /**
  * Returns the default issue navigator columns.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Navigator.getDefaultColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-navigator-settings/#api-rest-api-3-settings-columns-get
  * @param options Request options.
  */
    getIssueNavigatorDefaultColumns<T = GetIssueNavigatorDefaultColumnsResponseOK>(options?: GetIssueNavigatorDefaultColumnsRequest): Promise<GetIssueNavigatorDefaultColumnsResponseOK | T>;
    /**
  * Sets the default issue navigator columns.
  
  The `columns` parameter accepts a navigable field value and is expressed as HTML form data. To specify multiple columns, pass multiple `columns` parameters. For example, in curl:
  
  `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/settings/columns`
  
  If no column details are sent, then all default columns are removed.
  
  A navigable field is one that can be used as a column on the issue navigator. Find details of navigable issue columns using [Get fields](#api-rest-api-3-field-get).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Issue.Navigator.setDefaultColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-navigator-settings/#api-rest-api-3-settings-columns-put
  * @param options Request options.
  */
    setIssueNavigatorDefaultColumns<T = SetIssueNavigatorDefaultColumnsResponseOK>(options: SetIssueNavigatorDefaultColumnsRequest): Promise<SetIssueNavigatorDefaultColumnsResponseOK | T>;
    /**
  * Returns the default project, issue type or priority avatar image.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Avatar.getImageByType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-view-type-type-get
  * @param options Request options.
  */
    getAvatarImageByType<T = GetAvatarImageByTypeResponseOK>(options: GetAvatarImageByTypeRequest): Promise<GetAvatarImageByTypeResponseOK | T>;
    /**
  * Returns a project, issue type or priority avatar image by ID.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  For system avatars, none.
   *  For custom project avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the avatar belongs to.
   *  For custom issue type avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the issue type is used in.
   *  For priority avatars, none.
  * Alternative usage: Avatar.getImageById
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-view-type-type-avatar-id-get
  * @param options Request options.
  */
    getAvatarImageById<T = GetAvatarImageByIdResponseOK>(options: GetAvatarImageByIdRequest): Promise<GetAvatarImageByIdResponseOK | T>;
    /**
  * Returns the avatar image for a project, issue type or priority.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  For system avatars, none.
   *  For custom project avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the avatar belongs to.
   *  For custom issue type avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the issue type is used in.
   *  For priority avatars, none.
  * Alternative usage: Avatar.getImageByOwner
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-view-type-type-owner-entityid-get
  * @param options Request options.
  */
    getAvatarImageByOwner<T = GetAvatarImageByOwnerResponseOK>(options: GetAvatarImageByOwnerRequest): Promise<GetAvatarImageByOwnerResponseOK | T>;
    /**
  * Returns the system and custom avatars for a project, issue type or priority.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  for custom project avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the avatar belongs to.
   *  for custom issue type avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the issue type is used in.
   *  for system avatars, none.
   *  for priority avatars, none.
  * Alternative usage: Avatar.getAvatars
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-type-type-owner-entityid-get
  * @param options Request options.
  */
    getAvatars<T = GetAvatarsResponseOK>(options: GetAvatarsRequest): Promise<GetAvatarsResponseOK | T>;
    /**
  * Loads a custom avatar for a project or issue type.
  
  Specify the avatar's local file location in the body of the request. Also, include the following headers:
  
   *  `X-Atlassian-Token: no-check` To prevent XSRF protection blocking the request, for more information see [Special Headers](#special-request-headers).
   *  `Content-Type: image/image type` Valid image types are JPEG, GIF, or PNG.
  
  For example:
  `curl --request POST `
  
  `--user email@example.com:<api_token> `
  
  `--header 'X-Atlassian-Token: no-check' `
  
  `--header 'Content-Type: image/< image_type>' `
  
  `--data-binary "<@/path/to/file/with/your/avatar>" `
  
  `--url 'https://your-domain.atlassian.net/rest/api/3/universal_avatar/type/{type}/owner/{entityId}'`
  
  The avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
  
  The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
  
  After creating the avatar use:
  
   *  [Update issue type](#api-rest-api-3-issuetype-id-put) to set it as the issue type's displayed avatar.
   *  [Set project avatar](#api-rest-api-3-project-projectIdOrKey-avatar-put) to set it as the project's displayed avatar.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Avatar.loadAvatar
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-type-type-owner-entityid-post
  * @param options Request options.
  */
    loadAvatar<T = LoadAvatarResponseOK>(options: LoadAvatarRequest): Promise<LoadAvatarResponseOK | T>;
    /**
  * Deletes an avatar from a project, issue type or priority.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Avatar.deleteAvatar
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-type-type-owner-owningobjectid-avatar-id-delete
  * @param options Request options.
  */
    deleteAvatar<T = DeleteAvatarResponseOK>(options: DeleteAvatarRequest): Promise<DeleteAvatarResponseOK | T>;
    /**
  * Deletes a project asynchronously.
  
  This operation is:
  
   *  transactional, that is, if part of the delete fails the project is not deleted.
   *  [asynchronous](#async). Follow the `location` link in the response to determine the status of the task and use [Get task](#api-rest-api-3-task-taskId-get) to obtain subsequent updates.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.deleteProjectAsync
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectidorkey-delete-post
  * @param options Request options.
  */
    deleteProjectAsync<T = DeleteProjectAsyncResponseOK>(options: DeleteProjectAsyncRequest): Promise<DeleteProjectAsyncResponseOK | T>;
    /**
  * Restores a project that has been archived or placed in the Jira recycle bin.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg)for Company managed projects.
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project for Team managed projects.
  * Alternative usage: Project.restoreDeletedProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectidorkey-restore-post
  * @param options Request options.
  */
    restoreDeletedProject<T = RestoreDeletedProjectResponseOK>(options: RestoreDeletedProjectRequest): Promise<RestoreDeletedProjectResponseOK | T>;
    /**
  * Creates a project based on a project type template, as shown in the following table:
  
  | Project Type Key | Project Template Key |
  |--|--|
  | `business` | `com.atlassian.jira-core-project-templates:jira-core-simplified-content-management`, `com.atlassian.jira-core-project-templates:jira-core-simplified-document-approval`, `com.atlassian.jira-core-project-templates:jira-core-simplified-lead-tracking`, `com.atlassian.jira-core-project-templates:jira-core-simplified-process-control`, `com.atlassian.jira-core-project-templates:jira-core-simplified-procurement`, `com.atlassian.jira-core-project-templates:jira-core-simplified-project-management`, `com.atlassian.jira-core-project-templates:jira-core-simplified-recruitment`, `com.atlassian.jira-core-project-templates:jira-core-simplified-task-tracking` |
  | `service_desk` | `com.atlassian.servicedesk:simplified-it-service-management`, `com.atlassian.servicedesk:simplified-general-service-desk-it`, `com.atlassian.servicedesk:simplified-general-service-desk-business`, `com.atlassian.servicedesk:simplified-external-service-desk`, `com.atlassian.servicedesk:simplified-hr-service-desk`, `com.atlassian.servicedesk:simplified-facilities-service-desk`, `com.atlassian.servicedesk:simplified-legal-service-desk`, `com.atlassian.servicedesk:simplified-analytics-service-desk`, `com.atlassian.servicedesk:simplified-marketing-service-desk`, `com.atlassian.servicedesk:simplified-design-service-desk`, `com.atlassian.servicedesk:simplified-sales-service-desk`, `com.atlassian.servicedesk:simplified-blank-project-business`, `com.atlassian.servicedesk:simplified-blank-project-it`, `com.atlassian.servicedesk:simplified-finance-service-desk`, `com.atlassian.servicedesk:next-gen-it-service-desk`, `com.atlassian.servicedesk:next-gen-hr-service-desk`, `com.atlassian.servicedesk:next-gen-legal-service-desk`, `com.atlassian.servicedesk:next-gen-marketing-service-desk`, `com.atlassian.servicedesk:next-gen-facilities-service-desk`, `com.atlassian.servicedesk:next-gen-general-it-service-desk`, `com.atlassian.servicedesk:next-gen-general-business-service-desk`, `com.atlassian.servicedesk:next-gen-analytics-service-desk`, `com.atlassian.servicedesk:next-gen-finance-service-desk`, `com.atlassian.servicedesk:next-gen-design-service-desk`, `com.atlassian.servicedesk:next-gen-sales-service-desk` |
  | `software` | `com.pyxis.greenhopper.jira:gh-simplified-agility-kanban`, `com.pyxis.greenhopper.jira:gh-simplified-agility-scrum`, `com.pyxis.greenhopper.jira:gh-simplified-basic`, `com.pyxis.greenhopper.jira:gh-simplified-kanban-classic`, `com.pyxis.greenhopper.jira:gh-simplified-scrum-classic` |
  The project types are available according to the installed Jira features as follows:
  
   *  Jira Core, the default, enables `business` projects.
   *  Jira Service Management enables `service_desk` projects.
   *  Jira Software enables `software` projects.
  
  To determine which features are installed, go to **Jira settings** > **Apps** > **Manage apps** and review the System Apps list. To add Jira Software or Jira Service Management into a JIRA instance, use **Jira settings** > **Apps** > **Finding new apps**. For more information, see [ Managing add-ons](https://confluence.atlassian.com/x/S31NLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.createProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-post
  * @param options Request options.
  */
    createProject<T = CreateProjectResponseOK>(options: CreateProjectRequest): Promise<CreateProjectResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of projects visible to the user.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Projects are returned only where the user has one of:
  
   *  *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.getProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-search-get
  * @param options Request options.
  */
    getProjects<T = GetProjectsResponseOK>(options?: GetProjectsRequest): Promise<GetProjectsResponseOK | T>;
    /**
  * Returns the [project details](https://confluence.atlassian.com/x/ahLpNw) for a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Alternative usage: Project.getProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectidorkey-get
  * @param options Request options.
  */
    getProject<T = GetProjectResponseOK>(options: GetProjectRequest): Promise<GetProjectResponseOK | T>;
    /**
  * Updates the [project details](https://confluence.atlassian.com/x/ahLpNw) of a project.
  
  All parameters are optional in the body of the request.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.updateProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectidorkey-put
  * @param options Request options.
  */
    updateProject<T = UpdateProjectResponseOK>(options: UpdateProjectRequest): Promise<UpdateProjectResponseOK | T>;
    /**
  * Deletes a project.
  
  You can't delete a project if it's archived. To delete an archived project, restore the project and then delete it. To restore a project, use the Jira UI.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.deleteProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectidorkey-delete
  * @param options Request options.
  */
    deleteProject<T = DeleteProjectResponseOK>(options: DeleteProjectRequest): Promise<DeleteProjectResponseOK | T>;
    /**
  * Returns the valid statuses for a project. The statuses are grouped by issue type, as each project has a set of valid issue types and each issue type has a set of valid statuses.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Alternative usage: Project.getStatuses
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectidorkey-statuses-get
  * @param options Request options.
  */
    getStatusesForProject<T = GetStatusesForProjectResponseOK>(options: GetStatusesForProjectRequest): Promise<GetStatusesForProjectResponseOK | T>;
    /**
  * Sets the avatar displayed for a project.
  
  Use [Load project avatar](#api-rest-api-3-project-projectIdOrKey-avatar2-post) to store avatars against the project, before using this operation to set the displayed avatar.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Alternative usage: Project.Avatar.setAvatar
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-avatars/#api-rest-api-3-project-projectidorkey-avatar-put
  * @param options Request options.
  */
    setProjectAvatar<T = SetProjectAvatarResponseOK>(options: SetProjectAvatarRequest): Promise<SetProjectAvatarResponseOK | T>;
    /**
  * Deletes a custom avatar from a project. Note that system avatars cannot be deleted.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Alternative usage: Project.Avatar.deleteAvatar
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-avatars/#api-rest-api-3-project-projectidorkey-avatar-id-delete
  * @param options Request options.
  */
    deleteProjectAvatar<T = DeleteProjectAvatarResponseOK>(options: DeleteProjectAvatarRequest): Promise<DeleteProjectAvatarResponseOK | T>;
    /**
  * Loads an avatar for a project.
  
  Specify the avatar's local file location in the body of the request. Also, include the following headers:
  
   *  `X-Atlassian-Token: no-check` To prevent XSRF protection blocking the request, for more information see [Special Headers](#special-request-headers).
   *  `Content-Type: image/image type` Valid image types are JPEG, GIF, or PNG.
  
  For example:
  `curl --request POST `
  
  `--user email@example.com:<api_token> `
  
  `--header 'X-Atlassian-Token: no-check' `
  
  `--header 'Content-Type: image/< image_type>' `
  
  `--data-binary "<@/path/to/file/with/your/avatar>" `
  
  `--url 'https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/avatar2'`
  
  The avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
  
  The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
  
  After creating the avatar use [Set project avatar](#api-rest-api-3-project-projectIdOrKey-avatar-put) to set it as the project's displayed avatar.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Recommended usage: Project.Avatar.loadAvatar
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-avatars/#api-rest-api-3-project-projectidorkey-avatar2-post
  * @param options Request options.
  */
    loadProjectAvatar<T = LoadProjectAvatarResponseOK>(options: LoadProjectAvatarRequest): Promise<LoadProjectAvatarResponseOK | T>;
    /**
  * Returns all project avatars, grouped by system and custom avatars.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Alternative usage: Project.Avatar.getAvatars
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-avatars/#api-rest-api-3-project-projectidorkey-avatars-get
  * @param options Request options.
  */
    getProjectAvatars<T = GetProjectAvatarsResponseOK>(options: GetProjectAvatarsRequest): Promise<GetProjectAvatarsResponseOK | T>;
    /**
  * Creates a component. Use components to provide containers for issues within a project. Use components to provide containers for issues within a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project in which the component is created or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Component.createComponent
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-components/#api-rest-api-3-component-post
  * @param options Request options.
  */
    createProjectComponent<T = CreateProjectComponentResponseOK>(options: CreateProjectComponentRequest): Promise<CreateProjectComponentResponseOK | T>;
    /**
  * Returns a component.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for project containing the component.
  * Alternative usage: Project.Component.getComponent
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-components/#api-rest-api-3-component-id-get
  * @param options Request options.
  */
    getProjectComponent<T = GetProjectComponentResponseOK>(options: GetProjectComponentRequest): Promise<GetProjectComponentResponseOK | T>;
    /**
  * Updates a component. Any fields included in the request are overwritten. If `leadAccountId` is an empty string ("") the component lead is removed.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the component or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Component.updateComponent
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-components/#api-rest-api-3-component-id-put
  * @param options Request options.
  */
    updateProjectComponent<T = UpdateProjectComponentResponseOK>(options: UpdateProjectComponentRequest): Promise<UpdateProjectComponentResponseOK | T>;
    /**
  * Deletes a component.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the component or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Component.deleteComponent
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-components/#api-rest-api-3-component-id-delete
  * @param options Request options.
  */
    deleteProjectComponent<T = DeleteProjectComponentResponseOK>(options: DeleteProjectComponentRequest): Promise<DeleteProjectComponentResponseOK | T>;
    /**
  * Returns the counts of issues assigned to the component.
  
  This operation can be accessed anonymously.
  
  **Deprecation notice:** The required OAuth 2.0 scopes will be updated on June 15, 2024.
  
   *  **Classic**: `read:jira-work`
   *  **Granular**: `read:field:jira`, `read:project.component:jira`
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Project.Component.getIssueCount
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-components/#api-rest-api-3-component-id-relatedissuecounts-get
  * @param options Request options.
  */
    getProjectComponentIssueCount<T = GetProjectComponentIssueCountResponseOK>(options: GetProjectComponentIssueCountRequest): Promise<GetProjectComponentIssueCountResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of all components in a project. See the [Get project components](#api-rest-api-3-project-projectIdOrKey-components-get) resource if you want to get a full list of versions without pagination.
  
  If your project uses Compass components, this API will return a list of Compass components that are linked to issues in that project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Alternative usage: Project.Component.getComponentsPaginated
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-components/#api-rest-api-3-project-projectidorkey-component-get
  * @param options Request options.
  */
    getProjectComponentsPaginated<T = GetProjectComponentsPaginatedResponseOK>(options: GetProjectComponentsPaginatedRequest): Promise<GetProjectComponentsPaginatedResponseOK | T>;
    /**
  * Returns all components in a project. See the [Get project components paginated](#api-rest-api-3-project-projectIdOrKey-component-get) resource if you want to get a full list of components with pagination.
  
  If your project uses Compass components, this API will return a paginated list of Compass components that are linked to issues in that project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Alternative usage: Project.Component.getComponents
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-components/#api-rest-api-3-project-projectidorkey-components-get
  * @param options Request options.
  */
    getProjectComponents<T = GetProjectComponentsResponseOK>(options: GetProjectComponentsRequest): Promise<GetProjectComponentsResponseOK | T>;
    /**
  * Returns a list of [project roles](https://support.atlassian.com/jira-cloud-administration/docs/manage-project-roles/) for the project returning the name and self URL for each role.
  
  Note that all project roles are shared with all projects in Jira Cloud. See [Get all project roles](#api-rest-api-3-role-get) for more information.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for any project on the site or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Role.getRolesForProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-project-projectidorkey-role-get
  * @param options Request options.
  */
    getProjectRolesForProject<T = GetProjectRolesForProjectResponseOK>(options: GetProjectRolesForProjectRequest): Promise<GetProjectRolesForProjectResponseOK | T>;
    /**
  * Returns a project role's details and actors associated with the project. The list of actors is sorted by display name.
  
  To check whether a user belongs to a role based on their group memberships, use [Get user](#api-rest-api-3-user-get) with the `groups` expand parameter selected. Then check whether the user keys and groups match with the actors returned for the project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Role.getRoleForProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-project-projectidorkey-role-id-get
  * @param options Request options.
  */
    getProjectRoleForProject<T = GetProjectRoleForProjectResponseOK>(options: GetProjectRoleForProjectRequest): Promise<GetProjectRoleForProjectResponseOK | T>;
    /**
  * Returns all [project roles](https://support.atlassian.com/jira-cloud-administration/docs/manage-project-roles/) and the details for each role. Note that the list of project roles is common to all projects.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Alternative usage: Project.Role.getDetails
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-project-projectidorkey-roledetails-get
  * @param options Request options.
  */
    getProjectRoleDetails<T = GetProjectRoleDetailsResponseOK>(options: GetProjectRoleDetailsRequest): Promise<GetProjectRoleDetailsResponseOK | T>;
    /**
  * Gets a list of all project roles, complete with project role details and default actors.
  
  ### About project roles ###
  
  [Project roles](https://support.atlassian.com/jira-cloud-administration/docs/manage-project-roles/) are a flexible way to to associate users and groups with projects. In Jira Cloud, the list of project roles is shared globally with all projects, but each project can have a different set of actors associated with it (unlike groups, which have the same membership throughout all Jira applications).
  
  Project roles are used in [permission schemes](#api-rest-api-3-permissionscheme-get), [email notification schemes](#api-rest-api-3-notificationscheme-get), [issue security levels](#api-rest-api-3-issuesecurityschemes-get), [comment visibility](#api-rest-api-3-comment-list-post), and workflow conditions.
  
  #### Members and actors ####
  
  In the Jira REST API, a member of a project role is called an *actor*. An *actor* is a group or user associated with a project role.
  
  Actors may be set as [default members](https://support.atlassian.com/jira-cloud-administration/docs/manage-project-roles/#Specifying-'default-members'-for-a-project-role) of the project role or set at the project level:
  
   *  Default actors: Users and groups that are assigned to the project role for all newly created projects. The default actors can be removed at the project level later if desired.
   *  Actors: Users and groups that are associated with a project role for a project, which may differ from the default actors. This enables you to assign a user to different roles in different projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Role.getRoles
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-role-get
  * @param options Request options.
  */
    getProjectRoles<T = GetProjectRolesResponseOK>(options?: GetProjectRolesRequest): Promise<GetProjectRolesResponseOK | T>;
    /**
  * Creates a new project role with no [default actors](#api-rest-api-3-resolution-get). You can use the [Add default actors to project role](#api-rest-api-3-role-id-actors-post) operation to add default actors to the project role after creating it.
  
  *Note that although a new project role is available to all projects upon creation, any default actors that are associated with the project role are not added to projects that existed prior to the role being created.*<
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Role.createRole
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-role-post
  * @param options Request options.
  */
    createProjectRole<T = CreateProjectRoleResponseOK>(options: CreateProjectRoleRequest): Promise<CreateProjectRoleResponseOK | T>;
    /**
  * Gets the project role details and the default actors associated with the role. The list of default actors is sorted by display name.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Role.getRole
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-role-id-get
  * @param options Request options.
  */
    getProjectRole<T = GetProjectRoleResponseOK>(options: GetProjectRoleRequest): Promise<GetProjectRoleResponseOK | T>;
    /**
  * Updates the project role's name and description. You must include both a name and a description in the request.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Role.fullyUpdateRole
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-role-id-put
  * @param options Request options.
  */
    fullyUpdateProjectRole<T = FullyUpdateProjectRoleResponseOK>(options: FullyUpdateProjectRoleRequest): Promise<FullyUpdateProjectRoleResponseOK | T>;
    /**
  * Updates either the project role's name or its description.
  
  You cannot update both the name and description at the same time using this operation. If you send a request with a name and a description only the name is updated.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Role.partiallyUpdateRole
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-role-id-post
  * @param options Request options.
  */
    partiallyUpdateProjectRole<T = PartiallyUpdateProjectRoleResponseOK>(options: PartiallyUpdateProjectRoleRequest): Promise<PartiallyUpdateProjectRoleResponseOK | T>;
    /**
  * Deletes a project role. You must specify a replacement project role if you wish to delete a project role that is in use.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Role.deleteRole
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-role-id-delete
  * @param options Request options.
  */
    deleteProjectRole<T = DeleteProjectRoleResponseOK>(options: DeleteProjectRoleRequest): Promise<DeleteProjectRoleResponseOK | T>;
    /**
  * Sets the actors for a project role for a project, replacing all existing actors.
  
  To add actors to the project without overwriting the existing list, use [Add actors to project role](#api-rest-api-3-project-projectIdOrKey-role-id-post).
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Role.Actor.setActors
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-role-actors/#api-rest-api-3-project-projectidorkey-role-id-put
  * @param options Request options.
  */
    setActorsForProjectRole<T = SetActorsForProjectRoleResponseOK>(options: SetActorsForProjectRoleRequest): Promise<SetActorsForProjectRoleResponseOK | T>;
    /**
  * Adds actors to a project role for the project.
  
  To replace all actors for the project, use [Set actors for project role](#api-rest-api-3-project-projectIdOrKey-role-id-put).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Role.Actor.addActors
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-role-actors/#api-rest-api-3-project-projectidorkey-role-id-post
  * @param options Request options.
  */
    addActorsToProjectRole<T = AddActorsToProjectRoleResponseOK>(options: AddActorsToProjectRoleRequest): Promise<AddActorsToProjectRoleResponseOK | T>;
    /**
  * Deletes actors from a project role for the project.
  
  To remove default actors from the project role, use [Delete default actors from project role](#api-rest-api-3-role-id-actors-delete).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Role.Actor.deleteActors
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-role-actors/#api-rest-api-3-project-projectidorkey-role-id-delete
  * @param options Request options.
  */
    deleteActorsFromProjectRole<T = DeleteActorsFromProjectRoleResponseOK>(options: DeleteActorsFromProjectRoleRequest): Promise<DeleteActorsFromProjectRoleResponseOK | T>;
    /**
  * Returns the [default actors](#api-rest-api-3-resolution-get) for the project role.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Role.Actor.Default.getActors
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-role-actors/#api-rest-api-3-role-id-actors-get
  * @param options Request options.
  */
    getDefaultActorsForProjectRole<T = GetDefaultActorsForProjectRoleResponseOK>(options: GetDefaultActorsForProjectRoleRequest): Promise<GetDefaultActorsForProjectRoleResponseOK | T>;
    /**
  * Adds [default actors](#api-rest-api-3-resolution-get) to a role. You may add groups or users, but you cannot add groups and users in the same request.
  
  Changing a project role's default actors does not affect project role members for projects already created.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Role.Actor.Default.addActors
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-role-actors/#api-rest-api-3-role-id-actors-post
  * @param options Request options.
  */
    addDefaultActorsToProjectRole<T = AddDefaultActorsToProjectRoleResponseOK>(options: AddDefaultActorsToProjectRoleRequest): Promise<AddDefaultActorsToProjectRoleResponseOK | T>;
    /**
  * Deletes the [default actors](#api-rest-api-3-resolution-get) from a project role. You may delete a group or user, but you cannot delete a group and a user in the same request.
  
  Changing a project role's default actors does not affect project role members for projects already created.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Role.Actor.Default.deleteActors
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-role-actors/#api-rest-api-3-role-id-actors-delete
  * @param options Request options.
  */
    deleteDefaultActorsFromProjectRole<T = DeleteDefaultActorsFromProjectRoleResponseOK>(options: DeleteDefaultActorsFromProjectRoleRequest): Promise<DeleteDefaultActorsFromProjectRoleResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of all versions in a project. See the [Get project versions](#api-rest-api-3-project-projectIdOrKey-versions-get) resource if you want to get a full list of versions without pagination.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Alternative usage: Project.Version.getVersionsPaginated
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-project-projectidorkey-version-get
  * @param options Request options.
  */
    getProjectVersionsPaginated<T = GetProjectVersionsPaginatedResponseOK>(options: GetProjectVersionsPaginatedRequest): Promise<GetProjectVersionsPaginatedResponseOK | T>;
    /**
  * Returns all versions in a project. The response is not paginated. Use [Get project versions paginated](#api-rest-api-3-project-projectIdOrKey-version-get) if you want to get the versions in a project with pagination.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Alternative usage: Project.Version.getVersions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-project-projectidorkey-versions-get
  * @param options Request options.
  */
    getProjectVersions<T = GetProjectVersionsResponseOK>(options: GetProjectVersionsRequest): Promise<GetProjectVersionsResponseOK | T>;
    /**
  * Creates a project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the version is added to.
  * Alternative usage: Project.Version.createVersion
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-post
  * @param options Request options.
  */
    createProjectVersion<T = CreateProjectVersionResponseOK>(options: CreateProjectVersionRequest): Promise<CreateProjectVersionResponseOK | T>;
    /**
  * Returns a project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the version.
  * Alternative usage: Project.Version.getVersion
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-id-get
  * @param options Request options.
  */
    getProjectVersion<T = GetProjectVersionResponseOK>(options: GetProjectVersionRequest): Promise<GetProjectVersionResponseOK | T>;
    /**
  * Updates a project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
  * Alternative usage: Project.Version.updateVersion
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-id-put
  * @param options Request options.
  */
    updateProjectVersion<T = UpdateProjectVersionResponseOK>(options: UpdateProjectVersionRequest): Promise<UpdateProjectVersionResponseOK | T>;
    /**
  * Merges two project versions. The merge is completed by deleting the version specified in `id` and replacing any occurrences of its ID in `fixVersion` with the version ID specified in `moveIssuesTo`.
  
  Consider using [ Delete and replace version](#api-rest-api-3-version-id-removeAndSwap-post) instead. This resource supports swapping version values in `fixVersion`, `affectedVersion`, and custom fields.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
  * Alternative usage: Project.Version.mergeVersions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-id-mergeto-moveissuesto-put
  * @param options Request options.
  */
    mergeProjectVersions<T = MergeProjectVersionsResponseOK>(options: MergeProjectVersionsRequest): Promise<MergeProjectVersionsResponseOK | T>;
    /**
  * Modifies the version's sequence within the project, which affects the display order of the versions in Jira.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
  * Alternative usage: Project.Version.moveVersion
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-id-move-post
  * @param options Request options.
  */
    moveProjectVersion<T = MoveProjectVersionResponseOK>(options: MoveProjectVersionRequest): Promise<MoveProjectVersionResponseOK | T>;
    /**
  * Deletes a project version.
  
  Alternative versions can be provided to update issues that use the deleted version in `fixVersion`, `affectedVersion`, or any version picker custom fields. If alternatives are not provided, occurrences of `fixVersion`, `affectedVersion`, and any version picker custom field, that contain the deleted version, are cleared. Any replacement version must be in the same project as the version being deleted and cannot be the version being deleted.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
  * Alternative usage: Project.Version.deleteAndReplaceVersion
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-id-removeandswap-post
  * @param options Request options.
  */
    deleteAndReplaceProjectVersion<T = DeleteAndReplaceProjectVersionResponseOK>(options: DeleteAndReplaceProjectVersionRequest): Promise<DeleteAndReplaceProjectVersionResponseOK | T>;
    /**
  * Returns the following counts for a version:
  
   *  Number of issues where the `fixVersion` is set to the version.
   *  Number of issues where the `affectedVersion` is set to the version.
   *  Number of issues where a version custom field is set to the version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
  * Alternative usage: Project.Version.Count.getRelatedIssueCount
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-id-relatedissuecounts-get
  * @param options Request options.
  */
    getProjectVersionRelatedIssueCount<T = GetProjectVersionRelatedIssueCountResponseOK>(options: GetProjectVersionRelatedIssueCountRequest): Promise<GetProjectVersionRelatedIssueCountResponseOK | T>;
    /**
  * Returns counts of the issues and unresolved issues for the project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
  * Alternative usage: Project.Version.Count.getUnresolvedIssueCount
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-id-unresolvedissuecount-get
  * @param options Request options.
  */
    getProjectVersionUnresolvedIssueCount<T = GetProjectVersionUnresolvedIssueCountResponseOK>(options: GetProjectVersionUnresolvedIssueCountRequest): Promise<GetProjectVersionUnresolvedIssueCountResponseOK | T>;
    /**
  * Get the issue type hierarchy for a next-gen project.
  
  The issue type hierarchy for a project consists of:
  
   *  *Epic* at level 1 (optional).
   *  One or more issue types at level 0 such as *Story*, *Task*, or *Bug*. Where the issue type *Epic* is defined, these issue types are used to break down the content of an epic.
   *  *Subtask* at level -1 (optional). This issue type enables level 0 issue types to be broken down into components. Issues based on a level -1 issue type must have a parent issue.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Alternative usage: Project.IssueType.getHierarchy
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectid-hierarchy-get
  * @param options Request options.
  * @deprecated
  */
    getProjectIssueTypeHierarchy<T = GetProjectIssueTypeHierarchyResponseOK>(options: GetProjectIssueTypeHierarchyRequest): Promise<GetProjectIssueTypeHierarchyResponseOK | T>;
    /**
  * Validates a project key by confirming the key is a valid string and not in use.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Project.Validation.validateProjectKey
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-key-and-name-validation/#api-rest-api-3-projectvalidate-key-get
  * @param options Request options.
  */
    validateProjectKey<T = ValidateProjectKeyResponseOK>(options: ValidateProjectKeyRequest): Promise<ValidateProjectKeyResponseOK | T>;
    /**
  * Validates a project key and, if the key is invalid or in use, generates a valid random string for the project key.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Project.Validation.getValidProjectKey
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-key-and-name-validation/#api-rest-api-3-projectvalidate-validprojectkey-get
  * @param options Request options.
  */
    getValidProjectKey<T = GetValidProjectKeyResponseOK>(options: GetValidProjectKeyRequest): Promise<GetValidProjectKeyResponseOK | T>;
    /**
  * Checks that a project name isn't in use. If the name isn't in use, the passed string is returned. If the name is in use, this operation attempts to generate a valid project name based on the one supplied, usually by adding a sequence number. If a valid project name cannot be generated, a 404 response is returned.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Project.Validation.getValidProjectName
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-key-and-name-validation/#api-rest-api-3-projectvalidate-validprojectname-get
  * @param options Request options.
  */
    getValidProjectName<T = GetValidProjectNameResponseOK>(options: GetValidProjectNameRequest): Promise<GetValidProjectNameResponseOK | T>;
    /**
  * Returns all [project types](https://confluence.atlassian.com/x/Var1Nw), whether or not the instance has a valid license for each type.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Project.Type.getTypes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-get
  * @param options Request options.
  */
    getProjectTypes<T = GetProjectTypesResponseOK>(options?: GetProjectTypesRequest): Promise<GetProjectTypesResponseOK | T>;
    /**
     * Returns all [project types](https://confluence.atlassian.com/x/Var1Nw) with a valid license.
     * Alternative usage: Project.Type.getLicensedTypes
     * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-accessible-get
     * @param options Request options.
     */
    getLicensedProjectTypes<T = GetLicensedProjectTypesResponseOK>(options?: GetLicensedProjectTypesRequest): Promise<GetLicensedProjectTypesResponseOK | T>;
    /**
  * Returns a [project type](https://confluence.atlassian.com/x/Var1Nw).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Project.Type.getTypeByKey
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-projecttypekey-get
  * @param options Request options.
  */
    getProjectTypeByKey<T = GetProjectTypeByKeyResponseOK>(options: GetProjectTypeByKeyRequest): Promise<GetProjectTypeByKeyResponseOK | T>;
    /**
  * Returns a [project type](https://confluence.atlassian.com/x/Var1Nw) if it is accessible to the user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Project.Type.getAccessibleTypeByKey
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-projecttypekey-accessible-get
  * @param options Request options.
  */
    getAccessibleProjectTypeByKey<T = GetAccessibleProjectTypeByKeyResponseOK>(options: GetAccessibleProjectTypeByKeyRequest): Promise<GetAccessibleProjectTypeByKeyResponseOK | T>;
    /**
  * Returns all project categories.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Project.Category.getCategories
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-get
  * @param options Request options.
  */
    getProjectCategories<T = GetProjectCategoriesResponseOK>(options?: GetProjectCategoriesRequest): Promise<GetProjectCategoriesResponseOK | T>;
    /**
  * Creates a project category.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Category.createCategory
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-post
  * @param options Request options.
  */
    createProjectCategory<T = CreateProjectCategoryResponseOK>(options: CreateProjectCategoryRequest): Promise<CreateProjectCategoryResponseOK | T>;
    /**
  * Returns a project category.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Project.Category.getCategory
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-get
  * @param options Request options.
  */
    getProjectCategory<T = GetProjectCategoryResponseOK>(options: GetProjectCategoryRequest): Promise<GetProjectCategoryResponseOK | T>;
    /**
  * Updates a project category.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Category.updateCategory
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-put
  * @param options Request options.
  */
    updateProjectCategory<T = UpdateProjectCategoryResponseOK>(options: UpdateProjectCategoryRequest): Promise<UpdateProjectCategoryResponseOK | T>;
    /**
  * Deletes a project category.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Project.Category.deleteCategory
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-delete
  * @param options Request options.
  */
    deleteProjectCategory<T = DeleteProjectCategoryResponseOK>(options: DeleteProjectCategoryRequest): Promise<DeleteProjectCategoryResponseOK | T>;
    /**
  * Gets a [notification scheme](https://confluence.atlassian.com/x/8YdKLg) associated with the project.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Alternative usage: Project.Notification.Scheme.getScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectkeyorid-notificationscheme-get
  * @param options Request options.
  * @deprecated
  */
    getProjectNotificationScheme<T = GetProjectNotificationSchemeResponseOK>(options: GetProjectNotificationSchemeRequest): Promise<GetProjectNotificationSchemeResponseOK | T>;
    /**
  * Assigns a permission scheme with a project. See [Managing project permissions](https://confluence.atlassian.com/x/yodKLg) for more information about permission schemes.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg)
  * Alternative usage: Project.Permission.Scheme.assignScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-permissionscheme-put
  * @param options Request options.
  */
    assignProjectPermissionScheme<T = AssignProjectPermissionSchemeResponseOK>(options: AssignProjectPermissionSchemeRequest): Promise<AssignProjectPermissionSchemeResponseOK | T>;
    /**
  * Gets the [permission scheme](https://confluence.atlassian.com/x/yodKLg) associated with the project.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Alternative usage: Project.Permission.Scheme.getScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-permissionscheme-get
  * @param options Request options.
  */
    getProjectPermissionScheme<T = GetProjectPermissionSchemeResponseOK>(options: GetProjectPermissionSchemeRequest): Promise<GetProjectPermissionSchemeResponseOK | T>;
    /**
  * Returns all [issue security](https://confluence.atlassian.com/x/J4lKLg) levels for the project that the user has access to.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [global permission](https://confluence.atlassian.com/x/x4dKLg) for the project, however, issue security levels are only returned for authenticated user with *Set Issue Security* [global permission](https://confluence.atlassian.com/x/x4dKLg) for the project.
  * Alternative usage: Project.Permission.Scheme.getIssueSecurityLevels
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-securitylevel-get
  * @param options Request options.
  */
    getProjectIssueSecurityLevels<T = GetProjectIssueSecurityLevelsResponseOK>(options: GetProjectIssueSecurityLevelsRequest): Promise<GetProjectIssueSecurityLevelsResponseOK | T>;
    /**
  * Returns the [issue security scheme](https://confluence.atlassian.com/x/J4lKLg) associated with the project.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or the *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Alternative usage: Project.Security.Scheme.getIssueScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-issuesecuritylevelscheme-get
  * @param options Request options.
  */
    getProjectIssueSecurityScheme<T = GetProjectIssueSecuritySchemeResponseOK>(options: GetProjectIssueSecuritySchemeRequest): Promise<GetProjectIssueSecuritySchemeResponseOK | T>;
    /**
  * Returns all [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) keys for the project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Alternative usage: Project.Property.getPropertyKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-get
  * @param options Request options.
  */
    getProjectPropertyKeys<T = GetProjectPropertyKeysResponseOK>(options: GetProjectPropertyKeysRequest): Promise<GetProjectPropertyKeysResponseOK | T>;
    /**
  * Returns the value of a [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the property.
  * Alternative usage: Project.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-get
  * @param options Request options.
  */
    getProjectProperty<T = GetProjectPropertyResponseOK>(options: GetProjectPropertyRequest): Promise<GetProjectPropertyResponseOK | T>;
    /**
  * Sets the value of the [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties). You can use project properties to store custom data against the project.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project in which the property is created.
  * Alternative usage: Project.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-put
  * @param options Request options.
  */
    setProjectProperty<T = SetProjectPropertyResponseOK>(options: SetProjectPropertyRequest): Promise<SetProjectPropertyResponseOK | T>;
    /**
  * Deletes the [property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) from a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the property.
  * Alternative usage: Project.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-delete
  * @param options Request options.
  */
    deleteProjectProperty<T = DeleteProjectPropertyResponseOK>(options: DeleteProjectPropertyRequest): Promise<DeleteProjectPropertyResponseOK | T>;
    /**
  * Returns a list of all users, including active users, inactive users and previously deleted users that have an Atlassian account.
  
  Privacy controls are applied to the response based on the users' preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: User.getUsersDefault
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-users-get
  * @param options Request options.
  */
    getUsersDefault<T = GetUsersDefaultResponseOK>(options?: GetUsersDefaultRequest): Promise<GetUsersDefaultResponseOK | T>;
    /**
  * Returns the default [issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user. If `accountId` is not passed in the request, the calling user's details are returned.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLgl), to get the column details for any user.
   *  Permission to access Jira, to get the calling user's column details.
  * Alternative usage: User.getDefaultColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-get
  * @param options Request options.
  */
    getUserDefaultColumns<T = GetUserDefaultColumnsResponseOK>(options?: GetUserDefaultColumnsRequest): Promise<GetUserDefaultColumnsResponseOK | T>;
    /**
  * Sets the default [ issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user. If an account ID is not passed, the calling user's default columns are set. If no column details are sent, then all default columns are removed.
  
  The parameters for this resource are expressed as HTML form data. For example, in curl:
  
  `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/user/columns?accountId=5b10ac8d82e05b22cc7d4ef5'`
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set the columns on any user.
   *  Permission to access Jira, to set the calling user's columns.
  * Alternative usage: User.setDefaultColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-put
  * @param options Request options.
  */
    setUserDefaultColumns<T = SetUserDefaultColumnsResponseOK>(options: SetUserDefaultColumnsRequest): Promise<SetUserDefaultColumnsResponseOK | T>;
    /**
  * Resets the default [ issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user to the system default. If `accountId` is not passed, the calling user's default columns are reset.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set the columns on any user.
   *  Permission to access Jira, to set the calling user's columns.
  * Alternative usage: User.resetDefaultColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-delete
  * @param options Request options.
  */
    resetUserDefaultColumns<T = ResetUserDefaultColumnsResponseOK>(options?: ResetUserDefaultColumnsRequest): Promise<ResetUserDefaultColumnsResponseOK | T>;
    /**
  * Returns a user.
  
  Privacy controls are applied to the response based on the user's preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: User.getUser
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-get
  * @param options Request options.
  */
    getUser<T = GetUserResponseOK>(options?: GetUserRequest): Promise<GetUserResponseOK | T>;
    /**
  * Creates a user. This resource is retained for legacy compatibility. As soon as a more suitable alternative is available this resource will be deprecated.
  
  If the user exists and has access to Jira, the operation returns a 201 status. If the user exists but does not have access to Jira, the operation returns a 400 status.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: User.createUser
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-post
  * @param options Request options.
  */
    createUser<T = CreateUserResponseOK>(options: CreateUserRequest): Promise<CreateUserResponseOK | T>;
    /**
  * Deletes a user. If the operation completes successfully then the user is removed from Jira's user base. This operation does not delete the user's Atlassian account.
  
  **[Permissions](#permissions) required:** Site administration (that is, membership of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Alternative usage: User.deleteUser
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-delete
  * @param options Request options.
  */
    deleteUser<T = DeleteUserResponseOK>(options: DeleteUserRequest): Promise<DeleteUserResponseOK | T>;
    /**
  * Returns the account IDs for the users specified in the `key` or `username` parameters. Note that multiple `key` or `username` parameters can be specified.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: User.getAccountIdsForUsers
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-bulk-migration-get
  * @param options Request options.
  */
    getAccountIdsForUsers<T = GetAccountIdsForUsersResponseOK>(options?: GetAccountIdsForUsersRequest): Promise<GetAccountIdsForUsersResponseOK | T>;
    /**
     * Returns a user's email address regardless of the user's profile visibility settings. For Connect apps, this API is only available to apps approved by Atlassian, according to these [guidelines](https://community.developer.atlassian.com/t/guidelines-for-requesting-access-to-email-address/27603). For Forge apps, this API only supports access via asApp() requests.
     * Alternative usage: User.getEmail
     * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-email-get
     * @param options Request options.
     */
    getUserEmail<T = GetUserEmailResponseOK>(options: GetUserEmailRequest): Promise<GetUserEmailResponseOK | T>;
    /**
  * Returns the groups to which a user belongs.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: User.getGroups
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-groups-get
  * @param options Request options.
  */
    getUserGroups<T = GetUserGroupsResponseOK>(options: GetUserGroupsRequest): Promise<GetUserGroupsResponseOK | T>;
    /**
  * Returns a list of all users, including active users, inactive users and previously deleted users that have an Atlassian account.
  
  Privacy controls are applied to the response based on the users' preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: User.getUsers
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-users-search-get
  * @param options Request options.
  */
    getUsers<T = GetUsersResponseOK>(options?: GetUsersRequest): Promise<GetUsersResponseOK | T>;
    /**
  * Returns a list of users who can be assigned issues in one or more projects. The list may be restricted to users whose attributes match a string.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that can be assigned issues in the projects. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who can be assigned issues in the projects, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  Privacy controls are applied to the response based on the users' preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: User.Search.findUsersAssignableToProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-assignable-multiprojectsearch-get
  * @param options Request options.
  */
    findUsersAssignableToProjects<T = FindUsersAssignableToProjectsResponseOK>(options: FindUsersAssignableToProjectsRequest): Promise<FindUsersAssignableToProjectsResponseOK | T>;
    /**
  * Returns a list of users that can be assigned to an issue. Use this operation to find the list of users who can be assigned to:
  
   *  a new issue, by providing the `projectKeyOrId`.
   *  an updated issue, by providing the `issueKey`.
   *  to an issue during a transition (workflow action), by providing the `issueKey` and the transition id in `actionDescriptorId`. You can obtain the IDs of an issue's valid transitions using the `transitions` option in the `expand` parameter of [ Get issue](#api-rest-api-3-issue-issueIdOrKey-get).
  
  In all these cases, you can pass an account ID to determine if a user can be assigned to an issue. The user is returned in the response if they can be assigned to the issue or issue transition.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that can be assigned the issue. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who can be assigned the issue, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  Privacy controls are applied to the response based on the users' preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: User.Search.findUsersAssignableToIssues
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-assignable-search-get
  * @param options Request options.
  */
    findUsersAssignableToIssues<T = FindUsersAssignableToIssuesResponseOK>(options?: FindUsersAssignableToIssuesRequest): Promise<FindUsersAssignableToIssuesResponseOK | T>;
    /**
  * Returns a list of users who fulfill these criteria:
  
   *  their user attributes match a search string.
   *  they have a set of permissions for a project or issue.
  
  If no search string is provided, a list of all users with the permissions is returned.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and have permission for the project or issue. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and have permission for the project or issue, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  Privacy controls are applied to the response based on the users' preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to get users for any project.
   *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project, to get users for that project.
  * Alternative usage: User.Search.findUsersWithPermissions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-permission-search-get
  * @param options Request options.
  */
    findUsersWithPermissions<T = FindUsersWithPermissionsResponseOK>(options: FindUsersWithPermissionsRequest): Promise<FindUsersWithPermissionsResponseOK | T>;
    /**
  * Returns a list of users whose attributes match the query term. The returned object includes the `html` field where the matched query term is highlighted with the HTML strong tag. A list of account IDs can be provided to exclude users from the results.
  
  This operation takes the users in the range defined by `maxResults`, up to the thousandth user, and then returns only the users from that range that match the query term. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the query term, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls and calls by users without the required permission return search results for an exact name match only.
  * Alternative usage: User.Search.findUsersForPicker
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-picker-get
  * @param options Request options.
  */
    findUsersForPicker<T = FindUsersForPickerResponseOK>(options: FindUsersForPickerRequest): Promise<FindUsersForPickerResponseOK | T>;
    /**
  * Returns a list of users that match the search string and property.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and property. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and property, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  This operation can be accessed anonymously.
  
  Privacy controls are applied to the response based on the users' preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls or calls by users without the required permission return empty search results.
  * Alternative usage: User.Search.findUsers
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-search-get
  * @param options Request options.
  */
    findUsers<T = FindUsersResponseOK>(options?: FindUsersRequest): Promise<FindUsersResponseOK | T>;
    /**
  * Finds users with a structured query and returns a [paginated](#pagination) list of user details.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the structured query. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the structured query, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  
  The query statements are:
  
   *  `is assignee of PROJ` Returns the users that are assignees of at least one issue in project *PROJ*.
   *  `is assignee of (PROJ-1, PROJ-2)` Returns users that are assignees on the issues *PROJ-1* or *PROJ-2*.
   *  `is reporter of (PROJ-1, PROJ-2)` Returns users that are reporters on the issues *PROJ-1* or *PROJ-2*.
   *  `is watcher of (PROJ-1, PROJ-2)` Returns users that are watchers on the issues *PROJ-1* or *PROJ-2*.
   *  `is voter of (PROJ-1, PROJ-2)` Returns users that are voters on the issues *PROJ-1* or *PROJ-2*.
   *  `is commenter of (PROJ-1, PROJ-2)` Returns users that have posted a comment on the issues *PROJ-1* or *PROJ-2*.
   *  `is transitioner of (PROJ-1, PROJ-2)` Returns users that have performed a transition on issues *PROJ-1* or *PROJ-2*.
   *  `[propertyKey].entity.property.path is "property value"` Returns users with the entity property value. For example, if user property `location` is set to value `{"office": {"country": "AU", "city": "Sydney"}}`, then it's possible to use `[location].office.city is "Sydney"` to match the user.
  
  The list of issues can be extended as needed, as in *(PROJ-1, PROJ-2, ... PROJ-n)*. Statements can be combined using the `AND` and `OR` operators to form more complex queries. For example:
  
  `is assignee of PROJ AND [propertyKey].entity.property.path is "property value"`
  * Alternative usage: User.Search.findUsersByQuery
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-search-query-get
  * @param options Request options.
  */
    findUsersByQuery<T = FindUsersByQueryResponseOK>(options: FindUsersByQueryRequest): Promise<FindUsersByQueryResponseOK | T>;
    /**
  * Finds users with a structured query and returns a [paginated](#pagination) list of user keys.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the structured query. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the structured query, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  
  The query statements are:
  
   *  `is assignee of PROJ` Returns the users that are assignees of at least one issue in project *PROJ*.
   *  `is assignee of (PROJ-1, PROJ-2)` Returns users that are assignees on the issues *PROJ-1* or *PROJ-2*.
   *  `is reporter of (PROJ-1, PROJ-2)` Returns users that are reporters on the issues *PROJ-1* or *PROJ-2*.
   *  `is watcher of (PROJ-1, PROJ-2)` Returns users that are watchers on the issues *PROJ-1* or *PROJ-2*.
   *  `is voter of (PROJ-1, PROJ-2)` Returns users that are voters on the issues *PROJ-1* or *PROJ-2*.
   *  `is commenter of (PROJ-1, PROJ-2)` Returns users that have posted a comment on the issues *PROJ-1* or *PROJ-2*.
   *  `is transitioner of (PROJ-1, PROJ-2)` Returns users that have performed a transition on issues *PROJ-1* or *PROJ-2*.
   *  `[propertyKey].entity.property.path is "property value"` Returns users with the entity property value. For example, if user property `location` is set to value `{"office": {"country": "AU", "city": "Sydney"}}`, then it's possible to use `[location].office.city is "Sydney"` to match the user.
  
  The list of issues can be extended as needed, as in *(PROJ-1, PROJ-2, ... PROJ-n)*. Statements can be combined using the `AND` and `OR` operators to form more complex queries. For example:
  
  `is assignee of PROJ AND [propertyKey].entity.property.path is "property value"`
  * Alternative usage: User.Search.findUserKeysByQuery
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-search-query-key-get
  * @param options Request options.
  */
    findUserKeysByQuery<T = FindUserKeysByQueryResponseOK>(options: FindUserKeysByQueryRequest): Promise<FindUserKeysByQueryResponseOK | T>;
    /**
  * Returns a list of users who fulfill these criteria:
  
   *  their user attributes match a search string.
   *  they have permission to browse issues.
  
  Use this resource to find users who can browse:
  
   *  an issue, by providing the `issueKey`.
   *  any issue in a project, by providing the `projectKey`.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and have permission to browse issues. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and have permission to browse issues, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  Privacy controls are applied to the response based on the users' preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls and calls by users without the required permission return empty search results.
  * Alternative usage: User.Search.findUsersWithBrowsePermission
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-viewissue-search-get
  * @param options Request options.
  */
    findUsersWithBrowsePermission<T = FindUsersWithBrowsePermissionResponseOK>(options?: FindUsersWithBrowsePermissionRequest): Promise<FindUsersWithBrowsePermissionResponseOK | T>;
    /**
  * Returns the keys of all properties for a user.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to access the property keys on any user.
   *  Access to Jira, to access the calling user's property keys.
  * Alternative usage: User.Property.getPropertyKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-get
  * @param options Request options.
  */
    getUserPropertyKeys<T = GetUserPropertyKeysResponseOK>(options: GetUserPropertyKeysRequest): Promise<GetUserPropertyKeysResponseOK | T>;
    /**
  * Returns the value of a user's property.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to get a property from any user.
   *  Access to Jira, to get a property from the calling user's record.
  * Alternative usage: User.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-get
  * @param options Request options.
  */
    getUserProperty<T = GetUserPropertyResponseOK>(options: GetUserPropertyRequest): Promise<GetUserPropertyResponseOK | T>;
    /**
  * Sets the value of a user's property. Use this resource to store custom data against a user.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set a property on any user.
   *  Access to Jira, to set a property on the calling user's record.
  * Alternative usage: User.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-put
  * @param options Request options.
  */
    setUserProperty<T = SetUserPropertyResponseOK>(options: SetUserPropertyRequest): Promise<SetUserPropertyResponseOK | T>;
    /**
  * Deletes a property from a user.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to delete a property from any user.
   *  Access to Jira, to delete a property from the calling user's record.
  * Alternative usage: User.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-delete
  * @param options Request options.
  */
    deleteUserProperty<T = DeleteUserPropertyResponseOK>(options: DeleteUserPropertyRequest): Promise<DeleteUserPropertyResponseOK | T>;
    /**
  * Creates a workflow. You can define transition rules using the shapes detailed in the following sections. If no transitional rules are specified the default system transition rules are used. Note: This only applies to company-managed scoped workflows. Use [bulk create workflows](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflows/#api-rest-api-3-workflows-create-post) to create both team and company-managed scoped workflows.
  
  #### Conditions ####
  
  Conditions enable workflow rules that govern whether a transition can execute.
  
  ##### Always false condition #####
  
  A condition that always fails.
  
      {
         "type": "AlwaysFalseCondition"
       }
  
  ##### Block transition until approval #####
  
  A condition that blocks issue transition if there is a pending approval.
  
      {
         "type": "BlockInProgressApprovalCondition"
       }
  
  ##### Compare number custom field condition #####
  
  A condition that allows transition if a comparison between a number custom field and a value is true.
  
      {
         "type": "CompareNumberCFCondition",
         "configuration": {
           "comparator": "=",
           "fieldId": "customfield_10029",
           "fieldValue": 2
         }
       }
  
   *  `comparator` One of the supported comparator: `=`, `>`, and `<`.
   *  `fieldId` The custom numeric field ID. Allowed field types:
      
       *  `com.atlassian.jira.plugin.system.customfieldtypes:float`
       *  `com.pyxis.greenhopper.jira:jsw-story-points`
   *  `fieldValue` The value for comparison.
  
  ##### Hide from user condition #####
  
  A condition that hides a transition from users. The transition can only be triggered from a workflow function or REST API operation.
  
      {
         "type": "RemoteOnlyCondition"
       }
  
  ##### Only assignee condition #####
  
  A condition that allows only the assignee to execute a transition.
  
      {
         "type": "AllowOnlyAssignee"
       }
  
  ##### Only Bamboo notifications workflow condition (deprecated) #####
  
  A condition that makes the transition available only to Bamboo build notifications.
  
      {
         "type": "OnlyBambooNotificationsCondition"
       }
  
  ##### Only reporter condition #####
  
  A condition that allows only the reporter to execute a transition.
  
      {
         "type": "AllowOnlyReporter"
       }
  
  ##### Permission condition #####
  
  A condition that allows only users with a permission to execute a transition.
  
      {
         "type": "PermissionCondition",
         "configuration": {
             "permissionKey": "BROWSE_PROJECTS"
         }
       }
  
   *  `permissionKey` The permission required to perform the transition. Allowed values: [built-in](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#built-in-permissions) or app defined permissions.
  
  ##### Previous status condition #####
  
  A condition that allows a transition based on whether an issue has or has not transitioned through a status.
  
      {
         "type": "PreviousStatusCondition",
         "configuration": {
           "ignoreLoopTransitions": true,
           "includeCurrentStatus": true,
           "mostRecentStatusOnly": true,
           "reverseCondition": true,
           "previousStatus": {
             "id": "5"
           }
         }
       }
  
  By default this condition allows the transition if the status, as defined by its ID in the `previousStatus` object, matches any previous issue status, unless:
  
   *  `ignoreLoopTransitions` is `true`, then loop transitions (from and to the same status) are ignored.
   *  `includeCurrentStatus` is `true`, then the current issue status is also checked.
   *  `mostRecentStatusOnly` is `true`, then only the issue's preceding status (the one immediately before the current status) is checked.
   *  `reverseCondition` is `true`, then the status must not be present.
  
  ##### Separation of duties condition #####
  
  A condition that prevents a user to perform the transition, if the user has already performed a transition on the issue.
  
      {
         "type": "SeparationOfDutiesCondition",
         "configuration": {
           "fromStatus": {
             "id": "5"
           },
           "toStatus": {
             "id": "6"
           }
         }
       }
  
   *  `fromStatus` OPTIONAL. An object containing the ID of the source status of the transition that is blocked. If omitted any transition to `toStatus` is blocked.
   *  `toStatus` An object containing the ID of the target status of the transition that is blocked.
  
  ##### Subtask blocking condition #####
  
  A condition that blocks transition on a parent issue if any of its subtasks are in any of one or more statuses.
  
      {
         "type": "SubTaskBlockingCondition",
         "configuration": {
           "statuses": [
             {
               "id": "1"
             },
             {
               "id": "3"
             }
           ]
         }
       }
  
   *  `statuses` A list of objects containing status IDs.
  
  ##### User is in any group condition #####
  
  A condition that allows users belonging to any group from a list of groups to execute a transition.
  
      {
         "type": "UserInAnyGroupCondition",
         "configuration": {
           "groups": [
             "administrators",
             "atlassian-addons-admin"
           ]
         }
       }
  
   *  `groups` A list of group names.
  
  ##### User is in any project role condition #####
  
  A condition that allows only users with at least one project roles from a list of project roles to execute a transition.
  
      {
         "type": "InAnyProjectRoleCondition",
         "configuration": {
           "projectRoles": [
             {
               "id": "10002"
             },
             {
               "id": "10003"
             },
             {
               "id": "10012"
             },
             {
               "id": "10013"
             }
           ]
         }
       }
  
   *  `projectRoles` A list of objects containing project role IDs.
  
  ##### User is in custom field condition #####
  
  A condition that allows only users listed in a given custom field to execute the transition.
  
      {
         "type": "UserIsInCustomFieldCondition",
         "configuration": {
           "allowUserInField": false,
           "fieldId": "customfield_10010"
         }
       }
  
   *  `allowUserInField` If `true` only a user who is listed in `fieldId` can perform the transition, otherwise, only a user who is not listed in `fieldId` can perform the transition.
   *  `fieldId` The ID of the field containing the list of users.
  
  ##### User is in group condition #####
  
  A condition that allows users belonging to a group to execute a transition.
  
      {
         "type": "UserInGroupCondition",
         "configuration": {
           "group": "administrators"
         }
       }
  
   *  `group` The name of the group.
  
  ##### User is in group custom field condition #####
  
  A condition that allows users belonging to a group specified in a custom field to execute a transition.
  
      {
         "type": "InGroupCFCondition",
         "configuration": {
           "fieldId": "customfield_10012"
         }
       }
  
   *  `fieldId` The ID of the field. Allowed field types:
      
       *  `com.atlassian.jira.plugin.system.customfieldtypes:multigrouppicker`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:grouppicker`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:select`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:multiselect`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:radiobuttons`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:multicheckboxes`
       *  `com.pyxis.greenhopper.jira:gh-epic-status`
  
  ##### User is in project role condition #####
  
  A condition that allows users with a project role to execute a transition.
  
      {
         "type": "InProjectRoleCondition",
         "configuration": {
           "projectRole": {
             "id": "10002"
           }
         }
       }
  
   *  `projectRole` An object containing the ID of a project role.
  
  ##### Value field condition #####
  
  A conditions that allows a transition to execute if the value of a field is equal to a constant value or simply set.
  
      {
         "type": "ValueFieldCondition",
         "configuration": {
           "fieldId": "assignee",
           "fieldValue": "qm:6e1ecee6-8e64-4db6-8c85-916bb3275f51:54b56885-2bd2-4381-8239-78263442520f",
           "comparisonType": "NUMBER",
           "comparator": "="
         }
       }
  
   *  `fieldId` The ID of a field used in the comparison.
   *  `fieldValue` The expected value of the field.
   *  `comparisonType` The type of the comparison. Allowed values: `STRING`, `NUMBER`, `DATE`, `DATE_WITHOUT_TIME`, or `OPTIONID`.
   *  `comparator` One of the supported comparator: `>`, `>=`, `=`, `<=`, `<`, `!=`.
  
  **Notes:**
  
   *  If you choose the comparison type `STRING`, only `=` and `!=` are valid options.
   *  You may leave `fieldValue` empty when comparison type is `!=` to indicate that a value is required in the field.
   *  For date fields without time format values as `yyyy-MM-dd`, and for those with time as `yyyy-MM-dd HH:mm`. For example, for July 16 2021 use `2021-07-16`, for 8:05 AM use `2021-07-16 08:05`, and for 4 PM: `2021-07-16 16:00`.
  
  #### Validators ####
  
  Validators check that any input made to the transition is valid before the transition is performed.
  
  ##### Date field validator #####
  
  A validator that compares two dates.
  
      {
         "type": "DateFieldValidator",
         "configuration": {
             "comparator": ">",
             "date1": "updated",
             "date2": "created",
             "expression": "1d",
             "includeTime": true
           }
       }
  
   *  `comparator` One of the supported comparator: `>`, `>=`, `=`, `<=`, `<`, or `!=`.
   *  `date1` The date field to validate. Allowed field types:
      
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datepicker`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datetime`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-end`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-start`
       *  `duedate`
       *  `created`
       *  `updated`
       *  `resolutiondate`
   *  `date2` The second date field. Required, if `expression` is not passed. Allowed field types:
      
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datepicker`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datetime`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-end`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-start`
       *  `duedate`
       *  `created`
       *  `updated`
       *  `resolutiondate`
   *  `expression` An expression specifying an offset. Required, if `date2` is not passed. Offsets are built with a number, with `-` as prefix for the past, and one of these time units: `d` for day, `w` for week, `m` for month, or `y` for year. For example, -2d means two days into the past and 1w means one week into the future. The `now` keyword enables a comparison with the current date.
   *  `includeTime` If `true`, then the time part of the data is included for the comparison. If the field doesn't have a time part, 00:00:00 is used.
  
  ##### Windows date validator #####
  
  A validator that checks that a date falls on or after a reference date and before or on the reference date plus a number of days.
  
      {
         "type": "WindowsDateValidator",
         "configuration": {
             "date1": "customfield_10009",
             "date2": "created",
             "windowsDays": 5
           }
       }
  
   *  `date1` The date field to validate. Allowed field types:
      
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datepicker`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datetime`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-end`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-start`
       *  `duedate`
       *  `created`
       *  `updated`
       *  `resolutiondate`
   *  `date2` The reference date. Allowed field types:
      
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datepicker`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datetime`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-end`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-start`
       *  `duedate`
       *  `created`
       *  `updated`
       *  `resolutiondate`
   *  `windowsDays` A positive integer indicating a number of days.
  
  ##### Field required validator #####
  
  A validator that checks fields are not empty. By default, if a field is not included in the current context it's ignored and not validated.
  
      {
           "type": "FieldRequiredValidator",
           "configuration": {
               "ignoreContext": true,
               "errorMessage": "Hey",
               "fieldIds": [
                   "versions",
                   "customfield_10037",
                   "customfield_10003"
               ]
           }
       }
  
   *  `ignoreContext` If `true`, then the context is ignored and all the fields are validated.
   *  `errorMessage` OPTIONAL. The error message displayed when one or more fields are empty. A default error message is shown if an error message is not provided.
   *  `fieldIds` The list of fields to validate.
  
  ##### Field changed validator #####
  
  A validator that checks that a field value is changed. However, this validation can be ignored for users from a list of groups.
  
      {
           "type": "FieldChangedValidator",
           "configuration": {
               "fieldId": "comment",
               "errorMessage": "Hey",
               "exemptedGroups": [
                   "administrators",
                   "atlassian-addons-admin"
               ]
           }
       }
  
   *  `fieldId` The ID of a field.
   *  `errorMessage` OPTIONAL. The error message displayed if the field is not changed. A default error message is shown if the error message is not provided.
   *  `exemptedGroups` OPTIONAL. The list of groups.
  
  ##### Field has single value validator #####
  
  A validator that checks that a multi-select field has only one value. Optionally, the validation can ignore values copied from subtasks.
  
      {
           "type": "FieldHasSingleValueValidator",
           "configuration": {
               "fieldId": "attachment,
               "excludeSubtasks": true
           }
       }
  
   *  `fieldId` The ID of a field.
   *  `excludeSubtasks` If `true`, then values copied from subtasks are ignored.
  
  ##### Parent status validator #####
  
  A validator that checks the status of the parent issue of a subtask. Ìf the issue is not a subtask, no validation is performed.
  
      {
           "type": "ParentStatusValidator",
           "configuration": {
               "parentStatuses": [
                   {
                     "id":"1"
                   },
                   {
                     "id":"2"
                   }
               ]
           }
       }
  
   *  `parentStatus` The list of required parent issue statuses.
  
  ##### Permission validator #####
  
  A validator that checks the user has a permission.
  
      {
         "type": "PermissionValidator",
         "configuration": {
             "permissionKey": "ADMINISTER_PROJECTS"
         }
       }
  
   *  `permissionKey` The permission required to perform the transition. Allowed values: [built-in](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#built-in-permissions) or app defined permissions.
  
  ##### Previous status validator #####
  
  A validator that checks if the issue has held a status.
  
      {
         "type": "PreviousStatusValidator",
         "configuration": {
             "mostRecentStatusOnly": false,
             "previousStatus": {
                 "id": "15"
             }
         }
       }
  
   *  `mostRecentStatusOnly` If `true`, then only the issue's preceding status (the one immediately before the current status) is checked.
   *  `previousStatus` An object containing the ID of an issue status.
  
  ##### Regular expression validator #####
  
  A validator that checks the content of a field against a regular expression.
  
      {
         "type": "RegexpFieldValidator",
         "configuration": {
             "regExp": "[0-9]",
             "fieldId": "customfield_10029"
         }
       }
  
   *  `regExp`A regular expression.
   *  `fieldId` The ID of a field. Allowed field types:
      
       *  `com.atlassian.jira.plugin.system.customfieldtypes:select`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:multiselect`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:radiobuttons`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:multicheckboxes`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:textarea`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:textfield`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:url`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:float`
       *  `com.pyxis.greenhopper.jira:jsw-story-points`
       *  `com.pyxis.greenhopper.jira:gh-epic-status`
       *  `description`
       *  `summary`
  
  ##### User permission validator #####
  
  A validator that checks if a user has a permission. Obsolete. You may encounter this validator when getting transition rules and can pass it when updating or creating rules, for example, when you want to duplicate the rules from a workflow on a new workflow.
  
      {
           "type": "UserPermissionValidator",
           "configuration": {
               "permissionKey": "BROWSE_PROJECTS",
               "nullAllowed": false,
               "username": "TestUser"
           }
       }
  
   *  `permissionKey` The permission to be validated. Allowed values: [built-in](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#built-in-permissions) or app defined permissions.
   *  `nullAllowed` If `true`, allows the transition when `username` is empty.
   *  `username` The username to validate against the `permissionKey`.
  
  #### Post functions ####
  
  Post functions carry out any additional processing required after a Jira workflow transition is executed.
  
  ##### Fire issue event function #####
  
  A post function that fires an event that is processed by the listeners.
  
      {
         "type": "FireIssueEventFunction",
         "configuration": {
           "event": {
             "id":"1"
           }
         }
       }
  
  **Note:** If provided, this post function overrides the default `FireIssueEventFunction`. Can be included once in a transition.
  
   *  `event` An object containing the ID of the issue event.
  
  ##### Update issue status #####
  
  A post function that sets issue status to the linked status of the destination workflow status.
  
      {
         "type": "UpdateIssueStatusFunction"
       }
  
  **Note:** This post function is a default function in global and directed transitions. It can only be added to the initial transition and can only be added once.
  
  ##### Create comment #####
  
  A post function that adds a comment entered during the transition to an issue.
  
      {
         "type": "CreateCommentFunction"
       }
  
  **Note:** This post function is a default function in global and directed transitions. It can only be added to the initial transition and can only be added once.
  
  ##### Store issue #####
  
  A post function that stores updates to an issue.
  
      {
         "type": "IssueStoreFunction"
       }
  
  **Note:** This post function can only be added to the initial transition and can only be added once.
  
  ##### Assign to current user function #####
  
  A post function that assigns the issue to the current user if the current user has the `ASSIGNABLE_USER` permission.
  
      {
           "type": "AssignToCurrentUserFunction"
       }
  
  **Note:** This post function can be included once in a transition.
  
  ##### Assign to lead function #####
  
  A post function that assigns the issue to the project or component lead developer.
  
      {
           "type": "AssignToLeadFunction"
       }
  
  **Note:** This post function can be included once in a transition.
  
  ##### Assign to reporter function #####
  
  A post function that assigns the issue to the reporter.
  
      {
           "type": "AssignToReporterFunction"
       }
  
  **Note:** This post function can be included once in a transition.
  
  ##### Clear field value function #####
  
  A post function that clears the value from a field.
  
      {
         "type": "ClearFieldValuePostFunction",
         "configuration": {
           "fieldId": "assignee"
         }
       }
  
   *  `fieldId` The ID of the field.
  
  ##### Copy value from other field function #####
  
  A post function that copies the value of one field to another, either within an issue or from parent to subtask.
  
      {
         "type": "CopyValueFromOtherFieldPostFunction",
         "configuration": {
           "sourceFieldId": "assignee",
           "destinationFieldId": "creator",
           "copyType": "same"
         }
       }
  
   *  `sourceFieldId` The ID of the source field.
   *  `destinationFieldId` The ID of the destination field.
   *  `copyType` Use `same` to copy the value from a field inside the issue, or `parent` to copy the value from the parent issue.
  
  ##### Create Crucible review workflow function (deprecated) #####
  
  A post function that creates a Crucible review for all unreviewed code for the issue.
  
      {
           "type": "CreateCrucibleReviewWorkflowFunction"
       }
  
  **Note:** This post function can be included once in a transition.
  
  ##### Set issue security level based on user's project role function #####
  
  A post function that sets the issue's security level if the current user has a project role.
  
      {
         "type": "SetIssueSecurityFromRoleFunction",
         "configuration": {
           "projectRole": {
               "id":"10002"
           },
           "issueSecurityLevel": {
               "id":"10000"
           }
         }
       }
  
   *  `projectRole` An object containing the ID of the project role.
   *  `issueSecurityLevel` OPTIONAL. The object containing the ID of the security level. If not passed, then the security level is set to `none`.
  
  ##### Trigger a webhook function #####
  
  A post function that triggers a webhook.
  
      {
         "type": "TriggerWebhookFunction",
         "configuration": {
           "webhook": {
             "id": "1"
           }
         }
       }
  
   *  `webhook` An object containing the ID of the webhook listener to trigger.
  
  ##### Update issue custom field function #####
  
  A post function that updates the content of an issue custom field.
  
      {
         "type": "UpdateIssueCustomFieldPostFunction",
         "configuration": {
           "mode": "append",
           "fieldId": "customfield_10003",
           "fieldValue": "yikes"
         }
       }
  
   *  `mode` Use `replace` to override the field content with `fieldValue` or `append` to add `fieldValue` to the end of the field content.
   *  `fieldId` The ID of the field.
   *  `fieldValue` The update content.
  
  ##### Update issue field function #####
  
  A post function that updates a simple issue field.
  
      {
         "type": "UpdateIssueFieldFunction",
         "configuration": {
           "fieldId": "assignee",
           "fieldValue": "5f0c277e70b8a90025a00776"
         }
       }
  
   *  `fieldId` The ID of the field. Allowed field types:
      
       *  `assignee`
       *  `description`
       *  `environment`
       *  `priority`
       *  `resolution`
       *  `summary`
       *  `timeoriginalestimate`
       *  `timeestimate`
       *  `timespent`
   *  `fieldValue` The update value.
   *  If the `fieldId` is `assignee`, the `fieldValue` should be one of these values:
      
       *  an account ID.
       *  `automatic`.
       *  a blank string, which sets the value to `unassigned`.
  
  #### Connect rules ####
  
  Connect rules are conditions, validators, and post functions of a transition that are registered by Connect apps. To create a rule registered by the app, the app must be enabled and the rule's module must exist.
  
      {
         "type": "appKey__moduleKey",
         "configuration": {
           "value":"{\"isValid\":\"true\"}"
         }
       }
  
   *  `type` A Connect rule key in a form of `appKey__moduleKey`.
   *  `value` The stringified JSON configuration of a Connect rule.
  
  #### Forge rules ####
  
  Forge transition rules are not yet supported.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.createWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflows/#api-rest-api-3-workflow-post
  * @param options Request options.
  */
    createWorkflow<T = CreateWorkflowResponseOK>(options: CreateWorkflowRequest): Promise<CreateWorkflowResponseOK | T>;
    /**
  * Deletes a workflow.
  
  The workflow cannot be deleted if it is:
  
   *  an active workflow.
   *  a system workflow.
   *  associated with any workflow scheme.
   *  associated with any draft workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.deleteWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflows/#api-rest-api-3-workflow-entityid-delete
  * @param options Request options.
  */
    deleteWorkflow<T = DeleteWorkflowResponseOK>(options: DeleteWorkflowRequest): Promise<DeleteWorkflowResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of published classic workflows. When workflow names are specified, details of those workflows are returned. Otherwise, all published classic workflows are returned.
  
  This operation does not return next-gen workflows.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.getWorkflows
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflows/#api-rest-api-3-workflow-search-get
  * @param options Request options.
  */
    getWorkflows<T = GetWorkflowsResponseOK>(options?: GetWorkflowsRequest): Promise<GetWorkflowsResponseOK | T>;
    /**
  * Returns the properties on a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Transition.Property.getProperties
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-properties/#api-rest-api-3-workflow-transitions-transitionid-properties-get
  * @param options Request options.
  */
    getWorkflowTransitionProperties<T = GetWorkflowTransitionPropertiesResponseOK>(options: GetWorkflowTransitionPropertiesRequest): Promise<GetWorkflowTransitionPropertiesResponseOK | T>;
    /**
  * Updates a workflow transition by changing the property value. Trying to update a property that does not exist results in a new property being added to the transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Transition.Property.updateProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-properties/#api-rest-api-3-workflow-transitions-transitionid-properties-put
  * @param options Request options.
  */
    updateWorkflowTransitionProperty<T = UpdateWorkflowTransitionPropertyResponseOK>(options: UpdateWorkflowTransitionPropertyRequest): Promise<UpdateWorkflowTransitionPropertyResponseOK | T>;
    /**
  * Adds a property to a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Transition.Property.createProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-properties/#api-rest-api-3-workflow-transitions-transitionid-properties-post
  * @param options Request options.
  */
    createWorkflowTransitionProperty<T = CreateWorkflowTransitionPropertyResponseOK>(options: CreateWorkflowTransitionPropertyRequest): Promise<CreateWorkflowTransitionPropertyResponseOK | T>;
    /**
  * Deletes a property from a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Transition.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-properties/#api-rest-api-3-workflow-transitions-transitionid-properties-delete
  * @param options Request options.
  */
    deleteWorkflowTransitionProperty<T = DeleteWorkflowTransitionPropertyResponseOK>(options: DeleteWorkflowTransitionPropertyRequest): Promise<DeleteWorkflowTransitionPropertyResponseOK | T>;
    /**
  * Returns a list of all statuses associated with active workflows.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Workflow.Status.getStatuses
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-statuses/#api-rest-api-3-status-get
  * @param options Request options.
  */
    getWorkflowStatuses<T = GetWorkflowStatusesResponseOK>(options?: GetWorkflowStatusesRequest): Promise<GetWorkflowStatusesResponseOK | T>;
    /**
  * Returns a status. The status must be associated with an active workflow to be returned.
  
  If a name is used on more than one status, only the status found first is returned. Therefore, identifying the status by its ID may be preferable.
  
  This operation can be accessed anonymously.
  
  [Permissions](#permissions) required: None.
  * Alternative usage: Workflow.Status.getStatus
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-statuses/#api-rest-api-3-status-idorname-get
  * @param options Request options.
  */
    getWorkflowStatus<T = GetWorkflowStatusResponseOK>(options: GetWorkflowStatusRequest): Promise<GetWorkflowStatusResponseOK | T>;
    /**
  * Returns a list of all status categories.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Workflow.Status.Category.getCategories
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-get
  * @param options Request options.
  */
    getWorkflowStatusCategories<T = GetWorkflowStatusCategoriesResponseOK>(options?: GetWorkflowStatusCategoriesRequest): Promise<GetWorkflowStatusCategoriesResponseOK | T>;
    /**
  * Returns a status category. Status categories provided a mechanism for categorizing [statuses](#api-rest-api-3-status-idOrName-get).
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Workflow.Status.Category.getCategory
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-idorkey-get
  * @param options Request options.
  */
    getWorkflowStatusCategory<T = GetWorkflowStatusCategoryResponseOK>(options: GetWorkflowStatusCategoryRequest): Promise<GetWorkflowStatusCategoryResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of all workflow schemes, not including draft workflow schemes.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-get
  * @param options Request options.
  */
    getWorkflowSchemes<T = GetWorkflowSchemesResponseOK>(options?: GetWorkflowSchemesRequest): Promise<GetWorkflowSchemesResponseOK | T>;
    /**
  * Creates a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.createScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-post
  * @param options Request options.
  */
    createWorkflowScheme<T = CreateWorkflowSchemeResponseOK>(options: CreateWorkflowSchemeRequest): Promise<CreateWorkflowSchemeResponseOK | T>;
    /**
  * Returns a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.getScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-get
  * @param options Request options.
  */
    getWorkflowScheme<T = GetWorkflowSchemeResponseOK>(options: GetWorkflowSchemeRequest): Promise<GetWorkflowSchemeResponseOK | T>;
    /**
  * Updates a company-manged project workflow scheme, including the name, default workflow, issue type to project mappings, and more. If the workflow scheme is active (that is, being used by at least one project), then a draft workflow scheme is created or updated instead, provided that `updateDraftIfNeeded` is set to `true`.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.updateScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-put
  * @param options Request options.
  */
    updateWorkflowScheme<T = UpdateWorkflowSchemeResponseOK>(options: UpdateWorkflowSchemeRequest): Promise<UpdateWorkflowSchemeResponseOK | T>;
    /**
  * Deletes a workflow scheme. Note that a workflow scheme cannot be deleted if it is active (that is, being used by at least one project).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.deleteScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-delete
  * @param options Request options.
  */
    deleteWorkflowScheme<T = DeleteWorkflowSchemeResponseOK>(options: DeleteWorkflowSchemeRequest): Promise<DeleteWorkflowSchemeResponseOK | T>;
    /**
  * Returns the issue type-workflow mapping for an issue type in a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.getWorkflowForIssueType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-issuetype-issuetype-get
  * @param options Request options.
  */
    getWorkflowForIssueTypeInWorkflowScheme<T = GetWorkflowForIssueTypeInWorkflowSchemeResponseOK>(options: GetWorkflowForIssueTypeInWorkflowSchemeRequest): Promise<GetWorkflowForIssueTypeInWorkflowSchemeResponseOK | T>;
    /**
  * Sets the workflow for an issue type in a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request body and a draft workflow scheme is created or updated with the new issue type-workflow mapping. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.setWorkflowForIssueType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-issuetype-issuetype-put
  * @param options Request options.
  */
    setWorkflowForIssueTypeInWorkflowScheme<T = SetWorkflowForIssueTypeInWorkflowSchemeResponseOK>(options: SetWorkflowForIssueTypeInWorkflowSchemeRequest): Promise<SetWorkflowForIssueTypeInWorkflowSchemeResponseOK | T>;
    /**
  * Deletes the issue type-workflow mapping for an issue type in a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the issue type-workflow mapping deleted. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.deleteWorkflowForIssueType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-issuetype-issuetype-delete
  * @param options Request options.
  */
    deleteWorkflowForIssueTypeInWorkflowScheme<T = DeleteWorkflowForIssueTypeInWorkflowSchemeResponseOK>(options: DeleteWorkflowForIssueTypeInWorkflowSchemeRequest): Promise<DeleteWorkflowForIssueTypeInWorkflowSchemeResponseOK | T>;
    /**
  * Returns the workflow-issue type mappings for a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.getIssueTypesForWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-workflow-get
  * @param options Request options.
  */
    getIssueTypesForWorkflowInWorkflowScheme<T = GetIssueTypesForWorkflowInWorkflowSchemeResponseOK>(options: GetIssueTypesForWorkflowInWorkflowSchemeRequest): Promise<GetIssueTypesForWorkflowInWorkflowSchemeResponseOK | T>;
    /**
  * Sets the issue types for a workflow in a workflow scheme. The workflow can also be set as the default workflow for the workflow scheme. Unmapped issues types are mapped to the default workflow.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request body and a draft workflow scheme is created or updated with the new workflow-issue types mappings. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.setIssueTypesForWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-workflow-put
  * @param options Request options.
  */
    setIssueTypesForWorkflowInWorkflowScheme<T = SetIssueTypesForWorkflowInWorkflowSchemeResponseOK>(options: SetIssueTypesForWorkflowInWorkflowSchemeRequest): Promise<SetIssueTypesForWorkflowInWorkflowSchemeResponseOK | T>;
    /**
  * Deletes the workflow-issue type mapping for a workflow in a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the workflow-issue type mapping deleted. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.deleteIssueTypesForWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-workflow-delete
  * @param options Request options.
  */
    deleteIssueTypesForWorkflowInWorkflowScheme<T = DeleteIssueTypesForWorkflowInWorkflowSchemeResponseOK>(options: DeleteIssueTypesForWorkflowInWorkflowSchemeRequest): Promise<DeleteIssueTypesForWorkflowInWorkflowSchemeResponseOK | T>;
    /**
  * Returns the default workflow for a workflow scheme. The default workflow is the workflow that is assigned any issue types that have not been mapped to any other workflow. The default workflow has *All Unassigned Issue Types* listed in its issue types for the workflow scheme in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.getDefaultWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-default-get
  * @param options Request options.
  */
    getDefaultWorkflowForWorkflowScheme<T = GetDefaultWorkflowForWorkflowSchemeResponseOK>(options: GetDefaultWorkflowForWorkflowSchemeRequest): Promise<GetDefaultWorkflowForWorkflowSchemeResponseOK | T>;
    /**
  * Sets the default workflow for a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request object and a draft workflow scheme is created or updated with the new default workflow. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.updateDefaultWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-default-put
  * @param options Request options.
  */
    updateDefaultWorkflowForWorkflowScheme<T = UpdateDefaultWorkflowForWorkflowSchemeResponseOK>(options: UpdateDefaultWorkflowForWorkflowSchemeRequest): Promise<UpdateDefaultWorkflowForWorkflowSchemeResponseOK | T>;
    /**
  * Resets the default workflow for a workflow scheme. That is, the default workflow is set to Jira's system workflow (the *jira* workflow).
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the default workflow reset. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.deleteDefaultWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-default-delete
  * @param options Request options.
  */
    deleteDefaultWorkflowForWorkflowScheme<T = DeleteDefaultWorkflowForWorkflowSchemeResponseOK>(options: DeleteDefaultWorkflowForWorkflowSchemeRequest): Promise<DeleteDefaultWorkflowForWorkflowSchemeResponseOK | T>;
    /**
  * Returns a list of the workflow schemes associated with a list of projects. Each returned workflow scheme includes a list of the requested projects associated with it. Any team-managed or non-existent projects in the request are ignored and no errors are returned.
  
  If the project is associated with the `Default Workflow Scheme` no ID is returned. This is because the way the `Default Workflow Scheme` is stored means it has no ID.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.Project.getProjectAssociations
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-scheme-project-associations/#api-rest-api-3-workflowscheme-project-get
  * @param options Request options.
  */
    getWorkflowSchemeProjectAssociations<T = GetWorkflowSchemeProjectAssociationsResponseOK>(options: GetWorkflowSchemeProjectAssociationsRequest): Promise<GetWorkflowSchemeProjectAssociationsResponseOK | T>;
    /**
  * Assigns a workflow scheme to a project. This operation is performed only when there are no issues in the project.
  
  Workflow schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Workflow.Scheme.Project.assignWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-scheme-project-associations/#api-rest-api-3-workflowscheme-project-put
  * @param options Request options.
  */
    assignWorkflowSchemeToProject<T = AssignWorkflowSchemeToProjectResponseOK>(options: AssignWorkflowSchemeToProjectRequest): Promise<AssignWorkflowSchemeToProjectResponseOK | T>;
    /**
  * Returns a list of dashboards owned by or shared with the user. The list may be filtered to include only favorite or owned dashboards.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Dashboard.getDashboards
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-get
  * @param options Request options.
  */
    getDashboards<T = GetDashboardsResponseOK>(options?: GetDashboardsRequest): Promise<GetDashboardsResponseOK | T>;
    /**
  * Creates a dashboard.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Dashboard.createDashboard
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-post
  * @param options Request options.
  */
    createDashboard<T = CreateDashboardResponseOK>(options: CreateDashboardRequest): Promise<CreateDashboardResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of dashboards. This operation is similar to [Get dashboards](#api-rest-api-3-dashboard-get) except that the results can be refined to include dashboards that have specific attributes. For example, dashboards with a particular name. When multiple attributes are specified only filters matching all attributes are returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The following dashboards that match the query parameters are returned:
  
   *  Dashboards owned by the user. Not returned for anonymous users.
   *  Dashboards shared with a group that the user is a member of. Not returned for anonymous users.
   *  Dashboards shared with a private project that the user can browse. Not returned for anonymous users.
   *  Dashboards shared with a public project.
   *  Dashboards shared with the public.
  * Alternative usage: Dashboard.searchDashboards
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-search-get
  * @param options Request options.
  */
    searchDashboards<T = SearchDashboardsResponseOK>(options?: SearchDashboardsRequest): Promise<SearchDashboardsResponseOK | T>;
    /**
  * Returns a dashboard.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  
  However, to get a dashboard, the dashboard must be shared with the user or the user must own it. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users.
  * Alternative usage: Dashboard.getDashboard
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-get
  * @param options Request options.
  */
    getDashboard<T = GetDashboardResponseOK>(options: GetDashboardRequest): Promise<GetDashboardResponseOK | T>;
    /**
  * Updates a dashboard, replacing all the dashboard details with those provided.
  
  **[Permissions](#permissions) required:** None
  
  The dashboard to be updated must be owned by the user.
  * Alternative usage: Dashboard.updateDashboard
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-put
  * @param options Request options.
  */
    updateDashboard<T = UpdateDashboardResponseOK>(options: UpdateDashboardRequest): Promise<UpdateDashboardResponseOK | T>;
    /**
  * Deletes a dashboard.
  
  **[Permissions](#permissions) required:** None
  
  The dashboard to be deleted must be owned by the user.
  * Alternative usage: Dashboard.deleteDashboard
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-delete
  * @param options Request options.
  */
    deleteDashboard<T = DeleteDashboardResponseOK>(options: DeleteDashboardRequest): Promise<DeleteDashboardResponseOK | T>;
    /**
  * Copies a dashboard. Any values provided in the `dashboard` parameter replace those in the copied dashboard.
  
  **[Permissions](#permissions) required:** None
  
  The dashboard to be copied must be owned by or shared with the user.
  * Alternative usage: Dashboard.copyDashboard
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-copy-post
  * @param options Request options.
  */
    copyDashboard<T = CopyDashboardResponseOK>(options: CopyDashboardRequest): Promise<CopyDashboardResponseOK | T>;
    /**
  * Returns the keys of all properties for a dashboard item.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard or have the dashboard shared with them. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users, and is accessible to anonymous users when Jira\\u2019s anonymous access is permitted.
  * Alternative usage: Dashboard.Property.getPropertyKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-get
  * @param options Request options.
  */
    getDashboardItemPropertyKeys<T = GetDashboardItemPropertyKeysResponseOK>(options: GetDashboardItemPropertyKeysRequest): Promise<GetDashboardItemPropertyKeysResponseOK | T>;
    /**
  * Returns the key and value of a dashboard item property.
  
  A dashboard item enables an app to add user-specific information to a user dashboard. Dashboard items are exposed to users as gadgets that users can add to their dashboards. For more information on how users do this, see [Adding and customizing gadgets](https://confluence.atlassian.com/x/7AeiLQ).
  
  When an app creates a dashboard item it registers a callback to receive the dashboard item ID. The callback fires whenever the item is rendered or, where the item is configurable, the user edits the item. The app then uses this resource to store the item's content or configuration details. For more information on working with dashboard items, see [ Building a dashboard item for a JIRA Connect add-on](https://developer.atlassian.com/server/jira/platform/guide-building-a-dashboard-item-for-a-jira-connect-add-on-33746254/) and the [Dashboard Item](https://developer.atlassian.com/cloud/jira/platform/modules/dashboard-item/) documentation.
  
  There is no resource to set or get dashboard items.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard or have the dashboard shared with them. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users, and is accessible to anonymous users when Jira\\u2019s anonymous access is permitted.
  * Alternative usage: Dashboard.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-get
  * @param options Request options.
  */
    getDashboardItemProperty<T = GetDashboardItemPropertyResponseOK>(options: GetDashboardItemPropertyRequest): Promise<GetDashboardItemPropertyResponseOK | T>;
    /**
  * Sets the value of a dashboard item property. Use this resource in apps to store custom data against a dashboard item.
  
  A dashboard item enables an app to add user-specific information to a user dashboard. Dashboard items are exposed to users as gadgets that users can add to their dashboards. For more information on how users do this, see [Adding and customizing gadgets](https://confluence.atlassian.com/x/7AeiLQ).
  
  When an app creates a dashboard item it registers a callback to receive the dashboard item ID. The callback fires whenever the item is rendered or, where the item is configurable, the user edits the item. The app then uses this resource to store the item's content or configuration details. For more information on working with dashboard items, see [ Building a dashboard item for a JIRA Connect add-on](https://developer.atlassian.com/server/jira/platform/guide-building-a-dashboard-item-for-a-jira-connect-add-on-33746254/) and the [Dashboard Item](https://developer.atlassian.com/cloud/jira/platform/modules/dashboard-item/) documentation.
  
  There is no resource to set or get dashboard items.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard.
  * Alternative usage: Dashboard.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-put
  * @param options Request options.
  */
    setDashboardItemProperty<T = SetDashboardItemPropertyResponseOK>(options: SetDashboardItemPropertyRequest): Promise<SetDashboardItemPropertyResponseOK | T>;
    /**
  * Deletes a dashboard item property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard.
  * Alternative usage: Dashboard.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-delete
  * @param options Request options.
  */
    deleteDashboardItemProperty<T = DeleteDashboardItemPropertyResponseOK>(options: DeleteDashboardItemPropertyRequest): Promise<DeleteDashboardItemPropertyResponseOK | T>;
    /**
  * Returns all application roles. In Jira, application roles are managed using the [Application access configuration](https://confluence.atlassian.com/x/3YxjL) page.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Application.Role.getRoles
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-application-roles/#api-rest-api-3-applicationrole-get
  * @param options Request options.
  */
    getApplicationRoles<T = GetApplicationRolesResponseOK>(options?: GetApplicationRolesRequest): Promise<GetApplicationRolesResponseOK | T>;
    /**
  * Returns an application role.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Application.Role.getRole
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-application-roles/#api-rest-api-3-applicationrole-key-get
  * @param options Request options.
  */
    getApplicationRole<T = GetApplicationRoleResponseOK>(options: GetApplicationRoleRequest): Promise<GetApplicationRoleResponseOK | T>;
    /**
  * Changes the value of an application property. For example, you can change the value of the `jira.clone.prefix` from its default value of *CLONE -* to *Clone -* if you prefer sentence case capitalization. Editable properties are described below along with their default values.
  
  #### Advanced settings ####
  
  The advanced settings below are also accessible in [Jira](https://confluence.atlassian.com/x/vYXKM).
  
  | Key | Description | Default value |
  | -- | -- | -- |
  | `jira.clone.prefix` | The string of text prefixed to the title of a cloned issue. | `CLONE -` |
  | `jira.date.picker.java.format` | The date format for the Java (server-side) generated dates. This must be the same as the `jira.date.picker.javascript.format` format setting. | `d/MMM/yy` |
  | `jira.date.picker.javascript.format` | The date format for the JavaScript (client-side) generated dates. This must be the same as the `jira.date.picker.java.format` format setting. | `%e/%b/%y` |
  | `jira.date.time.picker.java.format` | The date format for the Java (server-side) generated date times. This must be the same as the `jira.date.time.picker.javascript.format` format setting. | `dd/MMM/yy h:mm a` |
  | `jira.date.time.picker.javascript.format` | The date format for the JavaScript (client-side) generated date times. This must be the same as the `jira.date.time.picker.java.format` format setting. | `%e/%b/%y %I:%M %p` |
  | `jira.issue.actions.order` | The default order of actions (such as *Comments* or *Change history*) displayed on the issue view. | `asc` |
  | `jira.view.issue.links.sort.order` | The sort order of the list of issue links on the issue view. | `type, status, priority` |
  | `jira.comment.collapsing.minimum.hidden` | The minimum number of comments required for comment collapsing to occur. A value of `0` disables comment collapsing. | `4` |
  | `jira.newsletter.tip.delay.days` | The number of days before a prompt to sign up to the Jira Insiders newsletter is shown. A value of `-1` disables this feature. | `7` |
  
  
  #### Look and feel ####
  
  The settings listed below adjust the [look and feel](https://confluence.atlassian.com/x/VwCLLg).
  
  | Key | Description | Default value |
  | -- | -- | -- |
  | `jira.lf.date.time` | The [ time format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `h:mm a` |
  | `jira.lf.date.day` | The [ day format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `EEEE h:mm a` |
  | `jira.lf.date.complete` | The [ date and time format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `dd/MMM/yy h:mm a` |
  | `jira.lf.date.dmy` | The [ date format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `dd/MMM/yy` |
  | `jira.date.time.picker.use.iso8061` | When enabled, sets Monday as the first day of the week in the date picker, as specified by the ISO8601 standard. | `false` |
  | `jira.lf.logo.url` | The URL of the logo image file. | `/images/icon-jira-logo.png` |
  | `jira.lf.logo.show.application.title` | Controls the visibility of the application title on the sidebar. | `false` |
  | `jira.lf.favicon.url` | The URL of the favicon. | `/favicon.ico` |
  | `jira.lf.favicon.hires.url` | The URL of the high-resolution favicon. | `/images/64jira.png` |
  | `jira.lf.navigation.bgcolour` | The background color of the sidebar. | `#0747A6` |
  | `jira.lf.navigation.highlightcolour` | The color of the text and logo of the sidebar. | `#DEEBFF` |
  | `jira.lf.hero.button.base.bg.colour` | The background color of the hero button. | `#3b7fc4` |
  | `jira.title` | The text for the application title. The application title can also be set in *General settings*. | `Jira` |
  | `jira.option.globalsharing` | Whether filters and dashboards can be shared with anyone signed into Jira. | `true` |
  | `xflow.product.suggestions.enabled` | Whether to expose product suggestions for other Atlassian products within Jira. | `true` |
  
  
  #### Other settings ####
  
  | Key | Description | Default value |
  | -- | -- | -- |
  | `jira.issuenav.criteria.autoupdate` | Whether instant updates to search criteria is active. | `true` |
  
  
  *Note: Be careful when changing [application properties and advanced settings](https://confluence.atlassian.com/x/vYXKM).*
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Instance.setApplicationProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jira-settings/#api-rest-api-3-application-properties-id-put
  * @param options Request options.
  */
    setApplicationProperty<T = SetApplicationPropertyResponseOK>(options: SetApplicationPropertyRequest): Promise<SetApplicationPropertyResponseOK | T>;
    /**
  * Returns all application properties or an application property.
  
  If you specify a value for the `key` parameter, then an application property is returned as an object (not in an array). Otherwise, an array of all editable application properties is returned. See [Set application property](#api-rest-api-3-application-properties-id-put) for descriptions of editable properties.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Instance.getApplicationProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jira-settings/#api-rest-api-3-application-properties-get
  * @param options Request options.
  */
    getApplicationProperty<T = GetApplicationPropertyResponseOK>(options?: GetApplicationPropertyRequest): Promise<GetApplicationPropertyResponseOK | T>;
    /**
  * Returns the application properties that are accessible on the *Advanced Settings* page. To navigate to the *Advanced Settings* page in Jira, choose the Jira icon > **Jira settings** > **System**, **General Configuration** and then click **Advanced Settings** (in the upper right).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Instance.getAdvancedSettings
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jira-settings/#api-rest-api-3-application-properties-advanced-settings-get
  * @param options Request options.
  */
    getAdvancedSettings<T = GetAdvancedSettingsResponseOK>(options?: GetAdvancedSettingsRequest): Promise<GetAdvancedSettingsResponseOK | T>;
    /**
  * Returns the attachment settings, that is, whether attachments are enabled and the maximum attachment size allowed.
  
  Note that there are also [project permissions](https://confluence.atlassian.com/x/yodKLg) that restrict whether users can create and delete attachments.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Instance.getAttachmentSettings
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-attachments/#api-rest-api-3-attachment-meta-get
  * @param options Request options.
  */
    getJiraAttachmentSettings<T = GetJiraAttachmentSettingsResponseOK>(options?: GetJiraAttachmentSettingsRequest): Promise<GetJiraAttachmentSettingsResponseOK | T>;
    /**
  * Returns the [global settings](https://confluence.atlassian.com/x/qYXKM) in Jira. These settings determine whether optional features (for example, subtasks, time tracking, and others) are enabled. If time tracking is enabled, this operation also returns the time tracking configuration.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Instance.getGlobalSettings
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jira-settings/#api-rest-api-3-configuration-get
  * @param options Request options.
  */
    getGlobalSettings<T = GetGlobalSettingsResponseOK>(options?: GetGlobalSettingsRequest): Promise<GetGlobalSettingsResponseOK | T>;
    /**
  * Returns information about the Jira instance.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Instance.getInfo
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-server-info/#api-rest-api-3-serverinfo-get
  * @param options Request options.
  */
    getJiraInstanceInfo<T = GetJiraInstanceInfoResponseOK>(options?: GetJiraInstanceInfoRequest): Promise<GetJiraInstanceInfoResponseOK | T>;
    /**
  * Returns licensing information about the Jira instance.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Instance.getLicense
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-instance-information/#api-rest-api-3-instance-license-get
  * @param options Request options.
  */
    getLicense<T = GetLicenseResponseOK>(options?: GetLicenseRequest): Promise<GetLicenseResponseOK | T>;
    /**
  * Creates a filter. The filter is shared according to the [default share scope](#api-rest-api-3-filter-post). The filter is not selected as a favorite.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Filter.createFilter
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-post
  * @param options Request options.
  */
    createFilter<T = CreateFilterResponseOK>(options: CreateFilterRequest): Promise<CreateFilterResponseOK | T>;
    /**
  * Returns the filters owned by the user. If `includeFavourites` is `true`, the user's visible favorite filters are also returned.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, a favorite filters is only visible to the user where the filter is:
  
   *  owned by the user.
   *  shared with a group that the user is a member of.
   *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  shared with a public project.
   *  shared with the public.
  
  For example, if the user favorites a public filter that is subsequently made private that filter is not returned by this operation.
  * Alternative usage: Filter.getMyFilters
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-my-get
  * @param options Request options.
  */
    getMyFilters<T = GetMyFiltersResponseOK>(options?: GetMyFiltersRequest): Promise<GetMyFiltersResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of filters. Use this operation to get:
  
   *  specific filters, by defining `id` only.
   *  filters that match all of the specified attributes. For example, all filters for a user with a particular word in their name. When multiple attributes are specified only filters matching all attributes are returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, only the following filters that match the query parameters are returned:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Alternative usage: Filter.searchFilters
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-search-get
  * @param options Request options.
  */
    searchFilters<T = SearchFiltersResponseOK>(options?: SearchFiltersRequest): Promise<SearchFiltersResponseOK | T>;
    /**
  * Returns a filter.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, the filter is only returned where it is:
  
   *  owned by the user.
   *  shared with a group that the user is a member of.
   *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  shared with a public project.
   *  shared with the public.
  * Alternative usage: Filter.getFilter
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-get
  * @param options Request options.
  */
    getFilter<T = GetFilterResponseOK>(options: GetFilterRequest): Promise<GetFilterResponseOK | T>;
    /**
  * Updates a filter. Use this operation to update a filter's name, description, JQL, or sharing.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however the user must own the filter.
  * Alternative usage: Filter.updateFilter
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-put
  * @param options Request options.
  */
    updateFilter<T = UpdateFilterResponseOK>(options: UpdateFilterRequest): Promise<UpdateFilterResponseOK | T>;
    /**
  * Delete a filter.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however filters can only be deleted by the creator of the filter or a user with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Filter.deleteFilter
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-delete
  * @param options Request options.
  */
    deleteFilter<T = DeleteFilterResponseOK>(options: DeleteFilterRequest): Promise<DeleteFilterResponseOK | T>;
    /**
  * Returns the visible favorite filters of the user.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** A favorite filter is only visible to the user where the filter is:
  
   *  owned by the user.
   *  shared with a group that the user is a member of.
   *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  shared with a public project.
   *  shared with the public.
  
  For example, if the user favorites a public filter that is subsequently made private that filter is not returned by this operation.
  * Alternative usage: Filter.Favourite.getFilters
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-favourite-get
  * @param options Request options.
  */
    getFavouriteFilters<T = GetFavouriteFiltersResponseOK>(options?: GetFavouriteFiltersRequest): Promise<GetFavouriteFiltersResponseOK | T>;
    /**
  * Add a filter as a favorite for the user.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, the user can only favorite:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Alternative usage: Filter.Favourite.addFilter
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-favourite-put
  * @param options Request options.
  */
    addFilterAsFavourite<T = AddFilterAsFavouriteResponseOK>(options: AddFilterAsFavouriteRequest): Promise<AddFilterAsFavouriteResponseOK | T>;
    /**
  * Removes a filter as a favorite for the user. Note that this operation only removes filters visible to the user from the user's favorites list. For example, if the user favorites a public filter that is subsequently made private (and is therefore no longer visible on their favorites list) they cannot remove it from their favorites list.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Filter.Favourite.removeFilter
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-favourite-delete
  * @param options Request options.
  */
    removeFilterAsFavourite<T = RemoveFilterAsFavouriteResponseOK>(options: RemoveFilterAsFavouriteRequest): Promise<RemoveFilterAsFavouriteResponseOK | T>;
    /**
  * Returns the columns configured for a filter. The column configuration is used when the filter's results are viewed in *List View* with the *Columns* set to *Filter*.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, column details are only returned for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Alternative usage: Filter.Column.getColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-columns-get
  * @param options Request options.
  */
    getFilterColumns<T = GetFilterColumnsResponseOK>(options: GetFilterColumnsRequest): Promise<GetFilterColumnsResponseOK | T>;
    /**
  * Sets the columns for a filter. Only navigable fields can be set as columns. Use [Get fields](#api-rest-api-3-field-get) to get the list fields in Jira. A navigable field has `navigable` set to `true`.
  
  The parameters for this resource are expressed as HTML form data. For example, in curl:
  
  `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/filter/10000/columns`
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, columns are only set for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Alternative usage: Filter.Column.setColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-columns-put
  * @param options Request options.
  */
    setFilterColumns<T = SetFilterColumnsResponseOK>(options: SetFilterColumnsRequest): Promise<SetFilterColumnsResponseOK | T>;
    /**
  * Reset the user's column configuration for the filter to the default.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, columns are only reset for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Alternative usage: Filter.Column.resetColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-columns-delete
  * @param options Request options.
  */
    resetFilterColumns<T = ResetFilterColumnsResponseOK>(options: ResetFilterColumnsRequest): Promise<ResetFilterColumnsResponseOK | T>;
    /**
  * Returns the default sharing settings for new filters and dashboards for a user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Filter.Share.getDefaultScope
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-get
  * @param options Request options.
  */
    getFiltersDefaultShareScope<T = GetFiltersDefaultShareScopeResponseOK>(options?: GetFiltersDefaultShareScopeRequest): Promise<GetFiltersDefaultShareScopeResponseOK | T>;
    /**
  * Sets the default sharing for new filters and dashboards for a user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Filter.Share.setDefaultScope
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-put
  * @param options Request options.
  */
    setFiltersDefaultShareScope<T = SetFiltersDefaultShareScopeResponseOK>(options: SetFiltersDefaultShareScopeRequest): Promise<SetFiltersDefaultShareScopeResponseOK | T>;
    /**
  * Returns the share permissions for a filter. A filter can be shared with groups, projects, all logged-in users, or the public. Sharing with all logged-in users or the public is known as a global share permission.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, share permissions are only returned for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Alternative usage: Filter.Share.Permission.getPermissions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-get
  * @param options Request options.
  */
    getFiltersSharePermissions<T = GetFiltersSharePermissionsResponseOK>(options: GetFiltersSharePermissionsRequest): Promise<GetFiltersSharePermissionsResponseOK | T>;
    /**
  * Add a share permissions to a filter. If you add a global share permission (one for all logged-in users or the public) it will overwrite all share permissions for the filter.
  
  Be aware that this operation uses different objects for updating share permissions compared to [Update filter](#api-rest-api-3-filter-id-put).
  
  **[Permissions](#permissions) required:** *Share dashboards and filters* [global permission](https://confluence.atlassian.com/x/x4dKLg) and the user must own the filter.
  * Alternative usage: Filter.Share.Permission.addPermission
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-post
  * @param options Request options.
  */
    addFiltersSharePermission<T = AddFiltersSharePermissionResponseOK>(options: AddFiltersSharePermissionRequest): Promise<AddFiltersSharePermissionResponseOK | T>;
    /**
  * Returns a share permission for a filter. A filter can be shared with groups, projects, all logged-in users, or the public. Sharing with all logged-in users or the public is known as a global share permission.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, a share permission is only returned for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Alternative usage: Filter.Share.Permission.getPermission
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-permissionid-get
  * @param options Request options.
  */
    getFiltersSharePermission<T = GetFiltersSharePermissionResponseOK>(options: GetFiltersSharePermissionRequest): Promise<GetFiltersSharePermissionResponseOK | T>;
    /**
  * Deletes a share permission from a filter.
  
  **[Permissions](#permissions) required:** Permission to access Jira and the user must own the filter.
  * Alternative usage: Filter.Share.Permission.deletePermission
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-permissionid-delete
  * @param options Request options.
  */
    deleteFiltersSharePermission<T = DeleteFiltersSharePermissionResponseOK>(options: DeleteFiltersSharePermissionRequest): Promise<DeleteFiltersSharePermissionResponseOK | T>;
    /**
  * Creates a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Alternative usage: Group.createGroup
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-groups/#api-rest-api-3-group-post
  * @param options Request options.
  */
    createGroup<T = CreateGroupResponseOK>(options: CreateGroupRequest): Promise<CreateGroupResponseOK | T>;
    /**
  * Deletes a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* strategic [group](https://confluence.atlassian.com/x/24xjL)).
  * Alternative usage: Group.removeGroup
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-groups/#api-rest-api-3-group-delete
  * @param options Request options.
  */
    removeGroup<T = RemoveGroupResponseOK>(options?: RemoveGroupRequest): Promise<RemoveGroupResponseOK | T>;
    /**
  * Returns a list of groups whose names contain a query string. A list of group names can be provided to exclude groups from the results.
  
  The primary use case for this resource is to populate a group picker suggestions list. To this end, the returned object includes the `html` field where the matched query term is highlighted in the group name with the HTML strong tag. Also, the groups list is wrapped in a response object that contains a header for use in the picker, specifically *Showing X of Y matching groups*.
  
  The list returns with the groups sorted. If no groups match the list criteria, an empty list is returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg). Anonymous calls and calls by users without the required permission return an empty list.
  
  *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Without this permission, calls where query is not an exact match to an existing group will return an empty list.
  * Alternative usage: Group.findGroups
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-groups/#api-rest-api-3-groups-picker-get
  * @param options Request options.
  */
    findGroups<T = FindGroupsResponseOK>(options?: FindGroupsRequest): Promise<FindGroupsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of all users in a group.
  
  Note that users are ordered by username, however the username is not returned in the results due to privacy reasons.
  
  **[Permissions](#permissions) required:** either of:
  
   *  *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Group.User.getUsers
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-groups/#api-rest-api-3-group-member-get
  * @param options Request options.
  */
    getUsersFromGroup<T = GetUsersFromGroupResponseOK>(options?: GetUsersFromGroupRequest): Promise<GetUsersFromGroupResponseOK | T>;
    /**
  * Adds a user to a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Alternative usage: Group.User.addUser
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-groups/#api-rest-api-3-group-user-post
  * @param options Request options.
  */
    addUserToGroup<T = AddUserToGroupResponseOK>(options: AddUserToGroupRequest): Promise<AddUserToGroupResponseOK | T>;
    /**
  * Removes a user from a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Alternative usage: Group.User.removeUser
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-groups/#api-rest-api-3-group-user-delete
  * @param options Request options.
  */
    removeUserFromGroup<T = RemoveUserFromGroupResponseOK>(options: RemoveUserFromGroupRequest): Promise<RemoveUserFromGroupResponseOK | T>;
    /**
  * Returns a list of users and groups matching a string. The string is used:
  
   *  for users, to find a case-insensitive match with display name and e-mail address. Note that if a user has hidden their email address in their user profile, partial matches of the email address will not find the user. An exact match is required.
   *  for groups, to find a case-sensitive match with group name.
  
  For example, if the string *tin* is used, records with the display name *Tina*, email address *sarah@tinplatetraining.com*, and the group *accounting* would be returned.
  
  Optionally, the search can be refined to:
  
   *  the projects and issue types associated with a custom field, such as a user picker. The search can then be further refined to return only users and groups that have permission to view specific:
      
       *  projects.
       *  issue types.
      
      If multiple projects or issue types are specified, they must be a subset of those enabled for the custom field or no results are returned. For example, if a field is enabled for projects A, B, and C then the search could be limited to projects B and C. However, if the search is limited to projects B and D, nothing is returned.
   *  not return Connect app users and groups.
   *  return groups that have a case-insensitive match with the query.
  
  The primary use case for this resource is to populate a picker field suggestion list with users or groups. To this end, the returned object includes an `html` field for each list. This field highlights the matched query term in the item name with the HTML strong tag. Also, each list is wrapped in a response object that contains a header for use in a picker, specifically *Showing X of Y matching groups*.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/yodKLg).
  * Alternative usage: GroupAndUserPicker.findUsersAndGroups
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-group-and-user-picker/#api-rest-api-3-groupuserpicker-get
  * @param options Request options.
  */
    findUsersAndGroupsForPicker<T = FindUsersAndGroupsForPickerResponseOK>(options: FindUsersAndGroupsForPickerRequest): Promise<FindUsersAndGroupsForPickerResponseOK | T>;
    /**
  * Parses and validates JQL queries.
  
  Validation is performed in context of the current user.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Jql.parseQuery
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jql/#api-rest-api-3-jql-parse-post
  * @param options Request options.
  */
    parseJqlQuery<T = ParseJqlQueryResponseOK>(options: ParseJqlQueryRequest): Promise<ParseJqlQueryResponseOK | T>;
    /**
  * Converts one or more JQL queries with user identifiers (username or user key) to equivalent JQL queries with account IDs.
  
  You may wish to use this operation if your system stores JQL queries and you want to make them GDPR-compliant. For more information about GDPR-related changes, see the [migration guide](https://developer.atlassian.com/cloud/jira/platform/deprecation-notice-user-privacy-api-migration-guide/).
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Jql.convertUserIdentifiersToAccountIdsInQueries
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jql/#api-rest-api-3-jql-pdcleaner-post
  * @param options Request options.
  */
    convertUserIdentifiersToAccountIdsInJqlQueries<T = ConvertUserIdentifiersToAccountIdsInJqlQueriesResponseOK>(options: ConvertUserIdentifiersToAccountIdsInJqlQueriesRequest): Promise<ConvertUserIdentifiersToAccountIdsInJqlQueriesResponseOK | T>;
    /**
  * Returns reference data for JQL searches. This is a downloadable version of the documentation provided in [Advanced searching - fields reference](https://confluence.atlassian.com/x/gwORLQ) and [Advanced searching - functions reference](https://confluence.atlassian.com/x/hgORLQ), along with a list of JQL-reserved words. Use this information to assist with the programmatic creation of JQL queries or the validation of queries built in a custom query builder.
  
  To filter visible field details by project or collapse non-unique fields by field type then [Get field reference data (POST)](#api-rest-api-3-jql-autocompletedata-post) can be used.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Jql.getReferenceData
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jql/#api-rest-api-3-jql-autocompletedata-get
  * @param options Request options.
  */
    getReferenceDataForJql<T = GetReferenceDataForJqlResponseOK>(options?: GetReferenceDataForJqlRequest): Promise<GetReferenceDataForJqlResponseOK | T>;
    /**
     * Returns a [paginated](#pagination) list of labels.
     * Alternative usage: Label.getLabels
     * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-labels/#api-rest-api-3-label-get
     * @param options Request options.
     */
    getLabels<T = GetLabelsResponseOK>(options?: GetLabelsRequest): Promise<GetLabelsResponseOK | T>;
    /**
  * Returns a list of permissions indicating which permissions the user has. Details of the user's permissions can be obtained in a global, project, issue or comment context.
  
  The user is reported as having a project permission:
  
   *  in the global context, if the user has the project permission in any project.
   *  for a project, where the project permission is determined using issue data, if the user meets the permission's criteria for any issue in the project. Otherwise, if the user has the project permission in the project.
   *  for an issue, where a project permission is determined using issue data, if the user has the permission in the issue. Otherwise, if the user has the project permission in the project containing the issue.
   *  for a comment, where the user has both the permission to browse the comment and the project permission for the comment's parent issue. Only the BROWSE\_PROJECTS permission is supported. If a `commentId` is provided whose `permissions` does not equal BROWSE\_PROJECTS, a 400 error will be returned.
  
  This means that users may be shown as having an issue permission (such as EDIT\_ISSUES) in the global context or a project context but may not have the permission for any or all issues. For example, if Reporters have the EDIT\_ISSUES permission a user would be shown as having this permission in the global context or the context of a project, because any user can be a reporter. However, if they are not the user who reported the issue queried they would not have EDIT\_ISSUES permission for that issue.
  
  For [Jira Service Management project permissions](https://support.atlassian.com/jira-cloud-administration/docs/customize-jira-service-management-permissions/), this will be evaluated similarly to a user in the customer portal. For example, if the BROWSE\_PROJECTS permission is granted to Service Project Customer - Portal Access, any users with access to the customer portal will have the BROWSE\_PROJECTS permission.
  
  Global permissions are unaffected by context.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Permission.getMyPermissions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permissions/#api-rest-api-3-mypermissions-get
  * @param options Request options.
  */
    getMyPermissions<T = GetMyPermissionsResponseOK>(options: GetMyPermissionsRequest): Promise<GetMyPermissionsResponseOK | T>;
    /**
  * Returns all permissions, including:
  
   *  global permissions.
   *  project permissions.
   *  global permissions added by plugins.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Permission.getPermissions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permissions/#api-rest-api-3-permissions-get
  * @param options Request options.
  */
    getPermissions<T = GetPermissionsResponseOK>(options?: GetPermissionsRequest): Promise<GetPermissionsResponseOK | T>;
    /**
  * Returns:
  
   *  for a list of global permissions, the global permissions granted to a user.
   *  for a list of project permissions and lists of projects and issues, for each project permission a list of the projects and issues a user can access or manipulate.
  
  If no account ID is provided, the operation returns details for the logged in user.
  
  Note that:
  
   *  Invalid project and issue IDs are ignored.
   *  A maximum of 1000 projects and 1000 issues can be checked.
   *  Null values in `globalPermissions`, `projectPermissions`, `projectPermissions.projects`, and `projectPermissions.issues` are ignored.
   *  Empty strings in `projectPermissions.permissions` are ignored.
  
  **Deprecation notice:** The required OAuth 2.0 scopes will be updated on June 15, 2024.
  
   *  **Classic**: `read:jira-work`
   *  **Granular**: `read:permission:jira`
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to check the permissions for other users, otherwise none. However, Connect apps can make a call from the app server to the product to obtain permission details for any user, without admin permission. This Connect app ability doesn't apply to calls made using AP.request() in a browser.
  * Alternative usage: Permission.getBulkPermissions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permissions/#api-rest-api-3-permissions-check-post
  * @param options Request options.
  */
    getBulkPermissions<T = GetBulkPermissionsResponseOK>(options: GetBulkPermissionsRequest): Promise<GetBulkPermissionsResponseOK | T>;
    /**
  * Returns all the projects where the user is granted a list of project permissions.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Permission.getPermittedProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permissions/#api-rest-api-3-permissions-project-post
  * @param options Request options.
  */
    getPermittedProjects<T = GetPermittedProjectsResponseOK>(options: GetPermittedProjectsRequest): Promise<GetPermittedProjectsResponseOK | T>;
    /**
  * Returns all permission schemes.
  
  ### About permission schemes and grants ###
  
  A permission scheme is a collection of permission grants. A permission grant consists of a `holder` and a `permission`.
  
  #### Holder object ####
  
  The `holder` object contains information about the user or group being granted the permission. For example, the *Administer projects* permission is granted to a group named *Teams in space administrators*. In this case, the type is `"type": "group"`, and the parameter is the group name, `"parameter": "Teams in space administrators"` and the value is group ID, `"value": "ca85fac0-d974-40ca-a615-7af99c48d24f"`.
  
  The `holder` object is defined by the following properties:
  
   *  `type` Identifies the user or group (see the list of types below).
   *  `parameter` As a group's name can change, use of `value` is recommended. The value of this property depends on the `type`. For example, if the `type` is a group, then you need to specify the group name.
   *  `value` The value of this property depends on the `type`. If the `type` is a group, then you need to specify the group ID. For other `type` it has the same value as `parameter`
  
  The following `types` are available. The expected values for `parameter` and `value` are given in parentheses (some types may not have a `parameter` or `value`):
  
   *  `anyone` Grant for anonymous users.
   *  `applicationRole` Grant for users with access to the specified application (application name, application name). See [Update product access settings](https://confluence.atlassian.com/x/3YxjL) for more information.
   *  `assignee` Grant for the user currently assigned to an issue.
   *  `group` Grant for the specified group (`parameter` : group name, `value` : group ID).
   *  `groupCustomField` Grant for a user in the group selected in the specified custom field (`parameter` : custom field ID, `value` : custom field ID).
   *  `projectLead` Grant for a project lead.
   *  `projectRole` Grant for the specified project role (`parameter` :project role ID, `value` : project role ID).
   *  `reporter` Grant for the user who reported the issue.
   *  `sd.customer.portal.only` Jira Service Desk only. Grants customers permission to access the customer portal but not Jira. See [Customizing Jira Service Desk permissions](https://confluence.atlassian.com/x/24dKLg) for more information.
   *  `user` Grant for the specified user (`parameter` : user ID - historically this was the userkey but that is deprecated and the account ID should be used, `value` : user ID).
   *  `userCustomField` Grant for a user selected in the specified custom field (`parameter` : custom field ID, `value` : custom field ID).
  
  #### Built-in permissions ####
  
  The [built-in Jira permissions](https://confluence.atlassian.com/x/yodKLg) are listed below. Apps can also define custom permissions. See the [project permission](https://developer.atlassian.com/cloud/jira/platform/modules/project-permission/) and [global permission](https://developer.atlassian.com/cloud/jira/platform/modules/global-permission/) module documentation for more information.
  
  **Project permissions**
  
   *  `ADMINISTER_PROJECTS`
   *  `BROWSE_PROJECTS`
   *  `MANAGE_SPRINTS_PERMISSION` (Jira Software only)
   *  `SERVICEDESK_AGENT` (Jira Service Desk only)
   *  `VIEW_DEV_TOOLS` (Jira Software only)
   *  `VIEW_READONLY_WORKFLOW`
  
  **Issue permissions**
  
   *  `ASSIGNABLE_USER`
   *  `ASSIGN_ISSUES`
   *  `CLOSE_ISSUES`
   *  `CREATE_ISSUES`
   *  `DELETE_ISSUES`
   *  `EDIT_ISSUES`
   *  `LINK_ISSUES`
   *  `MODIFY_REPORTER`
   *  `MOVE_ISSUES`
   *  `RESOLVE_ISSUES`
   *  `SCHEDULE_ISSUES`
   *  `SET_ISSUE_SECURITY`
   *  `TRANSITION_ISSUES`
  
  **Voters and watchers permissions**
  
   *  `MANAGE_WATCHERS`
   *  `VIEW_VOTERS_AND_WATCHERS`
  
  **Comments permissions**
  
   *  `ADD_COMMENTS`
   *  `DELETE_ALL_COMMENTS`
   *  `DELETE_OWN_COMMENTS`
   *  `EDIT_ALL_COMMENTS`
   *  `EDIT_OWN_COMMENTS`
  
  **Attachments permissions**
  
   *  `CREATE_ATTACHMENTS`
   *  `DELETE_ALL_ATTACHMENTS`
   *  `DELETE_OWN_ATTACHMENTS`
  
  **Time tracking permissions**
  
   *  `DELETE_ALL_WORKLOGS`
   *  `DELETE_OWN_WORKLOGS`
   *  `EDIT_ALL_WORKLOGS`
   *  `EDIT_OWN_WORKLOGS`
   *  `WORK_ON_ISSUES`
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Permission.Scheme.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-get
  * @param options Request options.
  */
    getPermissionSchemes<T = GetPermissionSchemesResponseOK>(options?: GetPermissionSchemesRequest): Promise<GetPermissionSchemesResponseOK | T>;
    /**
  * Creates a new permission scheme. You can create a permission scheme with or without defining a set of permission grants.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Permission.Scheme.createScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-post
  * @param options Request options.
  */
    createPermissionScheme<T = CreatePermissionSchemeResponseOK>(options: CreatePermissionSchemeRequest): Promise<CreatePermissionSchemeResponseOK | T>;
    /**
  * Returns a permission scheme.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Permission.Scheme.getScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-get
  * @param options Request options.
  */
    getPermissionScheme<T = GetPermissionSchemeResponseOK>(options: GetPermissionSchemeRequest): Promise<GetPermissionSchemeResponseOK | T>;
    /**
  * Updates a permission scheme. Below are some important things to note when using this resource:
  
   *  If a permissions list is present in the request, then it is set in the permission scheme, overwriting *all existing* grants.
   *  If you want to update only the name and description, then do not send a permissions list in the request.
   *  Sending an empty list will remove all permission grants from the permission scheme.
  
  If you want to add or delete a permission grant instead of updating the whole list, see [Create permission grant](#api-rest-api-3-permissionscheme-schemeId-permission-post) or [Delete permission scheme entity](#api-rest-api-3-permissionscheme-schemeId-permission-permissionId-delete).
  
  See [About permission schemes and grants](#about-permission-schemes) for more details.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Permission.Scheme.updateScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-put
  * @param options Request options.
  */
    updatePermissionScheme<T = UpdatePermissionSchemeResponseOK>(options: UpdatePermissionSchemeRequest): Promise<UpdatePermissionSchemeResponseOK | T>;
    /**
  * Deletes a permission scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Permission.Scheme.deleteScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-delete
  * @param options Request options.
  */
    deletePermissionScheme<T = DeletePermissionSchemeResponseOK>(options: DeletePermissionSchemeRequest): Promise<DeletePermissionSchemeResponseOK | T>;
    /**
  * Returns all permission grants for a permission scheme.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Permission.Scheme.Grant.getGrants
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-get
  * @param options Request options.
  */
    getPermissionSchemeGrants<T = GetPermissionSchemeGrantsResponseOK>(options: GetPermissionSchemeGrantsRequest): Promise<GetPermissionSchemeGrantsResponseOK | T>;
    /**
  * Creates a permission grant in a permission scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Permission.Scheme.Grant.createGrant
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-post
  * @param options Request options.
  */
    createPermissionSchemeGrant<T = CreatePermissionSchemeGrantResponseOK>(options: CreatePermissionSchemeGrantRequest): Promise<CreatePermissionSchemeGrantResponseOK | T>;
    /**
  * Returns a permission grant.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Permission.Scheme.Grant.getGrant
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-permissionid-get
  * @param options Request options.
  */
    getPermissionSchemeGrant<T = GetPermissionSchemeGrantResponseOK>(options: GetPermissionSchemeGrantRequest): Promise<GetPermissionSchemeGrantResponseOK | T>;
    /**
  * Deletes a permission grant from a permission scheme. See [About permission schemes and grants](../api-group-permission-schemes/#about-permission-schemes-and-grants) for more details.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Permission.Scheme.Grant.deleteGrant
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-permissionid-delete
  * @param options Request options.
  */
    deletePermissionSchemeGrant<T = DeletePermissionSchemeGrantResponseOK>(options: DeletePermissionSchemeGrantRequest): Promise<DeletePermissionSchemeGrantResponseOK | T>;
    /**
  * Returns the value of a preference of the current user.
  
  Note that these keys are deprecated:
  
   *  *jira.user.locale* The locale of the user. By default this is not set and the user takes the locale of the instance.
   *  *jira.user.timezone* The time zone of the user. By default this is not set and the user takes the timezone of the instance.
  
  These system preferences keys will be deprecated by 15/07/2024. You can still retrieve these keys, but it will not have any impact on Notification behaviour.
  
   *  *user.notifications.watcher* Whether the user gets notified when they are watcher.
   *  *user.notifications.assignee* Whether the user gets notified when they are assignee.
   *  *user.notifications.reporter* Whether the user gets notified when they are reporter.
   *  *user.notifications.mentions* Whether the user gets notified when they are mentions.
  
  Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Myself.getPreference
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-myself/#api-rest-api-3-mypreferences-get
  * @param options Request options.
  */
    getMyPreference<T = GetMyPreferenceResponseOK>(options: GetMyPreferenceRequest): Promise<GetMyPreferenceResponseOK | T>;
    /**
  * Creates a preference for the user or updates a preference's value by sending a plain text string. For example, `false`. An arbitrary preference can be created with the value containing up to 255 characters. In addition, the following keys define system preferences that can be set or created:
  
   *  *user.notifications.mimetype* The mime type used in notifications sent to the user. Defaults to `html`.
   *  *user.default.share.private* Whether new [ filters](https://confluence.atlassian.com/x/eQiiLQ) are set to private. Defaults to `true`.
   *  *user.keyboard.shortcuts.disabled* Whether keyboard shortcuts are disabled. Defaults to `false`.
   *  *user.autowatch.disabled* Whether the user automatically watches issues they create or add a comment to. By default, not set: the user takes the instance autowatch setting.
   *  *user.notifiy.own.changes* Whether the user gets notified of their own changes.
  
  Note that these keys are deprecated:
  
   *  *jira.user.locale* The locale of the user. By default, not set. The user takes the instance locale.
   *  *jira.user.timezone* The time zone of the user. By default, not set. The user takes the instance timezone.
  
  These system preferences keys will be deprecated by 15/07/2024. You can still use these keys to create arbitrary preferences, but it will not have any impact on Notification behaviour.
  
   *  *user.notifications.watcher* Whether the user gets notified when they are watcher.
   *  *user.notifications.assignee* Whether the user gets notified when they are assignee.
   *  *user.notifications.reporter* Whether the user gets notified when they are reporter.
   *  *user.notifications.mentions* Whether the user gets notified when they are mentions.
  
  Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Myself.setPreference
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-myself/#api-rest-api-3-mypreferences-put
  * @param options Request options.
  */
    setMyPreference<T = SetMyPreferenceResponseOK>(options: SetMyPreferenceRequest): Promise<SetMyPreferenceResponseOK | T>;
    /**
  * Deletes a preference of the user, which restores the default value of system defined settings.
  
  Note that these keys are deprecated:
  
   *  *jira.user.locale* The locale of the user. By default, not set. The user takes the instance locale.
   *  *jira.user.timezone* The time zone of the user. By default, not set. The user takes the instance timezone.
  
  Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Myself.deletePreference
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-myself/#api-rest-api-3-mypreferences-delete
  * @param options Request options.
  */
    deleteMyPreference<T = DeleteMyPreferenceResponseOK>(options: DeleteMyPreferenceRequest): Promise<DeleteMyPreferenceResponseOK | T>;
    /**
  * Returns the locale for the user.
  
  If the user has no language preference set (which is the default setting) or this resource is accessed anonymous, the browser locale detected by Jira is returned. Jira detects the browser locale using the *Accept-Language* header in the request. However, if this doesn't match a locale available Jira, the site default locale is returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Alternative usage: Myself.getLocale
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-myself/#api-rest-api-3-mypreferences-locale-get
  * @param options Request options.
  */
    getMyLocale<T = GetMyLocaleResponseOK>(options?: GetMyLocaleRequest): Promise<GetMyLocaleResponseOK | T>;
    /**
  * Returns details for the current user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Alternative usage: Myself.getCurrentUser
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-myself/#api-rest-api-3-myself-get
  * @param options Request options.
  */
    getCurrentUser<T = GetCurrentUserResponseOK>(options?: GetCurrentUserRequest): Promise<GetCurrentUserResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of the screens a field is used in.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.getScreensForField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-field-fieldid-screens-get
  * @param options Request options.
  */
    getScreensForField<T = GetScreensForFieldResponseOK>(options: GetScreensForFieldRequest): Promise<GetScreensForFieldResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of all screens or those specified by one or more screen IDs.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.getScreens
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-get
  * @param options Request options.
  */
    getScreens<T = GetScreensResponseOK>(options?: GetScreensRequest): Promise<GetScreensResponseOK | T>;
    /**
  * Creates a screen with a default field tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.createScreen
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-post
  * @param options Request options.
  */
    createScreen<T = CreateScreenResponseOK>(options: CreateScreenRequest): Promise<CreateScreenResponseOK | T>;
    /**
  * Adds a field to the default tab of the default screen.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.addFieldToDefaultScreen
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-addtodefault-fieldid-post
  * @param options Request options.
  */
    addFieldToDefaultScreen<T = AddFieldToDefaultScreenResponseOK>(options: AddFieldToDefaultScreenRequest): Promise<AddFieldToDefaultScreenResponseOK | T>;
    /**
  * Returns the fields that can be added to a tab on a screen.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.getAvailableScreenFields
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-availablefields-get
  * @param options Request options.
  */
    getAvailableScreenFields<T = GetAvailableScreenFieldsResponseOK>(options: GetAvailableScreenFieldsRequest): Promise<GetAvailableScreenFieldsResponseOK | T>;
    /**
  * Updates a screen. Only screens used in classic projects can be updated.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.updateScreen
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-put
  * @param options Request options.
  */
    updateScreen<T = UpdateScreenResponseOK>(options: UpdateScreenRequest): Promise<UpdateScreenResponseOK | T>;
    /**
  * Deletes a screen. A screen cannot be deleted if it is used in a screen scheme, workflow, or workflow draft.
  
  Only screens used in classic projects can be deleted.
  * Alternative usage: Screen.deleteScreen
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-delete
  * @param options Request options.
  */
    deleteScreen<T = DeleteScreenResponseOK>(options: DeleteScreenRequest): Promise<DeleteScreenResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of screen schemes.
  
  Only screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.Scheme.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screen-schemes/#api-rest-api-3-screenscheme-get
  * @param options Request options.
  */
    getScreenSchemes<T = GetScreenSchemesResponseOK>(options?: GetScreenSchemesRequest): Promise<GetScreenSchemesResponseOK | T>;
    /**
  * Creates a screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.Scheme.createScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screen-schemes/#api-rest-api-3-screenscheme-post
  * @param options Request options.
  */
    createScreenScheme<T = CreateScreenSchemeResponseOK>(options: CreateScreenSchemeRequest): Promise<CreateScreenSchemeResponseOK | T>;
    /**
  * Updates a screen scheme. Only screen schemes used in classic projects can be updated.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.Scheme.updateScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screen-schemes/#api-rest-api-3-screenscheme-screenschemeid-put
  * @param options Request options.
  */
    updateScreenScheme<T = UpdateScreenSchemeResponseOK>(options: UpdateScreenSchemeRequest): Promise<UpdateScreenSchemeResponseOK | T>;
    /**
  * Deletes a screen scheme. A screen scheme cannot be deleted if it is used in an issue type screen scheme.
  
  Only screens schemes used in classic projects can be deleted.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.Scheme.deleteScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screen-schemes/#api-rest-api-3-screenscheme-screenschemeid-delete
  * @param options Request options.
  */
    deleteScreenScheme<T = DeleteScreenSchemeResponseOK>(options: DeleteScreenSchemeRequest): Promise<DeleteScreenSchemeResponseOK | T>;
    /**
  * Returns the list of tabs for a screen.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) when the project key is specified, providing that the screen is associated with the project through a Screen Scheme and Issue Type Screen Scheme.
  * Alternative usage: Screen.Tab.getTabs
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-get
  * @param options Request options.
  */
    getScreenTabs<T = GetScreenTabsResponseOK>(options: GetScreenTabsRequest): Promise<GetScreenTabsResponseOK | T>;
    /**
  * Creates a tab for a screen.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.Tab.createTab
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-post
  * @param options Request options.
  */
    createScreenTab<T = CreateScreenTabResponseOK>(options: CreateScreenTabRequest): Promise<CreateScreenTabResponseOK | T>;
    /**
  * Updates the name of a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.Tab.updateTab
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-put
  * @param options Request options.
  */
    updateScreenTab<T = UpdateScreenTabResponseOK>(options: UpdateScreenTabRequest): Promise<UpdateScreenTabResponseOK | T>;
    /**
  * Deletes a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.Tab.deleteTab
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-delete
  * @param options Request options.
  */
    deleteScreenTab<T = DeleteScreenTabResponseOK>(options: DeleteScreenTabRequest): Promise<DeleteScreenTabResponseOK | T>;
    /**
  * Moves a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.Tab.moveTab
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-move-pos-post
  * @param options Request options.
  */
    moveScreenTab<T = MoveScreenTabResponseOK>(options: MoveScreenTabRequest): Promise<MoveScreenTabResponseOK | T>;
    /**
  * Returns all fields for a screen tab.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) when the project key is specified, providing that the screen is associated with the project through a Screen Scheme and Issue Type Screen Scheme.
  * Alternative usage: Screen.Tab.Field.getFields
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-get
  * @param options Request options.
  */
    getScreenTabFields<T = GetScreenTabFieldsResponseOK>(options: GetScreenTabFieldsRequest): Promise<GetScreenTabFieldsResponseOK | T>;
    /**
  * Adds a field to a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.Tab.Field.addField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-post
  * @param options Request options.
  */
    addScreenTabField<T = AddScreenTabFieldResponseOK>(options: AddScreenTabFieldRequest): Promise<AddScreenTabFieldResponseOK | T>;
    /**
  * Removes a field from a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.Tab.Field.removeField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-id-delete
  * @param options Request options.
  */
    removeScreenTabField<T = RemoveScreenTabFieldResponseOK>(options: RemoveScreenTabFieldRequest): Promise<RemoveScreenTabFieldResponseOK | T>;
    /**
  * Moves a screen tab field.
  
  If `after` and `position` are provided in the request, `position` is ignored.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Alternative usage: Screen.Tab.Field.moveField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-id-move-post
  * @param options Request options.
  */
    moveScreenTabField<T = MoveScreenTabFieldResponseOK>(options: MoveScreenTabFieldRequest): Promise<MoveScreenTabFieldResponseOK | T>;
}
declare class IssueGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Priority: IssuePriorityGroup;
    Field: IssueFieldGroup;
    Type: IssueTypeGroup;
    Worklog: IssueWorklogGroup;
    Attachment: IssueAttachmentGroup;
    Comment: IssueCommentGroup;
    Metadata: IssueMetadataGroup;
    Property: IssuePropertyGroup;
    Link: IssueLinkGroup;
    Transition: IssueTransitionGroup;
    Vote: IssueVoteGroup;
    Watcher: IssueWatcherGroup;
    Search: IssueSearchGroup;
    Resolution: IssueResolutionGroup;
    Security: IssueSecurityGroup;
    Notification: IssueNotificationGroup;
    Navigator: IssueNavigatorGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates an issue or, where the option to create subtasks is enabled in Jira, a subtask. A transition may be applied, to move the issue or subtask to a workflow step other than the default start step, and issue properties set.
  
  The content of the issue or subtask is defined using `update` and `fields`. The fields that can be set in the issue or subtask are determined using the [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get). These are the same fields that appear on the issue's create screen. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
  
  Creating a subtask differs from creating an issue as follows:
  
   *  `issueType` must be set to a subtask issue type (use [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get) to find subtask issue types).
   *  `parent` must contain the ID or key of the parent issue.
  
  In a next-gen project any issue may be made a child providing that the parent and child are members of the same project.
  
  **[Permissions](#permissions) required:** *Browse projects* and *Create issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project in which the issue or subtask is created.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-post
  * @param options Request options.
  */
    createIssue<T = CreateIssueResponseOK>(options: CreateIssueRequest): Promise<CreateIssueResponseOK | T>;
    /**
  * Creates upto **50** issues and, where the option to create subtasks is enabled in Jira, subtasks. Transitions may be applied, to move the issues or subtasks to a workflow step other than the default start step, and issue properties set.
  
  The content of each issue or subtask is defined using `update` and `fields`. The fields that can be set in the issue or subtask are determined using the [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get). These are the same fields that appear on the issues' create screens. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
  
  Creating a subtask differs from creating an issue as follows:
  
   *  `issueType` must be set to a subtask issue type (use [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get) to find subtask issue types).
   *  `parent` the must contain the ID or key of the parent issue.
  
  **[Permissions](#permissions) required:** *Browse projects* and *Create issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project in which each issue or subtask is created.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-bulk-post
  * @param options Request options.
  */
    createIssues<T = CreateIssuesResponseOK>(options: CreateIssuesRequest): Promise<CreateIssuesResponseOK | T>;
    /**
  * Returns the details for an issue.
  
  The issue is identified by its ID or key, however, if the identifier doesn't match an issue, a case-insensitive search and check for moved issues is performed. If a matching issue is found its details are returned, a 302 or other redirect is **not** returned. The issue key returned in the response is the key of the issue found.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-get
  * @param options Request options.
  */
    getIssue<T = GetIssueResponseOK>(options: GetIssueRequest): Promise<GetIssueResponseOK | T>;
    /**
  * Edits an issue. Issue properties may be updated as part of the edit. Please note that issue transition is not supported and is ignored here. To transition an issue, please use [Transition issue](#api-rest-api-3-issue-issueIdOrKey-transitions-post).
  
  The edits to the issue's fields are defined using `update` and `fields`. The fields that can be edited are determined using [ Get edit issue metadata](#api-rest-api-3-issue-issueIdOrKey-editmeta-get).
  
  The parent field may be set by key or ID. For standard issue types, the parent may be removed by setting `update.parent.set.none` to *true*. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
  
  Connect apps having an app user with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), and Forge apps acting on behalf of users with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), can override the screen security configuration using `overrideScreenSecurity` and `overrideEditableFlag`.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Edit issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-put
  * @param options Request options.
  */
    editIssue<T = EditIssueResponseOK>(options: EditIssueRequest): Promise<EditIssueResponseOK | T>;
    /**
  * Deletes an issue.
  
  An issue cannot be deleted if it has one or more subtasks. To delete an issue with subtasks, set `deleteSubtasks`. This causes the issue's subtasks to be deleted with the issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Delete issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-delete
  * @param options Request options.
  */
    deleteIssue<T = DeleteIssueResponseOK>(options: DeleteIssueRequest): Promise<DeleteIssueResponseOK | T>;
    /**
  * Assigns an issue to a user. Use this operation when the calling user does not have the *Edit Issues* permission but has the *Assign issue* permission for the project that the issue is in.
  
  If `name` or `accountId` is set to:
  
   *  `"-1"`, the issue is assigned to the default assignee for the project.
   *  `null`, the issue is set to unassigned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse Projects* and *Assign Issues* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-assignee-put
  * @param options Request options.
  */
    assignIssue<T = AssignIssueResponseOK>(options: AssignIssueRequest): Promise<AssignIssueResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of all changelogs for an issue sorted by date, starting from the oldest.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-changelog-get
  * @param options Request options.
  */
    getChangeLogs<T = GetIssueChangeLogsResponseOK>(options: GetIssueChangeLogsRequest): Promise<GetIssueChangeLogsResponseOK | T>;
    /**
  * Returns changelogs for an issue specified by a list of changelog IDs.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-changelog-list-post
  * @param options Request options.
  */
    getChangeLogsById<T = GetIssueChangeLogsByIdResponseOK>(options: GetIssueChangeLogsByIdRequest): Promise<GetIssueChangeLogsByIdResponseOK | T>;
    /**
  * Creates an email notification for an issue and adds it to the mail queue.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-notify-post
  * @param options Request options.
  */
    sendNotification<T = SendNotificationForIssueResponseOK>(options: SendNotificationForIssueRequest): Promise<SendNotificationForIssueResponseOK | T>;
}
declare class IssuePriorityGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a [paginated](#pagination) list of priorities. The list can contain all priorities or a subset determined by any combination of these criteria:
  
   *  a list of priority IDs. Any invalid priority IDs are ignored.
   *  a list of project IDs. Only priorities that are available in these projects will be returned. Any invalid project IDs are ignored.
   *  whether the field configuration is a default. This returns priorities from company-managed (classic) projects only, as there is no concept of default priorities in team-managed projects.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-priorities/#api-rest-api-3-priority-search-get
  * @param options Request options.
  */
    searchPriorities<T = SearchIssuePrioritiesResponseOK>(options?: SearchIssuePrioritiesRequest): Promise<SearchIssuePrioritiesResponseOK | T>;
    /**
  * Returns the list of all issue priorities.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-priorities/#api-rest-api-3-priority-get
  * @param options Request options.
  * @deprecated
  */
    getPriorities<T = GetIssuePrioritiesResponseOK>(options?: GetIssuePrioritiesRequest): Promise<GetIssuePrioritiesResponseOK | T>;
    /**
  * Returns an issue priority.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-priorities/#api-rest-api-3-priority-id-get
  * @param options Request options.
  */
    getPriority<T = GetIssuePriorityResponseOK>(options: GetIssuePriorityRequest): Promise<GetIssuePriorityResponseOK | T>;
}
declare class IssueFieldGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Custom: IssueFieldCustomGroup;
    Configuration: IssueFieldConfigurationGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns system and custom issue fields according to the following rules:
  
   *  Fields that cannot be added to the issue navigator are always returned.
   *  Fields that cannot be placed on an issue screen are always returned.
   *  Fields that depend on global Jira settings are only returned if the setting is enabled. That is, timetracking fields, subtasks, votes, and watches.
   *  For all other fields, this operation only returns the fields that the user has permission to view (that is, the field is used in at least one project that the user has *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.)
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-get
  * @param options Request options.
  */
    getFields<T = GetIssueFieldsResponseOK>(options?: GetIssueFieldsRequest): Promise<GetIssueFieldsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of fields for Classic Jira projects. The list can include:
  
   *  all fields
   *  specific fields, by defining `id`
   *  fields that contain a string in the field name or description, by defining `query`
   *  specific fields that contain a string in the field name or description, by defining `id` and `query`
  
  Use `type` must be set to `custom` to show custom fields only.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-search-get
  * @param options Request options.
  */
    getFieldsPaginated<T = GetFieldsPaginatedResponseOK>(options?: GetFieldsPaginatedRequest): Promise<GetFieldsPaginatedResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of the contexts a field is used in. Deprecated, use [ Get custom field contexts](#api-rest-api-3-field-fieldId-context-get).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-fieldid-contexts-get
  * @param options Request options.
  * @deprecated
  */
    getContexts<T = GetFieldContextsResponseOK>(options: GetFieldContextsRequest): Promise<GetFieldContextsResponseOK | T>;
}
declare class IssueFieldCustomGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Context: IssueFieldCustomContextGroup;
    Option: IssueFieldCustomOptionGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates a custom field.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-post
  * @param options Request options.
  */
    createField<T = CreateIssueCustomFieldResponseOK>(options: CreateIssueCustomFieldRequest): Promise<CreateIssueCustomFieldResponseOK | T>;
    /**
  * Deletes a custom field. The custom field is deleted whether it is in the trash or not. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
  
  This operation is [asynchronous](#async). Follow the `location` link in the response to determine the status of the task and use [Get task](#api-rest-api-3-task-taskId-get) to obtain subsequent updates.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-delete
  * @param options Request options.
  */
    deleteField<T = DeleteIssueCustomFieldResponseOK>(options: DeleteIssueCustomFieldRequest): Promise<DeleteIssueCustomFieldResponseOK | T>;
    /**
  * Restores a custom field from trash. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-restore-post
  * @param options Request options.
  */
    restoreField<T = RestoreIssueCustomFieldResponseOK>(options: RestoreIssueCustomFieldRequest): Promise<RestoreIssueCustomFieldResponseOK | T>;
    /**
  * Moves a custom field to trash. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-trash-post
  * @param options Request options.
  */
    moveToTrash<T = MoveIssueCustomFieldToTrashResponseOK>(options: MoveIssueCustomFieldToTrashRequest): Promise<MoveIssueCustomFieldToTrashResponseOK | T>;
    /**
  * Updates a custom field.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-fieldid-put
  * @param options Request options.
  */
    updateField<T = UpdateIssueCustomFieldResponseOK>(options: UpdateIssueCustomFieldRequest): Promise<UpdateIssueCustomFieldResponseOK | T>;
}
declare class IssueFieldCustomContextGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Option: IssueFieldCustomContextOptionGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a [paginated](#pagination) list of project and issue type mappings and, for each mapping, the ID of a [custom field context](https://confluence.atlassian.com/x/k44fOw) that applies to the project and issue type.
  
  If there is no custom field context assigned to the project then, if present, the custom field context that applies to all projects is returned if it also applies to the issue type or all issue types. If a custom field context is not found, the returned custom field context ID is `null`.
  
  Duplicate project and issue type mappings cannot be provided in the request.
  
  The order of the returned values is the same as provided in the request.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-mapping-post
  * @param options Request options.
  */
    getForProjectsAndIssueType<T = GetIssueCustomFieldContextsForProjectsAndIssueTypeResponseOK>(options: GetIssueCustomFieldContextsForProjectsAndIssueTypeRequest): Promise<GetIssueCustomFieldContextsForProjectsAndIssueTypeResponseOK | T>;
    /**
  * Deletes a [ custom field context](https://confluence.atlassian.com/adminjiracloud/what-are-custom-field-contexts-991923859.html).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-delete
  * @param options Request options.
  */
    deleteContext<T = DeleteIssueCustomFieldContextResponseOK>(options: DeleteIssueCustomFieldContextRequest): Promise<DeleteIssueCustomFieldContextResponseOK | T>;
    /**
  * Updates a [ custom field context](https://confluence.atlassian.com/adminjiracloud/what-are-custom-field-contexts-991923859.html).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-put
  * @param options Request options.
  */
    updateContext<T = UpdateIssueCustomFieldContextResponseOK>(options: UpdateIssueCustomFieldContextRequest): Promise<UpdateIssueCustomFieldContextResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of [ contexts](https://confluence.atlassian.com/adminjiracloud/what-are-custom-field-contexts-991923859.html) for a custom field. Contexts can be returned as follows:
  
   *  With no other parameters set, all contexts.
   *  By defining `id` only, all contexts from the list of IDs.
   *  By defining `isAnyIssueType`, limit the list of contexts returned to either those that apply to all issue types (true) or those that apply to only a subset of issue types (false)
   *  By defining `isGlobalContext`, limit the list of contexts return to either those that apply to all projects (global contexts) (true) or those that apply to only a subset of projects (false).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-get
  * @param options Request options.
  */
    getContexts<T = GetIssueCustomFieldContextsResponseOK>(options: GetIssueCustomFieldContextsRequest): Promise<GetIssueCustomFieldContextsResponseOK | T>;
    /**
  * Creates a custom field context.
  
  If `projectIds` is empty, a global context is created. A global context is one that applies to all project. If `issueTypeIds` is empty, the context applies to all issue types.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-post
  * @param options Request options.
  */
    createContext<T = CreateIssueCustomFieldContextResponseOK>(options: CreateIssueCustomFieldContextRequest): Promise<CreateIssueCustomFieldContextResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of defaults for a custom field. The results can be filtered by `contextId`, otherwise all values are returned. If no defaults are set for a context, nothing is returned.
  The returned object depends on type of the custom field:
  
   *  `CustomFieldContextDefaultValueDate` (type `datepicker`) for date fields.
   *  `CustomFieldContextDefaultValueDateTime` (type `datetimepicker`) for date-time fields.
   *  `CustomFieldContextDefaultValueSingleOption` (type `option.single`) for single choice select lists and radio buttons.
   *  `CustomFieldContextDefaultValueMultipleOption` (type `option.multiple`) for multiple choice select lists and checkboxes.
   *  `CustomFieldContextDefaultValueCascadingOption` (type `option.cascading`) for cascading select lists.
   *  `CustomFieldContextSingleUserPickerDefaults` (type `single.user.select`) for single users.
   *  `CustomFieldContextDefaultValueMultiUserPicker` (type `multi.user.select`) for user lists.
   *  `CustomFieldContextDefaultValueSingleGroupPicker` (type `grouppicker.single`) for single choice group pickers.
   *  `CustomFieldContextDefaultValueMultipleGroupPicker` (type `grouppicker.multiple`) for multiple choice group pickers.
   *  `CustomFieldContextDefaultValueURL` (type `url`) for URLs.
   *  `CustomFieldContextDefaultValueProject` (type `project`) for project pickers.
   *  `CustomFieldContextDefaultValueFloat` (type `float`) for floats (floating-point numbers).
   *  `CustomFieldContextDefaultValueLabels` (type `labels`) for labels.
   *  `CustomFieldContextDefaultValueTextField` (type `textfield`) for text fields.
   *  `CustomFieldContextDefaultValueTextArea` (type `textarea`) for text area fields.
   *  `CustomFieldContextDefaultValueReadOnly` (type `readonly`) for read only (text) fields.
   *  `CustomFieldContextDefaultValueMultipleVersion` (type `version.multiple`) for single choice version pickers.
   *  `CustomFieldContextDefaultValueSingleVersion` (type `version.single`) for multiple choice version pickers.
  
  Forge custom fields [types](https://developer.atlassian.com/platform/forge/manifest-reference/modules/jira-custom-field-type/#data-types) are also supported, returning:
  
   *  `CustomFieldContextDefaultValueForgeStringFieldBean` (type `forge.string`) for Forge string fields.
   *  `CustomFieldContextDefaultValueForgeMultiStringFieldBean` (type `forge.string.list`) for Forge string collection fields.
   *  `CustomFieldContextDefaultValueForgeObjectFieldBean` (type `forge.object`) for Forge object fields.
   *  `CustomFieldContextDefaultValueForgeDateTimeFieldBean` (type `forge.datetime`) for Forge date-time fields.
   *  `CustomFieldContextDefaultValueForgeGroupFieldBean` (type `forge.group`) for Forge group fields.
   *  `CustomFieldContextDefaultValueForgeMultiGroupFieldBean` (type `forge.group.list`) for Forge group collection fields.
   *  `CustomFieldContextDefaultValueForgeNumberFieldBean` (type `forge.number`) for Forge number fields.
   *  `CustomFieldContextDefaultValueForgeUserFieldBean` (type `forge.user`) for Forge user fields.
   *  `CustomFieldContextDefaultValueForgeMultiUserFieldBean` (type `forge.user.list`) for Forge user collection fields.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-defaultvalue-get
  * @param options Request options.
  */
    getDefaultContexts<T = GetIssueCustomFieldDefaultContextsResponseOK>(options: GetIssueCustomFieldDefaultContextsRequest): Promise<GetIssueCustomFieldDefaultContextsResponseOK | T>;
    /**
  * Sets default for contexts of a custom field. Default are defined using these objects:
  
   *  `CustomFieldContextDefaultValueDate` (type `datepicker`) for date fields.
   *  `CustomFieldContextDefaultValueDateTime` (type `datetimepicker`) for date-time fields.
   *  `CustomFieldContextDefaultValueSingleOption` (type `option.single`) for single choice select lists and radio buttons.
   *  `CustomFieldContextDefaultValueMultipleOption` (type `option.multiple`) for multiple choice select lists and checkboxes.
   *  `CustomFieldContextDefaultValueCascadingOption` (type `option.cascading`) for cascading select lists.
   *  `CustomFieldContextSingleUserPickerDefaults` (type `single.user.select`) for single users.
   *  `CustomFieldContextDefaultValueMultiUserPicker` (type `multi.user.select`) for user lists.
   *  `CustomFieldContextDefaultValueSingleGroupPicker` (type `grouppicker.single`) for single choice group pickers.
   *  `CustomFieldContextDefaultValueMultipleGroupPicker` (type `grouppicker.multiple`) for multiple choice group pickers.
   *  `CustomFieldContextDefaultValueURL` (type `url`) for URLs.
   *  `CustomFieldContextDefaultValueProject` (type `project`) for project pickers.
   *  `CustomFieldContextDefaultValueFloat` (type `float`) for floats (floating-point numbers).
   *  `CustomFieldContextDefaultValueLabels` (type `labels`) for labels.
   *  `CustomFieldContextDefaultValueTextField` (type `textfield`) for text fields.
   *  `CustomFieldContextDefaultValueTextArea` (type `textarea`) for text area fields.
   *  `CustomFieldContextDefaultValueReadOnly` (type `readonly`) for read only (text) fields.
   *  `CustomFieldContextDefaultValueMultipleVersion` (type `version.multiple`) for single choice version pickers.
   *  `CustomFieldContextDefaultValueSingleVersion` (type `version.single`) for multiple choice version pickers.
  
  Forge custom fields [types](https://developer.atlassian.com/platform/forge/manifest-reference/modules/jira-custom-field-type/#data-types) are also supported, returning:
  
   *  `CustomFieldContextDefaultValueForgeStringFieldBean` (type `forge.string`) for Forge string fields.
   *  `CustomFieldContextDefaultValueForgeMultiStringFieldBean` (type `forge.string.list`) for Forge string collection fields.
   *  `CustomFieldContextDefaultValueForgeObjectFieldBean` (type `forge.object`) for Forge object fields.
   *  `CustomFieldContextDefaultValueForgeDateTimeFieldBean` (type `forge.datetime`) for Forge date-time fields.
   *  `CustomFieldContextDefaultValueForgeGroupFieldBean` (type `forge.group`) for Forge group fields.
   *  `CustomFieldContextDefaultValueForgeMultiGroupFieldBean` (type `forge.group.list`) for Forge group collection fields.
   *  `CustomFieldContextDefaultValueForgeNumberFieldBean` (type `forge.number`) for Forge number fields.
   *  `CustomFieldContextDefaultValueForgeUserFieldBean` (type `forge.user`) for Forge user fields.
   *  `CustomFieldContextDefaultValueForgeMultiUserFieldBean` (type `forge.user.list`) for Forge user collection fields.
  
  Only one type of default object can be included in a request. To remove a default for a context, set the default parameter to `null`.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-defaultvalue-put
  * @param options Request options.
  */
    setDefaultContexts<T = SetIssueCustomFieldDefaultContextsResponseOK>(options: SetIssueCustomFieldDefaultContextsRequest): Promise<SetIssueCustomFieldDefaultContextsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of context to issue type mappings for a custom field. Mappings are returned for all contexts or a list of contexts. Mappings are ordered first by context ID and then by issue type ID.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-issuetypemapping-get
  * @param options Request options.
  */
    getIssueTypes<T = GetIssueCustomFieldIssueTypesForContextResponseOK>(options: GetIssueCustomFieldIssueTypesForContextRequest): Promise<GetIssueCustomFieldIssueTypesForContextResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of context to project mappings for a custom field. The result can be filtered by `contextId`. Otherwise, all mappings are returned. Invalid IDs are ignored.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-projectmapping-get
  * @param options Request options.
  */
    getProjectMappings<T = GetIssueCustomFieldContextToProjectMappingsResponseOK>(options: GetIssueCustomFieldContextToProjectMappingsRequest): Promise<GetIssueCustomFieldContextToProjectMappingsResponseOK | T>;
    /**
  * Adds issue types to a custom field context, appending the issue types to the issue types list.
  
  A custom field context without any issue types applies to all issue types. Adding issue types to such a custom field context would result in it applying to only the listed issue types.
  
  If any of the issue types exists in the custom field context, the operation fails and no issue types are added.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-issuetype-put
  * @param options Request options.
  */
    addIssueTypes<T = AddIssueTypesToIssueCustomFieldContextResponseOK>(options: AddIssueTypesToIssueCustomFieldContextRequest): Promise<AddIssueTypesToIssueCustomFieldContextResponseOK | T>;
    /**
  * Removes issue types from a custom field context.
  
  A custom field context without any issue types applies to all issue types.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-issuetype-remove-post
  * @param options Request options.
  */
    removeIssueTypes<T = RemoveIssueTypesFromIssueCustomFieldContextResponseOK>(options: RemoveIssueTypesFromIssueCustomFieldContextRequest): Promise<RemoveIssueTypesFromIssueCustomFieldContextResponseOK | T>;
    /**
  * Assigns a custom field context to projects.
  
  If any project in the request is assigned to any context of the custom field, the operation fails.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-project-put
  * @param options Request options.
  */
    assignToProjects<T = AssignIssueCustomFieldContextToProjectsResponseOK>(options: AssignIssueCustomFieldContextToProjectsRequest): Promise<AssignIssueCustomFieldContextToProjectsResponseOK | T>;
    /**
  * Removes a custom field context from projects.
  
  A custom field context without any projects applies to all projects. Removing all projects from a custom field context would result in it applying to all projects.
  
  If any project in the request is not assigned to the context, or the operation would result in two global contexts for the field, the operation fails.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-project-remove-post
  * @param options Request options.
  */
    removeFromProjects<T = RemoveIssueCustomFieldContextFromProjectsResponseOK>(options: RemoveIssueCustomFieldContextFromProjectsRequest): Promise<RemoveIssueCustomFieldContextFromProjectsResponseOK | T>;
}
declare class IssueFieldCustomContextOptionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a [paginated](#pagination) list of all custom field option for a context. Options are returned first then cascading options, in the order they display in Jira.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-get
  * @param options Request options.
  */
    getOptions<T = GetIssueCustomFieldContextOptionsResponseOK>(options: GetIssueCustomFieldContextOptionsRequest): Promise<GetIssueCustomFieldContextOptionsResponseOK | T>;
    /**
  * Creates options and, where the custom select field is of the type Select List (cascading), cascading options for a custom select field. The options are added to a context of the field.
  
  The maximum number of options that can be created per request is 1000 and each field can have a maximum of 10000 options.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-post
  * @param options Request options.
  */
    createOptions<T = CreateIssueCustomFieldContextOptionsResponseOK>(options: CreateIssueCustomFieldContextOptionsRequest): Promise<CreateIssueCustomFieldContextOptionsResponseOK | T>;
    /**
  * Updates the options of a custom field.
  
  If any of the options are not found, no options are updated. Options where the values in the request match the current values aren't updated and aren't reported in the response.
  
  Note that this operation **only works for issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource**, it cannot be used with issue field select list options created by Connect apps.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-put
  * @param options Request options.
  */
    updateOptions<T = UpdateIssueCustomFieldContextOptionsResponseOK>(options: UpdateIssueCustomFieldContextOptionsRequest): Promise<UpdateIssueCustomFieldContextOptionsResponseOK | T>;
    /**
  * Changes the order of custom field options or cascading options in a context.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-move-put
  * @param options Request options.
  */
    reorderOptions<T = ReorderIssueCustomFieldContextOptionsResponseOK>(options: ReorderIssueCustomFieldContextOptionsRequest): Promise<ReorderIssueCustomFieldContextOptionsResponseOK | T>;
    /**
  * Deletes a custom field option.
  
  Options with cascading options cannot be deleted without deleting the cascading options first.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-optionid-delete
  * @param options Request options.
  */
    deleteOption<T = DeleteIssueCustomFieldContextOptionResponseOK>(options: DeleteIssueCustomFieldContextOptionRequest): Promise<DeleteIssueCustomFieldContextOptionResponseOK | T>;
}
declare class IssueFieldCustomOptionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a custom field option. For example, an option in a select list.
  
  Note that this operation **only works for issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource**, it cannot be used with issue field select list options created by Connect apps.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The custom field option is returned as follows:
  
   *  if the user has the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  if the user has the *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the custom field is used in, and the field is visible in at least one layout the user has permission to view.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-customfieldoption-id-get
  * @param options Request options.
  */
    getOption<T = GetIssueCustomFieldOptionResponseOK>(options: GetIssueCustomFieldOptionRequest): Promise<GetIssueCustomFieldOptionResponseOK | T>;
}
declare class IssueFieldConfigurationGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Scheme: IssueFieldConfigurationSchemeGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates a field configuration. The field configuration is created with the same field properties as the default configuration, with all the fields being optional.
  
  This operation can only create configurations for use in company-managed (classic) projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-post
  * @param options Request options.
  */
    createConfiguration<T = CreateIssueFieldConfigurationResponseOK>(options: CreateIssueFieldConfigurationRequest): Promise<CreateIssueFieldConfigurationResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of field configurations. The list can be for all field configurations or a subset determined by any combination of these criteria:
  
   *  a list of field configuration item IDs.
   *  whether the field configuration is a default.
   *  whether the field configuration name or description contains a query string.
  
  Only field configurations used in company-managed (classic) projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-get
  * @param options Request options.
  */
    getConfigurations<T = GetIssueFieldConfigurationsResponseOK>(options?: GetIssueFieldConfigurationsRequest): Promise<GetIssueFieldConfigurationsResponseOK | T>;
    /**
  * Updates a field configuration. The name and the description provided in the request override the existing values.
  
  This operation can only update configurations used in company-managed (classic) projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-id-put
  * @param options Request options.
  */
    updateConfiguration<T = UpdateIssueFieldConfigurationResponseOK>(options: UpdateIssueFieldConfigurationRequest): Promise<UpdateIssueFieldConfigurationResponseOK | T>;
    /**
  * Deletes a field configuration.
  
  This operation can only delete configurations used in company-managed (classic) projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-id-delete
  * @param options Request options.
  */
    deleteConfiguration<T = DeleteIssueFieldConfigurationResponseOK>(options: DeleteIssueFieldConfigurationRequest): Promise<DeleteIssueFieldConfigurationResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of all fields for a configuration.
  
  Only the fields from configurations used in company-managed (classic) projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-id-fields-get
  * @param options Request options.
  */
    getConfigurationItems<T = GetIssueFieldConfigurationItemsResponseOK>(options: GetIssueFieldConfigurationItemsRequest): Promise<GetIssueFieldConfigurationItemsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of field configuration issue type items.
  
  Only items used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfigurationscheme-mapping-get
  * @param options Request options.
  */
    getConfigurationIssueTypeItems<T = GetIssueFieldConfigurationIssueTypeItemsResponseOK>(options?: GetIssueFieldConfigurationIssueTypeItemsRequest): Promise<GetIssueFieldConfigurationIssueTypeItemsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of field configuration schemes.
  
  Only field configuration schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfigurationscheme-get
  * @param options Request options.
  */
    getSchemes<T = GetIssueFieldConfigurationSchemesResponseOK>(options?: GetIssueFieldConfigurationSchemesRequest): Promise<GetIssueFieldConfigurationSchemesResponseOK | T>;
}
declare class IssueFieldConfigurationSchemeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a [paginated](#pagination) list of field configuration schemes and, for each scheme, a list of the projects that use it.
  
  The list is sorted by field configuration scheme ID. The first item contains the list of project IDs assigned to the default field configuration scheme.
  
  Only field configuration schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfigurationscheme-project-get
  * @param options Request options.
  */
    getSchemesForProjects<T = GetIssueFieldConfigurationSchemesForProjectsResponseOK>(options: GetIssueFieldConfigurationSchemesForProjectsRequest): Promise<GetIssueFieldConfigurationSchemesForProjectsResponseOK | T>;
    /**
  * Assigns a field configuration scheme to a project. If the field configuration scheme ID is `null`, the operation assigns the default field configuration scheme.
  
  Field configuration schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfigurationscheme-project-put
  * @param options Request options.
  */
    assignSchemeToProject<T = AssignIssueFieldConfigurationSchemeToProjectResponseOK>(options: AssignIssueFieldConfigurationSchemeToProjectRequest): Promise<AssignIssueFieldConfigurationSchemeToProjectResponseOK | T>;
}
declare class IssueTypeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Screen: IssueTypeScreenGroup;
    Property: IssueTypePropertyGroup;
    Scheme: IssueTypeSchemeGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all issue types.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Issue types are only returned as follows:
  
   *  if the user has the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), all issue types are returned.
   *  if the user has the *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for one or more projects, the issue types associated with the projects the user has permission to browse are returned.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-get
  * @param options Request options.
  */
    getTypesForUser<T = GetIssueTypesForUserResponseOK>(options?: GetIssueTypesForUserRequest): Promise<GetIssueTypesForUserResponseOK | T>;
    /**
  * Creates an issue type and adds it to the default issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-post
  * @param options Request options.
  */
    createType<T = CreateIssueTypeResponseOK>(options: CreateIssueTypeRequest): Promise<CreateIssueTypeResponseOK | T>;
    /**
  * Returns issue types for a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) in the relevant project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-project-get
  * @param options Request options.
  */
    getTypesForProject<T = GetIssueTypesForProjectResponseOK>(options: GetIssueTypesForProjectRequest): Promise<GetIssueTypesForProjectResponseOK | T>;
    /**
  * Returns an issue type.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) in a project the issue type is associated with or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-id-get
  * @param options Request options.
  */
    getType<T = GetIssueTypeResponseOK>(options: GetIssueTypeRequest): Promise<GetIssueTypeResponseOK | T>;
    /**
  * Updates the issue type.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-id-put
  * @param options Request options.
  */
    updateType<T = UpdateIssueTypeResponseOK>(options: UpdateIssueTypeRequest): Promise<UpdateIssueTypeResponseOK | T>;
    /**
  * Deletes the issue type. If the issue type is in use, all uses are updated with the alternative issue type (`alternativeIssueTypeId`). A list of alternative issue types are obtained from the [Get alternative issue types](#api-rest-api-3-issuetype-id-alternatives-get) resource.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-id-delete
  * @param options Request options.
  */
    deleteType<T = DeleteIssueTypeResponseOK>(options: DeleteIssueTypeRequest): Promise<DeleteIssueTypeResponseOK | T>;
    /**
  * Returns a list of issue types that can be used to replace the issue type. The alternative issue types are those assigned to the same workflow scheme, field configuration scheme, and screen scheme.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-id-alternatives-get
  * @param options Request options.
  */
    getAlternativeTypes<T = GetAlternativeIssueTypesResponseOK>(options: GetAlternativeIssueTypesRequest): Promise<GetAlternativeIssueTypesResponseOK | T>;
    /**
  * Loads an avatar for the issue type.
  
  Specify the avatar's local file location in the body of the request. Also, include the following headers:
  
   *  `X-Atlassian-Token: no-check` To prevent XSRF protection blocking the request, for more information see [Special Headers](#special-request-headers).
   *  `Content-Type: image/image type` Valid image types are JPEG, GIF, or PNG.
  
  For example:
  `curl --request POST \ --user email@example.com:<api_token> \ --header 'X-Atlassian-Token: no-check' \ --header 'Content-Type: image/< image_type>' \ --data-binary "<@/path/to/file/with/your/avatar>" \ --url 'https://your-domain.atlassian.net/rest/api/3/issuetype/{issueTypeId}'This`
  
  The avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
  
  The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
  
  After creating the avatar, use [ Update issue type](#api-rest-api-3-issuetype-id-put) to set it as the issue type's displayed avatar.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-id-avatar2-post
  * @param options Request options.
  */
    loadTypeAvatar<T = LoadIssueTypeAvatarResponseOK>(options: LoadIssueTypeAvatarRequest): Promise<LoadIssueTypeAvatarResponseOK | T>;
}
declare class IssueTypeScreenGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Scheme: IssueTypeScreenSchemeGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class IssueTypeScreenSchemeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a [paginated](#pagination) list of projects associated with an issue type screen scheme.
  
  Only company-managed projects associated with an issue type screen scheme are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-project-get
  * @param options Request options.
  */
    getProjects<T = GetIssueTypeScreenSchemeProjectsResponseOK>(options: GetIssueTypeScreenSchemeProjectsRequest): Promise<GetIssueTypeScreenSchemeProjectsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of issue type screen schemes.
  
  Only issue type screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-get
  * @param options Request options.
  */
    getSchemes<T = GetIssueTypeScreenSchemesResponseOK>(options?: GetIssueTypeScreenSchemesRequest): Promise<GetIssueTypeScreenSchemesResponseOK | T>;
    /**
  * Creates an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-post
  * @param options Request options.
  */
    createScheme<T = CreateIssueTypeScreenSchemeResponseOK>(options: CreateIssueTypeScreenSchemeRequest): Promise<CreateIssueTypeScreenSchemeResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of issue type screen scheme items.
  
  Only issue type screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-mapping-get
  * @param options Request options.
  */
    getSchemeItems<T = GetIssueTypeScreenSchemeItemsResponseOK>(options?: GetIssueTypeScreenSchemeItemsRequest): Promise<GetIssueTypeScreenSchemeItemsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of issue type screen schemes and, for each issue type screen scheme, a list of the projects that use it.
  
  Only issue type screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-project-get
  * @param options Request options.
  */
    getSchemesForProjects<T = GetIssueTypeScreenSchemesForProjectsResponseOK>(options: GetIssueTypeScreenSchemesForProjectsRequest): Promise<GetIssueTypeScreenSchemesForProjectsResponseOK | T>;
    /**
  * Assigns an issue type screen scheme to a project.
  
  Issue type screen schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-project-put
  * @param options Request options.
  */
    assignSchemeToProject<T = AssignIssueTypeScreenSchemeToProjectResponseOK>(options: AssignIssueTypeScreenSchemeToProjectRequest): Promise<AssignIssueTypeScreenSchemeToProjectResponseOK | T>;
    /**
  * Updates an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-put
  * @param options Request options.
  */
    updateScheme<T = UpdateIssueTypeScreenSchemeResponseOK>(options: UpdateIssueTypeScreenSchemeRequest): Promise<UpdateIssueTypeScreenSchemeResponseOK | T>;
    /**
  * Deletes an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-delete
  * @param options Request options.
  */
    deleteScheme<T = DeleteIssueTypeScreenSchemeResponseOK>(options: DeleteIssueTypeScreenSchemeRequest): Promise<DeleteIssueTypeScreenSchemeResponseOK | T>;
    /**
  * Appends issue type to screen scheme mappings to an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-mapping-put
  * @param options Request options.
  */
    appendMappings<T = AppendMappingsToIssueTypeScreenSchemeResponseOK>(options: AppendMappingsToIssueTypeScreenSchemeRequest): Promise<AppendMappingsToIssueTypeScreenSchemeResponseOK | T>;
    /**
  * Updates the default screen scheme of an issue type screen scheme. The default screen scheme is used for all unmapped issue types.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-mapping-default-put
  * @param options Request options.
  */
    updateDefaultScheme<T = UpdateDefaultIssueTypeScreenSchemeResponseOK>(options: UpdateDefaultIssueTypeScreenSchemeRequest): Promise<UpdateDefaultIssueTypeScreenSchemeResponseOK | T>;
    /**
  * Removes issue type to screen scheme mappings from an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-mapping-remove-post
  * @param options Request options.
  */
    removeMappings<T = RemoveMappingsFromIssueTypeScreenSchemeResponseOK>(options: RemoveMappingsFromIssueTypeScreenSchemeRequest): Promise<RemoveMappingsFromIssueTypeScreenSchemeResponseOK | T>;
}
declare class IssueTypePropertyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) keys of the issue type.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to get the property keys of any issue type.
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) to get the property keys of any issue types associated with the projects the user has permission to browse.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-get
  * @param options Request options.
  */
    getPropertyKeys<T = GetIssueTypePropertyKeysResponseOK>(options: GetIssueTypePropertyKeysRequest): Promise<GetIssueTypePropertyKeysResponseOK | T>;
    /**
  * Returns the key and value of the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to get the details of any issue type.
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) to get the details of any issue types associated with the projects the user has permission to browse.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-get
  * @param options Request options.
  */
    getProperty<T = GetIssueTypePropertyResponseOK>(options: GetIssueTypePropertyRequest): Promise<GetIssueTypePropertyResponseOK | T>;
    /**
  * Creates or updates the value of the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties). Use this resource to store and update data against an issue type.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-put
  * @param options Request options.
  */
    setProperty<T = SetIssueTypePropertyResponseOK>(options: SetIssueTypePropertyRequest): Promise<SetIssueTypePropertyResponseOK | T>;
    /**
  * Deletes the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-delete
  * @param options Request options.
  */
    deleteProperty<T = DeleteIssueTypePropertyResponseOK>(options: DeleteIssueTypePropertyRequest): Promise<DeleteIssueTypePropertyResponseOK | T>;
}
declare class IssueTypeSchemeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a [paginated](#pagination) list of issue type schemes.
  
  Only issue type schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-get
  * @param options Request options.
  */
    getSchemes<T = GetIssueTypeSchemesResponseOK>(options?: GetIssueTypeSchemesRequest): Promise<GetIssueTypeSchemesResponseOK | T>;
    /**
  * Creates an issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-post
  * @param options Request options.
  */
    createScheme<T = CreateIssueTypeSchemeResponseOK>(options: CreateIssueTypeSchemeRequest): Promise<CreateIssueTypeSchemeResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of issue type scheme items.
  
  Only issue type scheme items used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-mapping-get
  * @param options Request options.
  */
    getSchemeItems<T = GetIssueTypeSchemeItemsResponseOK>(options?: GetIssueTypeSchemeItemsRequest): Promise<GetIssueTypeSchemeItemsResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of issue type schemes and, for each issue type scheme, a list of the projects that use it.
  
  Only issue type schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-project-get
  * @param options Request options.
  */
    getSchemesForProjects<T = GetIssueTypeSchemesForProjectsResponseOK>(options: GetIssueTypeSchemesForProjectsRequest): Promise<GetIssueTypeSchemesForProjectsResponseOK | T>;
    /**
  * Assigns an issue type scheme to a project.
  
  If any issues in the project are assigned issue types not present in the new scheme, the operation will fail. To complete the assignment those issues must be updated to use issue types in the new scheme.
  
  Issue type schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-project-put
  * @param options Request options.
  */
    assignToProject<T = AssignIssueTypeSchemeToProjectResponseOK>(options: AssignIssueTypeSchemeToProjectRequest): Promise<AssignIssueTypeSchemeToProjectResponseOK | T>;
    /**
  * Adds issue types to an issue type scheme.
  
  The added issue types are appended to the issue types list.
  
  If any of the issue types exist in the issue type scheme, the operation fails and no issue types are added.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-issuetype-put
  * @param options Request options.
  */
    addIssueTypesToScheme<T = AddIssueTypesToIssueTypeSchemeResponseOK>(options: AddIssueTypesToIssueTypeSchemeRequest): Promise<AddIssueTypesToIssueTypeSchemeResponseOK | T>;
    /**
  * Updates an issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-put
  * @param options Request options.
  */
    updateScheme<T = UpdateIssueTypeSchemeResponseOK>(options: UpdateIssueTypeSchemeRequest): Promise<UpdateIssueTypeSchemeResponseOK | T>;
    /**
  * Deletes an issue type scheme.
  
  Only issue type schemes used in classic projects can be deleted.
  
  Any projects assigned to the scheme are reassigned to the default issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-delete
  * @param options Request options.
  */
    deleteScheme<T = DeleteIssueTypeSchemeResponseOK>(options: DeleteIssueTypeSchemeRequest): Promise<DeleteIssueTypeSchemeResponseOK | T>;
    /**
  * Changes the order of issue types in an issue type scheme.
  
  The request body parameters must meet the following requirements:
  
   *  all of the issue types must belong to the issue type scheme.
   *  either `after` or `position` must be provided.
   *  the issue type in `after` must not be in the issue type list.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-issuetype-move-put
  * @param options Request options.
  */
    changeIssueTypesOrder<T = ChangeIssueTypeSchemeIssueTypesOrderResponseOK>(options: ChangeIssueTypeSchemeIssueTypesOrderRequest): Promise<ChangeIssueTypeSchemeIssueTypesOrderResponseOK | T>;
    /**
  * Removes an issue type from an issue type scheme.
  
  This operation cannot remove:
  
   *  any issue type used by issues.
   *  any issue types from the default issue type scheme.
   *  the last standard issue type from an issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-issuetype-issuetypeid-delete
  * @param options Request options.
  */
    removeIssueTypesFromScheme<T = RemoveIssueTypesFromIssueTypeSchemeResponseOK>(options: RemoveIssueTypesFromIssueTypeSchemeRequest): Promise<RemoveIssueTypesFromIssueTypeSchemeResponseOK | T>;
}
declare class IssueWorklogGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Property: IssueWorklogPropertyGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns worklogs for an issue (ordered by created time), starting from the oldest worklog or from the worklog started on or after a date and time.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Workloads are only returned where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-issue-issueidorkey-worklog-get
  * @param options Request options.
  */
    getWorklogs<T = GetIssueWorklogsResponseOK>(options: GetIssueWorklogsRequest): Promise<GetIssueWorklogsResponseOK | T>;
    /**
  * Adds a worklog to an issue.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Work on issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-issue-issueidorkey-worklog-post
  * @param options Request options.
  */
    addWorklog<T = AddIssueWorklogResponseOK>(options: AddIssueWorklogRequest): Promise<AddIssueWorklogResponseOK | T>;
    /**
  * Returns a worklog.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-issue-issueidorkey-worklog-id-get
  * @param options Request options.
  */
    getWorklog<T = GetIssueWorklogResponseOK>(options: GetIssueWorklogRequest): Promise<GetIssueWorklogResponseOK | T>;
    /**
  * Updates a worklog.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Edit all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any worklog or *Edit own worklogs* to update worklogs created by the user.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-issue-issueidorkey-worklog-id-put
  * @param options Request options.
  */
    updateWorklog<T = UpdateIssueWorklogResponseOK>(options: UpdateIssueWorklogRequest): Promise<UpdateIssueWorklogResponseOK | T>;
    /**
  * Deletes a worklog from an issue.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Delete all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to delete any worklog or *Delete own worklogs* to delete worklogs created by the user,
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-issue-issueidorkey-worklog-id-delete
  * @param options Request options.
  */
    deleteWorklog<T = DeleteIssueWorklogResponseOK>(options: DeleteIssueWorklogRequest): Promise<DeleteIssueWorklogResponseOK | T>;
    /**
  * Returns a list of IDs and delete timestamps for worklogs deleted after a date and time.
  
  This resource is paginated, with a limit of 1000 worklogs per page. Each page lists worklogs from oldest to youngest. If the number of items in the date range exceeds 1000, `until` indicates the timestamp of the youngest item on the page. Also, `nextPage` provides the URL for the next page of worklogs. The `lastPage` parameter is set to true on the last page of worklogs.
  
  This resource does not return worklogs deleted during the minute preceding the request.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-worklog-deleted-get
  * @param options Request options.
  */
    getDeletedIds<T = GetDeletedIssueWorklogIdsResponseOK>(options?: GetDeletedIssueWorklogIdsRequest): Promise<GetDeletedIssueWorklogIdsResponseOK | T>;
    /**
  * Returns worklog details for a list of worklog IDs.
  
  The returned list of worklogs is limited to 1000 items.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, worklogs are only returned where either of the following is true:
  
   *  the worklog is set as *Viewable by All Users*.
   *  the user is a member of a project role or group with permission to view the worklog.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-worklog-list-post
  * @param options Request options.
  */
    getFromIds<T = GetIssueWorklogsFromIdsResponseOK>(options: GetIssueWorklogsFromIdsRequest): Promise<GetIssueWorklogsFromIdsResponseOK | T>;
    /**
  * Returns a list of IDs and update timestamps for worklogs updated after a date and time.
  
  This resource is paginated, with a limit of 1000 worklogs per page. Each page lists worklogs from oldest to youngest. If the number of items in the date range exceeds 1000, `until` indicates the timestamp of the youngest item on the page. Also, `nextPage` provides the URL for the next page of worklogs. The `lastPage` parameter is set to true on the last page of worklogs.
  
  This resource does not return worklogs updated during the minute preceding the request.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, worklogs are only returned where either of the following is true:
  
   *  the worklog is set as *Viewable by All Users*.
   *  the user is a member of a project role or group with permission to view the worklog.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklogs/#api-rest-api-3-worklog-updated-get
  * @param options Request options.
  */
    getUpdatedIds<T = GetUpdatedIssueWorklogIdsResponseOK>(options?: GetUpdatedIssueWorklogIdsRequest): Promise<GetUpdatedIssueWorklogIdsResponseOK | T>;
}
declare class IssueWorklogPropertyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the keys of all properties for a worklog.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-get
  * @param options Request options.
  */
    getKeys<T = GetWorklogPropertyKeysResponseOK>(options: GetWorklogPropertyKeysRequest): Promise<GetWorklogPropertyKeysResponseOK | T>;
    /**
  * Returns the value of a worklog property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-get
  * @param options Request options.
  */
    getProperty<T = GetWorklogPropertyResponseOK>(options: GetWorklogPropertyRequest): Promise<GetWorklogPropertyResponseOK | T>;
    /**
  * Sets the value of a worklog property. Use this operation to store custom data against the worklog.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Edit all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any worklog or *Edit own worklogs* to update worklogs created by the user.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-put
  * @param options Request options.
  */
    setProperty<T = SetWorklogPropertyResponseOK>(options: SetWorklogPropertyRequest): Promise<SetWorklogPropertyResponseOK | T>;
    /**
  * Deletes a worklog property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-delete
  * @param options Request options.
  */
    deleteProperty<T = DeleteWorklogPropertyResponseOK>(options: DeleteWorklogPropertyRequest): Promise<DeleteWorklogPropertyResponseOK | T>;
}
declare class IssueAttachmentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Metadata: IssueAttachmentMetadataGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Deletes an attachment from an issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** For the project holding the issue containing the attachment:
  
   *  *Delete own attachments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete an attachment created by the calling user.
   *  *Delete all attachments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete an attachment created by any user.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-attachments/#api-rest-api-3-attachment-id-delete
  * @param options Request options.
  */
    deleteAttachment<T = DeleteIssueAttachmentResponseOK>(options: DeleteIssueAttachmentRequest): Promise<DeleteIssueAttachmentResponseOK | T>;
    /**
  * Adds one or more attachments to an issue. Attachments are posted as multipart/form-data ([RFC 1867](https://www.ietf.org/rfc/rfc1867.txt)).
  
  Note that:
  
   *  The request must have a `X-Atlassian-Token: no-check` header, if not it is blocked. See [Special headers](#special-request-headers) for more information.
   *  The name of the multipart/form-data parameter that contains the attachments must be `file`.
  
  The following examples upload a file called *myfile.txt* to the issue *TEST-123*:
  
  #### curl ####
  
      curl --location --request POST 'https://your-domain.atlassian.net/rest/api/3/issue/TEST-123/attachments'
       -u 'email@example.com:<api_token>'
       -H 'X-Atlassian-Token: no-check'
       --form 'file=@"myfile.txt"'
  
  #### Node.js ####
  
      // This code sample uses the 'node-fetch' and 'form-data' libraries:
       // https://www.npmjs.com/package/node-fetch
       // https://www.npmjs.com/package/form-data
       const fetch = require('node-fetch');
       const FormData = require('form-data');
       const fs = require('fs');
      
       const filePath = 'myfile.txt';
       const form = new FormData();
       const stats = fs.statSync(filePath);
       const fileSizeInBytes = stats.size;
       const fileStream = fs.createReadStream(filePath);
      
       form.append('file', fileStream, {knownLength: fileSizeInBytes});
      
       fetch('https://your-domain.atlassian.net/rest/api/3/issue/TEST-123/attachments', {
           method: 'POST',
           body: form,
           headers: {
               'Authorization': `Basic ${Buffer.from(
                   'email@example.com:'
               ).toString('base64')}`,
               'Accept': 'application/json',
               'X-Atlassian-Token': 'no-check'
           }
       })
           .then(response => {
               console.log(
                   `Response: ${response.status} ${response.statusText}`
               );
               return response.text();
           })
           .then(text => console.log(text))
           .catch(err => console.error(err));
  
  #### Java ####
  
      // This code sample uses the  'Unirest' library:
       // http://unirest.io/java.html
       HttpResponse response = Unirest.post("https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments")
               .basicAuth("email@example.com", "")
               .header("Accept", "application/json")
               .header("X-Atlassian-Token", "no-check")
               .field("file", new File("myfile.txt"))
               .asJson();
      
               System.out.println(response.getBody());
  
  #### Python ####
  
      # This code sample uses the 'requests' library:
       # http://docs.python-requests.org
       import requests
       from requests.auth import HTTPBasicAuth
       import json
      
       url = "https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments"
      
       auth = HTTPBasicAuth("email@example.com", "")
      
       headers = {
          "Accept": "application/json",
          "X-Atlassian-Token": "no-check"
       }
      
       response = requests.request(
          "POST",
          url,
          headers = headers,
          auth = auth,
          files = {
               "file": ("myfile.txt", open("myfile.txt","rb"), "application-type")
          }
       )
      
       print(json.dumps(json.loads(response.text), sort_keys=True, indent=4, separators=(",", ": ")))
  
  #### PHP ####
  
      // This code sample uses the 'Unirest' library:
       // http://unirest.io/php.html
       Unirest\Request::auth('email@example.com', '');
      
       $headers = array(
         'Accept' => 'application/json',
         'X-Atlassian-Token' => 'no-check'
       );
      
       $parameters = array(
         'file' => File::add('myfile.txt')
       );
      
       $response = Unirest\Request::post(
         'https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments',
         $headers,
         $parameters
       );
      
       var_dump($response)
  
  #### Forge ####
  
      // This sample uses Atlassian Forge and the `form-data` library.
       // https://developer.atlassian.com/platform/forge/
       // https://www.npmjs.com/package/form-data
       import api from "@forge/api";
       import FormData from "form-data";
      
       const form = new FormData();
       form.append('file', fileStream, {knownLength: fileSizeInBytes});
      
       const response = await api.asApp().requestJira('/rest/api/2/issue/{issueIdOrKey}/attachments', {
           method: 'POST',
           body: form,
           headers: {
               'Accept': 'application/json',
               'X-Atlassian-Token': 'no-check'
           }
       });
      
       console.log(`Response: ${response.status} ${response.statusText}`);
       console.log(await response.json());
  
  Tip: Use a client library. Many client libraries have classes for handling multipart POST operations. For example, in Java, the Apache HTTP Components library provides a [MultiPartEntity](http://hc.apache.org/httpcomponents-client-ga/httpmime/apidocs/org/apache/http/entity/mime/MultipartEntity.html) class for multipart POST operations.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse Projects* and *Create attachments* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-attachments-post
  * @param options Request options.
  */
    addAttachments<T = AddIssueAttachmentsResponseOK>(options: AddIssueAttachmentsRequest): Promise<AddIssueAttachmentsResponseOK | T>;
    /**
  * Returns the contents of an attachment. A `Range` header can be set to define a range of bytes within the attachment to download. See the [HTTP Range header standard](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Range) for details.
  
  To return a thumbnail of the attachment, use [Get attachment thumbnail](#api-rest-api-3-attachment-thumbnail-id-get).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** For the issue containing the attachment:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If attachments are added in private comments, the comment-level restriction will be applied.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-attachments/#api-rest-api-3-attachment-content-id-get
  * @param options Request options.
  */
    getAttachmentContent<T = GetIssueAttachmentContentResponseOK>(options: GetIssueAttachmentContentRequest): Promise<GetIssueAttachmentContentResponseOK | T>;
}
declare class IssueAttachmentMetadataGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the metadata for an attachment. Note that the attachment itself is not returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If attachments are added in private comments, the comment-level restriction will be applied.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-attachments/#api-rest-api-3-attachment-id-get
  * @param options Request options.
  */
    getMetadata<T = GetIssueAttachmentMetadataResponseOK>(options: GetIssueAttachmentMetadataRequest): Promise<GetIssueAttachmentMetadataResponseOK | T>;
    /**
  * Returns the metadata for the contents of an attachment, if it is an archive, and metadata for the attachment itself. For example, if the attachment is a ZIP archive, then information about the files in the archive is returned and metadata for the ZIP archive. Currently, only the ZIP archive format is supported.
  
  Use this operation to retrieve data that is presented to the user, as this operation returns the metadata for the attachment itself, such as the attachment's ID and name. Otherwise, use [ Get contents metadata for an expanded attachment](#api-rest-api-3-attachment-id-expand-raw-get), which only returns the metadata for the attachment's contents.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** For the issue containing the attachment:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If attachments are added in private comments, the comment-level restriction will be applied.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-attachments/#api-rest-api-3-attachment-id-expand-human-get
  * @param options Request options.
  */
    getMetadataForExpandedAttachment<T = GetMetadataForExpandedIssueAttachmentResponseOK>(options: GetMetadataForExpandedIssueAttachmentRequest): Promise<GetMetadataForExpandedIssueAttachmentResponseOK | T>;
    /**
  * Returns the metadata for the contents of an attachment, if it is an archive. For example, if the attachment is a ZIP archive, then information about the files in the archive is returned. Currently, only the ZIP archive format is supported.
  
  Use this operation if you are processing the data without presenting it to the user, as this operation only returns the metadata for the contents of the attachment. Otherwise, to retrieve data to present to the user, use [ Get all metadata for an expanded attachment](#api-rest-api-3-attachment-id-expand-human-get) which also returns the metadata for the attachment itself, such as the attachment's ID and name.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** For the issue containing the attachment:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If attachments are added in private comments, the comment-level restriction will be applied.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-attachments/#api-rest-api-3-attachment-id-expand-raw-get
  * @param options Request options.
  */
    getContentsMetadataForExpandedAttachment<T = GetContentsMetadataForExpandedIssueAttachmentResponseOK>(options: GetContentsMetadataForExpandedIssueAttachmentRequest): Promise<GetContentsMetadataForExpandedIssueAttachmentResponseOK | T>;
}
declare class IssueCommentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Property: IssueCommentPropertyGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a [paginated](#pagination) list of comments specified by a list of comment IDs.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Comments are returned where the user:
  
   *  has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comments/#api-rest-api-3-comment-list-post
  * @param options Request options.
  */
    getCommentsByIds<T = GetIssueCommentsByIdsResponseOK>(options: GetIssueCommentsByIdsRequest): Promise<GetIssueCommentsByIdsResponseOK | T>;
    /**
  * Returns all comments for an issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Comments are included in the response where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comments/#api-rest-api-3-issue-issueidorkey-comment-get
  * @param options Request options.
  */
    getComments<T = GetIssueCommentsResponseOK>(options: GetIssueCommentsRequest): Promise<GetIssueCommentsResponseOK | T>;
    /**
  * Adds a comment to an issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Add comments* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comments/#api-rest-api-3-issue-issueidorkey-comment-post
  * @param options Request options.
  */
    addComment<T = AddIssueCommentResponseOK>(options: AddIssueCommentRequest): Promise<AddIssueCommentResponseOK | T>;
    /**
  * Returns a comment.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comments/#api-rest-api-3-issue-issueidorkey-comment-id-get
  * @param options Request options.
  */
    getComment<T = GetIssueCommentResponseOK>(options: GetIssueCommentRequest): Promise<GetIssueCommentResponseOK | T>;
    /**
  * Updates a comment.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Edit all comments*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any comment or *Edit own comments* to update comment created by the user.
   *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comments/#api-rest-api-3-issue-issueidorkey-comment-id-put
  * @param options Request options.
  */
    updateComment<T = UpdateIssueCommentResponseOK>(options: UpdateIssueCommentRequest): Promise<UpdateIssueCommentResponseOK | T>;
    /**
  * Deletes a comment.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Delete all comments*[ project permission](https://confluence.atlassian.com/x/yodKLg) to delete any comment or *Delete own comments* to delete comment created by the user,
   *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comments/#api-rest-api-3-issue-issueidorkey-comment-id-delete
  * @param options Request options.
  */
    deleteComment<T = DeleteIssueCommentResponseOK>(options: DeleteIssueCommentRequest): Promise<DeleteIssueCommentResponseOK | T>;
}
declare class IssueCommentPropertyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the keys of all the properties of a comment.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comment-properties/#api-rest-api-3-comment-commentid-properties-get
  * @param options Request options.
  */
    getKeys<T = GetIssueCommentPropertyKeysResponseOK>(options: GetIssueCommentPropertyKeysRequest): Promise<GetIssueCommentPropertyKeysResponseOK | T>;
    /**
  * Returns the value of a comment property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comment-properties/#api-rest-api-3-comment-commentid-properties-propertykey-get
  * @param options Request options.
  */
    getProperty<T = GetIssueCommentPropertyResponseOK>(options: GetIssueCommentPropertyRequest): Promise<GetIssueCommentPropertyResponseOK | T>;
    /**
  * Creates or updates the value of a property for a comment. Use this resource to store custom data against a comment.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  **[Permissions](#permissions) required:** either of:
  
   *  *Edit All Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to create or update the value of a property on any comment.
   *  *Edit Own Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to create or update the value of a property on a comment created by the user.
  
  Also, when the visibility of a comment is restricted to a role or group the user must be a member of that role or group.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comment-properties/#api-rest-api-3-comment-commentid-properties-propertykey-put
  * @param options Request options.
  */
    setProperty<T = SetIssueCommentPropertyResponseOK>(options: SetIssueCommentPropertyRequest): Promise<SetIssueCommentPropertyResponseOK | T>;
    /**
  * Deletes a comment property.
  
  **[Permissions](#permissions) required:** either of:
  
   *  *Edit All Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete a property from any comment.
   *  *Edit Own Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete a property from a comment created by the user.
  
  Also, when the visibility of a comment is restricted to a role or group the user must be a member of that role or group.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-comment-properties/#api-rest-api-3-comment-commentid-properties-propertykey-delete
  * @param options Request options.
  */
    deleteProperty<T = DeleteIssueCommentPropertyResponseOK>(options: DeleteIssueCommentPropertyRequest): Promise<DeleteIssueCommentPropertyResponseOK | T>;
}
declare class IssueMetadataGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns details of projects, issue types within projects, and, when requested, the create screen fields for each issue type for the user. Use the information to populate the requests in [ Create issue](#api-rest-api-3-issue-post) and [Create issues](#api-rest-api-3-issue-bulk-post).
  
  Deprecated, see [Create Issue Meta Endpoint Deprecation Notice](https://developer.atlassian.com/cloud/jira/platform/changelog/#CHANGE-1304).
  
  The request can be restricted to specific projects or issue types using the query parameters. The response will contain information for the valid projects, issue types, or project and issue type combinations requested. Note that invalid project, issue type, or project and issue type combinations do not generate errors.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Create issues* [project permission](https://confluence.atlassian.com/x/yodKLg) in the requested projects.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-createmeta-get
  * @param options Request options.
  */
    getCreateMetadata<T = GetCreateIssueMetadataResponseOK>(options?: GetCreateIssueMetadataRequest): Promise<GetCreateIssueMetadataResponseOK | T>;
    /**
  * Returns the edit screen fields for an issue that are visible to and editable by the user. Use the information to populate the requests in [Edit issue](#api-rest-api-3-issue-issueIdOrKey-put).
  
  This endpoint will check for these conditions:
  
  1.  Field is available on a field screen - through screen, screen scheme, issue type screen scheme, and issue type scheme configuration. `overrideScreenSecurity=true` skips this condition.
  2.  Field is visible in the [field configuration](https://support.atlassian.com/jira-cloud-administration/docs/change-a-field-configuration/). `overrideScreenSecurity=true` skips this condition.
  3.  Field is shown on the issue: each field has different conditions here. For example: Attachment field only shows if attachments are enabled. Assignee only shows if user has permissions to assign the issue.
  4.  If a field is custom then it must have valid custom field context, applicable for its project and issue type. All system fields are assumed to have context in all projects and all issue types.
  5.  Issue has a project, issue type, and status defined.
  6.  Issue is assigned to a valid workflow, and the current status has assigned a workflow step. `overrideEditableFlag=true` skips this condition.
  7.  The current workflow step is editable. This is true by default, but [can be disabled by setting](https://support.atlassian.com/jira-cloud-administration/docs/use-workflow-properties/) the `jira.issue.editable` property to `false`. `overrideEditableFlag=true` skips this condition.
  8.  User has [Edit issues permission](https://support.atlassian.com/jira-cloud-administration/docs/permissions-for-company-managed-projects/).
  9.  Workflow permissions allow editing a field. This is true by default but [can be modified](https://support.atlassian.com/jira-cloud-administration/docs/use-workflow-properties/) using `jira.permission.*` workflow properties.
  
  Fields hidden using [Issue layout settings page](https://support.atlassian.com/jira-software-cloud/docs/configure-field-layout-in-the-issue-view/) remain editable.
  
  Connect apps having an app user with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), and Forge apps acting on behalf of users with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), can return additional details using:
  
   *  `overrideScreenSecurity` When this flag is `true`, then this endpoint skips checking if fields are available through screens, and field configuration (conditions 1. and 2. from the list above).
   *  `overrideEditableFlag` When this flag is `true`, then this endpoint skips checking if workflow is present and if the current step is editable (conditions 6. and 7. from the list above).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  
  Note: For any fields to be editable the user must have the *Edit issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-editmeta-get
  * @param options Request options.
  */
    getEditMetadata<T = GetEditIssueMetadataResponseOK>(options: GetEditIssueMetadataRequest): Promise<GetEditIssueMetadataResponseOK | T>;
}
declare class IssuePropertyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the URLs and keys of an issue's properties.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Property details are only returned where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-properties/#api-rest-api-3-issue-issueidorkey-properties-get
  * @param options Request options.
  */
    getKeys<T = GetIssuePropertyKeysResponseOK>(options: GetIssuePropertyKeysRequest): Promise<GetIssuePropertyKeysResponseOK | T>;
    /**
  * Returns the key and value of an issue's property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-properties/#api-rest-api-3-issue-issueidorkey-properties-propertykey-get
  * @param options Request options.
  */
    getProperty<T = GetIssuePropertyResponseOK>(options: GetIssuePropertyRequest): Promise<GetIssuePropertyResponseOK | T>;
    /**
  * Sets the value of an issue's property. Use this resource to store custom data against an issue.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Edit issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-properties/#api-rest-api-3-issue-issueidorkey-properties-propertykey-put
  * @param options Request options.
  */
    setProperty<T = SetIssuePropertyResponseOK>(options: SetIssuePropertyRequest): Promise<SetIssuePropertyResponseOK | T>;
    /**
  * Deletes an issue's property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Edit issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-properties/#api-rest-api-3-issue-issueidorkey-properties-propertykey-delete
  * @param options Request options.
  */
    deleteProperty<T = DeleteIssuePropertyResponseOK>(options: DeleteIssuePropertyRequest): Promise<DeleteIssuePropertyResponseOK | T>;
}
declare class IssueLinkGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Remote: IssueLinkRemoteGroup;
    Type: IssueLinkTypeGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates a link between two issues. Use this operation to indicate a relationship between two issues and optionally add a comment to the from (outward) issue. To use this resource the site must have [Issue Linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  This resource returns nothing on the creation of an issue link. To obtain the ID of the issue link, use `https://your-domain.atlassian.net/rest/api/3/issue/[linked issue key]?fields=issuelinks`.
  
  If the link request duplicates a link, the response indicates that the issue link was created. If the request included a comment, the comment is added.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse project* [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the issues to be linked,
   *  *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) on the project containing the from (outward) issue,
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-links/#api-rest-api-3-issuelink-post
  * @param options Request options.
  */
    createLink<T = CreateIssueLinkResponseOK>(options: CreateIssueLinkRequest): Promise<CreateIssueLinkResponseOK | T>;
    /**
  * Returns an issue link.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse project* [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the linked issues.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, permission to view both of the issues.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-links/#api-rest-api-3-issuelink-linkid-get
  * @param options Request options.
  */
    getLink<T = GetIssueLinkResponseOK>(options: GetIssueLinkRequest): Promise<GetIssueLinkResponseOK | T>;
    /**
  * Deletes an issue link.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  Browse project [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the issues in the link.
   *  *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one of the projects containing issues in the link.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, permission to view both of the issues.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-links/#api-rest-api-3-issuelink-linkid-delete
  * @param options Request options.
  */
    deleteLink<T = DeleteIssueLinkResponseOK>(options: DeleteIssueLinkRequest): Promise<DeleteIssueLinkResponseOK | T>;
}
declare class IssueLinkRemoteGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the remote issue links for an issue. When a remote issue link global ID is provided the record with that global ID is returned, otherwise all remote issue links are returned. Where a global ID includes reserved URL characters these must be escaped in the request. For example, pass `system=http://www.mycompany.com/support&id=1` as `system%3Dhttp%3A%2F%2Fwww.mycompany.com%2Fsupport%26id%3D1`.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-remote-links/#api-rest-api-3-issue-issueidorkey-remotelink-get
  * @param options Request options.
  */
    getLinks<T = GetRemoteIssueLinksResponseOK>(options: GetRemoteIssueLinksRequest): Promise<GetRemoteIssueLinksResponseOK | T>;
    /**
  * Creates or updates a remote issue link for an issue.
  
  If a `globalId` is provided and a remote issue link with that global ID is found it is updated. Any fields without values in the request are set to null. Otherwise, the remote issue link is created.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-remote-links/#api-rest-api-3-issue-issueidorkey-remotelink-post
  * @param options Request options.
  */
    createOrUpdateLink<T = CreateOrUpdateRemoteIssueLinkResponseOK>(options: CreateOrUpdateRemoteIssueLinkRequest): Promise<CreateOrUpdateRemoteIssueLinkResponseOK | T>;
    /**
  * Deletes the remote issue link from the issue using the link's global ID. Where the global ID includes reserved URL characters these must be escaped in the request. For example, pass `system=http://www.mycompany.com/support&id=1` as `system%3Dhttp%3A%2F%2Fwww.mycompany.com%2Fsupport%26id%3D1`.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is implemented, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-remote-links/#api-rest-api-3-issue-issueidorkey-remotelink-delete
  * @param options Request options.
  */
    deleteLinkByGlobalId<T = DeleteRemoteIssueLinkByGlobalIdResponseOK>(options: DeleteRemoteIssueLinkByGlobalIdRequest): Promise<DeleteRemoteIssueLinkByGlobalIdResponseOK | T>;
    /**
  * Returns a remote issue link for an issue.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-remote-links/#api-rest-api-3-issue-issueidorkey-remotelink-linkid-get
  * @param options Request options.
  */
    getLink<T = GetRemoteIssueLinkResponseOK>(options: GetRemoteIssueLinkRequest): Promise<GetRemoteIssueLinkResponseOK | T>;
    /**
  * Updates a remote issue link for an issue.
  
  Note: Fields without values in the request are set to null.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-remote-links/#api-rest-api-3-issue-issueidorkey-remotelink-linkid-put
  * @param options Request options.
  */
    updateLink<T = UpdateRemoteIssueLinkResponseOK>(options: UpdateRemoteIssueLinkRequest): Promise<UpdateRemoteIssueLinkResponseOK | T>;
    /**
  * Deletes a remote issue link from an issue.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects*, *Edit issues*, and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-remote-links/#api-rest-api-3-issue-issueidorkey-remotelink-linkid-delete
  * @param options Request options.
  */
    deleteLink<T = DeleteRemoteIssueLinkResponseOK>(options: DeleteRemoteIssueLinkRequest): Promise<DeleteRemoteIssueLinkResponseOK | T>;
}
declare class IssueLinkTypeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a list of all issue link types.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project in the site.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-link-types/#api-rest-api-3-issuelinktype-get
  * @param options Request options.
  */
    getTypes<T = GetIssueLinkTypesResponseOK>(options?: GetIssueLinkTypesRequest): Promise<GetIssueLinkTypesResponseOK | T>;
    /**
  * Creates an issue link type. Use this operation to create descriptions of the reasons why issues are linked. The issue link type consists of a name and descriptions for a link's inward and outward relationships.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-link-types/#api-rest-api-3-issuelinktype-post
  * @param options Request options.
  */
    createType<T = CreateIssueLinkTypeResponseOK>(options: CreateIssueLinkTypeRequest): Promise<CreateIssueLinkTypeResponseOK | T>;
    /**
  * Returns an issue link type.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project in the site.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-link-types/#api-rest-api-3-issuelinktype-issuelinktypeid-get
  * @param options Request options.
  */
    getType<T = GetIssueLinkTypeResponseOK>(options: GetIssueLinkTypeRequest): Promise<GetIssueLinkTypeResponseOK | T>;
    /**
  * Updates an issue link type.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-link-types/#api-rest-api-3-issuelinktype-issuelinktypeid-put
  * @param options Request options.
  */
    updateType<T = UpdateIssueLinkTypeResponseOK>(options: UpdateIssueLinkTypeRequest): Promise<UpdateIssueLinkTypeResponseOK | T>;
    /**
  * Deletes an issue link type.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-link-types/#api-rest-api-3-issuelinktype-issuelinktypeid-delete
  * @param options Request options.
  */
    deleteType<T = DeleteIssueLinkTypeResponseOK>(options: DeleteIssueLinkTypeRequest): Promise<DeleteIssueLinkTypeResponseOK | T>;
}
declare class IssueTransitionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns either all transitions or a transition that can be performed by the user on an issue, based on the issue's status.
  
  Note, if a request is made for a transition that does not exist or cannot be performed on the issue, given its status, the response will return any empty transitions list.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required: A list or transition is returned only when the user has:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  
  However, if the user does not have the *Transition issues* [ project permission](https://confluence.atlassian.com/x/yodKLg) the response will not list any transitions.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-transitions-get
  * @param options Request options.
  */
    getTransitions<T = GetIssueTransitionsResponseOK>(options: GetIssueTransitionsRequest): Promise<GetIssueTransitionsResponseOK | T>;
    /**
  * Performs an issue transition and, if the transition has a screen, updates the fields from the transition screen.
  
  sortByCategory To update the fields on the transition screen, specify the fields in the `fields` or `update` parameters in the request body. Get details about the fields using [ Get transitions](#api-rest-api-3-issue-issueIdOrKey-transitions-get) with the `transitions.fields` expand.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Transition issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-transitions-post
  * @param options Request options.
  */
    performTransition<T = PerformIssueTransitionResponseOK>(options: PerformIssueTransitionRequest): Promise<PerformIssueTransitionResponseOK | T>;
}
declare class IssueVoteGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns details about the votes on an issue.
  
  This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is ini
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  
  Note that users with the necessary permissions for this operation but without the *View voters and watchers* project permissions are not returned details in the `voters` field.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-votes/#api-rest-api-3-issue-issueidorkey-votes-get
  * @param options Request options.
  */
    getVotes<T = GetIssueVotesResponseOK>(options: GetIssueVotesRequest): Promise<GetIssueVotesResponseOK | T>;
    /**
  * Adds the user's vote to an issue. This is the equivalent of the user clicking *Vote* on an issue in Jira.
  
  This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-votes/#api-rest-api-3-issue-issueidorkey-votes-post
  * @param options Request options.
  */
    addVote<T = AddIssueVoteResponseOK>(options: AddIssueVoteRequest): Promise<AddIssueVoteResponseOK | T>;
    /**
  * Deletes a user's vote from an issue. This is the equivalent of the user clicking *Unvote* on an issue in Jira.
  
  This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-votes/#api-rest-api-3-issue-issueidorkey-votes-delete
  * @param options Request options.
  */
    deleteVote<T = DeleteIssueVoteResponseOK>(options: DeleteIssueVoteRequest): Promise<DeleteIssueVoteResponseOK | T>;
}
declare class IssueWatcherGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the watchers for an issue.
  
  This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is ini
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  To see details of users on the watchlist other than themselves, *View voters and watchers* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-watchers/#api-rest-api-3-issue-issueidorkey-watchers-get
  * @param options Request options.
  */
    getWatchers<T = GetIssueWatchersResponseOK>(options: GetIssueWatchersRequest): Promise<GetIssueWatchersResponseOK | T>;
    /**
  * Adds a user as a watcher of an issue by passing the account ID of the user. For example, `"5b10ac8d82e05b22cc7d4ef5"`. If no user is specified the calling user is added.
  
  This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  To add users other than themselves to the watchlist, *Manage watcher list* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-watchers/#api-rest-api-3-issue-issueidorkey-watchers-post
  * @param options Request options.
  */
    addWatcher<T = AddIssueWatcherResponseOK>(options: AddIssueWatcherRequest): Promise<AddIssueWatcherResponseOK | T>;
    /**
  * Deletes a user as a watcher of an issue.
  
  This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  To remove users other than themselves from the watchlist, *Manage watcher list* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-watchers/#api-rest-api-3-issue-issueidorkey-watchers-delete
  * @param options Request options.
  */
    deleteWatcher<T = DeleteIssueWatcherResponseOK>(options: DeleteIssueWatcherRequest): Promise<DeleteIssueWatcherResponseOK | T>;
}
declare class IssueSearchGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Checks whether one or more issues would be returned by one or more JQL queries.
  
  **[Permissions](#permissions) required:** None, however, issues are only matched against JQL queries where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-search/#api-rest-api-3-jql-match-post
  * @param options Request options.
  */
    checkAgainstJql<T = CheckIssuesAgainstJqlResponseOK>(options: CheckIssuesAgainstJqlRequest): Promise<CheckIssuesAgainstJqlResponseOK | T>;
    /**
  * Searches for issues using [JQL](https://confluence.atlassian.com/x/egORLQ).
  
  There is a [GET](#api-rest-api-3-search-get) version of this resource that can be used for smaller JQL query expressions.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Issues are included in the response where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-search/#api-rest-api-3-search-get
  * @param options Request options.
  * @deprecated
  */
    searchByJql<T = SearchIssuesByJqlResponseOK>(options: SearchIssuesByJqlRequest): Promise<SearchIssuesByJqlResponseOK | T>;
    /**
  * Searches for issues using [JQL](https://confluence.atlassian.com/x/egORLQ). Recent updates might not be immediately visible in the returned search results. If you need [read-after-write](https://developer.atlassian.com/cloud/jira/platform/search-and-reconcile/) consistency, you can utilize the `reconcileIssues` parameter to ensure stronger consistency assurances. This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Issues are included in the response where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-search/#api-rest-api-3-search-jql-post
  * @param options Request options.
  */
    searchByJqlEnhancedSearch<T = SearchIssuesByJqlEnhancedSearchResponseOK>(options: SearchIssuesByJqlEnhancedSearchRequest): Promise<SearchIssuesByJqlEnhancedSearchResponseOK | T>;
}
declare class IssueResolutionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a list of all issue resolution values.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-resolutions/#api-rest-api-3-resolution-get
  * @param options Request options.
  * @deprecated
  */
    getResolutions<T = GetIssueResolutionsResponseOK>(options?: GetIssueResolutionsRequest): Promise<GetIssueResolutionsResponseOK | T>;
    /**
  * Returns an issue resolution value.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-resolutions/#api-rest-api-3-resolution-id-get
  * @param options Request options.
  */
    getResolution<T = GetIssueResolutionResponseOK>(options: GetIssueResolutionRequest): Promise<GetIssueResolutionResponseOK | T>;
}
declare class IssueSecurityGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Scheme: IssueSecuritySchemeGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns issue security level members.
  
  Only issue security level members in context of classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-level/#api-rest-api-3-issuesecurityschemes-issuesecurityschemeid-members-get
  * @param options Request options.
  */
    getMembers<T = GetIssueSecurityMembersResponseOK>(options: GetIssueSecurityMembersRequest): Promise<GetIssueSecurityMembersResponseOK | T>;
    /**
  * Returns details of an issue security level.
  
  Use [Get issue security scheme](#api-rest-api-3-issuesecurityschemes-id-get) to obtain the IDs of issue security levels associated with the issue security scheme.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-level/#api-rest-api-3-securitylevel-id-get
  * @param options Request options.
  */
    getLevel<T = GetIssueSecurityLevelResponseOK>(options: GetIssueSecurityLevelRequest): Promise<GetIssueSecurityLevelResponseOK | T>;
}
declare class IssueSecuritySchemeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all [issue security schemes](https://confluence.atlassian.com/x/J4lKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-schemes/#api-rest-api-3-issuesecurityschemes-get
  * @param options Request options.
  */
    getSchemes<T = GetIssueSecuritySchemesResponseOK>(options?: GetIssueSecuritySchemesRequest): Promise<GetIssueSecuritySchemesResponseOK | T>;
    /**
  * Returns an issue security scheme along with its security levels.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project that uses the requested issue security scheme.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-schemes/#api-rest-api-3-issuesecurityschemes-id-get
  * @param options Request options.
  */
    getScheme<T = GetIssueSecuritySchemeResponseOK>(options: GetIssueSecuritySchemeRequest): Promise<GetIssueSecuritySchemeResponseOK | T>;
}
declare class IssueNotificationGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Scheme: IssueNotificationSchemeGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class IssueNotificationSchemeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a [paginated](#pagination) list of [notification schemes](https://confluence.atlassian.com/x/8YdKLg) ordered by the display name.
  
  *Note that you should allow for events without recipients to appear in responses.*
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, the user must have permission to administer at least one project associated with a notification scheme for it to be returned.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-notification-schemes/#api-rest-api-3-notificationscheme-get
  * @param options Request options.
  */
    getSchemes<T = GetIssueNotificationSchemesResponseOK>(options?: GetIssueNotificationSchemesRequest): Promise<GetIssueNotificationSchemesResponseOK | T>;
    /**
  * Returns a [notification scheme](https://confluence.atlassian.com/x/8YdKLg), including the list of events and the recipients who will receive notifications for those events.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, the user must have permission to administer at least one project associated with the notification scheme.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-notification-schemes/#api-rest-api-3-notificationscheme-id-get
  * @param options Request options.
  */
    getScheme<T = GetIssueNotificationSchemeResponseOK>(options: GetIssueNotificationSchemeRequest): Promise<GetIssueNotificationSchemeResponseOK | T>;
}
declare class IssueNavigatorGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the default issue navigator columns.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-navigator-settings/#api-rest-api-3-settings-columns-get
  * @param options Request options.
  */
    getDefaultColumns<T = GetIssueNavigatorDefaultColumnsResponseOK>(options?: GetIssueNavigatorDefaultColumnsRequest): Promise<GetIssueNavigatorDefaultColumnsResponseOK | T>;
    /**
  * Sets the default issue navigator columns.
  
  The `columns` parameter accepts a navigable field value and is expressed as HTML form data. To specify multiple columns, pass multiple `columns` parameters. For example, in curl:
  
  `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/settings/columns`
  
  If no column details are sent, then all default columns are removed.
  
  A navigable field is one that can be used as a column on the issue navigator. Find details of navigable issue columns using [Get fields](#api-rest-api-3-field-get).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-navigator-settings/#api-rest-api-3-settings-columns-put
  * @param options Request options.
  */
    setDefaultColumns<T = SetIssueNavigatorDefaultColumnsResponseOK>(options: SetIssueNavigatorDefaultColumnsRequest): Promise<SetIssueNavigatorDefaultColumnsResponseOK | T>;
}
declare class AvatarGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the default project, issue type or priority avatar image.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-view-type-type-get
  * @param options Request options.
  */
    getImageByType<T = GetAvatarImageByTypeResponseOK>(options: GetAvatarImageByTypeRequest): Promise<GetAvatarImageByTypeResponseOK | T>;
    /**
  * Returns a project, issue type or priority avatar image by ID.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  For system avatars, none.
   *  For custom project avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the avatar belongs to.
   *  For custom issue type avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the issue type is used in.
   *  For priority avatars, none.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-view-type-type-avatar-id-get
  * @param options Request options.
  */
    getImageById<T = GetAvatarImageByIdResponseOK>(options: GetAvatarImageByIdRequest): Promise<GetAvatarImageByIdResponseOK | T>;
    /**
  * Returns the avatar image for a project, issue type or priority.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  For system avatars, none.
   *  For custom project avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the avatar belongs to.
   *  For custom issue type avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the issue type is used in.
   *  For priority avatars, none.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-view-type-type-owner-entityid-get
  * @param options Request options.
  */
    getImageByOwner<T = GetAvatarImageByOwnerResponseOK>(options: GetAvatarImageByOwnerRequest): Promise<GetAvatarImageByOwnerResponseOK | T>;
    /**
  * Returns the system and custom avatars for a project, issue type or priority.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  for custom project avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the avatar belongs to.
   *  for custom issue type avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the issue type is used in.
   *  for system avatars, none.
   *  for priority avatars, none.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-type-type-owner-entityid-get
  * @param options Request options.
  */
    getAvatars<T = GetAvatarsResponseOK>(options: GetAvatarsRequest): Promise<GetAvatarsResponseOK | T>;
    /**
  * Loads a custom avatar for a project or issue type.
  
  Specify the avatar's local file location in the body of the request. Also, include the following headers:
  
   *  `X-Atlassian-Token: no-check` To prevent XSRF protection blocking the request, for more information see [Special Headers](#special-request-headers).
   *  `Content-Type: image/image type` Valid image types are JPEG, GIF, or PNG.
  
  For example:
  `curl --request POST `
  
  `--user email@example.com:<api_token> `
  
  `--header 'X-Atlassian-Token: no-check' `
  
  `--header 'Content-Type: image/< image_type>' `
  
  `--data-binary "<@/path/to/file/with/your/avatar>" `
  
  `--url 'https://your-domain.atlassian.net/rest/api/3/universal_avatar/type/{type}/owner/{entityId}'`
  
  The avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
  
  The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
  
  After creating the avatar use:
  
   *  [Update issue type](#api-rest-api-3-issuetype-id-put) to set it as the issue type's displayed avatar.
   *  [Set project avatar](#api-rest-api-3-project-projectIdOrKey-avatar-put) to set it as the project's displayed avatar.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-type-type-owner-entityid-post
  * @param options Request options.
  */
    loadAvatar<T = LoadAvatarResponseOK>(options: LoadAvatarRequest): Promise<LoadAvatarResponseOK | T>;
    /**
  * Deletes an avatar from a project, issue type or priority.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-type-type-owner-owningobjectid-avatar-id-delete
  * @param options Request options.
  */
    deleteAvatar<T = DeleteAvatarResponseOK>(options: DeleteAvatarRequest): Promise<DeleteAvatarResponseOK | T>;
}
declare class ProjectGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Avatar: ProjectAvatarGroup;
    Component: ProjectComponentGroup;
    Role: ProjectRoleGroup;
    Version: ProjectVersionGroup;
    IssueType: ProjectIssueTypeGroup;
    Validation: ProjectValidationGroup;
    Type: ProjectTypeGroup;
    Category: ProjectCategoryGroup;
    Notification: ProjectNotificationGroup;
    Permission: ProjectPermissionGroup;
    Security: ProjectSecurityGroup;
    Property: ProjectPropertyGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Deletes a project asynchronously.
  
  This operation is:
  
   *  transactional, that is, if part of the delete fails the project is not deleted.
   *  [asynchronous](#async). Follow the `location` link in the response to determine the status of the task and use [Get task](#api-rest-api-3-task-taskId-get) to obtain subsequent updates.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectidorkey-delete-post
  * @param options Request options.
  */
    deleteProjectAsync<T = DeleteProjectAsyncResponseOK>(options: DeleteProjectAsyncRequest): Promise<DeleteProjectAsyncResponseOK | T>;
    /**
  * Restores a project that has been archived or placed in the Jira recycle bin.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg)for Company managed projects.
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project for Team managed projects.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectidorkey-restore-post
  * @param options Request options.
  */
    restoreDeletedProject<T = RestoreDeletedProjectResponseOK>(options: RestoreDeletedProjectRequest): Promise<RestoreDeletedProjectResponseOK | T>;
    /**
  * Creates a project based on a project type template, as shown in the following table:
  
  | Project Type Key | Project Template Key |
  |--|--|
  | `business` | `com.atlassian.jira-core-project-templates:jira-core-simplified-content-management`, `com.atlassian.jira-core-project-templates:jira-core-simplified-document-approval`, `com.atlassian.jira-core-project-templates:jira-core-simplified-lead-tracking`, `com.atlassian.jira-core-project-templates:jira-core-simplified-process-control`, `com.atlassian.jira-core-project-templates:jira-core-simplified-procurement`, `com.atlassian.jira-core-project-templates:jira-core-simplified-project-management`, `com.atlassian.jira-core-project-templates:jira-core-simplified-recruitment`, `com.atlassian.jira-core-project-templates:jira-core-simplified-task-tracking` |
  | `service_desk` | `com.atlassian.servicedesk:simplified-it-service-management`, `com.atlassian.servicedesk:simplified-general-service-desk-it`, `com.atlassian.servicedesk:simplified-general-service-desk-business`, `com.atlassian.servicedesk:simplified-external-service-desk`, `com.atlassian.servicedesk:simplified-hr-service-desk`, `com.atlassian.servicedesk:simplified-facilities-service-desk`, `com.atlassian.servicedesk:simplified-legal-service-desk`, `com.atlassian.servicedesk:simplified-analytics-service-desk`, `com.atlassian.servicedesk:simplified-marketing-service-desk`, `com.atlassian.servicedesk:simplified-design-service-desk`, `com.atlassian.servicedesk:simplified-sales-service-desk`, `com.atlassian.servicedesk:simplified-blank-project-business`, `com.atlassian.servicedesk:simplified-blank-project-it`, `com.atlassian.servicedesk:simplified-finance-service-desk`, `com.atlassian.servicedesk:next-gen-it-service-desk`, `com.atlassian.servicedesk:next-gen-hr-service-desk`, `com.atlassian.servicedesk:next-gen-legal-service-desk`, `com.atlassian.servicedesk:next-gen-marketing-service-desk`, `com.atlassian.servicedesk:next-gen-facilities-service-desk`, `com.atlassian.servicedesk:next-gen-general-it-service-desk`, `com.atlassian.servicedesk:next-gen-general-business-service-desk`, `com.atlassian.servicedesk:next-gen-analytics-service-desk`, `com.atlassian.servicedesk:next-gen-finance-service-desk`, `com.atlassian.servicedesk:next-gen-design-service-desk`, `com.atlassian.servicedesk:next-gen-sales-service-desk` |
  | `software` | `com.pyxis.greenhopper.jira:gh-simplified-agility-kanban`, `com.pyxis.greenhopper.jira:gh-simplified-agility-scrum`, `com.pyxis.greenhopper.jira:gh-simplified-basic`, `com.pyxis.greenhopper.jira:gh-simplified-kanban-classic`, `com.pyxis.greenhopper.jira:gh-simplified-scrum-classic` |
  The project types are available according to the installed Jira features as follows:
  
   *  Jira Core, the default, enables `business` projects.
   *  Jira Service Management enables `service_desk` projects.
   *  Jira Software enables `software` projects.
  
  To determine which features are installed, go to **Jira settings** > **Apps** > **Manage apps** and review the System Apps list. To add Jira Software or Jira Service Management into a JIRA instance, use **Jira settings** > **Apps** > **Finding new apps**. For more information, see [ Managing add-ons](https://confluence.atlassian.com/x/S31NLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-post
  * @param options Request options.
  */
    createProject<T = CreateProjectResponseOK>(options: CreateProjectRequest): Promise<CreateProjectResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of projects visible to the user.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Projects are returned only where the user has one of:
  
   *  *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-search-get
  * @param options Request options.
  */
    getProjects<T = GetProjectsResponseOK>(options?: GetProjectsRequest): Promise<GetProjectsResponseOK | T>;
    /**
  * Returns the [project details](https://confluence.atlassian.com/x/ahLpNw) for a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectidorkey-get
  * @param options Request options.
  */
    getProject<T = GetProjectResponseOK>(options: GetProjectRequest): Promise<GetProjectResponseOK | T>;
    /**
  * Updates the [project details](https://confluence.atlassian.com/x/ahLpNw) of a project.
  
  All parameters are optional in the body of the request.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectidorkey-put
  * @param options Request options.
  */
    updateProject<T = UpdateProjectResponseOK>(options: UpdateProjectRequest): Promise<UpdateProjectResponseOK | T>;
    /**
  * Deletes a project.
  
  You can't delete a project if it's archived. To delete an archived project, restore the project and then delete it. To restore a project, use the Jira UI.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectidorkey-delete
  * @param options Request options.
  */
    deleteProject<T = DeleteProjectResponseOK>(options: DeleteProjectRequest): Promise<DeleteProjectResponseOK | T>;
    /**
  * Returns the valid statuses for a project. The statuses are grouped by issue type, as each project has a set of valid issue types and each issue type has a set of valid statuses.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectidorkey-statuses-get
  * @param options Request options.
  */
    getStatuses<T = GetStatusesForProjectResponseOK>(options: GetStatusesForProjectRequest): Promise<GetStatusesForProjectResponseOK | T>;
}
declare class ProjectAvatarGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Sets the avatar displayed for a project.
  
  Use [Load project avatar](#api-rest-api-3-project-projectIdOrKey-avatar2-post) to store avatars against the project, before using this operation to set the displayed avatar.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-avatars/#api-rest-api-3-project-projectidorkey-avatar-put
  * @param options Request options.
  */
    setAvatar<T = SetProjectAvatarResponseOK>(options: SetProjectAvatarRequest): Promise<SetProjectAvatarResponseOK | T>;
    /**
  * Deletes a custom avatar from a project. Note that system avatars cannot be deleted.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-avatars/#api-rest-api-3-project-projectidorkey-avatar-id-delete
  * @param options Request options.
  */
    deleteAvatar<T = DeleteProjectAvatarResponseOK>(options: DeleteProjectAvatarRequest): Promise<DeleteProjectAvatarResponseOK | T>;
    /**
  * Loads an avatar for a project.
  
  Specify the avatar's local file location in the body of the request. Also, include the following headers:
  
   *  `X-Atlassian-Token: no-check` To prevent XSRF protection blocking the request, for more information see [Special Headers](#special-request-headers).
   *  `Content-Type: image/image type` Valid image types are JPEG, GIF, or PNG.
  
  For example:
  `curl --request POST `
  
  `--user email@example.com:<api_token> `
  
  `--header 'X-Atlassian-Token: no-check' `
  
  `--header 'Content-Type: image/< image_type>' `
  
  `--data-binary "<@/path/to/file/with/your/avatar>" `
  
  `--url 'https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/avatar2'`
  
  The avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
  
  The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
  
  After creating the avatar use [Set project avatar](#api-rest-api-3-project-projectIdOrKey-avatar-put) to set it as the project's displayed avatar.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-avatars/#api-rest-api-3-project-projectidorkey-avatar2-post
  * @param options Request options.
  */
    loadAvatar<T = LoadProjectAvatarResponseOK>(options: LoadProjectAvatarRequest): Promise<LoadProjectAvatarResponseOK | T>;
    /**
  * Returns all project avatars, grouped by system and custom avatars.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-avatars/#api-rest-api-3-project-projectidorkey-avatars-get
  * @param options Request options.
  */
    getAvatars<T = GetProjectAvatarsResponseOK>(options: GetProjectAvatarsRequest): Promise<GetProjectAvatarsResponseOK | T>;
}
declare class ProjectComponentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates a component. Use components to provide containers for issues within a project. Use components to provide containers for issues within a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project in which the component is created or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-components/#api-rest-api-3-component-post
  * @param options Request options.
  */
    createComponent<T = CreateProjectComponentResponseOK>(options: CreateProjectComponentRequest): Promise<CreateProjectComponentResponseOK | T>;
    /**
  * Returns a component.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for project containing the component.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-components/#api-rest-api-3-component-id-get
  * @param options Request options.
  */
    getComponent<T = GetProjectComponentResponseOK>(options: GetProjectComponentRequest): Promise<GetProjectComponentResponseOK | T>;
    /**
  * Updates a component. Any fields included in the request are overwritten. If `leadAccountId` is an empty string ("") the component lead is removed.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the component or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-components/#api-rest-api-3-component-id-put
  * @param options Request options.
  */
    updateComponent<T = UpdateProjectComponentResponseOK>(options: UpdateProjectComponentRequest): Promise<UpdateProjectComponentResponseOK | T>;
    /**
  * Deletes a component.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the component or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-components/#api-rest-api-3-component-id-delete
  * @param options Request options.
  */
    deleteComponent<T = DeleteProjectComponentResponseOK>(options: DeleteProjectComponentRequest): Promise<DeleteProjectComponentResponseOK | T>;
    /**
  * Returns the counts of issues assigned to the component.
  
  This operation can be accessed anonymously.
  
  **Deprecation notice:** The required OAuth 2.0 scopes will be updated on June 15, 2024.
  
   *  **Classic**: `read:jira-work`
   *  **Granular**: `read:field:jira`, `read:project.component:jira`
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-components/#api-rest-api-3-component-id-relatedissuecounts-get
  * @param options Request options.
  */
    getIssueCount<T = GetProjectComponentIssueCountResponseOK>(options: GetProjectComponentIssueCountRequest): Promise<GetProjectComponentIssueCountResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of all components in a project. See the [Get project components](#api-rest-api-3-project-projectIdOrKey-components-get) resource if you want to get a full list of versions without pagination.
  
  If your project uses Compass components, this API will return a list of Compass components that are linked to issues in that project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-components/#api-rest-api-3-project-projectidorkey-component-get
  * @param options Request options.
  */
    getComponentsPaginated<T = GetProjectComponentsPaginatedResponseOK>(options: GetProjectComponentsPaginatedRequest): Promise<GetProjectComponentsPaginatedResponseOK | T>;
    /**
  * Returns all components in a project. See the [Get project components paginated](#api-rest-api-3-project-projectIdOrKey-component-get) resource if you want to get a full list of components with pagination.
  
  If your project uses Compass components, this API will return a paginated list of Compass components that are linked to issues in that project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-components/#api-rest-api-3-project-projectidorkey-components-get
  * @param options Request options.
  */
    getComponents<T = GetProjectComponentsResponseOK>(options: GetProjectComponentsRequest): Promise<GetProjectComponentsResponseOK | T>;
}
declare class ProjectRoleGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Actor: ProjectRoleActorGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a list of [project roles](https://support.atlassian.com/jira-cloud-administration/docs/manage-project-roles/) for the project returning the name and self URL for each role.
  
  Note that all project roles are shared with all projects in Jira Cloud. See [Get all project roles](#api-rest-api-3-role-get) for more information.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for any project on the site or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-project-projectidorkey-role-get
  * @param options Request options.
  */
    getRolesForProject<T = GetProjectRolesForProjectResponseOK>(options: GetProjectRolesForProjectRequest): Promise<GetProjectRolesForProjectResponseOK | T>;
    /**
  * Returns a project role's details and actors associated with the project. The list of actors is sorted by display name.
  
  To check whether a user belongs to a role based on their group memberships, use [Get user](#api-rest-api-3-user-get) with the `groups` expand parameter selected. Then check whether the user keys and groups match with the actors returned for the project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-project-projectidorkey-role-id-get
  * @param options Request options.
  */
    getRoleForProject<T = GetProjectRoleForProjectResponseOK>(options: GetProjectRoleForProjectRequest): Promise<GetProjectRoleForProjectResponseOK | T>;
    /**
  * Returns all [project roles](https://support.atlassian.com/jira-cloud-administration/docs/manage-project-roles/) and the details for each role. Note that the list of project roles is common to all projects.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-project-projectidorkey-roledetails-get
  * @param options Request options.
  */
    getDetails<T = GetProjectRoleDetailsResponseOK>(options: GetProjectRoleDetailsRequest): Promise<GetProjectRoleDetailsResponseOK | T>;
    /**
  * Gets a list of all project roles, complete with project role details and default actors.
  
  ### About project roles ###
  
  [Project roles](https://support.atlassian.com/jira-cloud-administration/docs/manage-project-roles/) are a flexible way to to associate users and groups with projects. In Jira Cloud, the list of project roles is shared globally with all projects, but each project can have a different set of actors associated with it (unlike groups, which have the same membership throughout all Jira applications).
  
  Project roles are used in [permission schemes](#api-rest-api-3-permissionscheme-get), [email notification schemes](#api-rest-api-3-notificationscheme-get), [issue security levels](#api-rest-api-3-issuesecurityschemes-get), [comment visibility](#api-rest-api-3-comment-list-post), and workflow conditions.
  
  #### Members and actors ####
  
  In the Jira REST API, a member of a project role is called an *actor*. An *actor* is a group or user associated with a project role.
  
  Actors may be set as [default members](https://support.atlassian.com/jira-cloud-administration/docs/manage-project-roles/#Specifying-'default-members'-for-a-project-role) of the project role or set at the project level:
  
   *  Default actors: Users and groups that are assigned to the project role for all newly created projects. The default actors can be removed at the project level later if desired.
   *  Actors: Users and groups that are associated with a project role for a project, which may differ from the default actors. This enables you to assign a user to different roles in different projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-role-get
  * @param options Request options.
  */
    getRoles<T = GetProjectRolesResponseOK>(options?: GetProjectRolesRequest): Promise<GetProjectRolesResponseOK | T>;
    /**
  * Creates a new project role with no [default actors](#api-rest-api-3-resolution-get). You can use the [Add default actors to project role](#api-rest-api-3-role-id-actors-post) operation to add default actors to the project role after creating it.
  
  *Note that although a new project role is available to all projects upon creation, any default actors that are associated with the project role are not added to projects that existed prior to the role being created.*<
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-role-post
  * @param options Request options.
  */
    createRole<T = CreateProjectRoleResponseOK>(options: CreateProjectRoleRequest): Promise<CreateProjectRoleResponseOK | T>;
    /**
  * Gets the project role details and the default actors associated with the role. The list of default actors is sorted by display name.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-role-id-get
  * @param options Request options.
  */
    getRole<T = GetProjectRoleResponseOK>(options: GetProjectRoleRequest): Promise<GetProjectRoleResponseOK | T>;
    /**
  * Updates the project role's name and description. You must include both a name and a description in the request.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-role-id-put
  * @param options Request options.
  */
    fullyUpdateRole<T = FullyUpdateProjectRoleResponseOK>(options: FullyUpdateProjectRoleRequest): Promise<FullyUpdateProjectRoleResponseOK | T>;
    /**
  * Updates either the project role's name or its description.
  
  You cannot update both the name and description at the same time using this operation. If you send a request with a name and a description only the name is updated.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-role-id-post
  * @param options Request options.
  */
    partiallyUpdateRole<T = PartiallyUpdateProjectRoleResponseOK>(options: PartiallyUpdateProjectRoleRequest): Promise<PartiallyUpdateProjectRoleResponseOK | T>;
    /**
  * Deletes a project role. You must specify a replacement project role if you wish to delete a project role that is in use.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-roles/#api-rest-api-3-role-id-delete
  * @param options Request options.
  */
    deleteRole<T = DeleteProjectRoleResponseOK>(options: DeleteProjectRoleRequest): Promise<DeleteProjectRoleResponseOK | T>;
}
declare class ProjectRoleActorGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Default: ProjectRoleActorDefaultGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Sets the actors for a project role for a project, replacing all existing actors.
  
  To add actors to the project without overwriting the existing list, use [Add actors to project role](#api-rest-api-3-project-projectIdOrKey-role-id-post).
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-role-actors/#api-rest-api-3-project-projectidorkey-role-id-put
  * @param options Request options.
  */
    setActors<T = SetActorsForProjectRoleResponseOK>(options: SetActorsForProjectRoleRequest): Promise<SetActorsForProjectRoleResponseOK | T>;
    /**
  * Adds actors to a project role for the project.
  
  To replace all actors for the project, use [Set actors for project role](#api-rest-api-3-project-projectIdOrKey-role-id-put).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-role-actors/#api-rest-api-3-project-projectidorkey-role-id-post
  * @param options Request options.
  */
    addActors<T = AddActorsToProjectRoleResponseOK>(options: AddActorsToProjectRoleRequest): Promise<AddActorsToProjectRoleResponseOK | T>;
    /**
  * Deletes actors from a project role for the project.
  
  To remove default actors from the project role, use [Delete default actors from project role](#api-rest-api-3-role-id-actors-delete).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-role-actors/#api-rest-api-3-project-projectidorkey-role-id-delete
  * @param options Request options.
  */
    deleteActors<T = DeleteActorsFromProjectRoleResponseOK>(options: DeleteActorsFromProjectRoleRequest): Promise<DeleteActorsFromProjectRoleResponseOK | T>;
}
declare class ProjectRoleActorDefaultGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the [default actors](#api-rest-api-3-resolution-get) for the project role.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-role-actors/#api-rest-api-3-role-id-actors-get
  * @param options Request options.
  */
    getActors<T = GetDefaultActorsForProjectRoleResponseOK>(options: GetDefaultActorsForProjectRoleRequest): Promise<GetDefaultActorsForProjectRoleResponseOK | T>;
    /**
  * Adds [default actors](#api-rest-api-3-resolution-get) to a role. You may add groups or users, but you cannot add groups and users in the same request.
  
  Changing a project role's default actors does not affect project role members for projects already created.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-role-actors/#api-rest-api-3-role-id-actors-post
  * @param options Request options.
  */
    addActors<T = AddDefaultActorsToProjectRoleResponseOK>(options: AddDefaultActorsToProjectRoleRequest): Promise<AddDefaultActorsToProjectRoleResponseOK | T>;
    /**
  * Deletes the [default actors](#api-rest-api-3-resolution-get) from a project role. You may delete a group or user, but you cannot delete a group and a user in the same request.
  
  Changing a project role's default actors does not affect project role members for projects already created.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-role-actors/#api-rest-api-3-role-id-actors-delete
  * @param options Request options.
  */
    deleteActors<T = DeleteDefaultActorsFromProjectRoleResponseOK>(options: DeleteDefaultActorsFromProjectRoleRequest): Promise<DeleteDefaultActorsFromProjectRoleResponseOK | T>;
}
declare class ProjectVersionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Count: ProjectVersionCountGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a [paginated](#pagination) list of all versions in a project. See the [Get project versions](#api-rest-api-3-project-projectIdOrKey-versions-get) resource if you want to get a full list of versions without pagination.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-project-projectidorkey-version-get
  * @param options Request options.
  */
    getVersionsPaginated<T = GetProjectVersionsPaginatedResponseOK>(options: GetProjectVersionsPaginatedRequest): Promise<GetProjectVersionsPaginatedResponseOK | T>;
    /**
  * Returns all versions in a project. The response is not paginated. Use [Get project versions paginated](#api-rest-api-3-project-projectIdOrKey-version-get) if you want to get the versions in a project with pagination.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-project-projectidorkey-versions-get
  * @param options Request options.
  */
    getVersions<T = GetProjectVersionsResponseOK>(options: GetProjectVersionsRequest): Promise<GetProjectVersionsResponseOK | T>;
    /**
  * Creates a project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the version is added to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-post
  * @param options Request options.
  */
    createVersion<T = CreateProjectVersionResponseOK>(options: CreateProjectVersionRequest): Promise<CreateProjectVersionResponseOK | T>;
    /**
  * Returns a project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the version.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-id-get
  * @param options Request options.
  */
    getVersion<T = GetProjectVersionResponseOK>(options: GetProjectVersionRequest): Promise<GetProjectVersionResponseOK | T>;
    /**
  * Updates a project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-id-put
  * @param options Request options.
  */
    updateVersion<T = UpdateProjectVersionResponseOK>(options: UpdateProjectVersionRequest): Promise<UpdateProjectVersionResponseOK | T>;
    /**
  * Merges two project versions. The merge is completed by deleting the version specified in `id` and replacing any occurrences of its ID in `fixVersion` with the version ID specified in `moveIssuesTo`.
  
  Consider using [ Delete and replace version](#api-rest-api-3-version-id-removeAndSwap-post) instead. This resource supports swapping version values in `fixVersion`, `affectedVersion`, and custom fields.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-id-mergeto-moveissuesto-put
  * @param options Request options.
  */
    mergeVersions<T = MergeProjectVersionsResponseOK>(options: MergeProjectVersionsRequest): Promise<MergeProjectVersionsResponseOK | T>;
    /**
  * Modifies the version's sequence within the project, which affects the display order of the versions in Jira.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-id-move-post
  * @param options Request options.
  */
    moveVersion<T = MoveProjectVersionResponseOK>(options: MoveProjectVersionRequest): Promise<MoveProjectVersionResponseOK | T>;
    /**
  * Deletes a project version.
  
  Alternative versions can be provided to update issues that use the deleted version in `fixVersion`, `affectedVersion`, or any version picker custom fields. If alternatives are not provided, occurrences of `fixVersion`, `affectedVersion`, and any version picker custom field, that contain the deleted version, are cleared. Any replacement version must be in the same project as the version being deleted and cannot be the version being deleted.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-id-removeandswap-post
  * @param options Request options.
  */
    deleteAndReplaceVersion<T = DeleteAndReplaceProjectVersionResponseOK>(options: DeleteAndReplaceProjectVersionRequest): Promise<DeleteAndReplaceProjectVersionResponseOK | T>;
}
declare class ProjectVersionCountGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the following counts for a version:
  
   *  Number of issues where the `fixVersion` is set to the version.
   *  Number of issues where the `affectedVersion` is set to the version.
   *  Number of issues where a version custom field is set to the version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-id-relatedissuecounts-get
  * @param options Request options.
  */
    getRelatedIssueCount<T = GetProjectVersionRelatedIssueCountResponseOK>(options: GetProjectVersionRelatedIssueCountRequest): Promise<GetProjectVersionRelatedIssueCountResponseOK | T>;
    /**
  * Returns counts of the issues and unresolved issues for the project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-versions/#api-rest-api-3-version-id-unresolvedissuecount-get
  * @param options Request options.
  */
    getUnresolvedIssueCount<T = GetProjectVersionUnresolvedIssueCountResponseOK>(options: GetProjectVersionUnresolvedIssueCountRequest): Promise<GetProjectVersionUnresolvedIssueCountResponseOK | T>;
}
declare class ProjectIssueTypeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Get the issue type hierarchy for a next-gen project.
  
  The issue type hierarchy for a project consists of:
  
   *  *Epic* at level 1 (optional).
   *  One or more issue types at level 0 such as *Story*, *Task*, or *Bug*. Where the issue type *Epic* is defined, these issue types are used to break down the content of an epic.
   *  *Subtask* at level -1 (optional). This issue type enables level 0 issue types to be broken down into components. Issues based on a level -1 issue type must have a parent issue.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectid-hierarchy-get
  * @param options Request options.
  * @deprecated
  */
    getHierarchy<T = GetProjectIssueTypeHierarchyResponseOK>(options: GetProjectIssueTypeHierarchyRequest): Promise<GetProjectIssueTypeHierarchyResponseOK | T>;
}
declare class ProjectValidationGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Validates a project key by confirming the key is a valid string and not in use.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-key-and-name-validation/#api-rest-api-3-projectvalidate-key-get
  * @param options Request options.
  */
    validateProjectKey<T = ValidateProjectKeyResponseOK>(options: ValidateProjectKeyRequest): Promise<ValidateProjectKeyResponseOK | T>;
    /**
  * Validates a project key and, if the key is invalid or in use, generates a valid random string for the project key.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-key-and-name-validation/#api-rest-api-3-projectvalidate-validprojectkey-get
  * @param options Request options.
  */
    getValidProjectKey<T = GetValidProjectKeyResponseOK>(options: GetValidProjectKeyRequest): Promise<GetValidProjectKeyResponseOK | T>;
    /**
  * Checks that a project name isn't in use. If the name isn't in use, the passed string is returned. If the name is in use, this operation attempts to generate a valid project name based on the one supplied, usually by adding a sequence number. If a valid project name cannot be generated, a 404 response is returned.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-key-and-name-validation/#api-rest-api-3-projectvalidate-validprojectname-get
  * @param options Request options.
  */
    getValidProjectName<T = GetValidProjectNameResponseOK>(options: GetValidProjectNameRequest): Promise<GetValidProjectNameResponseOK | T>;
}
declare class ProjectTypeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all [project types](https://confluence.atlassian.com/x/Var1Nw), whether or not the instance has a valid license for each type.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-get
  * @param options Request options.
  */
    getTypes<T = GetProjectTypesResponseOK>(options?: GetProjectTypesRequest): Promise<GetProjectTypesResponseOK | T>;
    /**
     * Returns all [project types](https://confluence.atlassian.com/x/Var1Nw) with a valid license.
     * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-accessible-get
     * @param options Request options.
     */
    getLicensedTypes<T = GetLicensedProjectTypesResponseOK>(options?: GetLicensedProjectTypesRequest): Promise<GetLicensedProjectTypesResponseOK | T>;
    /**
  * Returns a [project type](https://confluence.atlassian.com/x/Var1Nw).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-projecttypekey-get
  * @param options Request options.
  */
    getTypeByKey<T = GetProjectTypeByKeyResponseOK>(options: GetProjectTypeByKeyRequest): Promise<GetProjectTypeByKeyResponseOK | T>;
    /**
  * Returns a [project type](https://confluence.atlassian.com/x/Var1Nw) if it is accessible to the user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-projecttypekey-accessible-get
  * @param options Request options.
  */
    getAccessibleTypeByKey<T = GetAccessibleProjectTypeByKeyResponseOK>(options: GetAccessibleProjectTypeByKeyRequest): Promise<GetAccessibleProjectTypeByKeyResponseOK | T>;
}
declare class ProjectCategoryGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all project categories.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-get
  * @param options Request options.
  */
    getCategories<T = GetProjectCategoriesResponseOK>(options?: GetProjectCategoriesRequest): Promise<GetProjectCategoriesResponseOK | T>;
    /**
  * Creates a project category.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-post
  * @param options Request options.
  */
    createCategory<T = CreateProjectCategoryResponseOK>(options: CreateProjectCategoryRequest): Promise<CreateProjectCategoryResponseOK | T>;
    /**
  * Returns a project category.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-get
  * @param options Request options.
  */
    getCategory<T = GetProjectCategoryResponseOK>(options: GetProjectCategoryRequest): Promise<GetProjectCategoryResponseOK | T>;
    /**
  * Updates a project category.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-put
  * @param options Request options.
  */
    updateCategory<T = UpdateProjectCategoryResponseOK>(options: UpdateProjectCategoryRequest): Promise<UpdateProjectCategoryResponseOK | T>;
    /**
  * Deletes a project category.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-delete
  * @param options Request options.
  */
    deleteCategory<T = DeleteProjectCategoryResponseOK>(options: DeleteProjectCategoryRequest): Promise<DeleteProjectCategoryResponseOK | T>;
}
declare class ProjectNotificationGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Scheme: ProjectNotificationSchemeGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class ProjectNotificationSchemeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Gets a [notification scheme](https://confluence.atlassian.com/x/8YdKLg) associated with the project.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectkeyorid-notificationscheme-get
  * @param options Request options.
  * @deprecated
  */
    getScheme<T = GetProjectNotificationSchemeResponseOK>(options: GetProjectNotificationSchemeRequest): Promise<GetProjectNotificationSchemeResponseOK | T>;
}
declare class ProjectPermissionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Scheme: ProjectPermissionSchemeGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class ProjectPermissionSchemeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Assigns a permission scheme with a project. See [Managing project permissions](https://confluence.atlassian.com/x/yodKLg) for more information about permission schemes.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg)
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-permissionscheme-put
  * @param options Request options.
  */
    assignScheme<T = AssignProjectPermissionSchemeResponseOK>(options: AssignProjectPermissionSchemeRequest): Promise<AssignProjectPermissionSchemeResponseOK | T>;
    /**
  * Gets the [permission scheme](https://confluence.atlassian.com/x/yodKLg) associated with the project.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-permissionscheme-get
  * @param options Request options.
  */
    getScheme<T = GetProjectPermissionSchemeResponseOK>(options: GetProjectPermissionSchemeRequest): Promise<GetProjectPermissionSchemeResponseOK | T>;
    /**
  * Returns all [issue security](https://confluence.atlassian.com/x/J4lKLg) levels for the project that the user has access to.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [global permission](https://confluence.atlassian.com/x/x4dKLg) for the project, however, issue security levels are only returned for authenticated user with *Set Issue Security* [global permission](https://confluence.atlassian.com/x/x4dKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-securitylevel-get
  * @param options Request options.
  */
    getIssueSecurityLevels<T = GetProjectIssueSecurityLevelsResponseOK>(options: GetProjectIssueSecurityLevelsRequest): Promise<GetProjectIssueSecurityLevelsResponseOK | T>;
}
declare class ProjectSecurityGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Scheme: ProjectSecuritySchemeGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class ProjectSecuritySchemeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the [issue security scheme](https://confluence.atlassian.com/x/J4lKLg) associated with the project.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or the *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-issuesecuritylevelscheme-get
  * @param options Request options.
  */
    getIssueScheme<T = GetProjectIssueSecuritySchemeResponseOK>(options: GetProjectIssueSecuritySchemeRequest): Promise<GetProjectIssueSecuritySchemeResponseOK | T>;
}
declare class ProjectPropertyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) keys for the project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-get
  * @param options Request options.
  */
    getPropertyKeys<T = GetProjectPropertyKeysResponseOK>(options: GetProjectPropertyKeysRequest): Promise<GetProjectPropertyKeysResponseOK | T>;
    /**
  * Returns the value of a [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the property.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-get
  * @param options Request options.
  */
    getProperty<T = GetProjectPropertyResponseOK>(options: GetProjectPropertyRequest): Promise<GetProjectPropertyResponseOK | T>;
    /**
  * Sets the value of the [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties). You can use project properties to store custom data against the project.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project in which the property is created.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-put
  * @param options Request options.
  */
    setProperty<T = SetProjectPropertyResponseOK>(options: SetProjectPropertyRequest): Promise<SetProjectPropertyResponseOK | T>;
    /**
  * Deletes the [property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) from a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the property.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-delete
  * @param options Request options.
  */
    deleteProperty<T = DeleteProjectPropertyResponseOK>(options: DeleteProjectPropertyRequest): Promise<DeleteProjectPropertyResponseOK | T>;
}
declare class UserGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Search: UserSearchGroup;
    Property: UserPropertyGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a list of all users, including active users, inactive users and previously deleted users that have an Atlassian account.
  
  Privacy controls are applied to the response based on the users' preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-users-get
  * @param options Request options.
  */
    getUsersDefault<T = GetUsersDefaultResponseOK>(options?: GetUsersDefaultRequest): Promise<GetUsersDefaultResponseOK | T>;
    /**
  * Returns the default [issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user. If `accountId` is not passed in the request, the calling user's details are returned.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLgl), to get the column details for any user.
   *  Permission to access Jira, to get the calling user's column details.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-get
  * @param options Request options.
  */
    getDefaultColumns<T = GetUserDefaultColumnsResponseOK>(options?: GetUserDefaultColumnsRequest): Promise<GetUserDefaultColumnsResponseOK | T>;
    /**
  * Sets the default [ issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user. If an account ID is not passed, the calling user's default columns are set. If no column details are sent, then all default columns are removed.
  
  The parameters for this resource are expressed as HTML form data. For example, in curl:
  
  `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/user/columns?accountId=5b10ac8d82e05b22cc7d4ef5'`
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set the columns on any user.
   *  Permission to access Jira, to set the calling user's columns.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-put
  * @param options Request options.
  */
    setDefaultColumns<T = SetUserDefaultColumnsResponseOK>(options: SetUserDefaultColumnsRequest): Promise<SetUserDefaultColumnsResponseOK | T>;
    /**
  * Resets the default [ issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user to the system default. If `accountId` is not passed, the calling user's default columns are reset.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set the columns on any user.
   *  Permission to access Jira, to set the calling user's columns.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-delete
  * @param options Request options.
  */
    resetDefaultColumns<T = ResetUserDefaultColumnsResponseOK>(options?: ResetUserDefaultColumnsRequest): Promise<ResetUserDefaultColumnsResponseOK | T>;
    /**
  * Returns a user.
  
  Privacy controls are applied to the response based on the user's preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-get
  * @param options Request options.
  */
    getUser<T = GetUserResponseOK>(options?: GetUserRequest): Promise<GetUserResponseOK | T>;
    /**
  * Creates a user. This resource is retained for legacy compatibility. As soon as a more suitable alternative is available this resource will be deprecated.
  
  If the user exists and has access to Jira, the operation returns a 201 status. If the user exists but does not have access to Jira, the operation returns a 400 status.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-post
  * @param options Request options.
  */
    createUser<T = CreateUserResponseOK>(options: CreateUserRequest): Promise<CreateUserResponseOK | T>;
    /**
  * Deletes a user. If the operation completes successfully then the user is removed from Jira's user base. This operation does not delete the user's Atlassian account.
  
  **[Permissions](#permissions) required:** Site administration (that is, membership of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-delete
  * @param options Request options.
  */
    deleteUser<T = DeleteUserResponseOK>(options: DeleteUserRequest): Promise<DeleteUserResponseOK | T>;
    /**
  * Returns the account IDs for the users specified in the `key` or `username` parameters. Note that multiple `key` or `username` parameters can be specified.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-bulk-migration-get
  * @param options Request options.
  */
    getAccountIdsForUsers<T = GetAccountIdsForUsersResponseOK>(options?: GetAccountIdsForUsersRequest): Promise<GetAccountIdsForUsersResponseOK | T>;
    /**
     * Returns a user's email address regardless of the user's profile visibility settings. For Connect apps, this API is only available to apps approved by Atlassian, according to these [guidelines](https://community.developer.atlassian.com/t/guidelines-for-requesting-access-to-email-address/27603). For Forge apps, this API only supports access via asApp() requests.
     * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-email-get
     * @param options Request options.
     */
    getEmail<T = GetUserEmailResponseOK>(options: GetUserEmailRequest): Promise<GetUserEmailResponseOK | T>;
    /**
  * Returns the groups to which a user belongs.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-groups-get
  * @param options Request options.
  */
    getGroups<T = GetUserGroupsResponseOK>(options: GetUserGroupsRequest): Promise<GetUserGroupsResponseOK | T>;
    /**
  * Returns a list of all users, including active users, inactive users and previously deleted users that have an Atlassian account.
  
  Privacy controls are applied to the response based on the users' preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-users-search-get
  * @param options Request options.
  */
    getUsers<T = GetUsersResponseOK>(options?: GetUsersRequest): Promise<GetUsersResponseOK | T>;
}
declare class UserSearchGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a list of users who can be assigned issues in one or more projects. The list may be restricted to users whose attributes match a string.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that can be assigned issues in the projects. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who can be assigned issues in the projects, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  Privacy controls are applied to the response based on the users' preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-assignable-multiprojectsearch-get
  * @param options Request options.
  */
    findUsersAssignableToProjects<T = FindUsersAssignableToProjectsResponseOK>(options: FindUsersAssignableToProjectsRequest): Promise<FindUsersAssignableToProjectsResponseOK | T>;
    /**
  * Returns a list of users that can be assigned to an issue. Use this operation to find the list of users who can be assigned to:
  
   *  a new issue, by providing the `projectKeyOrId`.
   *  an updated issue, by providing the `issueKey`.
   *  to an issue during a transition (workflow action), by providing the `issueKey` and the transition id in `actionDescriptorId`. You can obtain the IDs of an issue's valid transitions using the `transitions` option in the `expand` parameter of [ Get issue](#api-rest-api-3-issue-issueIdOrKey-get).
  
  In all these cases, you can pass an account ID to determine if a user can be assigned to an issue. The user is returned in the response if they can be assigned to the issue or issue transition.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that can be assigned the issue. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who can be assigned the issue, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  Privacy controls are applied to the response based on the users' preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-assignable-search-get
  * @param options Request options.
  */
    findUsersAssignableToIssues<T = FindUsersAssignableToIssuesResponseOK>(options?: FindUsersAssignableToIssuesRequest): Promise<FindUsersAssignableToIssuesResponseOK | T>;
    /**
  * Returns a list of users who fulfill these criteria:
  
   *  their user attributes match a search string.
   *  they have a set of permissions for a project or issue.
  
  If no search string is provided, a list of all users with the permissions is returned.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and have permission for the project or issue. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and have permission for the project or issue, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  Privacy controls are applied to the response based on the users' preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to get users for any project.
   *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project, to get users for that project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-permission-search-get
  * @param options Request options.
  */
    findUsersWithPermissions<T = FindUsersWithPermissionsResponseOK>(options: FindUsersWithPermissionsRequest): Promise<FindUsersWithPermissionsResponseOK | T>;
    /**
  * Returns a list of users whose attributes match the query term. The returned object includes the `html` field where the matched query term is highlighted with the HTML strong tag. A list of account IDs can be provided to exclude users from the results.
  
  This operation takes the users in the range defined by `maxResults`, up to the thousandth user, and then returns only the users from that range that match the query term. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the query term, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls and calls by users without the required permission return search results for an exact name match only.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-picker-get
  * @param options Request options.
  */
    findUsersForPicker<T = FindUsersForPickerResponseOK>(options: FindUsersForPickerRequest): Promise<FindUsersForPickerResponseOK | T>;
    /**
  * Returns a list of users that match the search string and property.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and property. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and property, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  This operation can be accessed anonymously.
  
  Privacy controls are applied to the response based on the users' preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls or calls by users without the required permission return empty search results.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-search-get
  * @param options Request options.
  */
    findUsers<T = FindUsersResponseOK>(options?: FindUsersRequest): Promise<FindUsersResponseOK | T>;
    /**
  * Finds users with a structured query and returns a [paginated](#pagination) list of user details.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the structured query. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the structured query, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  
  The query statements are:
  
   *  `is assignee of PROJ` Returns the users that are assignees of at least one issue in project *PROJ*.
   *  `is assignee of (PROJ-1, PROJ-2)` Returns users that are assignees on the issues *PROJ-1* or *PROJ-2*.
   *  `is reporter of (PROJ-1, PROJ-2)` Returns users that are reporters on the issues *PROJ-1* or *PROJ-2*.
   *  `is watcher of (PROJ-1, PROJ-2)` Returns users that are watchers on the issues *PROJ-1* or *PROJ-2*.
   *  `is voter of (PROJ-1, PROJ-2)` Returns users that are voters on the issues *PROJ-1* or *PROJ-2*.
   *  `is commenter of (PROJ-1, PROJ-2)` Returns users that have posted a comment on the issues *PROJ-1* or *PROJ-2*.
   *  `is transitioner of (PROJ-1, PROJ-2)` Returns users that have performed a transition on issues *PROJ-1* or *PROJ-2*.
   *  `[propertyKey].entity.property.path is "property value"` Returns users with the entity property value. For example, if user property `location` is set to value `{"office": {"country": "AU", "city": "Sydney"}}`, then it's possible to use `[location].office.city is "Sydney"` to match the user.
  
  The list of issues can be extended as needed, as in *(PROJ-1, PROJ-2, ... PROJ-n)*. Statements can be combined using the `AND` and `OR` operators to form more complex queries. For example:
  
  `is assignee of PROJ AND [propertyKey].entity.property.path is "property value"`
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-search-query-get
  * @param options Request options.
  */
    findUsersByQuery<T = FindUsersByQueryResponseOK>(options: FindUsersByQueryRequest): Promise<FindUsersByQueryResponseOK | T>;
    /**
  * Finds users with a structured query and returns a [paginated](#pagination) list of user keys.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the structured query. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the structured query, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  
  The query statements are:
  
   *  `is assignee of PROJ` Returns the users that are assignees of at least one issue in project *PROJ*.
   *  `is assignee of (PROJ-1, PROJ-2)` Returns users that are assignees on the issues *PROJ-1* or *PROJ-2*.
   *  `is reporter of (PROJ-1, PROJ-2)` Returns users that are reporters on the issues *PROJ-1* or *PROJ-2*.
   *  `is watcher of (PROJ-1, PROJ-2)` Returns users that are watchers on the issues *PROJ-1* or *PROJ-2*.
   *  `is voter of (PROJ-1, PROJ-2)` Returns users that are voters on the issues *PROJ-1* or *PROJ-2*.
   *  `is commenter of (PROJ-1, PROJ-2)` Returns users that have posted a comment on the issues *PROJ-1* or *PROJ-2*.
   *  `is transitioner of (PROJ-1, PROJ-2)` Returns users that have performed a transition on issues *PROJ-1* or *PROJ-2*.
   *  `[propertyKey].entity.property.path is "property value"` Returns users with the entity property value. For example, if user property `location` is set to value `{"office": {"country": "AU", "city": "Sydney"}}`, then it's possible to use `[location].office.city is "Sydney"` to match the user.
  
  The list of issues can be extended as needed, as in *(PROJ-1, PROJ-2, ... PROJ-n)*. Statements can be combined using the `AND` and `OR` operators to form more complex queries. For example:
  
  `is assignee of PROJ AND [propertyKey].entity.property.path is "property value"`
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-search-query-key-get
  * @param options Request options.
  */
    findUserKeysByQuery<T = FindUserKeysByQueryResponseOK>(options: FindUserKeysByQueryRequest): Promise<FindUserKeysByQueryResponseOK | T>;
    /**
  * Returns a list of users who fulfill these criteria:
  
   *  their user attributes match a search string.
   *  they have permission to browse issues.
  
  Use this resource to find users who can browse:
  
   *  an issue, by providing the `issueKey`.
   *  any issue in a project, by providing the `projectKey`.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and have permission to browse issues. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and have permission to browse issues, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  Privacy controls are applied to the response based on the users' preferences. This could mean, for example, that the user's email address is hidden. See the [Profile visibility overview](https://developer.atlassian.com/cloud/jira/platform/profile-visibility/) for more details.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls and calls by users without the required permission return empty search results.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-search/#api-rest-api-3-user-viewissue-search-get
  * @param options Request options.
  */
    findUsersWithBrowsePermission<T = FindUsersWithBrowsePermissionResponseOK>(options?: FindUsersWithBrowsePermissionRequest): Promise<FindUsersWithBrowsePermissionResponseOK | T>;
}
declare class UserPropertyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the keys of all properties for a user.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to access the property keys on any user.
   *  Access to Jira, to access the calling user's property keys.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-get
  * @param options Request options.
  */
    getPropertyKeys<T = GetUserPropertyKeysResponseOK>(options: GetUserPropertyKeysRequest): Promise<GetUserPropertyKeysResponseOK | T>;
    /**
  * Returns the value of a user's property.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to get a property from any user.
   *  Access to Jira, to get a property from the calling user's record.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-get
  * @param options Request options.
  */
    getProperty<T = GetUserPropertyResponseOK>(options: GetUserPropertyRequest): Promise<GetUserPropertyResponseOK | T>;
    /**
  * Sets the value of a user's property. Use this resource to store custom data against a user.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set a property on any user.
   *  Access to Jira, to set a property on the calling user's record.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-put
  * @param options Request options.
  */
    setProperty<T = SetUserPropertyResponseOK>(options: SetUserPropertyRequest): Promise<SetUserPropertyResponseOK | T>;
    /**
  * Deletes a property from a user.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to delete a property from any user.
   *  Access to Jira, to delete a property from the calling user's record.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-delete
  * @param options Request options.
  */
    deleteProperty<T = DeleteUserPropertyResponseOK>(options: DeleteUserPropertyRequest): Promise<DeleteUserPropertyResponseOK | T>;
}
declare class WorkflowGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Transition: WorkflowTransitionGroup;
    Status: WorkflowStatusGroup;
    Scheme: WorkflowSchemeGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates a workflow. You can define transition rules using the shapes detailed in the following sections. If no transitional rules are specified the default system transition rules are used. Note: This only applies to company-managed scoped workflows. Use [bulk create workflows](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflows/#api-rest-api-3-workflows-create-post) to create both team and company-managed scoped workflows.
  
  #### Conditions ####
  
  Conditions enable workflow rules that govern whether a transition can execute.
  
  ##### Always false condition #####
  
  A condition that always fails.
  
      {
         "type": "AlwaysFalseCondition"
       }
  
  ##### Block transition until approval #####
  
  A condition that blocks issue transition if there is a pending approval.
  
      {
         "type": "BlockInProgressApprovalCondition"
       }
  
  ##### Compare number custom field condition #####
  
  A condition that allows transition if a comparison between a number custom field and a value is true.
  
      {
         "type": "CompareNumberCFCondition",
         "configuration": {
           "comparator": "=",
           "fieldId": "customfield_10029",
           "fieldValue": 2
         }
       }
  
   *  `comparator` One of the supported comparator: `=`, `>`, and `<`.
   *  `fieldId` The custom numeric field ID. Allowed field types:
      
       *  `com.atlassian.jira.plugin.system.customfieldtypes:float`
       *  `com.pyxis.greenhopper.jira:jsw-story-points`
   *  `fieldValue` The value for comparison.
  
  ##### Hide from user condition #####
  
  A condition that hides a transition from users. The transition can only be triggered from a workflow function or REST API operation.
  
      {
         "type": "RemoteOnlyCondition"
       }
  
  ##### Only assignee condition #####
  
  A condition that allows only the assignee to execute a transition.
  
      {
         "type": "AllowOnlyAssignee"
       }
  
  ##### Only Bamboo notifications workflow condition (deprecated) #####
  
  A condition that makes the transition available only to Bamboo build notifications.
  
      {
         "type": "OnlyBambooNotificationsCondition"
       }
  
  ##### Only reporter condition #####
  
  A condition that allows only the reporter to execute a transition.
  
      {
         "type": "AllowOnlyReporter"
       }
  
  ##### Permission condition #####
  
  A condition that allows only users with a permission to execute a transition.
  
      {
         "type": "PermissionCondition",
         "configuration": {
             "permissionKey": "BROWSE_PROJECTS"
         }
       }
  
   *  `permissionKey` The permission required to perform the transition. Allowed values: [built-in](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#built-in-permissions) or app defined permissions.
  
  ##### Previous status condition #####
  
  A condition that allows a transition based on whether an issue has or has not transitioned through a status.
  
      {
         "type": "PreviousStatusCondition",
         "configuration": {
           "ignoreLoopTransitions": true,
           "includeCurrentStatus": true,
           "mostRecentStatusOnly": true,
           "reverseCondition": true,
           "previousStatus": {
             "id": "5"
           }
         }
       }
  
  By default this condition allows the transition if the status, as defined by its ID in the `previousStatus` object, matches any previous issue status, unless:
  
   *  `ignoreLoopTransitions` is `true`, then loop transitions (from and to the same status) are ignored.
   *  `includeCurrentStatus` is `true`, then the current issue status is also checked.
   *  `mostRecentStatusOnly` is `true`, then only the issue's preceding status (the one immediately before the current status) is checked.
   *  `reverseCondition` is `true`, then the status must not be present.
  
  ##### Separation of duties condition #####
  
  A condition that prevents a user to perform the transition, if the user has already performed a transition on the issue.
  
      {
         "type": "SeparationOfDutiesCondition",
         "configuration": {
           "fromStatus": {
             "id": "5"
           },
           "toStatus": {
             "id": "6"
           }
         }
       }
  
   *  `fromStatus` OPTIONAL. An object containing the ID of the source status of the transition that is blocked. If omitted any transition to `toStatus` is blocked.
   *  `toStatus` An object containing the ID of the target status of the transition that is blocked.
  
  ##### Subtask blocking condition #####
  
  A condition that blocks transition on a parent issue if any of its subtasks are in any of one or more statuses.
  
      {
         "type": "SubTaskBlockingCondition",
         "configuration": {
           "statuses": [
             {
               "id": "1"
             },
             {
               "id": "3"
             }
           ]
         }
       }
  
   *  `statuses` A list of objects containing status IDs.
  
  ##### User is in any group condition #####
  
  A condition that allows users belonging to any group from a list of groups to execute a transition.
  
      {
         "type": "UserInAnyGroupCondition",
         "configuration": {
           "groups": [
             "administrators",
             "atlassian-addons-admin"
           ]
         }
       }
  
   *  `groups` A list of group names.
  
  ##### User is in any project role condition #####
  
  A condition that allows only users with at least one project roles from a list of project roles to execute a transition.
  
      {
         "type": "InAnyProjectRoleCondition",
         "configuration": {
           "projectRoles": [
             {
               "id": "10002"
             },
             {
               "id": "10003"
             },
             {
               "id": "10012"
             },
             {
               "id": "10013"
             }
           ]
         }
       }
  
   *  `projectRoles` A list of objects containing project role IDs.
  
  ##### User is in custom field condition #####
  
  A condition that allows only users listed in a given custom field to execute the transition.
  
      {
         "type": "UserIsInCustomFieldCondition",
         "configuration": {
           "allowUserInField": false,
           "fieldId": "customfield_10010"
         }
       }
  
   *  `allowUserInField` If `true` only a user who is listed in `fieldId` can perform the transition, otherwise, only a user who is not listed in `fieldId` can perform the transition.
   *  `fieldId` The ID of the field containing the list of users.
  
  ##### User is in group condition #####
  
  A condition that allows users belonging to a group to execute a transition.
  
      {
         "type": "UserInGroupCondition",
         "configuration": {
           "group": "administrators"
         }
       }
  
   *  `group` The name of the group.
  
  ##### User is in group custom field condition #####
  
  A condition that allows users belonging to a group specified in a custom field to execute a transition.
  
      {
         "type": "InGroupCFCondition",
         "configuration": {
           "fieldId": "customfield_10012"
         }
       }
  
   *  `fieldId` The ID of the field. Allowed field types:
      
       *  `com.atlassian.jira.plugin.system.customfieldtypes:multigrouppicker`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:grouppicker`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:select`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:multiselect`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:radiobuttons`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:multicheckboxes`
       *  `com.pyxis.greenhopper.jira:gh-epic-status`
  
  ##### User is in project role condition #####
  
  A condition that allows users with a project role to execute a transition.
  
      {
         "type": "InProjectRoleCondition",
         "configuration": {
           "projectRole": {
             "id": "10002"
           }
         }
       }
  
   *  `projectRole` An object containing the ID of a project role.
  
  ##### Value field condition #####
  
  A conditions that allows a transition to execute if the value of a field is equal to a constant value or simply set.
  
      {
         "type": "ValueFieldCondition",
         "configuration": {
           "fieldId": "assignee",
           "fieldValue": "qm:6e1ecee6-8e64-4db6-8c85-916bb3275f51:54b56885-2bd2-4381-8239-78263442520f",
           "comparisonType": "NUMBER",
           "comparator": "="
         }
       }
  
   *  `fieldId` The ID of a field used in the comparison.
   *  `fieldValue` The expected value of the field.
   *  `comparisonType` The type of the comparison. Allowed values: `STRING`, `NUMBER`, `DATE`, `DATE_WITHOUT_TIME`, or `OPTIONID`.
   *  `comparator` One of the supported comparator: `>`, `>=`, `=`, `<=`, `<`, `!=`.
  
  **Notes:**
  
   *  If you choose the comparison type `STRING`, only `=` and `!=` are valid options.
   *  You may leave `fieldValue` empty when comparison type is `!=` to indicate that a value is required in the field.
   *  For date fields without time format values as `yyyy-MM-dd`, and for those with time as `yyyy-MM-dd HH:mm`. For example, for July 16 2021 use `2021-07-16`, for 8:05 AM use `2021-07-16 08:05`, and for 4 PM: `2021-07-16 16:00`.
  
  #### Validators ####
  
  Validators check that any input made to the transition is valid before the transition is performed.
  
  ##### Date field validator #####
  
  A validator that compares two dates.
  
      {
         "type": "DateFieldValidator",
         "configuration": {
             "comparator": ">",
             "date1": "updated",
             "date2": "created",
             "expression": "1d",
             "includeTime": true
           }
       }
  
   *  `comparator` One of the supported comparator: `>`, `>=`, `=`, `<=`, `<`, or `!=`.
   *  `date1` The date field to validate. Allowed field types:
      
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datepicker`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datetime`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-end`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-start`
       *  `duedate`
       *  `created`
       *  `updated`
       *  `resolutiondate`
   *  `date2` The second date field. Required, if `expression` is not passed. Allowed field types:
      
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datepicker`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datetime`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-end`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-start`
       *  `duedate`
       *  `created`
       *  `updated`
       *  `resolutiondate`
   *  `expression` An expression specifying an offset. Required, if `date2` is not passed. Offsets are built with a number, with `-` as prefix for the past, and one of these time units: `d` for day, `w` for week, `m` for month, or `y` for year. For example, -2d means two days into the past and 1w means one week into the future. The `now` keyword enables a comparison with the current date.
   *  `includeTime` If `true`, then the time part of the data is included for the comparison. If the field doesn't have a time part, 00:00:00 is used.
  
  ##### Windows date validator #####
  
  A validator that checks that a date falls on or after a reference date and before or on the reference date plus a number of days.
  
      {
         "type": "WindowsDateValidator",
         "configuration": {
             "date1": "customfield_10009",
             "date2": "created",
             "windowsDays": 5
           }
       }
  
   *  `date1` The date field to validate. Allowed field types:
      
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datepicker`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datetime`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-end`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-start`
       *  `duedate`
       *  `created`
       *  `updated`
       *  `resolutiondate`
   *  `date2` The reference date. Allowed field types:
      
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datepicker`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:datetime`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-end`
       *  `com.atlassian.jpo:jpo-custom-field-baseline-start`
       *  `duedate`
       *  `created`
       *  `updated`
       *  `resolutiondate`
   *  `windowsDays` A positive integer indicating a number of days.
  
  ##### Field required validator #####
  
  A validator that checks fields are not empty. By default, if a field is not included in the current context it's ignored and not validated.
  
      {
           "type": "FieldRequiredValidator",
           "configuration": {
               "ignoreContext": true,
               "errorMessage": "Hey",
               "fieldIds": [
                   "versions",
                   "customfield_10037",
                   "customfield_10003"
               ]
           }
       }
  
   *  `ignoreContext` If `true`, then the context is ignored and all the fields are validated.
   *  `errorMessage` OPTIONAL. The error message displayed when one or more fields are empty. A default error message is shown if an error message is not provided.
   *  `fieldIds` The list of fields to validate.
  
  ##### Field changed validator #####
  
  A validator that checks that a field value is changed. However, this validation can be ignored for users from a list of groups.
  
      {
           "type": "FieldChangedValidator",
           "configuration": {
               "fieldId": "comment",
               "errorMessage": "Hey",
               "exemptedGroups": [
                   "administrators",
                   "atlassian-addons-admin"
               ]
           }
       }
  
   *  `fieldId` The ID of a field.
   *  `errorMessage` OPTIONAL. The error message displayed if the field is not changed. A default error message is shown if the error message is not provided.
   *  `exemptedGroups` OPTIONAL. The list of groups.
  
  ##### Field has single value validator #####
  
  A validator that checks that a multi-select field has only one value. Optionally, the validation can ignore values copied from subtasks.
  
      {
           "type": "FieldHasSingleValueValidator",
           "configuration": {
               "fieldId": "attachment,
               "excludeSubtasks": true
           }
       }
  
   *  `fieldId` The ID of a field.
   *  `excludeSubtasks` If `true`, then values copied from subtasks are ignored.
  
  ##### Parent status validator #####
  
  A validator that checks the status of the parent issue of a subtask. Ìf the issue is not a subtask, no validation is performed.
  
      {
           "type": "ParentStatusValidator",
           "configuration": {
               "parentStatuses": [
                   {
                     "id":"1"
                   },
                   {
                     "id":"2"
                   }
               ]
           }
       }
  
   *  `parentStatus` The list of required parent issue statuses.
  
  ##### Permission validator #####
  
  A validator that checks the user has a permission.
  
      {
         "type": "PermissionValidator",
         "configuration": {
             "permissionKey": "ADMINISTER_PROJECTS"
         }
       }
  
   *  `permissionKey` The permission required to perform the transition. Allowed values: [built-in](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#built-in-permissions) or app defined permissions.
  
  ##### Previous status validator #####
  
  A validator that checks if the issue has held a status.
  
      {
         "type": "PreviousStatusValidator",
         "configuration": {
             "mostRecentStatusOnly": false,
             "previousStatus": {
                 "id": "15"
             }
         }
       }
  
   *  `mostRecentStatusOnly` If `true`, then only the issue's preceding status (the one immediately before the current status) is checked.
   *  `previousStatus` An object containing the ID of an issue status.
  
  ##### Regular expression validator #####
  
  A validator that checks the content of a field against a regular expression.
  
      {
         "type": "RegexpFieldValidator",
         "configuration": {
             "regExp": "[0-9]",
             "fieldId": "customfield_10029"
         }
       }
  
   *  `regExp`A regular expression.
   *  `fieldId` The ID of a field. Allowed field types:
      
       *  `com.atlassian.jira.plugin.system.customfieldtypes:select`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:multiselect`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:radiobuttons`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:multicheckboxes`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:textarea`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:textfield`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:url`
       *  `com.atlassian.jira.plugin.system.customfieldtypes:float`
       *  `com.pyxis.greenhopper.jira:jsw-story-points`
       *  `com.pyxis.greenhopper.jira:gh-epic-status`
       *  `description`
       *  `summary`
  
  ##### User permission validator #####
  
  A validator that checks if a user has a permission. Obsolete. You may encounter this validator when getting transition rules and can pass it when updating or creating rules, for example, when you want to duplicate the rules from a workflow on a new workflow.
  
      {
           "type": "UserPermissionValidator",
           "configuration": {
               "permissionKey": "BROWSE_PROJECTS",
               "nullAllowed": false,
               "username": "TestUser"
           }
       }
  
   *  `permissionKey` The permission to be validated. Allowed values: [built-in](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#built-in-permissions) or app defined permissions.
   *  `nullAllowed` If `true`, allows the transition when `username` is empty.
   *  `username` The username to validate against the `permissionKey`.
  
  #### Post functions ####
  
  Post functions carry out any additional processing required after a Jira workflow transition is executed.
  
  ##### Fire issue event function #####
  
  A post function that fires an event that is processed by the listeners.
  
      {
         "type": "FireIssueEventFunction",
         "configuration": {
           "event": {
             "id":"1"
           }
         }
       }
  
  **Note:** If provided, this post function overrides the default `FireIssueEventFunction`. Can be included once in a transition.
  
   *  `event` An object containing the ID of the issue event.
  
  ##### Update issue status #####
  
  A post function that sets issue status to the linked status of the destination workflow status.
  
      {
         "type": "UpdateIssueStatusFunction"
       }
  
  **Note:** This post function is a default function in global and directed transitions. It can only be added to the initial transition and can only be added once.
  
  ##### Create comment #####
  
  A post function that adds a comment entered during the transition to an issue.
  
      {
         "type": "CreateCommentFunction"
       }
  
  **Note:** This post function is a default function in global and directed transitions. It can only be added to the initial transition and can only be added once.
  
  ##### Store issue #####
  
  A post function that stores updates to an issue.
  
      {
         "type": "IssueStoreFunction"
       }
  
  **Note:** This post function can only be added to the initial transition and can only be added once.
  
  ##### Assign to current user function #####
  
  A post function that assigns the issue to the current user if the current user has the `ASSIGNABLE_USER` permission.
  
      {
           "type": "AssignToCurrentUserFunction"
       }
  
  **Note:** This post function can be included once in a transition.
  
  ##### Assign to lead function #####
  
  A post function that assigns the issue to the project or component lead developer.
  
      {
           "type": "AssignToLeadFunction"
       }
  
  **Note:** This post function can be included once in a transition.
  
  ##### Assign to reporter function #####
  
  A post function that assigns the issue to the reporter.
  
      {
           "type": "AssignToReporterFunction"
       }
  
  **Note:** This post function can be included once in a transition.
  
  ##### Clear field value function #####
  
  A post function that clears the value from a field.
  
      {
         "type": "ClearFieldValuePostFunction",
         "configuration": {
           "fieldId": "assignee"
         }
       }
  
   *  `fieldId` The ID of the field.
  
  ##### Copy value from other field function #####
  
  A post function that copies the value of one field to another, either within an issue or from parent to subtask.
  
      {
         "type": "CopyValueFromOtherFieldPostFunction",
         "configuration": {
           "sourceFieldId": "assignee",
           "destinationFieldId": "creator",
           "copyType": "same"
         }
       }
  
   *  `sourceFieldId` The ID of the source field.
   *  `destinationFieldId` The ID of the destination field.
   *  `copyType` Use `same` to copy the value from a field inside the issue, or `parent` to copy the value from the parent issue.
  
  ##### Create Crucible review workflow function (deprecated) #####
  
  A post function that creates a Crucible review for all unreviewed code for the issue.
  
      {
           "type": "CreateCrucibleReviewWorkflowFunction"
       }
  
  **Note:** This post function can be included once in a transition.
  
  ##### Set issue security level based on user's project role function #####
  
  A post function that sets the issue's security level if the current user has a project role.
  
      {
         "type": "SetIssueSecurityFromRoleFunction",
         "configuration": {
           "projectRole": {
               "id":"10002"
           },
           "issueSecurityLevel": {
               "id":"10000"
           }
         }
       }
  
   *  `projectRole` An object containing the ID of the project role.
   *  `issueSecurityLevel` OPTIONAL. The object containing the ID of the security level. If not passed, then the security level is set to `none`.
  
  ##### Trigger a webhook function #####
  
  A post function that triggers a webhook.
  
      {
         "type": "TriggerWebhookFunction",
         "configuration": {
           "webhook": {
             "id": "1"
           }
         }
       }
  
   *  `webhook` An object containing the ID of the webhook listener to trigger.
  
  ##### Update issue custom field function #####
  
  A post function that updates the content of an issue custom field.
  
      {
         "type": "UpdateIssueCustomFieldPostFunction",
         "configuration": {
           "mode": "append",
           "fieldId": "customfield_10003",
           "fieldValue": "yikes"
         }
       }
  
   *  `mode` Use `replace` to override the field content with `fieldValue` or `append` to add `fieldValue` to the end of the field content.
   *  `fieldId` The ID of the field.
   *  `fieldValue` The update content.
  
  ##### Update issue field function #####
  
  A post function that updates a simple issue field.
  
      {
         "type": "UpdateIssueFieldFunction",
         "configuration": {
           "fieldId": "assignee",
           "fieldValue": "5f0c277e70b8a90025a00776"
         }
       }
  
   *  `fieldId` The ID of the field. Allowed field types:
      
       *  `assignee`
       *  `description`
       *  `environment`
       *  `priority`
       *  `resolution`
       *  `summary`
       *  `timeoriginalestimate`
       *  `timeestimate`
       *  `timespent`
   *  `fieldValue` The update value.
   *  If the `fieldId` is `assignee`, the `fieldValue` should be one of these values:
      
       *  an account ID.
       *  `automatic`.
       *  a blank string, which sets the value to `unassigned`.
  
  #### Connect rules ####
  
  Connect rules are conditions, validators, and post functions of a transition that are registered by Connect apps. To create a rule registered by the app, the app must be enabled and the rule's module must exist.
  
      {
         "type": "appKey__moduleKey",
         "configuration": {
           "value":"{\"isValid\":\"true\"}"
         }
       }
  
   *  `type` A Connect rule key in a form of `appKey__moduleKey`.
   *  `value` The stringified JSON configuration of a Connect rule.
  
  #### Forge rules ####
  
  Forge transition rules are not yet supported.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflows/#api-rest-api-3-workflow-post
  * @param options Request options.
  */
    createWorkflow<T = CreateWorkflowResponseOK>(options: CreateWorkflowRequest): Promise<CreateWorkflowResponseOK | T>;
    /**
  * Deletes a workflow.
  
  The workflow cannot be deleted if it is:
  
   *  an active workflow.
   *  a system workflow.
   *  associated with any workflow scheme.
   *  associated with any draft workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflows/#api-rest-api-3-workflow-entityid-delete
  * @param options Request options.
  */
    deleteWorkflow<T = DeleteWorkflowResponseOK>(options: DeleteWorkflowRequest): Promise<DeleteWorkflowResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of published classic workflows. When workflow names are specified, details of those workflows are returned. Otherwise, all published classic workflows are returned.
  
  This operation does not return next-gen workflows.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflows/#api-rest-api-3-workflow-search-get
  * @param options Request options.
  */
    getWorkflows<T = GetWorkflowsResponseOK>(options?: GetWorkflowsRequest): Promise<GetWorkflowsResponseOK | T>;
}
declare class WorkflowTransitionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Property: WorkflowTransitionPropertyGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class WorkflowTransitionPropertyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the properties on a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-properties/#api-rest-api-3-workflow-transitions-transitionid-properties-get
  * @param options Request options.
  */
    getProperties<T = GetWorkflowTransitionPropertiesResponseOK>(options: GetWorkflowTransitionPropertiesRequest): Promise<GetWorkflowTransitionPropertiesResponseOK | T>;
    /**
  * Updates a workflow transition by changing the property value. Trying to update a property that does not exist results in a new property being added to the transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-properties/#api-rest-api-3-workflow-transitions-transitionid-properties-put
  * @param options Request options.
  */
    updateProperty<T = UpdateWorkflowTransitionPropertyResponseOK>(options: UpdateWorkflowTransitionPropertyRequest): Promise<UpdateWorkflowTransitionPropertyResponseOK | T>;
    /**
  * Adds a property to a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-properties/#api-rest-api-3-workflow-transitions-transitionid-properties-post
  * @param options Request options.
  */
    createProperty<T = CreateWorkflowTransitionPropertyResponseOK>(options: CreateWorkflowTransitionPropertyRequest): Promise<CreateWorkflowTransitionPropertyResponseOK | T>;
    /**
  * Deletes a property from a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-properties/#api-rest-api-3-workflow-transitions-transitionid-properties-delete
  * @param options Request options.
  */
    deleteProperty<T = DeleteWorkflowTransitionPropertyResponseOK>(options: DeleteWorkflowTransitionPropertyRequest): Promise<DeleteWorkflowTransitionPropertyResponseOK | T>;
}
declare class WorkflowStatusGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Category: WorkflowStatusCategoryGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a list of all statuses associated with active workflows.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-statuses/#api-rest-api-3-status-get
  * @param options Request options.
  */
    getStatuses<T = GetWorkflowStatusesResponseOK>(options?: GetWorkflowStatusesRequest): Promise<GetWorkflowStatusesResponseOK | T>;
    /**
  * Returns a status. The status must be associated with an active workflow to be returned.
  
  If a name is used on more than one status, only the status found first is returned. Therefore, identifying the status by its ID may be preferable.
  
  This operation can be accessed anonymously.
  
  [Permissions](#permissions) required: None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-statuses/#api-rest-api-3-status-idorname-get
  * @param options Request options.
  */
    getStatus<T = GetWorkflowStatusResponseOK>(options: GetWorkflowStatusRequest): Promise<GetWorkflowStatusResponseOK | T>;
}
declare class WorkflowStatusCategoryGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a list of all status categories.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-get
  * @param options Request options.
  */
    getCategories<T = GetWorkflowStatusCategoriesResponseOK>(options?: GetWorkflowStatusCategoriesRequest): Promise<GetWorkflowStatusCategoriesResponseOK | T>;
    /**
  * Returns a status category. Status categories provided a mechanism for categorizing [statuses](#api-rest-api-3-status-idOrName-get).
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-idorkey-get
  * @param options Request options.
  */
    getCategory<T = GetWorkflowStatusCategoryResponseOK>(options: GetWorkflowStatusCategoryRequest): Promise<GetWorkflowStatusCategoryResponseOK | T>;
}
declare class WorkflowSchemeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Project: WorkflowSchemeProjectGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a [paginated](#pagination) list of all workflow schemes, not including draft workflow schemes.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-get
  * @param options Request options.
  */
    getSchemes<T = GetWorkflowSchemesResponseOK>(options?: GetWorkflowSchemesRequest): Promise<GetWorkflowSchemesResponseOK | T>;
    /**
  * Creates a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-post
  * @param options Request options.
  */
    createScheme<T = CreateWorkflowSchemeResponseOK>(options: CreateWorkflowSchemeRequest): Promise<CreateWorkflowSchemeResponseOK | T>;
    /**
  * Returns a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-get
  * @param options Request options.
  */
    getScheme<T = GetWorkflowSchemeResponseOK>(options: GetWorkflowSchemeRequest): Promise<GetWorkflowSchemeResponseOK | T>;
    /**
  * Updates a company-manged project workflow scheme, including the name, default workflow, issue type to project mappings, and more. If the workflow scheme is active (that is, being used by at least one project), then a draft workflow scheme is created or updated instead, provided that `updateDraftIfNeeded` is set to `true`.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-put
  * @param options Request options.
  */
    updateScheme<T = UpdateWorkflowSchemeResponseOK>(options: UpdateWorkflowSchemeRequest): Promise<UpdateWorkflowSchemeResponseOK | T>;
    /**
  * Deletes a workflow scheme. Note that a workflow scheme cannot be deleted if it is active (that is, being used by at least one project).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-delete
  * @param options Request options.
  */
    deleteScheme<T = DeleteWorkflowSchemeResponseOK>(options: DeleteWorkflowSchemeRequest): Promise<DeleteWorkflowSchemeResponseOK | T>;
    /**
  * Returns the issue type-workflow mapping for an issue type in a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-issuetype-issuetype-get
  * @param options Request options.
  */
    getWorkflowForIssueType<T = GetWorkflowForIssueTypeInWorkflowSchemeResponseOK>(options: GetWorkflowForIssueTypeInWorkflowSchemeRequest): Promise<GetWorkflowForIssueTypeInWorkflowSchemeResponseOK | T>;
    /**
  * Sets the workflow for an issue type in a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request body and a draft workflow scheme is created or updated with the new issue type-workflow mapping. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-issuetype-issuetype-put
  * @param options Request options.
  */
    setWorkflowForIssueType<T = SetWorkflowForIssueTypeInWorkflowSchemeResponseOK>(options: SetWorkflowForIssueTypeInWorkflowSchemeRequest): Promise<SetWorkflowForIssueTypeInWorkflowSchemeResponseOK | T>;
    /**
  * Deletes the issue type-workflow mapping for an issue type in a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the issue type-workflow mapping deleted. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-issuetype-issuetype-delete
  * @param options Request options.
  */
    deleteWorkflowForIssueType<T = DeleteWorkflowForIssueTypeInWorkflowSchemeResponseOK>(options: DeleteWorkflowForIssueTypeInWorkflowSchemeRequest): Promise<DeleteWorkflowForIssueTypeInWorkflowSchemeResponseOK | T>;
    /**
  * Returns the workflow-issue type mappings for a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-workflow-get
  * @param options Request options.
  */
    getIssueTypesForWorkflow<T = GetIssueTypesForWorkflowInWorkflowSchemeResponseOK>(options: GetIssueTypesForWorkflowInWorkflowSchemeRequest): Promise<GetIssueTypesForWorkflowInWorkflowSchemeResponseOK | T>;
    /**
  * Sets the issue types for a workflow in a workflow scheme. The workflow can also be set as the default workflow for the workflow scheme. Unmapped issues types are mapped to the default workflow.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request body and a draft workflow scheme is created or updated with the new workflow-issue types mappings. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-workflow-put
  * @param options Request options.
  */
    setIssueTypesForWorkflow<T = SetIssueTypesForWorkflowInWorkflowSchemeResponseOK>(options: SetIssueTypesForWorkflowInWorkflowSchemeRequest): Promise<SetIssueTypesForWorkflowInWorkflowSchemeResponseOK | T>;
    /**
  * Deletes the workflow-issue type mapping for a workflow in a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the workflow-issue type mapping deleted. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-workflow-delete
  * @param options Request options.
  */
    deleteIssueTypesForWorkflow<T = DeleteIssueTypesForWorkflowInWorkflowSchemeResponseOK>(options: DeleteIssueTypesForWorkflowInWorkflowSchemeRequest): Promise<DeleteIssueTypesForWorkflowInWorkflowSchemeResponseOK | T>;
    /**
  * Returns the default workflow for a workflow scheme. The default workflow is the workflow that is assigned any issue types that have not been mapped to any other workflow. The default workflow has *All Unassigned Issue Types* listed in its issue types for the workflow scheme in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-default-get
  * @param options Request options.
  */
    getDefaultWorkflow<T = GetDefaultWorkflowForWorkflowSchemeResponseOK>(options: GetDefaultWorkflowForWorkflowSchemeRequest): Promise<GetDefaultWorkflowForWorkflowSchemeResponseOK | T>;
    /**
  * Sets the default workflow for a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request object and a draft workflow scheme is created or updated with the new default workflow. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-default-put
  * @param options Request options.
  */
    updateDefaultWorkflow<T = UpdateDefaultWorkflowForWorkflowSchemeResponseOK>(options: UpdateDefaultWorkflowForWorkflowSchemeRequest): Promise<UpdateDefaultWorkflowForWorkflowSchemeResponseOK | T>;
    /**
  * Resets the default workflow for a workflow scheme. That is, the default workflow is set to Jira's system workflow (the *jira* workflow).
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the default workflow reset. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-default-delete
  * @param options Request options.
  */
    deleteDefaultWorkflow<T = DeleteDefaultWorkflowForWorkflowSchemeResponseOK>(options: DeleteDefaultWorkflowForWorkflowSchemeRequest): Promise<DeleteDefaultWorkflowForWorkflowSchemeResponseOK | T>;
}
declare class WorkflowSchemeProjectGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a list of the workflow schemes associated with a list of projects. Each returned workflow scheme includes a list of the requested projects associated with it. Any team-managed or non-existent projects in the request are ignored and no errors are returned.
  
  If the project is associated with the `Default Workflow Scheme` no ID is returned. This is because the way the `Default Workflow Scheme` is stored means it has no ID.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-scheme-project-associations/#api-rest-api-3-workflowscheme-project-get
  * @param options Request options.
  */
    getProjectAssociations<T = GetWorkflowSchemeProjectAssociationsResponseOK>(options: GetWorkflowSchemeProjectAssociationsRequest): Promise<GetWorkflowSchemeProjectAssociationsResponseOK | T>;
    /**
  * Assigns a workflow scheme to a project. This operation is performed only when there are no issues in the project.
  
  Workflow schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-scheme-project-associations/#api-rest-api-3-workflowscheme-project-put
  * @param options Request options.
  */
    assignWorkflow<T = AssignWorkflowSchemeToProjectResponseOK>(options: AssignWorkflowSchemeToProjectRequest): Promise<AssignWorkflowSchemeToProjectResponseOK | T>;
}
declare class DashboardGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Property: DashboardPropertyGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a list of dashboards owned by or shared with the user. The list may be filtered to include only favorite or owned dashboards.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-get
  * @param options Request options.
  */
    getDashboards<T = GetDashboardsResponseOK>(options?: GetDashboardsRequest): Promise<GetDashboardsResponseOK | T>;
    /**
  * Creates a dashboard.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-post
  * @param options Request options.
  */
    createDashboard<T = CreateDashboardResponseOK>(options: CreateDashboardRequest): Promise<CreateDashboardResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of dashboards. This operation is similar to [Get dashboards](#api-rest-api-3-dashboard-get) except that the results can be refined to include dashboards that have specific attributes. For example, dashboards with a particular name. When multiple attributes are specified only filters matching all attributes are returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The following dashboards that match the query parameters are returned:
  
   *  Dashboards owned by the user. Not returned for anonymous users.
   *  Dashboards shared with a group that the user is a member of. Not returned for anonymous users.
   *  Dashboards shared with a private project that the user can browse. Not returned for anonymous users.
   *  Dashboards shared with a public project.
   *  Dashboards shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-search-get
  * @param options Request options.
  */
    searchDashboards<T = SearchDashboardsResponseOK>(options?: SearchDashboardsRequest): Promise<SearchDashboardsResponseOK | T>;
    /**
  * Returns a dashboard.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  
  However, to get a dashboard, the dashboard must be shared with the user or the user must own it. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-get
  * @param options Request options.
  */
    getDashboard<T = GetDashboardResponseOK>(options: GetDashboardRequest): Promise<GetDashboardResponseOK | T>;
    /**
  * Updates a dashboard, replacing all the dashboard details with those provided.
  
  **[Permissions](#permissions) required:** None
  
  The dashboard to be updated must be owned by the user.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-put
  * @param options Request options.
  */
    updateDashboard<T = UpdateDashboardResponseOK>(options: UpdateDashboardRequest): Promise<UpdateDashboardResponseOK | T>;
    /**
  * Deletes a dashboard.
  
  **[Permissions](#permissions) required:** None
  
  The dashboard to be deleted must be owned by the user.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-delete
  * @param options Request options.
  */
    deleteDashboard<T = DeleteDashboardResponseOK>(options: DeleteDashboardRequest): Promise<DeleteDashboardResponseOK | T>;
    /**
  * Copies a dashboard. Any values provided in the `dashboard` parameter replace those in the copied dashboard.
  
  **[Permissions](#permissions) required:** None
  
  The dashboard to be copied must be owned by or shared with the user.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-copy-post
  * @param options Request options.
  */
    copyDashboard<T = CopyDashboardResponseOK>(options: CopyDashboardRequest): Promise<CopyDashboardResponseOK | T>;
}
declare class DashboardPropertyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the keys of all properties for a dashboard item.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard or have the dashboard shared with them. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users, and is accessible to anonymous users when Jira\\u2019s anonymous access is permitted.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-get
  * @param options Request options.
  */
    getPropertyKeys<T = GetDashboardItemPropertyKeysResponseOK>(options: GetDashboardItemPropertyKeysRequest): Promise<GetDashboardItemPropertyKeysResponseOK | T>;
    /**
  * Returns the key and value of a dashboard item property.
  
  A dashboard item enables an app to add user-specific information to a user dashboard. Dashboard items are exposed to users as gadgets that users can add to their dashboards. For more information on how users do this, see [Adding and customizing gadgets](https://confluence.atlassian.com/x/7AeiLQ).
  
  When an app creates a dashboard item it registers a callback to receive the dashboard item ID. The callback fires whenever the item is rendered or, where the item is configurable, the user edits the item. The app then uses this resource to store the item's content or configuration details. For more information on working with dashboard items, see [ Building a dashboard item for a JIRA Connect add-on](https://developer.atlassian.com/server/jira/platform/guide-building-a-dashboard-item-for-a-jira-connect-add-on-33746254/) and the [Dashboard Item](https://developer.atlassian.com/cloud/jira/platform/modules/dashboard-item/) documentation.
  
  There is no resource to set or get dashboard items.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard or have the dashboard shared with them. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users, and is accessible to anonymous users when Jira\\u2019s anonymous access is permitted.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-get
  * @param options Request options.
  */
    getProperty<T = GetDashboardItemPropertyResponseOK>(options: GetDashboardItemPropertyRequest): Promise<GetDashboardItemPropertyResponseOK | T>;
    /**
  * Sets the value of a dashboard item property. Use this resource in apps to store custom data against a dashboard item.
  
  A dashboard item enables an app to add user-specific information to a user dashboard. Dashboard items are exposed to users as gadgets that users can add to their dashboards. For more information on how users do this, see [Adding and customizing gadgets](https://confluence.atlassian.com/x/7AeiLQ).
  
  When an app creates a dashboard item it registers a callback to receive the dashboard item ID. The callback fires whenever the item is rendered or, where the item is configurable, the user edits the item. The app then uses this resource to store the item's content or configuration details. For more information on working with dashboard items, see [ Building a dashboard item for a JIRA Connect add-on](https://developer.atlassian.com/server/jira/platform/guide-building-a-dashboard-item-for-a-jira-connect-add-on-33746254/) and the [Dashboard Item](https://developer.atlassian.com/cloud/jira/platform/modules/dashboard-item/) documentation.
  
  There is no resource to set or get dashboard items.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-put
  * @param options Request options.
  */
    setProperty<T = SetDashboardItemPropertyResponseOK>(options: SetDashboardItemPropertyRequest): Promise<SetDashboardItemPropertyResponseOK | T>;
    /**
  * Deletes a dashboard item property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-delete
  * @param options Request options.
  */
    deleteProperty<T = DeleteDashboardItemPropertyResponseOK>(options: DeleteDashboardItemPropertyRequest): Promise<DeleteDashboardItemPropertyResponseOK | T>;
}
declare class ApplicationGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Role: ApplicationRoleGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class ApplicationRoleGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all application roles. In Jira, application roles are managed using the [Application access configuration](https://confluence.atlassian.com/x/3YxjL) page.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-application-roles/#api-rest-api-3-applicationrole-get
  * @param options Request options.
  */
    getRoles<T = GetApplicationRolesResponseOK>(options?: GetApplicationRolesRequest): Promise<GetApplicationRolesResponseOK | T>;
    /**
  * Returns an application role.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-application-roles/#api-rest-api-3-applicationrole-key-get
  * @param options Request options.
  */
    getRole<T = GetApplicationRoleResponseOK>(options: GetApplicationRoleRequest): Promise<GetApplicationRoleResponseOK | T>;
}
declare class InstanceGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Changes the value of an application property. For example, you can change the value of the `jira.clone.prefix` from its default value of *CLONE -* to *Clone -* if you prefer sentence case capitalization. Editable properties are described below along with their default values.
  
  #### Advanced settings ####
  
  The advanced settings below are also accessible in [Jira](https://confluence.atlassian.com/x/vYXKM).
  
  | Key | Description | Default value |
  | -- | -- | -- |
  | `jira.clone.prefix` | The string of text prefixed to the title of a cloned issue. | `CLONE -` |
  | `jira.date.picker.java.format` | The date format for the Java (server-side) generated dates. This must be the same as the `jira.date.picker.javascript.format` format setting. | `d/MMM/yy` |
  | `jira.date.picker.javascript.format` | The date format for the JavaScript (client-side) generated dates. This must be the same as the `jira.date.picker.java.format` format setting. | `%e/%b/%y` |
  | `jira.date.time.picker.java.format` | The date format for the Java (server-side) generated date times. This must be the same as the `jira.date.time.picker.javascript.format` format setting. | `dd/MMM/yy h:mm a` |
  | `jira.date.time.picker.javascript.format` | The date format for the JavaScript (client-side) generated date times. This must be the same as the `jira.date.time.picker.java.format` format setting. | `%e/%b/%y %I:%M %p` |
  | `jira.issue.actions.order` | The default order of actions (such as *Comments* or *Change history*) displayed on the issue view. | `asc` |
  | `jira.view.issue.links.sort.order` | The sort order of the list of issue links on the issue view. | `type, status, priority` |
  | `jira.comment.collapsing.minimum.hidden` | The minimum number of comments required for comment collapsing to occur. A value of `0` disables comment collapsing. | `4` |
  | `jira.newsletter.tip.delay.days` | The number of days before a prompt to sign up to the Jira Insiders newsletter is shown. A value of `-1` disables this feature. | `7` |
  
  
  #### Look and feel ####
  
  The settings listed below adjust the [look and feel](https://confluence.atlassian.com/x/VwCLLg).
  
  | Key | Description | Default value |
  | -- | -- | -- |
  | `jira.lf.date.time` | The [ time format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `h:mm a` |
  | `jira.lf.date.day` | The [ day format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `EEEE h:mm a` |
  | `jira.lf.date.complete` | The [ date and time format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `dd/MMM/yy h:mm a` |
  | `jira.lf.date.dmy` | The [ date format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `dd/MMM/yy` |
  | `jira.date.time.picker.use.iso8061` | When enabled, sets Monday as the first day of the week in the date picker, as specified by the ISO8601 standard. | `false` |
  | `jira.lf.logo.url` | The URL of the logo image file. | `/images/icon-jira-logo.png` |
  | `jira.lf.logo.show.application.title` | Controls the visibility of the application title on the sidebar. | `false` |
  | `jira.lf.favicon.url` | The URL of the favicon. | `/favicon.ico` |
  | `jira.lf.favicon.hires.url` | The URL of the high-resolution favicon. | `/images/64jira.png` |
  | `jira.lf.navigation.bgcolour` | The background color of the sidebar. | `#0747A6` |
  | `jira.lf.navigation.highlightcolour` | The color of the text and logo of the sidebar. | `#DEEBFF` |
  | `jira.lf.hero.button.base.bg.colour` | The background color of the hero button. | `#3b7fc4` |
  | `jira.title` | The text for the application title. The application title can also be set in *General settings*. | `Jira` |
  | `jira.option.globalsharing` | Whether filters and dashboards can be shared with anyone signed into Jira. | `true` |
  | `xflow.product.suggestions.enabled` | Whether to expose product suggestions for other Atlassian products within Jira. | `true` |
  
  
  #### Other settings ####
  
  | Key | Description | Default value |
  | -- | -- | -- |
  | `jira.issuenav.criteria.autoupdate` | Whether instant updates to search criteria is active. | `true` |
  
  
  *Note: Be careful when changing [application properties and advanced settings](https://confluence.atlassian.com/x/vYXKM).*
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jira-settings/#api-rest-api-3-application-properties-id-put
  * @param options Request options.
  */
    setApplicationProperty<T = SetApplicationPropertyResponseOK>(options: SetApplicationPropertyRequest): Promise<SetApplicationPropertyResponseOK | T>;
    /**
  * Returns all application properties or an application property.
  
  If you specify a value for the `key` parameter, then an application property is returned as an object (not in an array). Otherwise, an array of all editable application properties is returned. See [Set application property](#api-rest-api-3-application-properties-id-put) for descriptions of editable properties.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jira-settings/#api-rest-api-3-application-properties-get
  * @param options Request options.
  */
    getApplicationProperty<T = GetApplicationPropertyResponseOK>(options?: GetApplicationPropertyRequest): Promise<GetApplicationPropertyResponseOK | T>;
    /**
  * Returns the application properties that are accessible on the *Advanced Settings* page. To navigate to the *Advanced Settings* page in Jira, choose the Jira icon > **Jira settings** > **System**, **General Configuration** and then click **Advanced Settings** (in the upper right).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jira-settings/#api-rest-api-3-application-properties-advanced-settings-get
  * @param options Request options.
  */
    getAdvancedSettings<T = GetAdvancedSettingsResponseOK>(options?: GetAdvancedSettingsRequest): Promise<GetAdvancedSettingsResponseOK | T>;
    /**
  * Returns the attachment settings, that is, whether attachments are enabled and the maximum attachment size allowed.
  
  Note that there are also [project permissions](https://confluence.atlassian.com/x/yodKLg) that restrict whether users can create and delete attachments.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-attachments/#api-rest-api-3-attachment-meta-get
  * @param options Request options.
  */
    getAttachmentSettings<T = GetJiraAttachmentSettingsResponseOK>(options?: GetJiraAttachmentSettingsRequest): Promise<GetJiraAttachmentSettingsResponseOK | T>;
    /**
  * Returns the [global settings](https://confluence.atlassian.com/x/qYXKM) in Jira. These settings determine whether optional features (for example, subtasks, time tracking, and others) are enabled. If time tracking is enabled, this operation also returns the time tracking configuration.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jira-settings/#api-rest-api-3-configuration-get
  * @param options Request options.
  */
    getGlobalSettings<T = GetGlobalSettingsResponseOK>(options?: GetGlobalSettingsRequest): Promise<GetGlobalSettingsResponseOK | T>;
    /**
  * Returns information about the Jira instance.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-server-info/#api-rest-api-3-serverinfo-get
  * @param options Request options.
  */
    getInfo<T = GetJiraInstanceInfoResponseOK>(options?: GetJiraInstanceInfoRequest): Promise<GetJiraInstanceInfoResponseOK | T>;
    /**
  * Returns licensing information about the Jira instance.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-instance-information/#api-rest-api-3-instance-license-get
  * @param options Request options.
  */
    getLicense<T = GetLicenseResponseOK>(options?: GetLicenseRequest): Promise<GetLicenseResponseOK | T>;
}
declare class FilterGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Favourite: FilterFavouriteGroup;
    Column: FilterColumnGroup;
    Share: FilterShareGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates a filter. The filter is shared according to the [default share scope](#api-rest-api-3-filter-post). The filter is not selected as a favorite.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-post
  * @param options Request options.
  */
    createFilter<T = CreateFilterResponseOK>(options: CreateFilterRequest): Promise<CreateFilterResponseOK | T>;
    /**
  * Returns the filters owned by the user. If `includeFavourites` is `true`, the user's visible favorite filters are also returned.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, a favorite filters is only visible to the user where the filter is:
  
   *  owned by the user.
   *  shared with a group that the user is a member of.
   *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  shared with a public project.
   *  shared with the public.
  
  For example, if the user favorites a public filter that is subsequently made private that filter is not returned by this operation.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-my-get
  * @param options Request options.
  */
    getMyFilters<T = GetMyFiltersResponseOK>(options?: GetMyFiltersRequest): Promise<GetMyFiltersResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of filters. Use this operation to get:
  
   *  specific filters, by defining `id` only.
   *  filters that match all of the specified attributes. For example, all filters for a user with a particular word in their name. When multiple attributes are specified only filters matching all attributes are returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, only the following filters that match the query parameters are returned:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-search-get
  * @param options Request options.
  */
    searchFilters<T = SearchFiltersResponseOK>(options?: SearchFiltersRequest): Promise<SearchFiltersResponseOK | T>;
    /**
  * Returns a filter.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, the filter is only returned where it is:
  
   *  owned by the user.
   *  shared with a group that the user is a member of.
   *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  shared with a public project.
   *  shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-get
  * @param options Request options.
  */
    getFilter<T = GetFilterResponseOK>(options: GetFilterRequest): Promise<GetFilterResponseOK | T>;
    /**
  * Updates a filter. Use this operation to update a filter's name, description, JQL, or sharing.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however the user must own the filter.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-put
  * @param options Request options.
  */
    updateFilter<T = UpdateFilterResponseOK>(options: UpdateFilterRequest): Promise<UpdateFilterResponseOK | T>;
    /**
  * Delete a filter.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however filters can only be deleted by the creator of the filter or a user with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-delete
  * @param options Request options.
  */
    deleteFilter<T = DeleteFilterResponseOK>(options: DeleteFilterRequest): Promise<DeleteFilterResponseOK | T>;
}
declare class FilterFavouriteGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the visible favorite filters of the user.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** A favorite filter is only visible to the user where the filter is:
  
   *  owned by the user.
   *  shared with a group that the user is a member of.
   *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  shared with a public project.
   *  shared with the public.
  
  For example, if the user favorites a public filter that is subsequently made private that filter is not returned by this operation.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-favourite-get
  * @param options Request options.
  */
    getFilters<T = GetFavouriteFiltersResponseOK>(options?: GetFavouriteFiltersRequest): Promise<GetFavouriteFiltersResponseOK | T>;
    /**
  * Add a filter as a favorite for the user.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, the user can only favorite:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-favourite-put
  * @param options Request options.
  */
    addFilter<T = AddFilterAsFavouriteResponseOK>(options: AddFilterAsFavouriteRequest): Promise<AddFilterAsFavouriteResponseOK | T>;
    /**
  * Removes a filter as a favorite for the user. Note that this operation only removes filters visible to the user from the user's favorites list. For example, if the user favorites a public filter that is subsequently made private (and is therefore no longer visible on their favorites list) they cannot remove it from their favorites list.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-favourite-delete
  * @param options Request options.
  */
    removeFilter<T = RemoveFilterAsFavouriteResponseOK>(options: RemoveFilterAsFavouriteRequest): Promise<RemoveFilterAsFavouriteResponseOK | T>;
}
declare class FilterColumnGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the columns configured for a filter. The column configuration is used when the filter's results are viewed in *List View* with the *Columns* set to *Filter*.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, column details are only returned for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-columns-get
  * @param options Request options.
  */
    getColumns<T = GetFilterColumnsResponseOK>(options: GetFilterColumnsRequest): Promise<GetFilterColumnsResponseOK | T>;
    /**
  * Sets the columns for a filter. Only navigable fields can be set as columns. Use [Get fields](#api-rest-api-3-field-get) to get the list fields in Jira. A navigable field has `navigable` set to `true`.
  
  The parameters for this resource are expressed as HTML form data. For example, in curl:
  
  `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/filter/10000/columns`
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, columns are only set for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-columns-put
  * @param options Request options.
  */
    setColumns<T = SetFilterColumnsResponseOK>(options: SetFilterColumnsRequest): Promise<SetFilterColumnsResponseOK | T>;
    /**
  * Reset the user's column configuration for the filter to the default.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, columns are only reset for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filters/#api-rest-api-3-filter-id-columns-delete
  * @param options Request options.
  */
    resetColumns<T = ResetFilterColumnsResponseOK>(options: ResetFilterColumnsRequest): Promise<ResetFilterColumnsResponseOK | T>;
}
declare class FilterShareGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Permission: FilterSharePermissionGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the default sharing settings for new filters and dashboards for a user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-get
  * @param options Request options.
  */
    getDefaultScope<T = GetFiltersDefaultShareScopeResponseOK>(options?: GetFiltersDefaultShareScopeRequest): Promise<GetFiltersDefaultShareScopeResponseOK | T>;
    /**
  * Sets the default sharing for new filters and dashboards for a user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-put
  * @param options Request options.
  */
    setDefaultScope<T = SetFiltersDefaultShareScopeResponseOK>(options: SetFiltersDefaultShareScopeRequest): Promise<SetFiltersDefaultShareScopeResponseOK | T>;
}
declare class FilterSharePermissionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the share permissions for a filter. A filter can be shared with groups, projects, all logged-in users, or the public. Sharing with all logged-in users or the public is known as a global share permission.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, share permissions are only returned for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-get
  * @param options Request options.
  */
    getPermissions<T = GetFiltersSharePermissionsResponseOK>(options: GetFiltersSharePermissionsRequest): Promise<GetFiltersSharePermissionsResponseOK | T>;
    /**
  * Add a share permissions to a filter. If you add a global share permission (one for all logged-in users or the public) it will overwrite all share permissions for the filter.
  
  Be aware that this operation uses different objects for updating share permissions compared to [Update filter](#api-rest-api-3-filter-id-put).
  
  **[Permissions](#permissions) required:** *Share dashboards and filters* [global permission](https://confluence.atlassian.com/x/x4dKLg) and the user must own the filter.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-post
  * @param options Request options.
  */
    addPermission<T = AddFiltersSharePermissionResponseOK>(options: AddFiltersSharePermissionRequest): Promise<AddFiltersSharePermissionResponseOK | T>;
    /**
  * Returns a share permission for a filter. A filter can be shared with groups, projects, all logged-in users, or the public. Sharing with all logged-in users or the public is known as a global share permission.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, a share permission is only returned for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-permissionid-get
  * @param options Request options.
  */
    getPermission<T = GetFiltersSharePermissionResponseOK>(options: GetFiltersSharePermissionRequest): Promise<GetFiltersSharePermissionResponseOK | T>;
    /**
  * Deletes a share permission from a filter.
  
  **[Permissions](#permissions) required:** Permission to access Jira and the user must own the filter.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-permissionid-delete
  * @param options Request options.
  */
    deletePermission<T = DeleteFiltersSharePermissionResponseOK>(options: DeleteFiltersSharePermissionRequest): Promise<DeleteFiltersSharePermissionResponseOK | T>;
}
declare class GroupGroup {
    private implementation;
    private getGlobalErrorStrategy;
    User: GroupUserGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-groups/#api-rest-api-3-group-post
  * @param options Request options.
  */
    createGroup<T = CreateGroupResponseOK>(options: CreateGroupRequest): Promise<CreateGroupResponseOK | T>;
    /**
  * Deletes a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* strategic [group](https://confluence.atlassian.com/x/24xjL)).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-groups/#api-rest-api-3-group-delete
  * @param options Request options.
  */
    removeGroup<T = RemoveGroupResponseOK>(options?: RemoveGroupRequest): Promise<RemoveGroupResponseOK | T>;
    /**
  * Returns a list of groups whose names contain a query string. A list of group names can be provided to exclude groups from the results.
  
  The primary use case for this resource is to populate a group picker suggestions list. To this end, the returned object includes the `html` field where the matched query term is highlighted in the group name with the HTML strong tag. Also, the groups list is wrapped in a response object that contains a header for use in the picker, specifically *Showing X of Y matching groups*.
  
  The list returns with the groups sorted. If no groups match the list criteria, an empty list is returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg). Anonymous calls and calls by users without the required permission return an empty list.
  
  *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Without this permission, calls where query is not an exact match to an existing group will return an empty list.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-groups/#api-rest-api-3-groups-picker-get
  * @param options Request options.
  */
    findGroups<T = FindGroupsResponseOK>(options?: FindGroupsRequest): Promise<FindGroupsResponseOK | T>;
}
declare class GroupUserGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a [paginated](#pagination) list of all users in a group.
  
  Note that users are ordered by username, however the username is not returned in the results due to privacy reasons.
  
  **[Permissions](#permissions) required:** either of:
  
   *  *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-groups/#api-rest-api-3-group-member-get
  * @param options Request options.
  */
    getUsers<T = GetUsersFromGroupResponseOK>(options?: GetUsersFromGroupRequest): Promise<GetUsersFromGroupResponseOK | T>;
    /**
  * Adds a user to a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-groups/#api-rest-api-3-group-user-post
  * @param options Request options.
  */
    addUser<T = AddUserToGroupResponseOK>(options: AddUserToGroupRequest): Promise<AddUserToGroupResponseOK | T>;
    /**
  * Removes a user from a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-groups/#api-rest-api-3-group-user-delete
  * @param options Request options.
  */
    removeUser<T = RemoveUserFromGroupResponseOK>(options: RemoveUserFromGroupRequest): Promise<RemoveUserFromGroupResponseOK | T>;
}
declare class GroupAndUserPickerGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a list of users and groups matching a string. The string is used:
  
   *  for users, to find a case-insensitive match with display name and e-mail address. Note that if a user has hidden their email address in their user profile, partial matches of the email address will not find the user. An exact match is required.
   *  for groups, to find a case-sensitive match with group name.
  
  For example, if the string *tin* is used, records with the display name *Tina*, email address *sarah@tinplatetraining.com*, and the group *accounting* would be returned.
  
  Optionally, the search can be refined to:
  
   *  the projects and issue types associated with a custom field, such as a user picker. The search can then be further refined to return only users and groups that have permission to view specific:
      
       *  projects.
       *  issue types.
      
      If multiple projects or issue types are specified, they must be a subset of those enabled for the custom field or no results are returned. For example, if a field is enabled for projects A, B, and C then the search could be limited to projects B and C. However, if the search is limited to projects B and D, nothing is returned.
   *  not return Connect app users and groups.
   *  return groups that have a case-insensitive match with the query.
  
  The primary use case for this resource is to populate a picker field suggestion list with users or groups. To this end, the returned object includes an `html` field for each list. This field highlights the matched query term in the item name with the HTML strong tag. Also, each list is wrapped in a response object that contains a header for use in a picker, specifically *Showing X of Y matching groups*.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/yodKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-group-and-user-picker/#api-rest-api-3-groupuserpicker-get
  * @param options Request options.
  */
    findUsersAndGroups<T = FindUsersAndGroupsForPickerResponseOK>(options: FindUsersAndGroupsForPickerRequest): Promise<FindUsersAndGroupsForPickerResponseOK | T>;
}
declare class JqlGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Parses and validates JQL queries.
  
  Validation is performed in context of the current user.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jql/#api-rest-api-3-jql-parse-post
  * @param options Request options.
  */
    parseQuery<T = ParseJqlQueryResponseOK>(options: ParseJqlQueryRequest): Promise<ParseJqlQueryResponseOK | T>;
    /**
  * Converts one or more JQL queries with user identifiers (username or user key) to equivalent JQL queries with account IDs.
  
  You may wish to use this operation if your system stores JQL queries and you want to make them GDPR-compliant. For more information about GDPR-related changes, see the [migration guide](https://developer.atlassian.com/cloud/jira/platform/deprecation-notice-user-privacy-api-migration-guide/).
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jql/#api-rest-api-3-jql-pdcleaner-post
  * @param options Request options.
  */
    convertUserIdentifiersToAccountIdsInQueries<T = ConvertUserIdentifiersToAccountIdsInJqlQueriesResponseOK>(options: ConvertUserIdentifiersToAccountIdsInJqlQueriesRequest): Promise<ConvertUserIdentifiersToAccountIdsInJqlQueriesResponseOK | T>;
    /**
  * Returns reference data for JQL searches. This is a downloadable version of the documentation provided in [Advanced searching - fields reference](https://confluence.atlassian.com/x/gwORLQ) and [Advanced searching - functions reference](https://confluence.atlassian.com/x/hgORLQ), along with a list of JQL-reserved words. Use this information to assist with the programmatic creation of JQL queries or the validation of queries built in a custom query builder.
  
  To filter visible field details by project or collapse non-unique fields by field type then [Get field reference data (POST)](#api-rest-api-3-jql-autocompletedata-post) can be used.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jql/#api-rest-api-3-jql-autocompletedata-get
  * @param options Request options.
  */
    getReferenceData<T = GetReferenceDataForJqlResponseOK>(options?: GetReferenceDataForJqlRequest): Promise<GetReferenceDataForJqlResponseOK | T>;
}
declare class LabelGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Returns a [paginated](#pagination) list of labels.
     * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-labels/#api-rest-api-3-label-get
     * @param options Request options.
     */
    getLabels<T = GetLabelsResponseOK>(options?: GetLabelsRequest): Promise<GetLabelsResponseOK | T>;
}
declare class PermissionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Scheme: PermissionSchemeGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a list of permissions indicating which permissions the user has. Details of the user's permissions can be obtained in a global, project, issue or comment context.
  
  The user is reported as having a project permission:
  
   *  in the global context, if the user has the project permission in any project.
   *  for a project, where the project permission is determined using issue data, if the user meets the permission's criteria for any issue in the project. Otherwise, if the user has the project permission in the project.
   *  for an issue, where a project permission is determined using issue data, if the user has the permission in the issue. Otherwise, if the user has the project permission in the project containing the issue.
   *  for a comment, where the user has both the permission to browse the comment and the project permission for the comment's parent issue. Only the BROWSE\_PROJECTS permission is supported. If a `commentId` is provided whose `permissions` does not equal BROWSE\_PROJECTS, a 400 error will be returned.
  
  This means that users may be shown as having an issue permission (such as EDIT\_ISSUES) in the global context or a project context but may not have the permission for any or all issues. For example, if Reporters have the EDIT\_ISSUES permission a user would be shown as having this permission in the global context or the context of a project, because any user can be a reporter. However, if they are not the user who reported the issue queried they would not have EDIT\_ISSUES permission for that issue.
  
  For [Jira Service Management project permissions](https://support.atlassian.com/jira-cloud-administration/docs/customize-jira-service-management-permissions/), this will be evaluated similarly to a user in the customer portal. For example, if the BROWSE\_PROJECTS permission is granted to Service Project Customer - Portal Access, any users with access to the customer portal will have the BROWSE\_PROJECTS permission.
  
  Global permissions are unaffected by context.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permissions/#api-rest-api-3-mypermissions-get
  * @param options Request options.
  */
    getMyPermissions<T = GetMyPermissionsResponseOK>(options: GetMyPermissionsRequest): Promise<GetMyPermissionsResponseOK | T>;
    /**
  * Returns all permissions, including:
  
   *  global permissions.
   *  project permissions.
   *  global permissions added by plugins.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permissions/#api-rest-api-3-permissions-get
  * @param options Request options.
  */
    getPermissions<T = GetPermissionsResponseOK>(options?: GetPermissionsRequest): Promise<GetPermissionsResponseOK | T>;
    /**
  * Returns:
  
   *  for a list of global permissions, the global permissions granted to a user.
   *  for a list of project permissions and lists of projects and issues, for each project permission a list of the projects and issues a user can access or manipulate.
  
  If no account ID is provided, the operation returns details for the logged in user.
  
  Note that:
  
   *  Invalid project and issue IDs are ignored.
   *  A maximum of 1000 projects and 1000 issues can be checked.
   *  Null values in `globalPermissions`, `projectPermissions`, `projectPermissions.projects`, and `projectPermissions.issues` are ignored.
   *  Empty strings in `projectPermissions.permissions` are ignored.
  
  **Deprecation notice:** The required OAuth 2.0 scopes will be updated on June 15, 2024.
  
   *  **Classic**: `read:jira-work`
   *  **Granular**: `read:permission:jira`
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to check the permissions for other users, otherwise none. However, Connect apps can make a call from the app server to the product to obtain permission details for any user, without admin permission. This Connect app ability doesn't apply to calls made using AP.request() in a browser.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permissions/#api-rest-api-3-permissions-check-post
  * @param options Request options.
  */
    getBulkPermissions<T = GetBulkPermissionsResponseOK>(options: GetBulkPermissionsRequest): Promise<GetBulkPermissionsResponseOK | T>;
    /**
  * Returns all the projects where the user is granted a list of project permissions.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permissions/#api-rest-api-3-permissions-project-post
  * @param options Request options.
  */
    getPermittedProjects<T = GetPermittedProjectsResponseOK>(options: GetPermittedProjectsRequest): Promise<GetPermittedProjectsResponseOK | T>;
}
declare class PermissionSchemeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Grant: PermissionSchemeGrantGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all permission schemes.
  
  ### About permission schemes and grants ###
  
  A permission scheme is a collection of permission grants. A permission grant consists of a `holder` and a `permission`.
  
  #### Holder object ####
  
  The `holder` object contains information about the user or group being granted the permission. For example, the *Administer projects* permission is granted to a group named *Teams in space administrators*. In this case, the type is `"type": "group"`, and the parameter is the group name, `"parameter": "Teams in space administrators"` and the value is group ID, `"value": "ca85fac0-d974-40ca-a615-7af99c48d24f"`.
  
  The `holder` object is defined by the following properties:
  
   *  `type` Identifies the user or group (see the list of types below).
   *  `parameter` As a group's name can change, use of `value` is recommended. The value of this property depends on the `type`. For example, if the `type` is a group, then you need to specify the group name.
   *  `value` The value of this property depends on the `type`. If the `type` is a group, then you need to specify the group ID. For other `type` it has the same value as `parameter`
  
  The following `types` are available. The expected values for `parameter` and `value` are given in parentheses (some types may not have a `parameter` or `value`):
  
   *  `anyone` Grant for anonymous users.
   *  `applicationRole` Grant for users with access to the specified application (application name, application name). See [Update product access settings](https://confluence.atlassian.com/x/3YxjL) for more information.
   *  `assignee` Grant for the user currently assigned to an issue.
   *  `group` Grant for the specified group (`parameter` : group name, `value` : group ID).
   *  `groupCustomField` Grant for a user in the group selected in the specified custom field (`parameter` : custom field ID, `value` : custom field ID).
   *  `projectLead` Grant for a project lead.
   *  `projectRole` Grant for the specified project role (`parameter` :project role ID, `value` : project role ID).
   *  `reporter` Grant for the user who reported the issue.
   *  `sd.customer.portal.only` Jira Service Desk only. Grants customers permission to access the customer portal but not Jira. See [Customizing Jira Service Desk permissions](https://confluence.atlassian.com/x/24dKLg) for more information.
   *  `user` Grant for the specified user (`parameter` : user ID - historically this was the userkey but that is deprecated and the account ID should be used, `value` : user ID).
   *  `userCustomField` Grant for a user selected in the specified custom field (`parameter` : custom field ID, `value` : custom field ID).
  
  #### Built-in permissions ####
  
  The [built-in Jira permissions](https://confluence.atlassian.com/x/yodKLg) are listed below. Apps can also define custom permissions. See the [project permission](https://developer.atlassian.com/cloud/jira/platform/modules/project-permission/) and [global permission](https://developer.atlassian.com/cloud/jira/platform/modules/global-permission/) module documentation for more information.
  
  **Project permissions**
  
   *  `ADMINISTER_PROJECTS`
   *  `BROWSE_PROJECTS`
   *  `MANAGE_SPRINTS_PERMISSION` (Jira Software only)
   *  `SERVICEDESK_AGENT` (Jira Service Desk only)
   *  `VIEW_DEV_TOOLS` (Jira Software only)
   *  `VIEW_READONLY_WORKFLOW`
  
  **Issue permissions**
  
   *  `ASSIGNABLE_USER`
   *  `ASSIGN_ISSUES`
   *  `CLOSE_ISSUES`
   *  `CREATE_ISSUES`
   *  `DELETE_ISSUES`
   *  `EDIT_ISSUES`
   *  `LINK_ISSUES`
   *  `MODIFY_REPORTER`
   *  `MOVE_ISSUES`
   *  `RESOLVE_ISSUES`
   *  `SCHEDULE_ISSUES`
   *  `SET_ISSUE_SECURITY`
   *  `TRANSITION_ISSUES`
  
  **Voters and watchers permissions**
  
   *  `MANAGE_WATCHERS`
   *  `VIEW_VOTERS_AND_WATCHERS`
  
  **Comments permissions**
  
   *  `ADD_COMMENTS`
   *  `DELETE_ALL_COMMENTS`
   *  `DELETE_OWN_COMMENTS`
   *  `EDIT_ALL_COMMENTS`
   *  `EDIT_OWN_COMMENTS`
  
  **Attachments permissions**
  
   *  `CREATE_ATTACHMENTS`
   *  `DELETE_ALL_ATTACHMENTS`
   *  `DELETE_OWN_ATTACHMENTS`
  
  **Time tracking permissions**
  
   *  `DELETE_ALL_WORKLOGS`
   *  `DELETE_OWN_WORKLOGS`
   *  `EDIT_ALL_WORKLOGS`
   *  `EDIT_OWN_WORKLOGS`
   *  `WORK_ON_ISSUES`
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-get
  * @param options Request options.
  */
    getSchemes<T = GetPermissionSchemesResponseOK>(options?: GetPermissionSchemesRequest): Promise<GetPermissionSchemesResponseOK | T>;
    /**
  * Creates a new permission scheme. You can create a permission scheme with or without defining a set of permission grants.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-post
  * @param options Request options.
  */
    createScheme<T = CreatePermissionSchemeResponseOK>(options: CreatePermissionSchemeRequest): Promise<CreatePermissionSchemeResponseOK | T>;
    /**
  * Returns a permission scheme.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-get
  * @param options Request options.
  */
    getScheme<T = GetPermissionSchemeResponseOK>(options: GetPermissionSchemeRequest): Promise<GetPermissionSchemeResponseOK | T>;
    /**
  * Updates a permission scheme. Below are some important things to note when using this resource:
  
   *  If a permissions list is present in the request, then it is set in the permission scheme, overwriting *all existing* grants.
   *  If you want to update only the name and description, then do not send a permissions list in the request.
   *  Sending an empty list will remove all permission grants from the permission scheme.
  
  If you want to add or delete a permission grant instead of updating the whole list, see [Create permission grant](#api-rest-api-3-permissionscheme-schemeId-permission-post) or [Delete permission scheme entity](#api-rest-api-3-permissionscheme-schemeId-permission-permissionId-delete).
  
  See [About permission schemes and grants](#about-permission-schemes) for more details.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-put
  * @param options Request options.
  */
    updateScheme<T = UpdatePermissionSchemeResponseOK>(options: UpdatePermissionSchemeRequest): Promise<UpdatePermissionSchemeResponseOK | T>;
    /**
  * Deletes a permission scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-delete
  * @param options Request options.
  */
    deleteScheme<T = DeletePermissionSchemeResponseOK>(options: DeletePermissionSchemeRequest): Promise<DeletePermissionSchemeResponseOK | T>;
}
declare class PermissionSchemeGrantGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all permission grants for a permission scheme.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-get
  * @param options Request options.
  */
    getGrants<T = GetPermissionSchemeGrantsResponseOK>(options: GetPermissionSchemeGrantsRequest): Promise<GetPermissionSchemeGrantsResponseOK | T>;
    /**
  * Creates a permission grant in a permission scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-post
  * @param options Request options.
  */
    createGrant<T = CreatePermissionSchemeGrantResponseOK>(options: CreatePermissionSchemeGrantRequest): Promise<CreatePermissionSchemeGrantResponseOK | T>;
    /**
  * Returns a permission grant.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-permissionid-get
  * @param options Request options.
  */
    getGrant<T = GetPermissionSchemeGrantResponseOK>(options: GetPermissionSchemeGrantRequest): Promise<GetPermissionSchemeGrantResponseOK | T>;
    /**
  * Deletes a permission grant from a permission scheme. See [About permission schemes and grants](../api-group-permission-schemes/#about-permission-schemes-and-grants) for more details.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-permissionid-delete
  * @param options Request options.
  */
    deleteGrant<T = DeletePermissionSchemeGrantResponseOK>(options: DeletePermissionSchemeGrantRequest): Promise<DeletePermissionSchemeGrantResponseOK | T>;
}
declare class MyselfGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the value of a preference of the current user.
  
  Note that these keys are deprecated:
  
   *  *jira.user.locale* The locale of the user. By default this is not set and the user takes the locale of the instance.
   *  *jira.user.timezone* The time zone of the user. By default this is not set and the user takes the timezone of the instance.
  
  These system preferences keys will be deprecated by 15/07/2024. You can still retrieve these keys, but it will not have any impact on Notification behaviour.
  
   *  *user.notifications.watcher* Whether the user gets notified when they are watcher.
   *  *user.notifications.assignee* Whether the user gets notified when they are assignee.
   *  *user.notifications.reporter* Whether the user gets notified when they are reporter.
   *  *user.notifications.mentions* Whether the user gets notified when they are mentions.
  
  Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-myself/#api-rest-api-3-mypreferences-get
  * @param options Request options.
  */
    getPreference<T = GetMyPreferenceResponseOK>(options: GetMyPreferenceRequest): Promise<GetMyPreferenceResponseOK | T>;
    /**
  * Creates a preference for the user or updates a preference's value by sending a plain text string. For example, `false`. An arbitrary preference can be created with the value containing up to 255 characters. In addition, the following keys define system preferences that can be set or created:
  
   *  *user.notifications.mimetype* The mime type used in notifications sent to the user. Defaults to `html`.
   *  *user.default.share.private* Whether new [ filters](https://confluence.atlassian.com/x/eQiiLQ) are set to private. Defaults to `true`.
   *  *user.keyboard.shortcuts.disabled* Whether keyboard shortcuts are disabled. Defaults to `false`.
   *  *user.autowatch.disabled* Whether the user automatically watches issues they create or add a comment to. By default, not set: the user takes the instance autowatch setting.
   *  *user.notifiy.own.changes* Whether the user gets notified of their own changes.
  
  Note that these keys are deprecated:
  
   *  *jira.user.locale* The locale of the user. By default, not set. The user takes the instance locale.
   *  *jira.user.timezone* The time zone of the user. By default, not set. The user takes the instance timezone.
  
  These system preferences keys will be deprecated by 15/07/2024. You can still use these keys to create arbitrary preferences, but it will not have any impact on Notification behaviour.
  
   *  *user.notifications.watcher* Whether the user gets notified when they are watcher.
   *  *user.notifications.assignee* Whether the user gets notified when they are assignee.
   *  *user.notifications.reporter* Whether the user gets notified when they are reporter.
   *  *user.notifications.mentions* Whether the user gets notified when they are mentions.
  
  Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-myself/#api-rest-api-3-mypreferences-put
  * @param options Request options.
  */
    setPreference<T = SetMyPreferenceResponseOK>(options: SetMyPreferenceRequest): Promise<SetMyPreferenceResponseOK | T>;
    /**
  * Deletes a preference of the user, which restores the default value of system defined settings.
  
  Note that these keys are deprecated:
  
   *  *jira.user.locale* The locale of the user. By default, not set. The user takes the instance locale.
   *  *jira.user.timezone* The time zone of the user. By default, not set. The user takes the instance timezone.
  
  Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-myself/#api-rest-api-3-mypreferences-delete
  * @param options Request options.
  */
    deletePreference<T = DeleteMyPreferenceResponseOK>(options: DeleteMyPreferenceRequest): Promise<DeleteMyPreferenceResponseOK | T>;
    /**
  * Returns the locale for the user.
  
  If the user has no language preference set (which is the default setting) or this resource is accessed anonymous, the browser locale detected by Jira is returned. Jira detects the browser locale using the *Accept-Language* header in the request. However, if this doesn't match a locale available Jira, the site default locale is returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-myself/#api-rest-api-3-mypreferences-locale-get
  * @param options Request options.
  */
    getLocale<T = GetMyLocaleResponseOK>(options?: GetMyLocaleRequest): Promise<GetMyLocaleResponseOK | T>;
    /**
  * Returns details for the current user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-myself/#api-rest-api-3-myself-get
  * @param options Request options.
  */
    getCurrentUser<T = GetCurrentUserResponseOK>(options?: GetCurrentUserRequest): Promise<GetCurrentUserResponseOK | T>;
}
declare class ScreenGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Scheme: ScreenSchemeGroup;
    Tab: ScreenTabGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a [paginated](#pagination) list of the screens a field is used in.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-field-fieldid-screens-get
  * @param options Request options.
  */
    getScreensForField<T = GetScreensForFieldResponseOK>(options: GetScreensForFieldRequest): Promise<GetScreensForFieldResponseOK | T>;
    /**
  * Returns a [paginated](#pagination) list of all screens or those specified by one or more screen IDs.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-get
  * @param options Request options.
  */
    getScreens<T = GetScreensResponseOK>(options?: GetScreensRequest): Promise<GetScreensResponseOK | T>;
    /**
  * Creates a screen with a default field tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-post
  * @param options Request options.
  */
    createScreen<T = CreateScreenResponseOK>(options: CreateScreenRequest): Promise<CreateScreenResponseOK | T>;
    /**
  * Adds a field to the default tab of the default screen.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-addtodefault-fieldid-post
  * @param options Request options.
  */
    addFieldToDefaultScreen<T = AddFieldToDefaultScreenResponseOK>(options: AddFieldToDefaultScreenRequest): Promise<AddFieldToDefaultScreenResponseOK | T>;
    /**
  * Returns the fields that can be added to a tab on a screen.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-availablefields-get
  * @param options Request options.
  */
    getAvailableScreenFields<T = GetAvailableScreenFieldsResponseOK>(options: GetAvailableScreenFieldsRequest): Promise<GetAvailableScreenFieldsResponseOK | T>;
    /**
  * Updates a screen. Only screens used in classic projects can be updated.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-put
  * @param options Request options.
  */
    updateScreen<T = UpdateScreenResponseOK>(options: UpdateScreenRequest): Promise<UpdateScreenResponseOK | T>;
    /**
  * Deletes a screen. A screen cannot be deleted if it is used in a screen scheme, workflow, or workflow draft.
  
  Only screens used in classic projects can be deleted.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-delete
  * @param options Request options.
  */
    deleteScreen<T = DeleteScreenResponseOK>(options: DeleteScreenRequest): Promise<DeleteScreenResponseOK | T>;
}
declare class ScreenSchemeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a [paginated](#pagination) list of screen schemes.
  
  Only screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screen-schemes/#api-rest-api-3-screenscheme-get
  * @param options Request options.
  */
    getSchemes<T = GetScreenSchemesResponseOK>(options?: GetScreenSchemesRequest): Promise<GetScreenSchemesResponseOK | T>;
    /**
  * Creates a screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screen-schemes/#api-rest-api-3-screenscheme-post
  * @param options Request options.
  */
    createScheme<T = CreateScreenSchemeResponseOK>(options: CreateScreenSchemeRequest): Promise<CreateScreenSchemeResponseOK | T>;
    /**
  * Updates a screen scheme. Only screen schemes used in classic projects can be updated.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screen-schemes/#api-rest-api-3-screenscheme-screenschemeid-put
  * @param options Request options.
  */
    updateScheme<T = UpdateScreenSchemeResponseOK>(options: UpdateScreenSchemeRequest): Promise<UpdateScreenSchemeResponseOK | T>;
    /**
  * Deletes a screen scheme. A screen scheme cannot be deleted if it is used in an issue type screen scheme.
  
  Only screens schemes used in classic projects can be deleted.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screen-schemes/#api-rest-api-3-screenscheme-screenschemeid-delete
  * @param options Request options.
  */
    deleteScheme<T = DeleteScreenSchemeResponseOK>(options: DeleteScreenSchemeRequest): Promise<DeleteScreenSchemeResponseOK | T>;
}
declare class ScreenTabGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Field: ScreenTabFieldGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the list of tabs for a screen.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) when the project key is specified, providing that the screen is associated with the project through a Screen Scheme and Issue Type Screen Scheme.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-get
  * @param options Request options.
  */
    getTabs<T = GetScreenTabsResponseOK>(options: GetScreenTabsRequest): Promise<GetScreenTabsResponseOK | T>;
    /**
  * Creates a tab for a screen.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-post
  * @param options Request options.
  */
    createTab<T = CreateScreenTabResponseOK>(options: CreateScreenTabRequest): Promise<CreateScreenTabResponseOK | T>;
    /**
  * Updates the name of a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-put
  * @param options Request options.
  */
    updateTab<T = UpdateScreenTabResponseOK>(options: UpdateScreenTabRequest): Promise<UpdateScreenTabResponseOK | T>;
    /**
  * Deletes a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-delete
  * @param options Request options.
  */
    deleteTab<T = DeleteScreenTabResponseOK>(options: DeleteScreenTabRequest): Promise<DeleteScreenTabResponseOK | T>;
    /**
  * Moves a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-move-pos-post
  * @param options Request options.
  */
    moveTab<T = MoveScreenTabResponseOK>(options: MoveScreenTabRequest): Promise<MoveScreenTabResponseOK | T>;
}
declare class ScreenTabFieldGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all fields for a screen tab.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) when the project key is specified, providing that the screen is associated with the project through a Screen Scheme and Issue Type Screen Scheme.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-get
  * @param options Request options.
  */
    getFields<T = GetScreenTabFieldsResponseOK>(options: GetScreenTabFieldsRequest): Promise<GetScreenTabFieldsResponseOK | T>;
    /**
  * Adds a field to a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-post
  * @param options Request options.
  */
    addField<T = AddScreenTabFieldResponseOK>(options: AddScreenTabFieldRequest): Promise<AddScreenTabFieldResponseOK | T>;
    /**
  * Removes a field from a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-id-delete
  * @param options Request options.
  */
    removeField<T = RemoveScreenTabFieldResponseOK>(options: RemoveScreenTabFieldRequest): Promise<RemoveScreenTabFieldResponseOK | T>;
    /**
  * Moves a screen tab field.
  
  If `after` and `position` are provided in the request, `position` is ignored.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-id-move-post
  * @param options Request options.
  */
    moveField<T = MoveScreenTabFieldResponseOK>(options: MoveScreenTabFieldRequest): Promise<MoveScreenTabFieldResponseOK | T>;
}
export {};
//# sourceMappingURL=index.d.ts.map